/*!
 * Materialize v0.97.6 (http://materializecss.com)
 * Copyright 2014-2015 Materialize
 * MIT License (https://raw.githubusercontent.com/Dogfalo/materialize/master/LICENSE)
 */
/** @license
	Animator.js 1.1.9
	
	This library is released under the BSD license:

	Copyright (c) 2006, Bernard Sumption. All rights reserved.
	
	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions are met:
	
	Redistributions of source code must retain the above copyright notice, this
	list of conditions and the following disclaimer. Redistributions in binary
	form must reproduce the above copyright notice, this list of conditions and
	the following disclaimer in the documentation and/or other materials
	provided with the distribution. Neither the name BernieCode nor
	the names of its contributors may be used to endorse or promote products
	derived from this software without specific prior written permission. 
	
	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
	AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR
	ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
	DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
	SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
	LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
	OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
	DAMAGE.

*/
// http://www.berniecode.com/writing/animator.html
// Applies a sequence of numbers between 0 and 1 to a number of subjects
// construct - see setOptions for parameters
function Animator(t){this.setOptions(t);var e=this;this.timerDelegate=function(){e.onTimerEvent()},this.subjects=[],this.subjectScopes=[],this.target=0,this.state=0,this.lastTime=null}
// animates a pixel-based style property between two integer values
function NumericalStyleSubject(t,e,i,n,o){this.els=Animator.makeArray(t),"opacity"==e&&window.ActiveXObject?this.property="filter":this.property=Animator.camelize(e),this.from=parseFloat(i),this.to=parseFloat(n),this.units=null!=o?o:"px"}
// animates a colour based style property between two hex values
function ColorStyleSubject(t,e,i,n){this.els=Animator.makeArray(t),this.property=Animator.camelize(e),this.to=this.expandColor(n),this.from=this.expandColor(i),this.origFrom=i,this.origTo=n}
// Animates discrete styles, i.e. ones that do not scale but have discrete values
// that can't be interpolated
function DiscreteStyleSubject(t,e,i,n,o){this.els=Animator.makeArray(t),this.property=Animator.camelize(e),this.from=i,this.to=n,this.threshold=o||.5}
// animates between two styles defined using CSS.
// if style1 and style2 are present, animate between them, if only style1
// is present, animate between the element's current style and style1
function CSSStyleSubject(t,e,i){if(t=Animator.makeArray(t),this.subjects=[],0!=t.length){var n,o,a,n,n,s,r,l,u,c;if(i)a=this.parseStyle(e,t[0]),o=this.parseStyle(i,t[0]);else for(n in a={},o=this.parseStyle(e,t[0]))a[n]=CSSStyleSubject.getStyle(t[0],n);
// remove unchanging properties
for(n in a)a[n]==o[n]&&(delete a[n],delete o[n]);
// discover the type (numerical or colour) of each style
for(n in a){var d=String(a[n]),h=String(o[n]);if(null!=o[n]){if(u=ColorStyleSubject.parseColor(d))c=ColorStyleSubject.parseColor(h),l=ColorStyleSubject;else if(d.match(CSSStyleSubject.numericalRe)&&h.match(CSSStyleSubject.numericalRe)){u=parseFloat(d),c=parseFloat(h),l=NumericalStyleSubject,r=CSSStyleSubject.numericalRe.exec(d);var p=CSSStyleSubject.numericalRe.exec(h);s=null!=r[1]?r[1]:null!=p[1]?p[1]:p}else{if(!d.match(CSSStyleSubject.discreteRe)||!h.match(CSSStyleSubject.discreteRe)){window.DEBUG&&alert("Unrecognised format for value of "+n+": '"+a[n]+"'");continue}u=d,c=h,l=DiscreteStyleSubject,s=0}this.subjects[this.subjects.length]=new l(t,n,u,c,s)}else window.DEBUG&&alert("No to style provided for '"+n+'"')}}}
// chains several Animator objects together
function AnimatorChain(t,e){this.animators=t,this.setOptions(e);for(var i=0;i<this.animators.length;i++)this.listenTo(this.animators[i]);this.forwards=!1,this.current=0}
// an Accordion is a class that creates and controls a number of Animators. An array of elements is passed in,
// and for each element an Animator and a activator button is created. When an Animator's activator button is
// clicked, the Animator and all before it seek to 0, and all Animators after it seek to 1. This can be used to
// create the classic Accordion effect, hence the name.
// see setOptions for arguments
function Accordion(t){this.setOptions(t);var e=this.options.initialSection,i;this.options.rememberance&&(i=document.location.hash.substring(1)),this.rememberanceTexts=[],this.ans=[];for(var n=this,o=0;o<this.options.sections.length;o++){var a=this.options.sections[o],s=new Animator(this.options.animatorOptions),r=this.options.from+this.options.shift*o,l=this.options.to+this.options.shift*o;s.addSubject(new NumericalStyleSubject(a,this.options.property,r,l,this.options.units)),s.jumpTo(0);var u=this.options.getActivator(a);u.index=o,u.onclick=function(){n.show(this.index)},this.ans[this.ans.length]=s,this.rememberanceTexts[o]=u.innerHTML.replace(/\s/g,""),this.rememberanceTexts[o]===i&&(e=o)}this.show(e)}var jQuery,Vel,threeSixtyPlayer,// instance
ThreeSixtyPlayer;void 0===jQuery&&(jQuery="function"==typeof require?$=require("jquery"):$);jQuery.easing.jswing=jQuery.easing.swing,jQuery.extend(jQuery.easing,{def:"easeOutQuad",swing:function(t,e,i,n,o){return jQuery.easing[jQuery.easing.def](t,e,i,n,o)},easeInQuad:function(t,e,i,n,o){return n*(e/=o)*e+i},easeOutQuad:function(t,e,i,n,o){return-n*(e/=o)*(e-2)+i},easeInOutQuad:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e+i:-n/2*(--e*(e-2)-1)+i},easeInCubic:function(t,e,i,n,o){return n*(e/=o)*e*e+i},easeOutCubic:function(t,e,i,n,o){return n*((e=e/o-1)*e*e+1)+i},easeInOutCubic:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e*e+i:n/2*((e-=2)*e*e+2)+i},easeInQuart:function(t,e,i,n,o){return n*(e/=o)*e*e*e+i},easeOutQuart:function(t,e,i,n,o){return-n*((e=e/o-1)*e*e*e-1)+i},easeInOutQuart:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e*e*e+i:-n/2*((e-=2)*e*e*e-2)+i},easeInQuint:function(t,e,i,n,o){return n*(e/=o)*e*e*e*e+i},easeOutQuint:function(t,e,i,n,o){return n*((e=e/o-1)*e*e*e*e+1)+i},easeInOutQuint:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e*e*e*e+i:n/2*((e-=2)*e*e*e*e+2)+i},easeInSine:function(t,e,i,n,o){return-n*Math.cos(e/o*(Math.PI/2))+n+i},easeOutSine:function(t,e,i,n,o){return n*Math.sin(e/o*(Math.PI/2))+i},easeInOutSine:function(t,e,i,n,o){return-n/2*(Math.cos(Math.PI*e/o)-1)+i},easeInExpo:function(t,e,i,n,o){return 0==e?i:n*Math.pow(2,10*(e/o-1))+i},easeOutExpo:function(t,e,i,n,o){return e==o?i+n:n*(1-Math.pow(2,-10*e/o))+i},easeInOutExpo:function(t,e,i,n,o){return 0==e?i:e==o?i+n:(e/=o/2)<1?n/2*Math.pow(2,10*(e-1))+i:n/2*(2-Math.pow(2,-10*--e))+i},easeInCirc:function(t,e,i,n,o){return-n*(Math.sqrt(1-(e/=o)*e)-1)+i},easeOutCirc:function(t,e,i,n,o){return n*Math.sqrt(1-(e=e/o-1)*e)+i},easeInOutCirc:function(t,e,i,n,o){return(e/=o/2)<1?-n/2*(Math.sqrt(1-e*e)-1)+i:n/2*(Math.sqrt(1-(e-=2)*e)+1)+i},easeInElastic:function(t,e,i,n,o){var a=1.70158,s=0,r=n;if(0==e)return i;if(1==(e/=o))return i+n;if(s||(s=.3*o),r<Math.abs(n)){r=n;var a=s/4}else var a=s/(2*Math.PI)*Math.asin(n/r);return-r*Math.pow(2,10*(e-=1))*Math.sin((e*o-a)*(2*Math.PI)/s)+i},easeOutElastic:function(t,e,i,n,o){var a=1.70158,s=0,r=n;if(0==e)return i;if(1==(e/=o))return i+n;if(s||(s=.3*o),r<Math.abs(n)){r=n;var a=s/4}else var a=s/(2*Math.PI)*Math.asin(n/r);return r*Math.pow(2,-10*e)*Math.sin((e*o-a)*(2*Math.PI)/s)+n+i},easeInOutElastic:function(t,e,i,n,o){var a=1.70158,s=0,r=n;if(0==e)return i;if(2==(e/=o/2))return i+n;if(s||(s=o*(.3*1.5)),r<Math.abs(n)){r=n;var a=s/4}else var a=s/(2*Math.PI)*Math.asin(n/r);return e<1?r*Math.pow(2,10*(e-=1))*Math.sin((e*o-a)*(2*Math.PI)/s)*-.5+i:r*Math.pow(2,-10*(e-=1))*Math.sin((e*o-a)*(2*Math.PI)/s)*.5+n+i},easeInBack:function(t,e,i,n,o,a){return null==a&&(a=1.70158),n*(e/=o)*e*((a+1)*e-a)+i},easeOutBack:function(t,e,i,n,o,a){return null==a&&(a=1.70158),n*((e=e/o-1)*e*((a+1)*e+a)+1)+i},easeInOutBack:function(t,e,i,n,o,a){return null==a&&(a=1.70158),(e/=o/2)<1?n/2*(e*e*((1+(a*=1.525))*e-a))+i:n/2*((e-=2)*e*((1+(a*=1.525))*e+a)+2)+i},easeInBounce:function(t,e,i,n,o){return n-jQuery.easing.easeOutBounce(t,o-e,0,n,o)+i},easeOutBounce:function(t,e,i,n,o){return(e/=o)<1/2.75?n*(7.5625*e*e)+i:e<2/2.75?n*(7.5625*(e-=1.5/2.75)*e+.75)+i:e<2.5/2.75?n*(7.5625*(e-=2.25/2.75)*e+.9375)+i:n*(7.5625*(e-=2.625/2.75)*e+.984375)+i},easeInOutBounce:function(t,e,i,n,o){return e<o/2?.5*jQuery.easing.easeInBounce(t,2*e,0,n,o)+i:.5*jQuery.easing.easeOutBounce(t,2*e-o,0,n,o)+.5*n+i}}),jQuery.extend(jQuery.easing,{easeInOutMaterial:function(t,e,i,n,o){return(e/=o/2)<1?n/2*e*e+i:n/4*((e-=2)*e*e+2)+i}}),jQuery.Velocity?console.log("Velocity is already loaded. You may be needlessly importing Velocity again; note that Materialize includes Velocity."):(function(e){function r(t){var e=t.length,i=d.type(t);return"function"!==i&&!d.isWindow(t)&&(!(1!==t.nodeType||!e)||("array"===i||0===e||"number"==typeof e&&0<e&&e-1 in t))}if(!e.jQuery){var d=function(t,e){return new d.fn.init(t,e)};d.isWindow=function(t){return null!=t&&t==t.window},d.type=function(t){return null==t?t+"":"object"==typeof t||"function"==typeof t?i[o.call(t)]||"object":typeof t},d.isArray=Array.isArray||function(t){return"array"===d.type(t)},d.isPlainObject=function(t){var e;if(!t||"object"!==d.type(t)||t.nodeType||d.isWindow(t))return!1;try{if(t.constructor&&!n.call(t,"constructor")&&!n.call(t.constructor.prototype,"isPrototypeOf"))return!1}catch(t){return!1}for(e in t);return void 0===e||n.call(t,e)},d.each=function(t,e,i){var n,o=0,a=t.length,s=r(t);if(i){if(s)for(;o<a&&!1!==(n=e.apply(t[o],i));o++);else for(o in t)if(!1===(n=e.apply(t[o],i)))break}else if(s)for(;o<a&&!1!==(n=e.call(t[o],o,t[o]));o++);else for(o in t)if(!1===(n=e.call(t[o],o,t[o])))break;return t},d.data=function(t,e,i){if(void 0===i){var n,o=(n=t[d.expando])&&a[n];if(void 0===e)return o;if(o&&e in o)return o[e]}else if(void 0!==e){var n=t[d.expando]||(t[d.expando]=++d.uuid);return a[n]=a[n]||{},a[n][e]=i}},d.removeData=function(t,e){var i=t[d.expando],n=i&&a[i];n&&d.each(e,function(t,e){delete n[e]})},d.extend=function(t){var e,i,n,o,a,s,r=t||{},l=1,u=arguments.length,c=!1;for("boolean"==typeof r&&(c=r,r=arguments[l]||{},l++),"object"!=typeof r&&"function"!==d.type(r)&&(r={}),l===u&&(r=this,l--);l<u;l++)if(null!=(a=arguments[l]))for(o in a)e=r[o],r!==(n=a[o])&&(c&&n&&(d.isPlainObject(n)||(i=d.isArray(n)))?(s=i?(i=!1,e&&d.isArray(e)?e:[]):e&&d.isPlainObject(e)?e:{},r[o]=d.extend(c,s,n)):void 0!==n&&(r[o]=n));return r},d.queue=function(t,e,i){function n(t,e){var i=e||[];return null!=t&&(r(Object(t))?function(t,e){for(var i=+e.length,n=0,o=t.length;n<i;)t[o++]=e[n++];if(i!=i)for(;void 0!==e[n];)t[o++]=e[n++];t.length=o}(i,"string"==typeof t?[t]:t):[].push.call(i,t)),i}if(t){e=(e||"fx")+"queue";var o=d.data(t,e);return i?(!o||d.isArray(i)?o=d.data(t,e,n(i)):o.push(i),o):o||[]}},d.dequeue=function(t,o){d.each(t.nodeType?[t]:t,function(t,e){o=o||"fx";var i=d.queue(e,o),n=i.shift();"inprogress"===n&&(n=i.shift()),n&&("fx"===o&&i.unshift("inprogress"),n.call(e,function(){d.dequeue(e,o)}))})},d.fn=d.prototype={init:function(t){if(t.nodeType)return this[0]=t,this;throw new Error("Not a DOM node.")},offset:function(){var t=this[0].getBoundingClientRect?this[0].getBoundingClientRect():{top:0,left:0};return{top:t.top+(e.pageYOffset||document.scrollTop||0)-(document.clientTop||0),left:t.left+(e.pageXOffset||document.scrollLeft||0)-(document.clientLeft||0)}},position:function(){function t(){for(var t=this.offsetParent||document;t&&"html"===!t.nodeType.toLowerCase&&"static"===t.style.position;)t=t.offsetParent;return t||document}var e=this[0],t=t.apply(e),i=this.offset(),n=/^(?:body|html)$/i.test(t.nodeName)?{top:0,left:0}:d(t).offset();return i.top-=parseFloat(e.style.marginTop)||0,i.left-=parseFloat(e.style.marginLeft)||0,t.style&&(n.top+=parseFloat(t.style.borderTopWidth)||0,n.left+=parseFloat(t.style.borderLeftWidth)||0),{top:i.top-n.top,left:i.left-n.left}}};var a={};d.expando="velocity"+(new Date).getTime(),d.uuid=0;for(var i={},n=i.hasOwnProperty,o=i.toString,t="Boolean Number String Function Array Date RegExp Object Error".split(" "),s=0;s<t.length;s++)i["[object "+t[s]+"]"]=t[s].toLowerCase();d.fn.init.prototype=d.fn,e.Velocity={Utilities:d}}}(window),function(t){"object"==typeof module&&"object"==typeof module.exports?module.exports=t():"function"==typeof define&&define.amd?define(t):t()}(function(){return function(t,j,N,H){function T(t){for(var e=-1,i=t?t.length:0,n=[];++e<i;){var o=t[e];o&&n.push(o)}return n}function v(t){return B.isWrapped(t)?t=[].slice.call(t):B.isNode(t)&&(t=[t]),t}function F(t){var e=V.data(t,"velocity");return null===e?H:e}function n(e){return function(t){return Math.round(t*e)*(1/e)}}function o(r,e,l,i){function n(t,e){return 1-3*e+3*t}function o(t,e){return 3*e-6*t}function a(t){return 3*t}function s(t,e,i){return((n(e,i)*t+o(e,i))*t+a(e))*t}function u(t,e,i){return 3*n(e,i)*t*t+2*o(e,i)*t+a(e)}function c(t,e){for(var i=0;i<f;++i){var n=u(e,r,l),o;if(0===n)return e;e-=(s(e,r,l)-t)/n}return e}function t(){for(var t=0;t<y;++t)C[t]=s(t*b,r,l)}function d(t,e,i){for(var n,o,a=0;0<(n=s(o=e+(i-e)/2,r,l)-t)?i=o:e=o,Math.abs(n)>m&&++a<v;);return o}function h(t){for(var e=0,i=1,n=y-1;i!=n&&C[i]<=t;++i)e+=b;var o,a=e+(t-C[--i])/(C[i+1]-C[i])*b,s=u(a,r,l);return g<=s?c(t,a):0==s?a:d(t,e,e+b)}function p(){x=!0,(r!=e||l!=i)&&t()}var f=4,g=.001,m=1e-7,v=10,y=11,b=1/(y-1),w="Float32Array"in j;if(4!==arguments.length)return!1;for(var S=0;S<4;++S)if("number"!=typeof arguments[S]||isNaN(arguments[S])||!isFinite(arguments[S]))return!1;r=Math.min(r,1),l=Math.min(l,1),r=Math.max(r,0),l=Math.max(l,0);var C=w?new Float32Array(y):new Array(y),x=!1,k=function(t){return x||p(),r===e&&l===i?t:0===t?0:1===t?1:s(h(t),e,i)};k.getControlPoints=function(){return[{x:r,y:e},{x:l,y:i}]};var T="generateBezier("+[r,e,l,i]+")";return k.toString=function(){return T},k}function R(t,e){var i=t;return B.isString(t)?W.Easings[t]||(i=!1):i=B.isArray(t)&&1===t.length?n.apply(null,t):B.isArray(t)&&2===t.length?r.apply(null,t.concat([e])):!(!B.isArray(t)||4!==t.length)&&o.apply(null,t),!1===i&&(i=W.Easings[W.defaults.easing]?W.defaults.easing:s),i}function z(t){if(t){var e=(new Date).getTime(),i=W.State.calls.length;1e4<i&&(W.State.calls=T(W.State.calls));for(var n=0;n<i;n++)if(W.State.calls[n]){var o=W.State.calls[n],a=o[0],s=o[2],r=o[3],l=!!r,u=null;r||(r=W.State.calls[n][3]=e-16);for(var c=Math.min((e-r)/s.duration,1),d=0,h=a.length;d<h;d++){var p=a[d],f=p.element;if(F(f)){var g=!1;if(s.display!==H&&null!==s.display&&"none"!==s.display){if("flex"===s.display){var m=["-webkit-box","-moz-box","-ms-flexbox","-webkit-flex"];V.each(m,function(t,e){X.setPropertyValue(f,"display",e)})}X.setPropertyValue(f,"display",s.display)}for(var v in s.visibility!==H&&"hidden"!==s.visibility&&X.setPropertyValue(f,"visibility",s.visibility),p)if("element"!==v){var y,b=p[v],w=B.isString(b.easing)?W.Easings[b.easing]:b.easing;if(1===c)y=b.endValue;else{var S=b.endValue-b.startValue;if(y=b.startValue+S*w(c,s,S),!l&&y===b.currentValue)continue}if(b.currentValue=y,"tween"===v)u=y;else{if(X.Hooks.registered[v]){var C=X.Hooks.getRoot(v),x=F(f).rootPropertyValueCache[C];x&&(b.rootPropertyValue=x)}var k=X.setPropertyValue(f,v,b.currentValue+(0===parseFloat(y)?"":b.unitType),b.rootPropertyValue,b.scrollData);X.Hooks.registered[v]&&(F(f).rootPropertyValueCache[C]=X.Normalizations.registered[C]?X.Normalizations.registered[C]("extract",null,k[1]):k[1]),"transform"===k[0]&&(g=!0)}}s.mobileHA&&F(f).transformCache.translate3d===H&&(F(f).transformCache.translate3d="(0px, 0px, 0px)",g=!0),g&&X.flushTransformCache(f)}}s.display!==H&&"none"!==s.display&&(W.State.calls[n][2].display=!1),s.visibility!==H&&"hidden"!==s.visibility&&(W.State.calls[n][2].visibility=!1),s.progress&&s.progress.call(o[1],o[1],c,Math.max(0,r+s.duration-e),r,u),1===c&&_(n)}}W.State.isTicking&&O(z)}function _(t,e){if(!W.State.calls[t])return!1;for(var i=W.State.calls[t][0],n=W.State.calls[t][1],o=W.State.calls[t][2],a=W.State.calls[t][4],s=!1,r=0,l=i.length;r<l;r++){var u=i[r].element;if(e||o.loop||("none"===o.display&&X.setPropertyValue(u,"display",o.display),"hidden"===o.visibility&&X.setPropertyValue(u,"visibility",o.visibility)),!0!==o.loop&&(V.queue(u)[1]===H||!/\.velocityQueueEntryFlag/i.test(V.queue(u)[1]))&&F(u)){F(u).isAnimating=!1;var c=!(F(u).rootPropertyValueCache={});V.each(X.Lists.transforms3D,function(t,e){var i=/^scale/.test(e)?1:0,n=F(u).transformCache[e];F(u).transformCache[e]!==H&&new RegExp("^\\("+i+"[^.]").test(n)&&(c=!0,delete F(u).transformCache[e])}),o.mobileHA&&(c=!0,delete F(u).transformCache.translate3d),c&&X.flushTransformCache(u),X.Values.removeClass(u,"velocity-animating")}if(!e&&o.complete&&!o.loop&&r===l-1)try{o.complete.call(n,n)}catch(t){setTimeout(function(){throw t},1)}a&&!0!==o.loop&&a(n),F(u)&&!0===o.loop&&!e&&(V.each(F(u).tweensContainer,function(t,e){/^rotate/.test(t)&&360===parseFloat(e.endValue)&&(e.endValue=0,e.startValue=360),/^backgroundPosition/.test(t)&&100===parseFloat(e.endValue)&&"%"===e.unitType&&(e.endValue=0,e.startValue=100)}),W(u,"reverse",{loop:!0,delay:o.delay})),!1!==o.queue&&V.dequeue(u,o.queue)}W.State.calls[t]=!1;for(var d=0,h=W.State.calls.length;d<h;d++)if(!1!==W.State.calls[d]){s=!0;break}!1===s&&(W.State.isTicking=!1,delete W.State.calls,W.State.calls=[])}var V,d=function(){if(N.documentMode)return N.documentMode;for(var t=7;4<t;t--){var e=N.createElement("div");if(e.innerHTML="\x3c!--[if IE "+t+"]><span></span><![endif]--\x3e",e.getElementsByTagName("span").length)return e=null,t}return H}(),e=(a=0,j.webkitRequestAnimationFrame||j.mozRequestAnimationFrame||function(t){var e,i=(new Date).getTime();return e=Math.max(0,16-(i-a)),a=i+e,setTimeout(function(){t(i+e)},e)}),B={isString:function(t){return"string"==typeof t},isArray:Array.isArray||function(t){return"[object Array]"===Object.prototype.toString.call(t)},isFunction:function(t){return"[object Function]"===Object.prototype.toString.call(t)},isNode:function(t){return t&&t.nodeType},isNodeList:function(t){return"object"==typeof t&&/^\[object (HTMLCollection|NodeList|Object)\]$/.test(Object.prototype.toString.call(t))&&t.length!==H&&(0===t.length||"object"==typeof t[0]&&0<t[0].nodeType)},isWrapped:function(t){return t&&(t.jquery||j.Zepto&&j.Zepto.zepto.isZ(t))},isSVG:function(t){return j.SVGElement&&t instanceof j.SVGElement},isEmptyObject:function(t){for(var e in t)return!1;return!0}},i=!1,a;if(t.fn&&t.fn.jquery?(V=t,i=!0):V=j.Velocity.Utilities,d<=8&&!i)throw new Error("Velocity: IE8 and below require jQuery to be loaded before Velocity.");if(!(d<=7)){var y=400,s="swing",W={State:{isMobile:/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent),isAndroid:/Android/i.test(navigator.userAgent),isGingerbread:/Android 2\.3\.[3-7]/i.test(navigator.userAgent),isChrome:j.chrome,isFirefox:/Firefox/i.test(navigator.userAgent),prefixElement:N.createElement("div"),prefixMatches:{},scrollAnchor:null,scrollPropertyLeft:null,scrollPropertyTop:null,isTicking:!1,calls:[]},CSS:{},Utilities:V,Redirects:{},Easings:{},Promise:j.Promise,defaults:{queue:"",duration:y,easing:s,begin:H,complete:H,progress:H,display:H,visibility:H,loop:!1,delay:!1,mobileHA:!0,_cacheValues:!0},init:function(t){V.data(t,"velocity",{isSVG:B.isSVG(t),isAnimating:!1,computedStyle:null,tweensContainer:null,rootPropertyValueCache:{},transformCache:{}})},hook:null,mock:!1,version:{major:1,minor:2,patch:2},debug:!1};j.pageYOffset!==H?(W.State.scrollAnchor=j,W.State.scrollPropertyLeft="pageXOffset",W.State.scrollPropertyTop="pageYOffset"):(W.State.scrollAnchor=N.documentElement||N.body.parentNode||N.body,W.State.scrollPropertyLeft="scrollLeft",W.State.scrollPropertyTop="scrollTop");var r=function(){function l(t){return-t.tension*t.x-t.friction*t.v}function u(t,e,i){var n={x:t.x+i.dx*e,v:t.v+i.dv*e,tension:t.tension,friction:t.friction};return{dx:n.v,dv:l(n)}}function h(t,e){var i={dx:t.v,dv:l(t)},n=u(t,.5*e,i),o=u(t,.5*e,n),a=u(t,e,o),s=1/6*(i.dx+2*(n.dx+o.dx)+a.dx),r=1/6*(i.dv+2*(n.dv+o.dv)+a.dv);return t.x=t.x+s*e,t.v=t.v+r*e,t}return function t(e,i,n){var o,a,s,r={x:-1,v:0,tension:null,friction:null},l=[0],u=0,c=1e-4,d=.016;for(e=parseFloat(e)||500,i=parseFloat(i)||20,n=n||null,r.tension=e,r.friction=i,a=(o=null!==n)?(u=t(e,i))/n*d:d;s=h(s||r,a),l.push(1+s.x),u+=16,Math.abs(s.x)>c&&Math.abs(s.v)>c;);return o?function(t){return l[t*(l.length-1)|0]}:u}}();W.Easings={linear:function(t){return t},swing:function(t){return.5-Math.cos(t*Math.PI)/2},spring:function(t){return 1-Math.cos(4.5*t*Math.PI)*Math.exp(6*-t)}},V.each([["ease",[.25,.1,.25,1]],["ease-in",[.42,0,1,1]],["ease-out",[0,0,.58,1]],["ease-in-out",[.42,0,.58,1]],["easeInSine",[.47,0,.745,.715]],["easeOutSine",[.39,.575,.565,1]],["easeInOutSine",[.445,.05,.55,.95]],["easeInQuad",[.55,.085,.68,.53]],["easeOutQuad",[.25,.46,.45,.94]],["easeInOutQuad",[.455,.03,.515,.955]],["easeInCubic",[.55,.055,.675,.19]],["easeOutCubic",[.215,.61,.355,1]],["easeInOutCubic",[.645,.045,.355,1]],["easeInQuart",[.895,.03,.685,.22]],["easeOutQuart",[.165,.84,.44,1]],["easeInOutQuart",[.77,0,.175,1]],["easeInQuint",[.755,.05,.855,.06]],["easeOutQuint",[.23,1,.32,1]],["easeInOutQuint",[.86,0,.07,1]],["easeInExpo",[.95,.05,.795,.035]],["easeOutExpo",[.19,1,.22,1]],["easeInOutExpo",[1,0,0,1]],["easeInCirc",[.6,.04,.98,.335]],["easeOutCirc",[.075,.82,.165,1]],["easeInOutCirc",[.785,.135,.15,.86]]],function(t,e){W.Easings[e[0]]=o.apply(null,e[1])});var X=W.CSS={RegEx:{isHex:/^#([A-f\d]{3}){1,2}$/i,valueUnwrap:/^[A-z]+\((.*)\)$/i,wrappedValueAlreadyExtracted:/[0-9.]+ [0-9.]+ [0-9.]+( [0-9.]+)?/,valueSplit:/([A-z]+\(.+\))|(([A-z0-9#-.]+?)(?=\s|$))/gi},Lists:{colors:["fill","stroke","stopColor","color","backgroundColor","borderColor","borderTopColor","borderRightColor","borderBottomColor","borderLeftColor","outlineColor"],transformsBase:["translateX","translateY","scale","scaleX","scaleY","skewX","skewY","rotateZ"],transforms3D:["transformPerspective","translateZ","scaleZ","rotateX","rotateY"]},Hooks:{templates:{textShadow:["Color X Y Blur","black 0px 0px 0px"],boxShadow:["Color X Y Blur Spread","black 0px 0px 0px 0px"],clip:["Top Right Bottom Left","0px 0px 0px 0px"],backgroundPosition:["X Y","0% 0%"],transformOrigin:["X Y Z","50% 50% 0px"],perspectiveOrigin:["X Y","50% 50%"]},registered:{},register:function(){for(var t=0;t<X.Lists.colors.length;t++){var e="color"===X.Lists.colors[t]?"0 0 0 1":"255 255 255 1";X.Hooks.templates[X.Lists.colors[t]]=["Red Green Blue Alpha",e]}var i,n,o;if(d)for(i in X.Hooks.templates){o=(n=X.Hooks.templates[i])[0].split(" ");var a=n[1].match(X.RegEx.valueSplit);"Color"===o[0]&&(o.push(o.shift()),a.push(a.shift()),X.Hooks.templates[i]=[o.join(" "),a.join(" ")])}for(i in X.Hooks.templates)for(var t in o=(n=X.Hooks.templates[i])[0].split(" ")){var s=i+o[t],r=t;X.Hooks.registered[s]=[i,r]}},getRoot:function(t){var e=X.Hooks.registered[t];return e?e[0]:t},cleanRootPropertyValue:function(t,e){return X.RegEx.valueUnwrap.test(e)&&(e=e.match(X.RegEx.valueUnwrap)[1]),X.Values.isCSSNullValue(e)&&(e=X.Hooks.templates[t][1]),e},extractValue:function(t,e){var i=X.Hooks.registered[t];if(i){var n=i[0],o=i[1];return(e=X.Hooks.cleanRootPropertyValue(n,e)).toString().match(X.RegEx.valueSplit)[o]}return e},injectValue:function(t,e,i){var n=X.Hooks.registered[t];if(n){var o,a,s=n[0],r=n[1];return(o=(i=X.Hooks.cleanRootPropertyValue(s,i)).toString().match(X.RegEx.valueSplit))[r]=e,a=o.join(" ")}return i}},Normalizations:{registered:{clip:function(t,e,i){switch(t){case"name":return"clip";case"extract":var n;return n=X.RegEx.wrappedValueAlreadyExtracted.test(i)?i:(n=i.toString().match(X.RegEx.valueUnwrap))?n[1].replace(/,(\s+)?/g," "):i;case"inject":return"rect("+i+")"}},blur:function(t,e,i){switch(t){case"name":return W.State.isFirefox?"filter":"-webkit-filter";case"extract":var n=parseFloat(i);if(!n&&0!==n){var o=i.toString().match(/blur\(([0-9]+[A-z]+)\)/i);n=o?o[1]:0}return n;case"inject":return parseFloat(i)?"blur("+i+")":"none"}},opacity:function(t,e,i){if(d<=8)switch(t){case"name":return"filter";case"extract":var n=i.toString().match(/alpha\(opacity=(.*)\)/i);return i=n?n[1]/100:1;case"inject":return(e.style.zoom=1)<=parseFloat(i)?"":"alpha(opacity="+parseInt(100*parseFloat(i),10)+")"}else switch(t){case"name":return"opacity";case"extract":return i;case"inject":return i}}},register:function(){d<=9||W.State.isGingerbread||(X.Lists.transformsBase=X.Lists.transformsBase.concat(X.Lists.transforms3D));for(var t=0;t<X.Lists.transformsBase.length;t++)!function(){var o=X.Lists.transformsBase[t];X.Normalizations.registered[o]=function(t,e,i){switch(t){case"name":return"transform";case"extract":return F(e)===H||F(e).transformCache[o]===H?/^scale/i.test(o)?1:0:F(e).transformCache[o].replace(/[()]/g,"");case"inject":var n=!1;switch(o.substr(0,o.length-1)){case"translate":n=!/(%|px|em|rem|vw|vh|\d)$/i.test(i);break;case"scal":case"scale":W.State.isAndroid&&F(e).transformCache[o]===H&&i<1&&(i=1),n=!/(\d)$/i.test(i);break;case"skew":n=!/(deg|\d)$/i.test(i);break;case"rotate":n=!/(deg|\d)$/i.test(i)}return n||(F(e).transformCache[o]="("+i+")"),F(e).transformCache[o]}}}();for(var t=0;t<X.Lists.colors.length;t++)!function(){var s=X.Lists.colors[t];X.Normalizations.registered[s]=function(t,e,i){switch(t){case"name":return s;case"extract":var n;if(X.RegEx.wrappedValueAlreadyExtracted.test(i))n=i;else{var o,a={black:"rgb(0, 0, 0)",blue:"rgb(0, 0, 255)",gray:"rgb(128, 128, 128)",green:"rgb(0, 128, 0)",red:"rgb(255, 0, 0)",white:"rgb(255, 255, 255)"};/^[A-z]+$/i.test(i)?o=a[i]!==H?a[i]:a.black:X.RegEx.isHex.test(i)?o="rgb("+X.Values.hexToRgb(i).join(" ")+")":/^rgba?\(/i.test(i)||(o=a.black),n=(o||i).toString().match(X.RegEx.valueUnwrap)[1].replace(/,(\s+)?/g," ")}return d<=8||3!==n.split(" ").length||(n+=" 1"),n;case"inject":return d<=8?4===i.split(" ").length&&(i=i.split(/\s+/).slice(0,3).join(" ")):3===i.split(" ").length&&(i+=" 1"),(d<=8?"rgb":"rgba")+"("+i.replace(/\s+/g,",").replace(/\.(\d)+(?=,)/g,"")+")"}}}()}},Names:{camelCase:function(t){return t.replace(/-(\w)/g,function(t,e){return e.toUpperCase()})},SVGAttribute:function(t){var e="width|height|x|y|cx|cy|r|rx|ry|x1|x2|y1|y2";return(d||W.State.isAndroid&&!W.State.isChrome)&&(e+="|transform"),new RegExp("^("+e+")$","i").test(t)},prefixCheck:function(t){if(W.State.prefixMatches[t])return[W.State.prefixMatches[t],!0];for(var e=["","Webkit","Moz","ms","O"],i=0,n=e.length;i<n;i++){var o;if(o=0===i?t:e[i]+t.replace(/^\w/,function(t){return t.toUpperCase()}),B.isString(W.State.prefixElement.style[o]))return[W.State.prefixMatches[t]=o,!0]}return[t,!1]}},Values:{hexToRgb:function(t){var e,i=/^#?([a-f\d])([a-f\d])([a-f\d])$/i,n=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i;return t=t.replace(i,function(t,e,i,n){return e+e+i+i+n+n}),(e=n.exec(t))?[parseInt(e[1],16),parseInt(e[2],16),parseInt(e[3],16)]:[0,0,0]},isCSSNullValue:function(t){return 0==t||/^(none|auto|transparent|(rgba\(0, ?0, ?0, ?0\)))$/i.test(t)},getUnitType:function(t){return/^(rotate|skew)/i.test(t)?"deg":/(^(scale|scaleX|scaleY|scaleZ|alpha|flexGrow|flexHeight|zIndex|fontWeight)$)|((opacity|red|green|blue|alpha)$)/i.test(t)?"":"px"},getDisplayType:function(t){var e=t&&t.tagName.toString().toLowerCase();return/^(b|big|i|small|tt|abbr|acronym|cite|code|dfn|em|kbd|strong|samp|var|a|bdo|br|img|map|object|q|script|span|sub|sup|button|input|label|select|textarea)$/i.test(e)?"inline":/^(li)$/i.test(e)?"list-item":/^(tr)$/i.test(e)?"table-row":/^(table)$/i.test(e)?"table":/^(tbody)$/i.test(e)?"table-row-group":"block"},addClass:function(t,e){t.classList?t.classList.add(e):t.className+=(t.className.length?" ":"")+e},removeClass:function(t,e){t.classList?t.classList.remove(e):t.className=t.className.toString().replace(new RegExp("(^|\\s)"+e.split(" ").join("|")+"(\\s|$)","gi")," ")}},getPropertyValue:function(t,e,i,u){function c(t,e){function i(){o&&X.setPropertyValue(t,"display","none")}var n=0;if(d<=8)n=V.css(t,e);else{var o=!1,a;if(/^(width|height)$/.test(e)&&0===X.getPropertyValue(t,"display")&&(o=!0,X.setPropertyValue(t,"display",X.Values.getDisplayType(t))),!u){if("height"===e&&"border-box"!==X.getPropertyValue(t,"boxSizing").toString().toLowerCase()){var s=t.offsetHeight-(parseFloat(X.getPropertyValue(t,"borderTopWidth"))||0)-(parseFloat(X.getPropertyValue(t,"borderBottomWidth"))||0)-(parseFloat(X.getPropertyValue(t,"paddingTop"))||0)-(parseFloat(X.getPropertyValue(t,"paddingBottom"))||0);return i(),s}if("width"===e&&"border-box"!==X.getPropertyValue(t,"boxSizing").toString().toLowerCase()){var r=t.offsetWidth-(parseFloat(X.getPropertyValue(t,"borderLeftWidth"))||0)-(parseFloat(X.getPropertyValue(t,"borderRightWidth"))||0)-(parseFloat(X.getPropertyValue(t,"paddingLeft"))||0)-(parseFloat(X.getPropertyValue(t,"paddingRight"))||0);return i(),r}}a=F(t)===H?j.getComputedStyle(t,null):F(t).computedStyle?F(t).computedStyle:F(t).computedStyle=j.getComputedStyle(t,null),"borderColor"===e&&(e="borderTopColor"),(""===(n=9===d&&"filter"===e?a.getPropertyValue(e):a[e])||null===n)&&(n=t.style[e]),i()}if("auto"===n&&/^(top|right|bottom|left)$/i.test(e)){var l=c(t,"position");("fixed"===l||"absolute"===l&&/top|left/i.test(e))&&(n=V(t).position()[e]+"px")}return n}var n;if(X.Hooks.registered[e]){var o=e,a=X.Hooks.getRoot(o);i===H&&(i=X.getPropertyValue(t,X.Names.prefixCheck(a)[0])),X.Normalizations.registered[a]&&(i=X.Normalizations.registered[a]("extract",t,i)),n=X.Hooks.extractValue(o,i)}else if(X.Normalizations.registered[e]){var s,r;"transform"!==(s=X.Normalizations.registered[e]("name",t))&&(r=c(t,X.Names.prefixCheck(s)[0]),X.Values.isCSSNullValue(r)&&X.Hooks.templates[e]&&(r=X.Hooks.templates[e][1])),n=X.Normalizations.registered[e]("extract",t,r)}if(!/^[\d-]/.test(n))if(F(t)&&F(t).isSVG&&X.Names.SVGAttribute(e))if(/^(height|width)$/i.test(e))try{n=t.getBBox()[e]}catch(t){n=0}else n=t.getAttribute(e);else n=c(t,X.Names.prefixCheck(e)[0]);return X.Values.isCSSNullValue(n)&&(n=0),2<=W.debug&&console.log("Get "+e+": "+n),n},setPropertyValue:function(t,e,i,n,o){var a=e;if("scroll"===e)o.container?o.container["scroll"+o.direction]=i:"Left"===o.direction?j.scrollTo(i,o.alternateValue):j.scrollTo(o.alternateValue,i);else if(X.Normalizations.registered[e]&&"transform"===X.Normalizations.registered[e]("name",t))X.Normalizations.registered[e]("inject",t,i),a="transform",i=F(t).transformCache[e];else{if(X.Hooks.registered[e]){var s=e,r=X.Hooks.getRoot(e);n=n||X.getPropertyValue(t,r),i=X.Hooks.injectValue(s,i,n),e=r}if(X.Normalizations.registered[e]&&(i=X.Normalizations.registered[e]("inject",t,i),e=X.Normalizations.registered[e]("name",t)),a=X.Names.prefixCheck(e)[0],d<=8)try{t.style[a]=i}catch(t){W.debug&&console.log("Browser does not support ["+i+"] for ["+a+"]")}else F(t)&&F(t).isSVG&&X.Names.SVGAttribute(e)?t.setAttribute(e,i):t.style[a]=i;2<=W.debug&&console.log("Set "+e+" ("+a+"): "+i)}return[a,i]},flushTransformCache:function(e){function t(t){return parseFloat(X.getPropertyValue(e,t))}var i="";if((d||W.State.isAndroid&&!W.State.isChrome)&&F(e).isSVG){var n={translate:[t("translateX"),t("translateY")],skewX:[t("skewX")],skewY:[t("skewY")],scale:1!==t("scale")?[t("scale"),t("scale")]:[t("scaleX"),t("scaleY")],rotate:[t("rotateZ"),0,0]};V.each(F(e).transformCache,function(t){/^translate/i.test(t)?t="translate":/^scale/i.test(t)?t="scale":/^rotate/i.test(t)&&(t="rotate"),n[t]&&(i+=t+"("+n[t].join(" ")+") ",delete n[t])})}else{var o,a;V.each(F(e).transformCache,function(t){return o=F(e).transformCache[t],"transformPerspective"===t?(a=o,!0):(9===d&&"rotateZ"===t&&(t="rotate"),void(i+=t+o+" "))}),a&&(i="perspective"+a+" "+i)}X.setPropertyValue(e,"transform",i)}};X.Hooks.register(),X.Normalizations.register(),W.hook=function(t,n,o){var a=H;return t=v(t),V.each(t,function(t,e){if(F(e)===H&&W.init(e),o===H)a===H&&(a=W.CSS.getPropertyValue(e,n));else{var i=W.CSS.setPropertyValue(e,n,o);"transform"===i[0]&&W.CSS.flushTransformCache(e),a=i}}),a};var b=function(t){function e(){return n?I.promise||null:o}function i(){function i(t){function d(t,e){var i=H,n=H,o=H;return B.isArray(t)?(i=t[0],!B.isArray(t[1])&&/^[\d-]/.test(t[1])||B.isFunction(t[1])||X.RegEx.isHex.test(t[1])?o=t[1]:(B.isString(t[1])&&!X.RegEx.isHex.test(t[1])||B.isArray(t[1]))&&(n=e?t[1]:R(t[1],_.duration),t[2]!==H&&(o=t[2]))):i=t,e||(n=n||_.easing),B.isFunction(i)&&(i=i.call(T,D,E)),B.isFunction(o)&&(o=o.call(T,D,E)),[i||0,n,o]}function e(t,e){var i,n;return n=(e||"0").toString().toLowerCase().replace(/[%A-z]+$/,function(t){return i=t,""}),i||(i=X.Values.getUnitType(t)),[n,i]}function i(){var t={myParent:T.parentNode||N.body,position:X.getPropertyValue(T,"position"),fontSize:X.getPropertyValue(T,"fontSize")},e=t.position===L.lastPosition&&t.myParent===L.lastParent,i=t.fontSize===L.lastFontSize;L.lastParent=t.myParent,L.lastPosition=t.position,L.lastFontSize=t.fontSize;var n=100,o={};if(i&&e)o.emToPx=L.lastEmToPx,o.percentToPxWidth=L.lastPercentToPxWidth,o.percentToPxHeight=L.lastPercentToPxHeight;else{var a=F(T).isSVG?N.createElementNS("http://www.w3.org/2000/svg","rect"):N.createElement("div");W.init(a),t.myParent.appendChild(a),V.each(["overflow","overflowX","overflowY"],function(t,e){W.CSS.setPropertyValue(a,e,"hidden")}),W.CSS.setPropertyValue(a,"position",t.position),W.CSS.setPropertyValue(a,"fontSize",t.fontSize),W.CSS.setPropertyValue(a,"boxSizing","content-box"),V.each(["minWidth","maxWidth","width","minHeight","maxHeight","height"],function(t,e){W.CSS.setPropertyValue(a,e,"100%")}),W.CSS.setPropertyValue(a,"paddingLeft","100em"),o.percentToPxWidth=L.lastPercentToPxWidth=(parseFloat(X.getPropertyValue(a,"width",null,!0))||1)/n,o.percentToPxHeight=L.lastPercentToPxHeight=(parseFloat(X.getPropertyValue(a,"height",null,!0))||1)/n,o.emToPx=L.lastEmToPx=(parseFloat(X.getPropertyValue(a,"paddingLeft"))||1)/n,t.myParent.removeChild(a)}return null===L.remToPx&&(L.remToPx=parseFloat(X.getPropertyValue(N.body,"fontSize"))||16),null===L.vwToPx&&(L.vwToPx=parseFloat(j.innerWidth)/100,L.vhToPx=parseFloat(j.innerHeight)/100),o.remToPx=L.remToPx,o.vwToPx=L.vwToPx,o.vhToPx=L.vhToPx,1<=W.debug&&console.log("Unit ratios: "+JSON.stringify(o),T),o}if(_.begin&&0===D)try{_.begin.call(P,P)}catch(t){setTimeout(function(){throw t},1)}if("scroll"===$){var n,o,a,s=/^x$/i.test(_.axis)?"Left":"Top",r=parseFloat(_.offset)||0;_.container?B.isWrapped(_.container)||B.isNode(_.container)?(_.container=_.container[0]||_.container,a=(n=_.container["scroll"+s])+V(T).position()[s.toLowerCase()]+r):_.container=null:(n=W.State.scrollAnchor[W.State["scrollProperty"+s]],o=W.State.scrollAnchor[W.State["scrollProperty"+("Left"===s?"Top":"Left")]],a=V(T).offset()[s.toLowerCase()]+r),O={scroll:{rootPropertyValue:!1,startValue:n,currentValue:n,endValue:a,unitType:"",easing:_.easing,scrollData:{container:_.container,direction:s,alternateValue:o}},element:T},W.debug&&console.log("tweensContainer (scroll): ",O.scroll,T)}else if("reverse"===$){if(!F(T).tweensContainer)return void V.dequeue(T,_.queue);"none"===F(T).opts.display&&(F(T).opts.display="auto"),"hidden"===F(T).opts.visibility&&(F(T).opts.visibility="visible"),F(T).opts.loop=!1,F(T).opts.begin=null,F(T).opts.complete=null,A.easing||delete _.easing,A.duration||delete _.duration,_=V.extend({},F(T).opts,_);var l=V.extend(!0,{},F(T).tweensContainer);for(var u in l)if("element"!==u){var c=l[u].startValue;l[u].startValue=l[u].currentValue=l[u].endValue,l[u].endValue=c,B.isEmptyObject(A)||(l[u].easing=_.easing),W.debug&&console.log("reverse tweensContainer ("+u+"): "+JSON.stringify(l[u]),T)}O=l}else if("start"===$){var l;for(var h in F(T).tweensContainer&&!0===F(T).isAnimating&&(l=F(T).tweensContainer),V.each(M,function(t,e){if(RegExp("^"+X.Lists.colors.join("$|^")+"$").test(t)){var i=d(e,!0),n=i[0],o=i[1],a=i[2];if(X.RegEx.isHex.test(n)){for(var s=["Red","Green","Blue"],r=X.Values.hexToRgb(n),l=a?X.Values.hexToRgb(a):H,u=0;u<s.length;u++){var c=[r[u]];o&&c.push(o),l!==H&&c.push(l[u]),M[t+s[u]]=c}delete M[t]}}}),M){var p=d(M[h]),f=p[0],g=p[1],m=p[2];h=X.Names.camelCase(h);var v=X.Hooks.getRoot(h),y=!1;if(F(T).isSVG||"tween"===v||!1!==X.Names.prefixCheck(v)[1]||X.Normalizations.registered[v]!==H){(_.display!==H&&null!==_.display&&"none"!==_.display||_.visibility!==H&&"hidden"!==_.visibility)&&/opacity|filter/.test(h)&&!m&&0!==f&&(m=0),_._cacheValues&&l&&l[h]?(m===H&&(m=l[h].endValue+l[h].unitType),y=F(T).rootPropertyValueCache[v]):X.Hooks.registered[h]?m===H?(y=X.getPropertyValue(T,v),m=X.getPropertyValue(T,h,y)):y=X.Hooks.templates[v][1]:m===H&&(m=X.getPropertyValue(T,h));var b,w,S,C=!1;if(m=(b=e(h,m))[0],S=b[1],f=(b=e(h,f))[0].replace(/^([+-\/*])=/,function(t,e){return C=e,""}),w=b[1],m=parseFloat(m)||0,f=parseFloat(f)||0,"%"===w&&(/^(fontSize|lineHeight)$/.test(h)?(f/=100,w="em"):/^scale/.test(h)?(f/=100,w=""):/(Red|Green|Blue)$/i.test(h)&&(f=f/100*255,w="")),/[\/*]/.test(C))w=S;else if(S!==w&&0!==m)if(0===f)w=S;else{k=k||i();var x=/margin|padding|left|right|width|text|word|letter/i.test(h)||/X$/.test(h)||"x"===h?"x":"y";switch(S){case"%":m*="x"===x?k.percentToPxWidth:k.percentToPxHeight;break
;case"px":break;default:m*=k[S+"ToPx"]}switch(w){case"%":m*=1/("x"===x?k.percentToPxWidth:k.percentToPxHeight);break;case"px":break;default:m*=1/k[w+"ToPx"]}}switch(C){case"+":f=m+f;break;case"-":f=m-f;break;case"*":f*=m;break;case"/":f=m/f}O[h]={rootPropertyValue:y,startValue:m,currentValue:m,endValue:f,unitType:w,easing:g},W.debug&&console.log("tweensContainer ("+h+"): "+JSON.stringify(O[h]),T)}else W.debug&&console.log("Skipping ["+v+"] due to a lack of browser support.")}O.element=T}O.element&&(X.Values.addClass(T,"velocity-animating"),q.push(O),""===_.queue&&(F(T).tweensContainer=O,F(T).opts=_),F(T).isAnimating=!0,D===E-1?(W.State.calls.push([q,P,_,null,I.resolver]),!1===W.State.isTicking&&(W.State.isTicking=!0,z())):D++)}var k,T=this,_=V.extend({},W.defaults,A),O={};switch(F(T)===H&&W.init(T),parseFloat(_.delay)&&!1!==_.queue&&V.queue(T,_.queue,function(t){W.velocityQueueEntryFlag=!0,F(T).delayTimer={setTimeout:setTimeout(t,parseFloat(_.delay)),next:t}}),_.duration.toString().toLowerCase()){case"fast":_.duration=200;break;case"normal":_.duration=y;break;case"slow":_.duration=600;break;default:_.duration=parseFloat(_.duration)||1}!1!==W.mock&&(!0===W.mock?_.duration=_.delay=1:(_.duration*=parseFloat(W.mock)||1,_.delay*=parseFloat(W.mock)||1)),_.easing=R(_.easing,_.duration),_.begin&&!B.isFunction(_.begin)&&(_.begin=null),_.progress&&!B.isFunction(_.progress)&&(_.progress=null),_.complete&&!B.isFunction(_.complete)&&(_.complete=null),_.display!==H&&null!==_.display&&(_.display=_.display.toString().toLowerCase(),"auto"===_.display&&(_.display=W.CSS.Values.getDisplayType(T))),_.visibility!==H&&null!==_.visibility&&(_.visibility=_.visibility.toString().toLowerCase()),_.mobileHA=_.mobileHA&&W.State.isMobile&&!W.State.isGingerbread,!1===_.queue?_.delay?setTimeout(i,_.delay):i():V.queue(T,_.queue,function(t,e){return!0===e?(I.promise&&I.resolver(P),!0):(W.velocityQueueEntryFlag=!0,void i(t))}),""!==_.queue&&"fx"!==_.queue||"inprogress"===V.queue(T)[0]||V.dequeue(T)}var n,o,a,P,M,A,s=t&&(t.p||V.isPlainObject(t.properties)&&!t.properties.names||B.isString(t.properties));if(B.isWrapped(this)?(n=!1,a=0,o=P=this):(n=!0,a=1,P=s?t.elements||t.e:t),P=v(P)){A=s?(M=t.properties||t.p,t.options||t.o):(M=arguments[a],arguments[a+1]);var E=P.length,D=0;if(!/^(stop|finish)$/i.test(M)&&!V.isPlainObject(A)){var r;A={};for(var l=a+1;l<arguments.length;l++)B.isArray(arguments[l])||!/^(fast|normal|slow)$/i.test(arguments[l])&&!/^\d/.test(arguments[l])?B.isString(arguments[l])||B.isArray(arguments[l])?A.easing=arguments[l]:B.isFunction(arguments[l])&&(A.complete=arguments[l]):A.duration=arguments[l]}var I={promise:null,resolver:null,rejecter:null},$;switch(n&&W.Promise&&(I.promise=new W.Promise(function(t,e){I.resolver=t,I.rejecter=e})),M){case"scroll":$="scroll";break;case"reverse":$="reverse";break;case"finish":case"stop":V.each(P,function(t,e){F(e)&&F(e).delayTimer&&(clearTimeout(F(e).delayTimer.setTimeout),F(e).delayTimer.next&&F(e).delayTimer.next(),delete F(e).delayTimer)});var u=[];return V.each(W.State.calls,function(o,a){a&&V.each(a[1],function(t,i){var n=A===H?"":A;return!0!==n&&a[2].queue!==n&&(A!==H||!1!==a[2].queue)||void V.each(P,function(t,e){e===i&&((!0===A||B.isString(A))&&(V.each(V.queue(e,B.isString(A)?A:""),function(t,e){B.isFunction(e)&&e(null,!0)}),V.queue(e,B.isString(A)?A:"",[])),"stop"===M?(F(e)&&F(e).tweensContainer&&!1!==n&&V.each(F(e).tweensContainer,function(t,e){e.endValue=e.currentValue}),u.push(o)):"finish"===M&&(a[2].duration=1))})})}),"stop"===M&&(V.each(u,function(t,e){_(e,!0)}),I.promise&&I.resolver(P)),e();default:if(!V.isPlainObject(M)||B.isEmptyObject(M)){if(B.isString(M)&&W.Redirects[M]){var c,d=(c=V.extend({},A)).duration,h=c.delay||0;return!0===c.backwards&&(P=V.extend(!0,[],P).reverse()),V.each(P,function(t,e){parseFloat(c.stagger)?c.delay=h+parseFloat(c.stagger)*t:B.isFunction(c.stagger)&&(c.delay=h+c.stagger.call(e,t,E)),c.drag&&(c.duration=parseFloat(d)||(/^(callout|transition)/.test(M)?1e3:y),c.duration=Math.max(c.duration*(c.backwards?1-t/E:(t+1)/E),.75*c.duration,200)),W.Redirects[M].call(e,e,c||{},t,E,P,I.promise?I:H)}),e()}var p="Velocity: First argument ("+M+") was not a property map, a known action, or a registered redirect. Aborting.";return I.promise?I.rejecter(new Error(p)):console.log(p),e()}$="start"}var L={lastParent:null,lastPosition:null,lastFontSize:null,lastPercentToPxWidth:null,lastPercentToPxHeight:null,lastEmToPx:null,remToPx:null,vwToPx:null,vhToPx:null},q=[],f,c;if(V.each(P,function(t,e){B.isNode(e)&&i.call(e)}),(c=V.extend({},W.defaults,A)).loop=parseInt(c.loop),f=2*c.loop-1,c.loop)for(var g=0;g<f;g++){var m={delay:c.delay,progress:c.progress};g===f-1&&(m.display=c.display,m.visibility=c.visibility,m.complete=c.complete),b(P,"reverse",m)}return e()}};(W=V.extend(b,W)).animate=b;var O=j.requestAnimationFrame||e;return W.State.isMobile||N.hidden===H||N.addEventListener("visibilitychange",function(){N.hidden?(O=function(t){return setTimeout(function(){t(!0)},16)},z()):O=j.requestAnimationFrame||e}),t.Velocity=W,t!==j&&(t.fn.velocity=b,t.fn.velocity.defaults=W.defaults),V.each(["Down","Up"],function(t,d){W.Redirects["slide"+d]=function(i,t,e,n,o,a){var s=V.extend({},t),r=s.begin,l=s.complete,u={height:"",marginTop:"",marginBottom:"",paddingTop:"",paddingBottom:""},c={};s.display===H&&(s.display="Down"===d?"inline"===W.CSS.Values.getDisplayType(i)?"inline-block":"block":"none"),s.begin=function(){for(var t in r&&r.call(o,o),u){c[t]=i.style[t];var e=W.CSS.getPropertyValue(i,t);u[t]="Down"===d?[e,0]:[0,e]}c.overflow=i.style.overflow,i.style.overflow="hidden"},s.complete=function(){for(var t in c)i.style[t]=c[t];l&&l.call(o,o),a&&a.resolver(o)},W(i,u,s)}}),V.each(["In","Out"],function(t,u){W.Redirects["fade"+u]=function(t,e,i,n,o,a){var s=V.extend({},e),r={opacity:"In"===u?1:0},l=s.complete;s.complete=i!==n-1?s.begin=null:function(){l&&l.call(o,o),a&&a.resolver(o)},s.display===H&&(s.display="In"===u?"auto":"none"),W(this,r,s)}}),W}jQuery.fn.velocity=jQuery.fn.animate}(window.jQuery||window.Zepto||window,window,document)})),function(t,n,e,d){"use strict";function l(t,e,i){return setTimeout(u(t,i),e)}function i(t,e,i){return!!Array.isArray(t)&&(o(t,i[e],i),!0)}function o(t,e,i){var n;if(t)if(t.forEach)t.forEach(e,i);else if(t.length!==d)for(n=0;n<t.length;)e.call(i,t[n],n,t),n++;else for(n in t)t.hasOwnProperty(n)&&e.call(i,t[n],n,t)}function a(t,e,i){for(var n=Object.keys(e),o=0;o<n.length;)(!i||i&&t[n[o]]===d)&&(t[n[o]]=e[n[o]]),o++;return t}function s(t,e){return a(t,e,!0)}function r(t,e,i){var n,o=e.prototype;(n=t.prototype=Object.create(o)).constructor=t,n._super=o,i&&a(n,i)}function u(t,e){return function(){return t.apply(e,arguments)}}function c(t,e){return typeof t==ct?t.apply(e&&e[0]||d,e):t}function h(t,e){return t===d?e:t}function p(e,t,i){o(v(t),function(t){e.addEventListener(t,i,!1)})}function f(e,t,i){o(v(t),function(t){e.removeEventListener(t,i,!1)})}function g(t,e){for(;t;){if(t==e)return!0;t=t.parentNode}return!1}function m(t,e){return-1<t.indexOf(e)}function v(t){return t.trim().split(/\s+/g)}function y(t,e,i){if(t.indexOf&&!i)return t.indexOf(e);for(var n=0;n<t.length;){if(i&&t[n][i]==e||!i&&t[n]===e)return n;n++}return-1}function b(t){return Array.prototype.slice.call(t,0)}function w(t,i,e){for(var n=[],o=[],a=0;a<t.length;){var s=i?t[a][i]:t[a];y(o,s)<0&&n.push(t[a]),o[a]=s,a++}return e&&(n=i?n.sort(function(t,e){return t[i]>e[i]}):n.sort()),n}function S(t,e){for(var i,n,o=e[0].toUpperCase()+e.slice(1),a=0;a<lt.length;){if((n=(i=lt[a])?i+o:e)in t)return n;a++}return d}function C(){return ft++}function x(t){var e=t.ownerDocument;return e.defaultView||e.parentWindow}function k(e,t){var i=this;this.manager=e,this.callback=t,this.element=e.element,this.target=e.options.inputTarget,this.domHandler=function(t){c(e.options.enable,[e])&&i.handler(t)},this.init()}function T(t){var e,i=t.options.inputClass;return new(e=i||(vt?H:yt?z:mt?B:N))(t,_)}function _(t,e,i){var n=i.pointers.length,o=i.changedPointers.length,a=e&kt&&0==n-o,s=e&(_t|Ot)&&0==n-o;i.isFirst=!!a,i.isFinal=!!s,a&&(t.session={}),i.eventType=e,O(t,i),t.emit("hammer.input",i),t.recognize(i),t.session.prevInput=i}function O(t,e){var i=t.session,n=e.pointers,o=n.length;i.firstInput||(i.firstInput=A(e)),1<o&&!i.firstMultiple?i.firstMultiple=A(e):1===o&&(i.firstMultiple=!1);var a=i.firstInput,s=i.firstMultiple,r=s?s.center:a.center,l=e.center=E(n);e.timeStamp=pt(),e.deltaTime=e.timeStamp-a.timeStamp,e.angle=L(r,l),e.distance=$(r,l),P(i,e),e.offsetDirection=I(e.deltaX,e.deltaY),e.scale=s?j(s.pointers,n):1,e.rotation=s?q(s.pointers,n):0,M(i,e);var u=t.element;g(e.srcEvent.target,u)&&(u=e.srcEvent.target),e.target=u}function P(t,e){var i=e.center,n=t.offsetDelta||{},o=t.prevDelta||{},a=t.prevInput||{};(e.eventType===kt||a.eventType===_t)&&(o=t.prevDelta={x:a.deltaX||0,y:a.deltaY||0},n=t.offsetDelta={x:i.x,y:i.y}),e.deltaX=o.x+(i.x-n.x),e.deltaY=o.y+(i.y-n.y)}function M(t,e){var i,n,o,a,s=t.lastInterval||e,r=e.timeStamp-s.timeStamp;if(e.eventType!=Ot&&(xt<r||s.velocity===d)){var l=s.deltaX-e.deltaX,u=s.deltaY-e.deltaY,c=D(r,l,u);n=c.x,o=c.y,i=ht(c.x)>ht(c.y)?c.x:c.y,a=I(l,u),t.lastInterval=e}else i=s.velocity,n=s.velocityX,o=s.velocityY,a=s.direction;e.velocity=i,e.velocityX=n,e.velocityY=o,e.direction=a}function A(t){for(var e=[],i=0;i<t.pointers.length;)e[i]={clientX:dt(t.pointers[i].clientX),clientY:dt(t.pointers[i].clientY)},i++;return{timeStamp:pt(),pointers:e,center:E(e),deltaX:t.deltaX,deltaY:t.deltaY}}function E(t){var e=t.length;if(1===e)return{x:dt(t[0].clientX),y:dt(t[0].clientY)};for(var i=0,n=0,o=0;o<e;)i+=t[o].clientX,n+=t[o].clientY,o++;return{x:dt(i/e),y:dt(n/e)}}function D(t,e,i){return{x:e/t||0,y:i/t||0}}function I(t,e){return t===e?Pt:ht(t)>=ht(e)?0<t?Mt:At:0<e?Et:Dt}function $(t,e,i){i||(i=qt);var n=e[i[0]]-t[i[0]],o=e[i[1]]-t[i[1]];return Math.sqrt(n*n+o*o)}function L(t,e,i){i||(i=qt);var n=e[i[0]]-t[i[0]],o=e[i[1]]-t[i[1]];return 180*Math.atan2(o,n)/Math.PI}function q(t,e){return L(e[1],e[0],jt)-L(t[1],t[0],jt)}function j(t,e){return $(e[0],e[1],jt)/$(t[0],t[1],jt)}function N(){this.evEl=Ht,this.evWin=Ft,this.allow=!0,this.pressed=!1,k.apply(this,arguments)}function H(){this.evEl=Vt,this.evWin=Bt,k.apply(this,arguments),this.store=this.manager.session.pointerEvents=[]}function F(){this.evTarget=Xt,this.evWin=Qt,this.started=!1,k.apply(this,arguments)}function R(t,e){var i=b(t.touches),n=b(t.changedTouches);return e&(_t|Ot)&&(i=w(i.concat(n),"identifier",!0)),[i,n]}function z(){this.evTarget=Yt,this.targetIds={},k.apply(this,arguments)}function V(t,e){var i=b(t.touches),n=this.targetIds;if(e&(2|kt)&&1===i.length)return n[i[0].identifier]=!0,[i,i];var o,a,s=b(t.changedTouches),r=[],l=this.target;if(a=i.filter(function(t){return g(t.target,l)}),e===kt)for(o=0;o<a.length;)n[a[o].identifier]=!0,o++;for(o=0;o<s.length;)n[s[o].identifier]&&r.push(s[o]),e&(_t|Ot)&&delete n[s[o].identifier],o++;return r.length?[w(a.concat(r),"identifier",!0),r]:void 0}function B(){k.apply(this,arguments);var t=u(this.handler,this);this.touch=new z(this.manager,t),this.mouse=new N(this.manager,t)}function W(t,e){this.manager=t,this.set(e)}function X(t){if(m(t,ee))return ee;var e=m(t,ie),i=m(t,ne);return e&&i?ie+" "+ne:e||i?e?ie:ne:m(t,te)?te:Kt}function Q(t){this.id=C(),this.manager=null,this.options=s(t||{},this.defaults),this.options.enable=h(this.options.enable,!0),this.state=oe,this.simultaneous={},this.requireFail=[]}function U(t){return t&ue?"cancel":t&re?"end":t&se?"move":t&ae?"start":""}function Y(t){return t==Dt?"down":t==Et?"up":t==Mt?"left":t==At?"right":""}function G(t,e){var i=e.manager;return i?i.get(t):t}function Z(){Q.apply(this,arguments)}function J(){Z.apply(this,arguments),this.pX=null,this.pY=null}function K(){Z.apply(this,arguments)}function tt(){Q.apply(this,arguments),this._timer=null,this._input=null}function et(){Z.apply(this,arguments)}function it(){Z.apply(this,arguments)}function nt(){Q.apply(this,arguments),this.pTime=!1,this.pCenter=!1,this._timer=null,this._input=null,this.count=0}function ot(t,e){return(e=e||{}).recognizers=h(e.recognizers,ot.defaults.preset),new at(t,e)}function at(t,e){e=e||{},this.options=s(e,ot.defaults),this.options.inputTarget=this.options.inputTarget||t,this.handlers={},this.session={},this.recognizers=[],this.element=t,this.input=T(this),this.touchAction=new W(this,this.options.touchAction),st(this,!0),o(e.recognizers,function(t){var e=this.add(new t[0](t[1]));t[2]&&e.recognizeWith(t[2]),t[3]&&e.requireFailure(t[3])},this)}function st(t,i){var n=t.element;o(t.options.cssProps,function(t,e){n.style[S(n.style,e)]=i?t:""})}function rt(t,e){var i=n.createEvent("Event");i.initEvent(t,!0,!0),(i.gesture=e).target.dispatchEvent(i)}var lt=["","webkit","moz","MS","ms","o"],ut=n.createElement("div"),ct="function",dt=Math.round,ht=Math.abs,pt=Date.now,ft=1,gt=/mobile|tablet|ip(ad|hone|od)|android/i,mt="ontouchstart"in t,vt=S(t,"PointerEvent")!==d,yt=mt&&gt.test(navigator.userAgent),bt="touch",wt="pen",St="mouse",Ct="kinect",xt=25,kt=1,Tt=2,_t=4,Ot=8,Pt=1,Mt=2,At=4,Et=8,Dt=16,It=Mt|At,$t=Et|Dt,Lt=It|$t,qt=["x","y"],jt=["clientX","clientY"];k.prototype={handler:function(){},init:function(){this.evEl&&p(this.element,this.evEl,this.domHandler),this.evTarget&&p(this.target,this.evTarget,this.domHandler),this.evWin&&p(x(this.element),this.evWin,this.domHandler)},destroy:function(){this.evEl&&f(this.element,this.evEl,this.domHandler),this.evTarget&&f(this.target,this.evTarget,this.domHandler),this.evWin&&f(x(this.element),this.evWin,this.domHandler)}};var Nt={mousedown:kt,mousemove:2,mouseup:_t},Ht="mousedown",Ft="mousemove mouseup";r(N,k,{handler:function(t){var e=Nt[t.type];e&kt&&0===t.button&&(this.pressed=!0),2&e&&1!==t.which&&(e=_t),this.pressed&&this.allow&&(e&_t&&(this.pressed=!1),this.callback(this.manager,e,{pointers:[t],changedPointers:[t],pointerType:St,srcEvent:t}))}});var Rt={pointerdown:kt,pointermove:2,pointerup:_t,pointercancel:Ot,pointerout:Ot},zt={2:bt,3:wt,4:St,5:Ct},Vt="pointerdown",Bt="pointermove pointerup pointercancel";t.MSPointerEvent&&(Vt="MSPointerDown",Bt="MSPointerMove MSPointerUp MSPointerCancel"),r(H,k,{handler:function(t){var e=this.store,i=!1,n=t.type.toLowerCase().replace("ms",""),o=Rt[n],a=zt[t.pointerType]||t.pointerType,s=a==bt,r=y(e,t.pointerId,"pointerId");o&kt&&(0===t.button||s)?r<0&&(e.push(t),r=e.length-1):o&(_t|Ot)&&(i=!0),r<0||(e[r]=t,this.callback(this.manager,o,{pointers:e,changedPointers:[t],pointerType:a,srcEvent:t}),i&&e.splice(r,1))}});var Wt={touchstart:kt,touchmove:2,touchend:_t,touchcancel:Ot},Xt="touchstart",Qt="touchstart touchmove touchend touchcancel";r(F,k,{handler:function(t){var e=Wt[t.type];if(e===kt&&(this.started=!0),this.started){var i=R.call(this,t,e);e&(_t|Ot)&&0==i[0].length-i[1].length&&(this.started=!1),this.callback(this.manager,e,{pointers:i[0],changedPointers:i[1],pointerType:bt,srcEvent:t})}}});var Ut={touchstart:kt,touchmove:2,touchend:_t,touchcancel:Ot},Yt="touchstart touchmove touchend touchcancel";r(z,k,{handler:function(t){var e=Ut[t.type],i=V.call(this,t,e);i&&this.callback(this.manager,e,{pointers:i[0],changedPointers:i[1],pointerType:bt,srcEvent:t})}}),r(B,k,{handler:function(t,e,i){var n=i.pointerType==bt,o=i.pointerType==St;if(n)this.mouse.allow=!1;else if(o&&!this.mouse.allow)return;e&(_t|Ot)&&(this.mouse.allow=!0),this.callback(t,e,i)},destroy:function(){this.touch.destroy(),this.mouse.destroy()}});var Gt=S(ut.style,"touchAction"),Zt=Gt!==d,Jt="compute",Kt="auto",te="manipulation",ee="none",ie="pan-x",ne="pan-y";W.prototype={set:function(t){t==Jt&&(t=this.compute()),Zt&&(this.manager.element.style[Gt]=t),this.actions=t.toLowerCase().trim()},update:function(){this.set(this.manager.options.touchAction)},compute:function(){var e=[];return o(this.manager.recognizers,function(t){c(t.options.enable,[t])&&(e=e.concat(t.getTouchAction()))}),X(e.join(" "))},preventDefaults:function(t){if(!Zt){var e=t.srcEvent,i=t.offsetDirection;if(this.manager.session.prevented)return void e.preventDefault();var n=this.actions,o=m(n,ee),a=m(n,ne),s=m(n,ie);return o||a&&i&It||s&&i&$t?this.preventSrc(e):void 0}},preventSrc:function(t){this.manager.session.prevented=!0,t.preventDefault()}};var oe=1,ae=2,se=4,re=8,le=re,ue=16,ce=32;Q.prototype={defaults:{},set:function(t){return a(this.options,t),this.manager&&this.manager.touchAction.update(),this},recognizeWith:function(t){if(i(t,"recognizeWith",this))return this;var e=this.simultaneous;return e[(t=G(t,this)).id]||(e[t.id]=t).recognizeWith(this),this},dropRecognizeWith:function(t){return i(t,"dropRecognizeWith",this)||(t=G(t,this),delete this.simultaneous[t.id]),this},requireFailure:function(t){if(i(t,"requireFailure",this))return this;var e=this.requireFail;return-1===y(e,t=G(t,this))&&(e.push(t),t.requireFailure(this)),this},dropRequireFailure:function(t){if(i(t,"dropRequireFailure",this))return this;t=G(t,this);var e=y(this.requireFail,t);return-1<e&&this.requireFail.splice(e,1),this},hasRequireFailures:function(){return 0<this.requireFail.length},canRecognizeWith:function(t){return!!this.simultaneous[t.id]},emit:function(e){function t(t){i.manager.emit(i.options.event+(t?U(n):""),e)}var i=this,n=this.state;n<re&&t(!0),t(),re<=n&&t(!0)},tryEmit:function(t){return this.canEmit()?this.emit(t):void(this.state=32)},canEmit:function(){for(var t=0;t<this.requireFail.length;){if(!(this.requireFail[t].state&(32|oe)))return!1;t++}return!0},recognize:function(t){var e=a({},t);return c(this.options.enable,[this,e])?(this.state&(le|ue|32)&&(this.state=oe),this.state=this.process(e),void(this.state&(ae|se|re|ue)&&this.tryEmit(e))):(this.reset(),void(this.state=32))},process:function(){},getTouchAction:function(){},reset:function(){}},r(Z,Q,{defaults:{pointers:1},attrTest:function(t){var e=this.options.pointers;return 0===e||t.pointers.length===e},process:function(t){var e=this.state,i=t.eventType,n=e&(ae|se),o=this.attrTest(t);return n&&(i&Ot||!o)?e|ue:n||o?i&_t?e|re:e&ae?e|se:ae:32}}),r(J,Z,{defaults:{event:"pan",threshold:10,pointers:1,direction:Lt},getTouchAction:function(){var t=this.options.direction,e=[];return t&It&&e.push(ne),t&$t&&e.push(ie),e},directionTest:function(t){var e=this.options,i=!0,n=t.distance,o=t.direction,a=t.deltaX,s=t.deltaY;return o&e.direction||(n=e.direction&It?(o=0===a?Pt:a<0?Mt:At,i=a!=this.pX,Math.abs(t.deltaX)):(o=0===s?Pt:s<0?Et:Dt,i=s!=this.pY,Math.abs(t.deltaY))),t.direction=o,i&&n>e.threshold&&o&e.direction},attrTest:function(t){return Z.prototype.attrTest.call(this,t)&&(this.state&ae||!(this.state&ae)&&this.directionTest(t))},emit:function(t){this.pX=t.deltaX,this.pY=t.deltaY;var e=Y(t.direction);e&&this.manager.emit(this.options.event+e,t),this._super.emit.call(this,t)}}),r(K,Z,{defaults:{event:"pinch",threshold:0,pointers:2},getTouchAction:function(){return[ee]},attrTest:function(t){return this._super.attrTest.call(this,t)&&(Math.abs(t.scale-1)>this.options.threshold||this.state&ae)},emit:function(t){if(this._super.emit.call(this,t),1!==t.scale){var e=t.scale<1?"in":"out";this.manager.emit(this.options.event+e,t)}}}),r(tt,Q,{defaults:{event:"press",pointers:1,time:500,threshold:5},getTouchAction:function(){return[Kt]},process:function(t){var e=this.options,i=t.pointers.length===e.pointers,n=t.distance<e.threshold,o=t.deltaTime>e.time;if(this._input=t,!n||!i||t.eventType&(_t|Ot)&&!o)this.reset();else if(t.eventType&kt)this.reset(),this._timer=l(function(){this.state=le,this.tryEmit()},e.time,this);else if(t.eventType&_t)return le;return 32},reset:function(){clearTimeout(this._timer)},emit:function(t){this.state===le&&(t&&t.eventType&_t?this.manager.emit(this.options.event+"up",t):(this._input.timeStamp=pt(),this.manager.emit(this.options.event,this._input)))}}),r(et,Z,{defaults:{event:"rotate",threshold:0,pointers:2},getTouchAction:function(){return[ee]},attrTest:function(t){return this._super.attrTest.call(this,t)&&(Math.abs(t.rotation)>this.options.threshold||this.state&ae)}}),r(it,Z,{defaults:{event:"swipe",threshold:10,velocity:.65,direction:It|$t,pointers:1},getTouchAction:function(){return J.prototype.getTouchAction.call(this)},attrTest:function(t){var e,i=this.options.direction;return i&(It|$t)?e=t.velocity:i&It?e=t.velocityX:i&$t&&(e=t.velocityY),this._super.attrTest.call(this,t)&&i&t.direction&&t.distance>this.options.threshold&&ht(e)>this.options.velocity&&t.eventType&_t},emit:function(t){var e=Y(t.direction);e&&this.manager.emit(this.options.event+e,t),this.manager.emit(this.options.event,t)}}),r(nt,Q,{defaults:{event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:2,posThreshold:10},getTouchAction:function(){return[te]},process:function(t){var e=this.options,i=t.pointers.length===e.pointers,n=t.distance<e.threshold,o=t.deltaTime<e.time;if(this.reset(),t.eventType&kt&&0===this.count)return this.failTimeout();if(n&&o&&i){if(t.eventType!=_t)return this.failTimeout();var a=!this.pTime||t.timeStamp-this.pTime<e.interval,s=!this.pCenter||$(this.pCenter,t.center)<e.posThreshold,r;if(this.pTime=t.timeStamp,this.pCenter=t.center,s&&a?this.count+=1:this.count=1,this._input=t,0===this.count%e.taps)return this.hasRequireFailures()?(this._timer=l(function(){this.state=le,this.tryEmit()},e.interval,this),ae):le}return 32},failTimeout:function(){return this._timer=l(function(){this.state=32},this.options.interval,this),32},reset:function(){clearTimeout(this._timer)},emit:function(){this.state==le&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))}}),ot.VERSION="2.0.4",ot.defaults={domEvents:!1,touchAction:Jt,enable:!0,inputTarget:null,inputClass:null,preset:[[et,{enable:!1}],[K,{enable:!1},["rotate"]],[it,{direction:It}],[J,{direction:It},["swipe"]],[nt],[nt,{event:"doubletap",taps:2},["tap"]],[tt]],cssProps:{userSelect:"default",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}};var de=1,he=2;at.prototype={set:function(t){return a(this.options,t),t.touchAction&&this.touchAction.update(),t.inputTarget&&(this.input.destroy(),this.input.target=t.inputTarget,this.input.init()),this},stop:function(t){this.session.stopped=t?2:1},recognize:function(t){var e=this.session;if(!e.stopped){this.touchAction.preventDefaults(t);var i,n=this.recognizers,o=e.curRecognizer;(!o||o&&o.state&le)&&(o=e.curRecognizer=null);for(var a=0;a<n.length;)i=n[a],2===e.stopped||o&&i!=o&&!i.canRecognizeWith(o)?i.reset():i.recognize(t),!o&&i.state&(ae|se|re)&&(o=e.curRecognizer=i),a++}},get:function(t){if(t instanceof Q)return t;for(var e=this.recognizers,i=0;i<e.length;i++)if(e[i].options.event==t)return e[i];return null},add:function(t){if(i(t,"add",this))return this;var e=this.get(t.options.event);return e&&this.remove(e),this.recognizers.push(t),(t.manager=this).touchAction.update(),t},remove:function(t){if(i(t,"remove",this))return this;var e=this.recognizers;return t=this.get(t),e.splice(y(e,t),1),this.touchAction.update(),this},on:function(t,e){var i=this.handlers;return o(v(t),function(t){i[t]=i[t]||[],i[t].push(e)}),this},off:function(t,e){var i=this.handlers;return o(v(t),function(t){e?i[t].splice(y(i[t],e),1):delete i[t]}),this},emit:function(t,e){this.options.domEvents&&rt(t,e);var i=this.handlers[t]&&this.handlers[t].slice();if(i&&i.length){e.type=t,e.preventDefault=function(){e.srcEvent.preventDefault()};for(var n=0;n<i.length;)i[n](e),n++}},destroy:function(){this.element&&st(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null}},a(ot,{INPUT_START:kt,INPUT_MOVE:2,INPUT_END:_t,INPUT_CANCEL:Ot,STATE_POSSIBLE:oe,STATE_BEGAN:ae,STATE_CHANGED:se,STATE_ENDED:re,STATE_RECOGNIZED:le,STATE_CANCELLED:ue,STATE_FAILED:32,DIRECTION_NONE:Pt,DIRECTION_LEFT:Mt,DIRECTION_RIGHT:At,DIRECTION_UP:Et,DIRECTION_DOWN:Dt,DIRECTION_HORIZONTAL:It,DIRECTION_VERTICAL:$t,DIRECTION_ALL:Lt,Manager:at,Input:k,TouchAction:W,TouchInput:z,MouseInput:N,PointerEventInput:H,TouchMouseInput:B,SingleTouchInput:F,Recognizer:Q,AttrRecognizer:Z,Tap:nt,Pan:J,Swipe:it,Pinch:K,Rotate:et,Press:tt,on:p,off:f,each:o,merge:s,extend:a,inherit:r,bindFn:u,prefixed:S}),typeof define==ct&&define.amd?define(function(){return ot}):"undefined"!=typeof module&&module.exports?module.exports=ot:t[e]=ot}(window,document,"Hammer"),function(t){"function"==typeof define&&define.amd?define(["jquery","hammerjs"],t):"object"==typeof exports?t(require("jquery"),require("hammerjs")):t(jQuery,Hammer)}(function(n,o){function e(t,e){var i=n(t);i.data("hammer")||i.data("hammer",new o(i[0],e))}var i;n.fn.hammer=function(t){return this.each(function(){e(this,t)})},o.Manager.prototype.emit=(i=o.Manager.prototype.emit,function(t,e){i.call(this,t,e),n(this.element).trigger({type:t,gesture:e})})}),function(t){t.Package?Materialize={}:t.Materialize={}}(window),Materialize.guid=function(){function t(){return Math.floor(65536*(1+Math.random())).toString(16).substring(1)}return function(){return t()+t()+"-"+t()+"-"+t()+"-"+t()+"-"+t()+t()+t()}}(),Materialize.elementOrParentIsFixed=function(t){var e=$(t),i=e.add(e.parents()),n=!1;return i.each(function(){return"fixed"===$(this).css("position")?!(n=!0):void 0}),n},Vel=$?$.Velocity:jQuery?jQuery.Velocity:Velocity,function(u){u.fn.collapsible=function(l){var t={accordion:void 0};return l=u.extend(t,l),this.each(function(){function n(t){i=e.find("> li > .collapsible-header"),t.hasClass("active")?t.parent().addClass("active"):t.parent().removeClass("active"),t.parent().hasClass("active")?t.siblings(".collapsible-body").stop(!0,!1).slideDown({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){u(this).css("height","")}}):t.siblings(".collapsible-body").stop(!0,!1).slideUp({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){u(this).css("height","")}}),i.not(t).removeClass("active").parent().removeClass("active"),i.not(t).parent().children(".collapsible-body").stop(!0,!1).slideUp({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){u(this).css("height","")}})}function o(t){t.hasClass("active")?t.parent().addClass("active"):t.parent().removeClass("active"),t.parent().hasClass("active")?t.siblings(".collapsible-body").stop(!0,!1).slideDown({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){u(this).css("height","")}}):t.siblings(".collapsible-body").stop(!0,!1).slideUp({duration:350,easing:"easeOutQuart",queue:!1,complete:function(){u(this).css("height","")}})}function a(t){var e;return 0<s(t).length}function s(t){return t.closest("li > .collapsible-header")}var e=u(this),i=u(this).find("> li > .collapsible-header"),r=e.data("collapsible");e.off("click.collapse","> li > .collapsible-header"),i.off("click.collapse"),e.on("click.collapse","> li > .collapsible-header",function(t){var e=u(this),i=u(t.target);a(i)&&(i=s(i)),i.toggleClass("active"),l.accordion||"accordion"===r||void 0===r?n(i):(o(i),e.hasClass("active")&&o(e))});var i=e.find("> li > .collapsible-header");l.accordion||"accordion"===r||void 0===r?n(i.filter(".active").first()):i.filter(".active").each(function(){o(u(this))})})},u(document).ready(function(){u(".collapsible").collapsible()})}(jQuery),function(y){y.fn.scrollTo=function(t){return y(this).scrollTop(y(this).scrollTop()-y(this).offset().top+y(t).offset().top),this},y.fn.dropdown=function(t){var e={inDuration:300,outDuration:225,constrain_width:!0,hover:!1,gutter:0,belowOrigin:!1,alignment:"left"};this.each(function(){function p(){void 0!==f.data("induration")&&(g.inDuration=f.data("inDuration")),void 0!==f.data("outduration")&&(g.outDuration=f.data("outDuration")),void 0!==f.data("constrainwidth")&&(g.constrain_width=f.data("constrainwidth")),void 0!==f.data("hover")&&(g.hover=f.data("hover")),void 0!==f.data("gutter")&&(g.gutter=f.data("gutter")),void 0!==f.data("beloworigin")&&(g.belowOrigin=f.data("beloworigin")),void 0!==f.data("alignment")&&(g.alignment=f.data("alignment"))}function i(t){"focus"===t&&(m=!0),p(),v.addClass("active"),f.addClass("active"),!0===g.constrain_width?v.css("width",f.outerWidth()):v.css("white-space","nowrap");var e=window.innerHeight,i=f.innerHeight(),n=f.offset().left,o=f.offset().top-y(window).scrollTop(),a=g.alignment,s=0,r=0,l=0;!0===g.belowOrigin&&(l=i);var u=0,c=f.parent();if(!c.is("body")&&c[0].scrollHeight>c[0].clientHeight&&(u=c[0].scrollTop),n+v.innerWidth()>y(window).width()?a="right":n-v.innerWidth()+f.innerWidth()<0&&(a="left"),o+v.innerHeight()>e)if(o+i-v.innerHeight()<0){var d=e-o-l;v.css("max-height",d)}else l||(l+=i),l-=v.innerHeight();if("left"===a)s=g.gutter,r=f.position().left+s;else if("right"===a){var h;r=f.position().left+f.outerWidth()-v.outerWidth()+(s=-g.gutter)}v.css({position:"absolute",top:f.position().top+l+u,left:r}),v.stop(!0,!0).css("opacity",0).slideDown({queue:!1,duration:g.inDuration,easing:"easeOutCubic",complete:function(){y(this).css("height","")}}).animate({opacity:1},{queue:!1,duration:g.inDuration,easing:"easeOutSine"})}function n(){m=!1,v.fadeOut(g.outDuration),v.removeClass("active"),f.removeClass("active"),setTimeout(function(){v.css("max-height","")},g.outDuration)}var f=y(this),g=y.extend({},e,t),m=!1,v=y("#"+f.attr("data-activates"));if(p(),f.after(v),g.hover){var o=!1;f.unbind("click."+f.attr("id")),f.on("mouseenter",function(t){!1===o&&(i(),o=!0)}),f.on("mouseleave",function(t){var e=t.toElement||t.relatedTarget;y(e).closest(".dropdown-content").is(v)||(v.stop(!0,!0),n(),o=!1)}),v.on("mouseleave",function(t){var e=t.toElement||t.relatedTarget;y(e).closest(".dropdown-button").is(f)||(v.stop(!0,!0),n(),o=!1)})}else f.unbind("click."+f.attr("id")),f.bind("click."+f.attr("id"),function(t){m||(f[0]!=t.currentTarget||f.hasClass("active")||0!==y(t.target).closest(".dropdown-content").length?f.hasClass("active")&&(n(),y(document).unbind("click."+v.attr("id")+" touchstart."+v.attr("id"))):(t.preventDefault(),i("click")),v.hasClass("active")&&y(document).bind("click."+v.attr("id")+" touchstart."+v.attr("id"),function(t){v.is(t.target)||f.is(t.target)||f.find(t.target).length||(n(),y(document).unbind("click."+v.attr("id")+" touchstart."+v.attr("id")))}))});f.on("open",function(t,e){i(e)}),f.on("close",n)})},y(document).ready(function(){y(".dropdown-button").dropdown()})}(jQuery),function(a){var s=0,t=0,r=function(){return"materialize-lean-overlay-"+ ++t};a.fn.extend({openModal:function(e){var t=a("body"),i=t.innerWidth();t.css("overflow","hidden"),t.width(i);var n={opacity:.5,in_duration:350,out_duration:250,ready:void 0,complete:void 0,dismissible:!0,starting_top:"4%"},o=a(this);o.hasClass("open")||(overlayID=r(),$overlay=a('<div class="lean-overlay"></div>'),lStack=++s,$overlay.attr("id",overlayID).css("z-index",1e3+2*lStack),o.data("overlay-id",overlayID).css("z-index",1e3+2*lStack+1),o.addClass("open"),a("body").append($overlay),(e=a.extend(n,e)).dismissible&&($overlay.click(function(){o.closeModal(e)}),a(document).on("keyup.leanModal"+overlayID,function(t){27===t.keyCode&&o.closeModal(e)})),o.find(".modal-close").on("click.close",function(t){o.closeModal(e)}),$overlay.css({display:"block",opacity:0}),o.css({display:"block",opacity:0}),$overlay.velocity({opacity:e.opacity},{duration:e.in_duration,queue:!1,ease:"easeOutCubic"}),o.data("associated-overlay",$overlay[0]),o.hasClass("bottom-sheet")?o.velocity({bottom:"0",opacity:1},{duration:e.in_duration,queue:!1,ease:"easeOutCubic",complete:function(){"function"==typeof e.ready&&e.ready()}}):(a.Velocity.hook(o,"scaleX",.7),o.css({top:e.starting_top}),o.velocity({top:"10%",opacity:1,scaleX:"1"},{duration:e.in_duration,queue:!1,ease:"easeOutCubic",complete:function(){"function"==typeof e.ready&&e.ready()}})))}}),a.fn.extend({closeModal:function(t){var e={out_duration:250,complete:void 0},i=a(this),n=i.data("overlay-id"),o=a("#"+n);i.removeClass("open"),t=a.extend(e,t),a("body").css({overflow:"",width:""}),i.find(".modal-close").off("click.close"),a(document).off("keyup.leanModal"+n),o.velocity({opacity:0},{duration:t.out_duration,queue:!1,ease:"easeOutQuart"}),i.hasClass("bottom-sheet")?i.velocity({bottom:"-100%",opacity:0},{duration:t.out_duration,queue:!1,
ease:"easeOutCubic",complete:function(){o.css({display:"none"}),"function"==typeof t.complete&&t.complete(),o.remove(),s--}}):i.velocity({top:t.starting_top,opacity:0,scaleX:.7},{duration:t.out_duration,complete:function(){a(this).css("display","none"),"function"==typeof t.complete&&t.complete(),o.remove(),s--}})}}),a.fn.extend({leanModal:function(e){return this.each(function(){var t={starting_top:"4%"},i=a.extend(t,e);a(this).click(function(t){i.starting_top=(a(this).offset().top-a(window).scrollTop())/1.15;var e=a(this).attr("href")||"#"+a(this).data("target");a(e).openModal(i),t.preventDefault()})})}})}(jQuery),function(w){w.fn.materialbox=function(){return this.each(function(){function p(){v=!1;var t=b.parent(".material-placeholder"),e=(window.innerWidth,window.innerHeight,b.data("width")),i=b.data("height");b.velocity("stop",!0),w("#materialbox-overlay").velocity("stop",!0),w(".materialbox-caption").velocity("stop",!0),w("#materialbox-overlay").velocity({opacity:0},{duration:n,queue:!1,easing:"easeOutQuad",complete:function(){m=!1,w(this).remove()}}),b.velocity({width:e,height:i,left:0,top:0},{duration:n,queue:!1,easing:"easeOutQuad"}),w(".materialbox-caption").velocity({opacity:0},{duration:n,queue:!1,easing:"easeOutQuad",complete:function(){t.css({height:"",width:"",position:"",top:"",left:""}),b.css({height:"",top:"",left:"",width:"","max-width":"",position:"","z-index":""}),b.removeClass("active"),v=!0,w(this).remove(),f&&f.css("overflow","")}})}if(!w(this).hasClass("initialized")){w(this).addClass("initialized");var f,g,m=!1,v=!0,y=275,n=200,b=w(this),t=w("<div></div>").addClass("material-placeholder");b.wrap(t),b.on("click",function(){var t=b.parent(".material-placeholder"),e=window.innerWidth,i=window.innerHeight,n=b.width(),o=b.height();if(!1===v)return p(),!1;if(m&&!0===v)return p(),!1;for(v=!1,b.addClass("active"),m=!0,t.css({width:t[0].getBoundingClientRect().width,height:t[0].getBoundingClientRect().height,position:"relative",top:0,left:0}),f=void 0,g=t[0].parentNode;null!==g&&!w(g).is(document);){var a=w(g);"visible"!==a.css("overflow")&&(a.css("overflow","visible"),f=void 0===f?a:f.add(a)),g=g.parentNode}b.css({position:"absolute","z-index":1e3}).data("width",n).data("height",o);var s=w('<div id="materialbox-overlay"></div>').css({opacity:0}).click(function(){!0===v&&p()});if(b.before(s),s.velocity({opacity:1},{duration:y,queue:!1,easing:"easeOutQuad"}),""!==b.data("caption")){var r=w('<div class="materialbox-caption"></div>');r.text(b.data("caption")),w("body").append(r),r.css({display:"inline"}),r.velocity({opacity:1},{duration:y,queue:!1,easing:"easeOutQuad"})}var l=0,u,c,d=0,h=0;h=o/i<n/e?(d=.9*e)*(l=o/n):(d=.9*i*(l=n/o),.9*i),b.hasClass("responsive-img")?b.velocity({"max-width":d,width:n},{duration:0,queue:!1,complete:function(){b.css({left:0,top:0}).velocity({height:h,width:d,left:w(document).scrollLeft()+e/2-b.parent(".material-placeholder").offset().left-d/2,top:w(document).scrollTop()+i/2-b.parent(".material-placeholder").offset().top-h/2},{duration:y,queue:!1,easing:"easeOutQuad",complete:function(){v=!0}})}}):b.css("left",0).css("top",0).velocity({height:h,width:d,left:w(document).scrollLeft()+e/2-b.parent(".material-placeholder").offset().left-d/2,top:w(document).scrollTop()+i/2-b.parent(".material-placeholder").offset().top-h/2},{duration:y,queue:!1,easing:"easeOutQuad",complete:function(){v=!0}})}),w(window).scroll(function(){m&&p()}),w(document).keyup(function(t){27===t.keyCode&&!0===v&&m&&p()})}})},w(document).ready(function(){w(".materialboxed").materialbox()})}(jQuery),function(f){f.fn.parallax=function(){var p=f(window).width();return this.each(function(t){function e(t){var e;e=p<601?0<h.height()?h.height():h.children("img").height():0<h.height()?h.height():500;var i=h.children("img").first(),n,o=i.height()-e,a=h.offset().top+e,s=h.offset().top,r=f(window).scrollTop(),l=window.innerHeight,u,c=(r+l-s)/(e+l),d=Math.round(o*c);t&&i.css("display","block"),r<a&&s<r+l&&i.css("transform","translate3D(-50%,"+d+"px, 0)")}var h=f(this);h.addClass("parallax"),h.children("img").one("load",function(){e(!0)}).each(function(){this.complete&&f(this).load()}),f(window).scroll(function(){p=f(window).width(),e(!1)}),f(window).resize(function(){p=f(window).width(),e(!1)})})}}(jQuery),function(c){var e={init:function(){return this.each(function(){var i=c(this);c(window).width(),i.width("100%");var n,o,a=i.find("li.tab a"),s=i.width(),r=Math.max(s,i[0].scrollWidth)/a.length,l=0;0===(n=c(a.filter('[href="'+location.hash+'"]'))).length&&(n=c(this).find("li.tab a.active").first()),0===n.length&&(n=c(this).find("li.tab a").first()),n.addClass("active"),(l=a.index(n))<0&&(l=0),void 0!==n[0]&&(o=c(n[0].hash)),i.append('<div class="indicator"></div>');var u=i.find(".indicator");i.is(":visible")&&(u.css({right:s-(l+1)*r}),u.css({left:l*r})),c(window).resize(function(){s=i.width(),r=Math.max(s,i[0].scrollWidth)/a.length,l<0&&(l=0),0!==r&&0!==s&&(u.css({right:s-(l+1)*r}),u.css({left:l*r}))}),a.not(n).each(function(){c(this.hash).hide()}),i.on("click","a",function(t){if(c(this).parent().hasClass("disabled"))t.preventDefault();else{s=i.width(),r=Math.max(s,i[0].scrollWidth)/a.length,n.removeClass("active"),void 0!==o&&o.hide(),n=c(this),o=c(this.hash),a=i.find("li.tab a"),n.addClass("active");var e=l;(l=a.index(c(this)))<0&&(l=0),void 0!==o&&o.show(),0<=l-e?(u.velocity({right:s-(l+1)*r},{duration:300,queue:!1,easing:"easeOutQuad"}),u.velocity({left:l*r},{duration:300,queue:!1,easing:"easeOutQuad",delay:90})):(u.velocity({left:l*r},{duration:300,queue:!1,easing:"easeOutQuad"}),u.velocity({right:s-(l+1)*r},{duration:300,queue:!1,easing:"easeOutQuad",delay:90})),t.preventDefault()}})})},select_tab:function(t){this.find('a[href="#'+t+'"]').trigger("click")}};c.fn.tabs=function(t){return e[t]?e[t].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof t&&t?void c.error("Method "+t+" does not exist on jQuery.tooltip"):e.init.apply(this,arguments)},c(document).ready(function(){c("ul.tabs").tabs()})}(jQuery),function(s){s.fn.tooltip=function(n){var t=5,e={delay:350};return"remove"===n?(this.each(function(){s("#"+s(this).attr("data-tooltip-id")).remove(),s(this).off("mouseenter.tooltip mouseleave.tooltip")}),!1):(n=s.extend(e,n),this.each(function(){var t=Materialize.guid(),d=s(this);d.attr("data-tooltip-id",t);var e=s("<span></span>").text(d.attr("data-tooltip")),h=s("<div></div>");h.addClass("material-tooltip").append(e).appendTo(s("body")).attr("id",t);var p=s("<div></div>").addClass("backdrop");p.appendTo(h),p.css({top:0,left:0}),d.off("mouseenter.tooltip mouseleave.tooltip");var i,f=!1;d.on({"mouseenter.tooltip":function(t){var e=d.attr("data-delay");e=void 0===e||""===e?n.delay:e,i=setTimeout(function(){f=!0,h.velocity("stop"),p.velocity("stop"),h.css({display:"block",left:"0px",top:"0px"}),h.children("span").text(d.attr("data-tooltip"));var t,e,i,n=d.outerWidth(),o=d.outerHeight(),a=d.attr("data-position"),s=h.outerHeight(),r=h.outerWidth(),l="0px",u="0px",c=8;"top"===a?(t=d.offset().top-s-5,e=d.offset().left+n/2-r/2,i=g(e,t,r,s),l="-10px",p.css({borderRadius:"14px 14px 0 0",transformOrigin:"50% 90%",marginTop:s,marginLeft:r/2-p.width()/2})):"left"===a?(t=d.offset().top+o/2-s/2,e=d.offset().left-r-5,i=g(e,t,r,s),u="-10px",p.css({width:"14px",height:"14px",borderRadius:"14px 0 0 14px",transformOrigin:"95% 50%",marginTop:s/2,marginLeft:r})):"right"===a?(t=d.offset().top+o/2-s/2,e=d.offset().left+n+5,i=g(e,t,r,s),u="+10px",p.css({width:"14px",height:"14px",borderRadius:"0 14px 14px 0",transformOrigin:"5% 50%",marginTop:s/2,marginLeft:"0px"})):(t=d.offset().top+d.outerHeight()+5,e=d.offset().left+n/2-r/2,i=g(e,t,r,s),l="+10px",p.css({marginLeft:r/2-p.width()/2})),h.css({top:i.y,left:i.x}),(c=r/8)<8&&(c=8),("right"===a||"left"===a)&&((c=r/10)<6&&(c=6)),h.velocity({marginTop:l,marginLeft:u},{duration:350,queue:!1}).velocity({opacity:1},{duration:300,delay:50,queue:!1}),p.css({display:"block"}).velocity({opacity:1},{duration:55,delay:0,queue:!1}).velocity({scale:c},{duration:300,delay:0,queue:!1,easing:"easeInOutQuad"})},e)},"mouseleave.tooltip":function(){f=!1,clearTimeout(i),setTimeout(function(){1!=f&&(h.velocity({opacity:0,marginTop:0,marginLeft:0},{duration:225,queue:!1}),p.velocity({opacity:0,scale:1},{duration:225,queue:!1,complete:function(){p.css("display","none"),h.css("display","none"),f=!1}}))},225)}})}))};var g=function(t,e,i,n){var o=t,a=e;return o<0?o=4:o+i>window.innerWidth&&(o-=o+i-window.innerWidth),a<0?a=4:a+n>window.innerHeight+s(window).scrollTop&&(a-=a+n-window.innerHeight),{x:o,y:a}};s(document).ready(function(){s(".tooltipped").tooltip()})}(jQuery),function(i){"use strict";function e(t){return null!==t&&t===t.window}function a(t){return e(t)?t:9===t.nodeType&&t.defaultView}function u(t){var e,i,n={top:0,left:0},o=t&&t.ownerDocument;return e=o.documentElement,void 0!==t.getBoundingClientRect&&(n=t.getBoundingClientRect()),i=a(o),{top:n.top+i.pageYOffset-e.clientTop,left:n.left+i.pageXOffset-e.clientLeft}}function c(t){var e="";for(var i in t)t.hasOwnProperty(i)&&(e+=i+":"+t[i]+";");return e}function n(t){if(!1===h.allowEvent(t))return null;for(var e=null,i=t.target||t.srcElement;null!==i.parentElement;){if(!(i instanceof SVGElement||-1===i.className.indexOf("waves-effect"))){e=i;break}if(i.classList.contains("waves-effect")){e=i;break}i=i.parentElement}return e}function o(t){var e=n(t);null!==e&&(d.show(t,e),"ontouchstart"in i&&(e.addEventListener("touchend",d.hide,!1),e.addEventListener("touchcancel",d.hide,!1)),e.addEventListener("mouseup",d.hide,!1),e.addEventListener("mouseleave",d.hide,!1))}var t=t||{},s=document.querySelectorAll.bind(document),d={duration:750,show:function(t,e){if(2===t.button)return!1;var i=e||this,n=document.createElement("div");n.className="waves-ripple",i.appendChild(n);var o=u(i),a=t.pageY-o.top,s=t.pageX-o.left,r="scale("+i.clientWidth/100*10+")";"touches"in t&&(a=t.touches[0].pageY-o.top,s=t.touches[0].pageX-o.left),n.setAttribute("data-hold",Date.now()),n.setAttribute("data-scale",r),n.setAttribute("data-x",s),n.setAttribute("data-y",a);var l={top:a+"px",left:s+"px"};n.className=n.className+" waves-notransition",n.setAttribute("style",c(l)),n.className=n.className.replace("waves-notransition",""),l["-webkit-transform"]=r,l["-moz-transform"]=r,l["-ms-transform"]=r,l["-o-transform"]=r,l.transform=r,l.opacity="1",l["-webkit-transition-duration"]=d.duration+"ms",l["-moz-transition-duration"]=d.duration+"ms",l["-o-transition-duration"]=d.duration+"ms",l["transition-duration"]=d.duration+"ms",l["-webkit-transition-timing-function"]="cubic-bezier(0.250, 0.460, 0.450, 0.940)",l["-moz-transition-timing-function"]="cubic-bezier(0.250, 0.460, 0.450, 0.940)",l["-o-transition-timing-function"]="cubic-bezier(0.250, 0.460, 0.450, 0.940)",l["transition-timing-function"]="cubic-bezier(0.250, 0.460, 0.450, 0.940)",n.setAttribute("style",c(l))},hide:function(t){h.touchup(t);var e=this,i=(e.clientWidth,null),n=e.getElementsByClassName("waves-ripple");if(!(0<n.length))return!1;var o=(i=n[n.length-1]).getAttribute("data-x"),a=i.getAttribute("data-y"),s=i.getAttribute("data-scale"),r,l=350-(Date.now()-Number(i.getAttribute("data-hold")));l<0&&(l=0),setTimeout(function(){var t={top:a+"px",left:o+"px",opacity:"0","-webkit-transition-duration":d.duration+"ms","-moz-transition-duration":d.duration+"ms","-o-transition-duration":d.duration+"ms","transition-duration":d.duration+"ms","-webkit-transform":s,"-moz-transform":s,"-ms-transform":s,"-o-transform":s,transform:s};i.setAttribute("style",c(t)),setTimeout(function(){try{e.removeChild(i)}catch(t){return!1}},d.duration)},l)},wrapInput:function(t){for(var e=0;e<t.length;e++){var i=t[e];if("input"===i.tagName.toLowerCase()){var n=i.parentNode;if("i"===n.tagName.toLowerCase()&&-1!==n.className.indexOf("waves-effect"))continue;var o=document.createElement("i");o.className=i.className+" waves-input-wrapper";var a=i.getAttribute("style");a||(a=""),o.setAttribute("style",a),i.className="waves-button-input",i.removeAttribute("style"),n.replaceChild(o,i),o.appendChild(i)}}}},h={touches:0,allowEvent:function(t){var e=!0;return"touchstart"===t.type?h.touches+=1:"touchend"===t.type||"touchcancel"===t.type?setTimeout(function(){0<h.touches&&(h.touches-=1)},500):"mousedown"===t.type&&0<h.touches&&(e=!1),e},touchup:function(t){h.allowEvent(t)}};t.displayEffect=function(t){"duration"in(t=t||{})&&(d.duration=t.duration),d.wrapInput(s(".waves-effect")),"ontouchstart"in i&&document.body.addEventListener("touchstart",o,!1),document.body.addEventListener("mousedown",o,!1)},t.attach=function(t){"input"===t.tagName.toLowerCase()&&(d.wrapInput([t]),t=t.parentElement),"ontouchstart"in i&&t.addEventListener("touchstart",o,!1),t.addEventListener("mousedown",o,!1)},i.Waves=t,document.addEventListener("DOMContentLoaded",function(){t.displayEffect()},!1)}(window),Materialize.toast=function(t,e,s,r){function i(t){var o=document.createElement("div");if(o.classList.add("toast"),s)for(var e=s.split(" "),i=0,n=e.length;i<n;i++)o.classList.add(e[i]);("object"==typeof HTMLElement?t instanceof HTMLElement:t&&"object"==typeof t&&null!==t&&1===t.nodeType&&"string"==typeof t.nodeName)?o.appendChild(t):t instanceof jQuery?o.appendChild(t[0]):o.innerHTML=t;var a=new Hammer(o,{prevent_default:!1});return a.on("pan",function(t){var e=t.deltaX,i=80;o.classList.contains("panning")||o.classList.add("panning");var n=1-Math.abs(e/80);n<0&&(n=0),Vel(o,{left:e,opacity:n},{duration:50,queue:!1,easing:"easeOutQuad"})}),a.on("panend",function(t){var e=t.deltaX,i=80;80<Math.abs(e)?Vel(o,{marginTop:"-40px"},{duration:375,easing:"easeOutExpo",queue:!1,complete:function(){"function"==typeof r&&r(),o.parentNode.removeChild(o)}}):(o.classList.remove("panning"),Vel(o,{left:0,opacity:1},{duration:300,easing:"easeOutExpo",queue:!1}))}),o}s=s||"";var n=document.getElementById("toast-container");null===n&&((n=document.createElement("div")).id="toast-container",document.body.appendChild(n));var o=i(t);t&&n.appendChild(o),o.style.top="35px",o.style.opacity=0,Vel(o,{top:"0px",opacity:1},{duration:300,easing:"easeOutCubic",queue:!1});var a=e,l=setInterval(function(){null===o.parentNode&&window.clearInterval(l),o.classList.contains("panning")||(a-=20),a<=0&&(Vel(o,{opacity:0,marginTop:"-40px"},{duration:375,easing:"easeOutExpo",queue:!1,complete:function(){"function"==typeof r&&r(),this[0].parentNode.removeChild(this[0])}}),window.clearInterval(l))},20)},function(d){var e={init:function(c){var t={menuWidth:240,edge:"left",closeOnClick:!1};c=d.extend(t,c),d(this).each(function(){function r(t){u=s=!1,d("body").css({overflow:"",width:""}),d("#sidenav-overlay").velocity({opacity:0},{duration:200,queue:!1,easing:"easeOutQuad",complete:function(){d(this).remove()}}),"left"===c.edge?(a.css({width:"",right:"",left:"0"}),l.velocity({translateX:"-100%"},{duration:200,queue:!1,easing:"easeOutCubic",complete:function(){!0===t&&(l.removeAttr("style"),l.css("width",c.menuWidth))}})):(a.css({width:"",right:"0",left:""}),l.velocity({translateX:"100%"},{duration:200,queue:!1,easing:"easeOutCubic",complete:function(){!0===t&&(l.removeAttr("style"),l.css("width",c.menuWidth))}}))}var t=d(this),l=d("#"+t.attr("data-activates"));240!=c.menuWidth&&l.css("width",c.menuWidth);var a=d('<div class="drag-target"></div>');d("body").append(a),"left"==c.edge?(l.css("transform","translateX(-100%)"),a.css({left:0})):(l.addClass("right-aligned").css("transform","translateX(100%)"),a.css({right:0})),l.hasClass("fixed")&&992<window.innerWidth&&l.css("transform","translateX(0)"),l.hasClass("fixed")&&d(window).resize(function(){992<window.innerWidth?0!=d("#sidenav-overlay").length&&u?r(!0):l.css("transform","translateX(0%)"):!1===u&&("left"===c.edge?l.css("transform","translateX(-100%)"):l.css("transform","translateX(100%)"))}),!0===c.closeOnClick&&l.on("click.itemclick","a:not(.collapsible-header)",function(){r()});var s=!1,u=!1;a.on("click",function(){r()}),a.hammer({prevent_default:!1}).bind("pan",function(t){if("touch"==t.gesture.pointerType){var e=(t.gesture.direction,t.gesture.center.x),i=(t.gesture.center.y,t.gesture.velocityX,d("body")),n=i.innerWidth(),o;if(i.css("overflow","hidden"),i.width(n),0===d("#sidenav-overlay").length){var a=d('<div id="sidenav-overlay"></div>');a.css("opacity",0).click(function(){r()}),d("body").append(a)}if("left"===c.edge&&(e>c.menuWidth?e=c.menuWidth:e<0&&(e=0)),"left"===c.edge)e<c.menuWidth/2?u=!1:e>=c.menuWidth/2&&(u=!0),l.css("transform","translateX("+(e-c.menuWidth)+"px)");else{e<window.innerWidth-c.menuWidth/2?u=!0:e>=window.innerWidth-c.menuWidth/2&&(u=!1);var s=e-c.menuWidth/2;s<0&&(s=0),l.css("transform","translateX("+s+"px)")}o="left"===c.edge?e/c.menuWidth:Math.abs((e-window.innerWidth)/c.menuWidth),d("#sidenav-overlay").velocity({opacity:o},{duration:10,queue:!1,easing:"easeOutQuad"})}}).bind("panend",function(t){if("touch"==t.gesture.pointerType){var e=t.gesture.velocityX,i=t.gesture.center.x,n=i-c.menuWidth,o=i-c.menuWidth/2;0<n&&(n=0),o<0&&(o=0),s=!1,"left"===c.edge?u&&e<=.3||e<-.5?(0!=n&&l.velocity({translateX:[0,n]},{duration:300,queue:!1,easing:"easeOutQuad"}),d("#sidenav-overlay").velocity({opacity:1},{duration:50,queue:!1,easing:"easeOutQuad"}),a.css({width:"50%",right:0,left:""})):(!u||.3<e)&&(d("body").css({overflow:"",width:""}),l.velocity({translateX:[-1*c.menuWidth-10,n]},{duration:200,queue:!1,easing:"easeOutQuad"}),d("#sidenav-overlay").velocity({opacity:0},{duration:200,queue:!1,easing:"easeOutQuad",complete:function(){d(this).remove()}}),a.css({width:"10px",right:"",left:0})):u&&-.3<=e||.5<e?(l.velocity({translateX:[0,o]},{duration:300,queue:!1,easing:"easeOutQuad"}),d("#sidenav-overlay").velocity({opacity:1},{duration:50,queue:!1,easing:"easeOutQuad"}),a.css({width:"50%",right:"",left:0})):(!u||e<-.3)&&(d("body").css({overflow:"",width:""}),l.velocity({translateX:[c.menuWidth+10,o]},{duration:200,queue:!1,easing:"easeOutQuad"}),d("#sidenav-overlay").velocity({opacity:0},{duration:200,queue:!1,easing:"easeOutQuad",complete:function(){d(this).remove()}}),a.css({width:"10px",right:0,left:""}))}}),t.click(function(){if(!0===u)s=u=!1,r();else{var t=d("body"),e=t.innerWidth();t.css("overflow","hidden"),t.width(e),d("body").append(a),"left"===c.edge?(a.css({width:"50%",right:0,left:""}),l.velocity({translateX:[0,-1*c.menuWidth]},{duration:300,queue:!1,easing:"easeOutQuad"})):(a.css({width:"50%",right:"",left:0}),l.velocity({translateX:[0,c.menuWidth]},{duration:300,queue:!1,easing:"easeOutQuad"}));var i=d('<div id="sidenav-overlay"></div>');i.css("opacity",0).click(function(){s=u=!1,r(),i.velocity({opacity:0},{duration:300,queue:!1,easing:"easeOutQuad",complete:function(){d(this).remove()}})}),d("body").append(i),i.velocity({opacity:1},{duration:300,queue:!1,easing:"easeOutQuad",complete:function(){s=!(u=!0)}})}return!1})})},show:function(){this.trigger("click")},hide:function(){d("#sidenav-overlay").trigger("click")}};d.fn.sideNav=function(t){return e[t]?e[t].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof t&&t?void d.error("Method "+t+" does not exist on jQuery.sideNav"):e.init.apply(this,arguments)}}(jQuery),function(a){function s(r,l,u,c){var d=a();return a.each(h,function(t,e){if(0<e.height()){var i=e.offset().top,n=e.offset().left,o=n+e.width(),a=i+e.height(),s;!(l<n||o<c||u<i||a<r)&&d.push(e)}}),d}function r(){++p;var t=u.scrollTop(),e=u.scrollLeft(),i=e+u.width(),n=t+u.height(),o=s(t+f.top+200,i+f.right,n+f.bottom,e+f.left);a.each(o,function(t,e){var i;"number"!=typeof e.data("scrollSpy:ticks")&&e.triggerHandler("scrollSpy:enter"),e.data("scrollSpy:ticks",p)}),a.each(c,function(t,e){var i=e.data("scrollSpy:ticks");"number"==typeof i&&i!==p&&(e.triggerHandler("scrollSpy:exit"),e.data("scrollSpy:ticks",null))}),c=o}function e(){u.trigger("scrollSpy:winSize")}function l(i,n,o){var a,s,r,l=null,u=0;o||(o={});var c=function(){u=!1===o.leading?0:g(),l=null,r=i.apply(a,s),a=s=null};return function(){var t=g();u||!1!==o.leading||(u=t);var e=n-(t-u);return a=this,s=arguments,e<=0?(clearTimeout(l),l=null,u=t,r=i.apply(a,s),a=s=null):l||!1===o.trailing||(l=setTimeout(c,e)),r}}var u=a(window),h=[],c=[],d=!1,p=0,f={top:0,right:0,bottom:0,left:0},g=Date.now||function(){return(new Date).getTime()};a.scrollSpy=function(t,e){var i=[];(t=a(t)).each(function(t,e){h.push(a(e)),a(e).data("scrollSpy:id",t),a('a[href="#'+a(e).attr("id")+'"]').click(function(t){t.preventDefault();var e=a(this.hash).offset().top+1;a("html, body").animate({scrollTop:e-200},{duration:400,queue:!1,easing:"easeOutCubic"})})}),e=e||{throttle:100},f.top=e.offsetTop||0,f.right=e.offsetRight||0,f.bottom=e.offsetBottom||0,f.left=e.offsetLeft||0;var n=l(r,e.throttle||100),o=function(){a(document).ready(n)};return d||(u.on("scroll",o),u.on("resize",o),d=!0),setTimeout(o,0),t.on("scrollSpy:enter",function(){i=a.grep(i,function(t){return 0!=t.height()});var t=a(this);i[0]?(a('a[href="#'+i[0].attr("id")+'"]').removeClass("active"),t.data("scrollSpy:id")<i[0].data("scrollSpy:id")?i.unshift(a(this)):i.push(a(this))):i.push(a(this)),a('a[href="#'+i[0].attr("id")+'"]').addClass("active")}),t.on("scrollSpy:exit",function(){if((i=a.grep(i,function(t){return 0!=t.height()}))[0]){a('a[href="#'+i[0].attr("id")+'"]').removeClass("active");var e=a(this);(i=a.grep(i,function(t){return t.attr("id")!=e.attr("id")}))[0]&&a('a[href="#'+i[0].attr("id")+'"]').addClass("active")}}),t},a.winSizeSpy=function(t){return a.winSizeSpy=function(){return u},t=t||{throttle:100},u.on("resize",l(e,t.throttle||100))},a.fn.scrollSpy=function(t){return a.scrollSpy(a(this),t)}}(jQuery),function(b){b(document).ready(function(){function e(t){var e=t.css("font-family"),i=t.css("font-size");i&&o.css("font-size",i),e&&o.css("font-family",e),"off"===t.attr("wrap")&&o.css("overflow-wrap","normal").css("white-space","pre"),o.text(t.val()+"\n");var n=o.html().replace(/\n/g,"<br>");o.html(n),t.is(":visible")?o.css("width",t.width()):o.css("width",b(window).width()/2),t.css("height",o.height())}Materialize.updateTextFields=function(){var t;b("input[type=text], input[type=password], input[type=email], input[type=url], input[type=tel], input[type=number], input[type=search], textarea").each(function(t,e){0<b(e).val().length||e.autofocus||void 0!==b(this).attr("placeholder")||!0===b(e)[0].validity.badInput?b(this).siblings("label, i").addClass("active"):b(this).siblings("label, i").removeClass("active")})};var i="input[type=text], input[type=password], input[type=email], input[type=url], input[type=tel], input[type=number], input[type=search], textarea";b(document).on("change",i,function(){(0!==b(this).val().length||void 0!==b(this).attr("placeholder"))&&b(this).siblings("label").addClass("active"),validate_field(b(this))}),b(document).ready(function(){Materialize.updateTextFields()}),b(document).on("reset",function(t){var e=b(t.target);e.is("form")&&(e.find(i).removeClass("valid").removeClass("invalid"),e.find(i).each(function(){""===b(this).attr("value")&&b(this).siblings("label, i").removeClass("active")}),e.find("select.initialized").each(function(){var t=e.find("option[selected]").text();e.siblings("input.select-dropdown").val(t)}))}),b(document).on("focus",i,function(){b(this).siblings("label, i").addClass("active")}),b(document).on("blur",i,function(){var t=b(this);0===t.val().length&&!0!==t[0].validity.badInput&&void 0===t.attr("placeholder")&&t.siblings("label, i").removeClass("active"),0===t.val().length&&!0!==t[0].validity.badInput&&void 0!==t.attr("placeholder")&&t.siblings("i").removeClass("active"),validate_field(t)}),window.validate_field=function(t){var e=void 0!==t.attr("length"),i=parseInt(t.attr("length")),n=t.val().length;0===t.val().length&&!1===t[0].validity.badInput?t.hasClass("validate")&&(t.removeClass("valid"),t.removeClass("invalid")):t.hasClass("validate")&&(t.is(":valid")&&e&&n<=i||t.is(":valid")&&!e?(t.removeClass("invalid"),t.addClass("valid")):(t.removeClass("valid"),t.addClass("invalid")))};var t="input[type=radio], input[type=checkbox]";b(document).on("keyup.radio",t,function(t){var e;if(9===t.which)return b(this).addClass("tabbed"),void b(this).one("blur",function(t){b(this).removeClass("tabbed")})});var o=b(".hiddendiv").first();o.length||(o=b('<div class="hiddendiv common"></div>'),b("body").append(o));var n=".materialize-textarea";b(n).each(function(){var t=b(this);t.val().length&&e(t)}),b("body").on("keyup keydown autoresize",n,function(){e(b(this))}),b(document).on("change",'.file-field input[type="file"]',function(){for(var t,e=b(this).closest(".file-field").find("input.file-path"),i=b(this)[0].files,n=[],o=0;o<i.length;o++)n.push(i[o].name);e.val(n.join(", ")),e.trigger("change")});var a,s="input[type=range]",r=!1;b(s).each(function(){var t=b('<span class="thumb"><span class="value"></span></span>');b(this).after(t)});var l=".range-field";b(document).on("change",s,function(t){var e;b(this).siblings(".thumb").find(".value").html(b(this).val())}),b(document).on("input mousedown touchstart",s,function(t){var e=b(this).siblings(".thumb"),i=b(this).outerWidth();e.length<=0&&(e=b('<span class="thumb"><span class="value"></span></span>'),b(this).after(e)),e.find(".value").html(b(this).val()),r=!0,b(this).addClass("active"),e.hasClass("active")||e.velocity({height:"30px",width:"30px",top:"-20px",marginLeft:"-15px"},{duration:300,easing:"easeOutExpo"}),"input"!==t.type&&((a=void 0===t.pageX||null===t.pageX?t.originalEvent.touches[0].pageX-b(this).offset().left:t.pageX-b(this).offset().left)<0?a=0:i<a&&(a=i),e.addClass("active").css("left",a)),e.find(".value").html(b(this).val())}),b(document).on("mouseup touchend",l,function(){r=!1,b(this).removeClass("active")}),b(document).on("mousemove touchmove",l,function(t){var e,i=b(this).children(".thumb");if(r){i.hasClass("active")||i.velocity({height:"30px",width:"30px",top:"-20px",marginLeft:"-15px"},{duration:300,easing:"easeOutExpo"}),e=void 0===t.pageX||null===t.pageX?t.originalEvent.touches[0].pageX-b(this).offset().left:t.pageX-b(this).offset().left;var n=b(this).outerWidth();e<0?e=0:n<e&&(e=n),i.addClass("active").css("left",e),i.find(".value").html(i.siblings(s).val())}}),b(document).on("mouseout touchleave",l,function(){if(!r){var t=b(this).children(".thumb");t.hasClass("active")&&t.velocity({height:"0",width:"0",top:"10px",marginLeft:"-6px"},{duration:100}),t.removeClass("active")}})}),b.fn.material_select=function(v){function y(t,e,i){var n=t.indexOf(e),o=-1===n;return o?t.push(e):t.splice(n,1),i.siblings("ul.dropdown-content").find("li").eq(e).toggleClass("active"),i.find("option").eq(e).prop("selected",o),a(t,i),o}function a(t,e){for(var i="",n=0,o=t.length;n<o;n++){var a=e.find("option").eq(t[n]).text();i+=0===n?a:", "+a}""===i&&(i=e.find("option:disabled").eq(0).text()),e.siblings("input.select-dropdown").val(i)}b(this).each(function(){var n=b(this);if(!n.hasClass("browser-default")){var s=!!n.attr("multiple"),t=n.data("select-id");if(t&&(n.parent().find("span.caret").remove(),n.parent().find("input").remove(),n.unwrap(),b("ul#select-options-"+t).remove()),"destroy"===v)return void n.data("select-id",null).removeClass("initialized");var e=Materialize.guid();n.data("select-id",e);var i=b('<div class="select-wrapper"></div>');i.addClass(n.attr("class"));var l=b('<ul id="select-options-'+e+'" class="dropdown-content select-dropdown '+(s?"multiple-select-dropdown":"")+'"></ul>'),o=n.children("option, optgroup"),a=[],r=!1,u=n.find("option:selected").html()||n.find("option:first").html()||"",c=function(t,e,i){var n=e.is(":disabled")?"disabled ":"",o="optgroup-option"===i?"optgroup-option ":"",a=e.data("icon"),s=e.attr("class");if(a){var r="";return s&&(r=' class="'+s+'"'),"multiple"===i?l.append(b('<li class="'+n+'"><img src="'+a+'"'+r+'><span><input type="checkbox"'+n+"/><label></label>"+e.html()+"</span></li>")):l.append(b('<li class="'+n+o+'"><img src="'+a+'"'+r+"><span>"+e.html()+"</span></li>")),!0}"multiple"===i?l.append(b('<li class="'+n+'"><span><input type="checkbox"'+n+"/><label></label>"+e.html()+"</span></li>")):l.append(b('<li class="'+n+o+'"><span>'+e.html()+"</span></li>"))};o.length&&o.each(function(){if(b(this).is("option"))s?c(n,b(this),"multiple"):c(n,b(this));else if(b(this).is("optgroup")){var t=b(this).children("option");l.append(b('<li class="optgroup"><span>'+b(this).attr("label")+"</span></li>")),t.each(function(){c(n,b(this),"optgroup-option")})}}),l.find("li:not(.optgroup)").each(function(i){b(this).click(function(t){if(!b(this).hasClass("disabled")&&!b(this).hasClass("optgroup")){var e=!0;s?(b('input[type="checkbox"]',this).prop("checked",function(t,e){return!e}),e=y(a,b(this).index(),n),p.trigger("focus")):(l.find("li").removeClass("active"),b(this).toggleClass("active"),p.val(b(this).text())),f(l,b(this)),n.find("option").eq(i).prop("selected",e),n.trigger("change"),void 0!==v&&v()}t.stopPropagation()})}),n.wrap(i);var d=b('<span class="caret">&#9660;</span>');n.is(":disabled")&&d.addClass("disabled");var h=u.replace(/"/g,"&quot;"),p=b('<input type="text" class="select-dropdown" readonly="true" '+(n.is(":disabled")?"disabled":"")+' data-activates="select-options-'+e+'" value="'+h+'"/>');n.before(p),p.before(d),p.after(l),n.is(":disabled")||p.dropdown({hover:!1,closeOnClick:!1}),n.attr("tabindex")&&b(p[0]).attr("tabindex",n.attr("tabindex")),n.addClass("initialized"),p.on({focus:function(){if(b("ul.select-dropdown").not(l[0]).is(":visible")&&b("input.select-dropdown").trigger("close"),!l.is(":visible")){b(this).trigger("open",["focus"]);var t=b(this).val(),e=l.find("li").filter(function(){return b(this).text().toLowerCase()===t.toLowerCase()})[0];f(l,e)}},click:function(t){t.stopPropagation()}}),p.on("blur",function(){s||b(this).trigger("close"),l.find("li.selected").removeClass("selected")}),l.hover(function(){r=!0},function(){r=!1}),b(window).on({click:function(){s&&(r||p.trigger("close"))}}),s&&n.find("option:selected:not(:disabled)").each(function(){var t=b(this).index();y(a,t,n),l.find("li").eq(t).find(":checkbox").prop("checked",!0)});var f=function(t,e){if(e){t.find("li.selected").removeClass("selected");var i=b(e);i.addClass("selected"),l.scrollTo(i)}},g=[],m=function(t){if(9!=t.which)if(40!=t.which||l.is(":visible")){if(13!=t.which||l.is(":visible")){t.preventDefault();var e=String.fromCharCode(t.which).toLowerCase(),i;if(e&&-1===[9,13,27,38,40].indexOf(t.which)){g.push(e);var n=g.join(""),o=l.find("li").filter(function(){return 0===b(this).text().toLowerCase().indexOf(n)})[0];o&&f(l,o)}if(13==t.which){var a=l.find("li.selected:not(.disabled)")[0];a&&(b(a).trigger("click"),s||p.trigger("close"))}40==t.which&&(o=l.find("li.selected").length?l.find("li.selected").next("li:not(.disabled)")[0]:l.find("li:not(.disabled)")[0],f(l,o)),27==t.which&&p.trigger("close"),38==t.which&&((o=l.find("li.selected").prev("li:not(.disabled)")[0])&&f(l,o)),setTimeout(function(){g=[]},1e3)}}else p.trigger("open");else p.trigger("close")};p.on("keydown",m)}})}}(jQuery),function(f){var e={init:function(p){var t={indicators:!0,height:400,transition:500,interval:6e3};return p=f.extend(t,p),this.each(function(){function e(t,e){t.hasClass("center-align")?t.velocity({opacity:0,translateY:-100},{duration:e,queue:!1}):t.hasClass("right-align")?t.velocity({opacity:0,translateX:100},{duration:e,queue:!1}):t.hasClass("left-align")&&t.velocity({opacity:0,translateX:-100},{duration:e,queue:!1})}function i(t){t>=l.length?t=0:t<0&&(t=l.length-1),(u=r.find(".active").index())!=t&&(n=l.eq(u),$caption=n.find(".caption"),n.removeClass("active"),n.velocity({opacity:0},{duration:p.transition,queue:!1,easing:"easeOutQuad",complete:function(){l.not(".active").velocity({opacity:0,translateX:0,translateY:0},{duration:0,queue:!1})}}),e($caption,p.transition),p.indicators&&o.eq(u).removeClass("active"),l.eq(t).velocity({opacity:1},{duration:p.transition,queue:!1,easing:"easeOutQuad"}),l.eq(t).find(".caption").velocity({opacity:1,translateX:0,translateY:0},{duration:p.transition,delay:p.transition,queue:!1,easing:"easeOutQuad"}),l.eq(t
).addClass("active"),p.indicators&&o.eq(t).addClass("active"))}var n,o,a,s=f(this),r=s.find("ul.slides").first(),l=r.find("li"),u=r.find(".active").index();-1!=u&&(n=l.eq(u)),s.hasClass("fullscreen")||(p.indicators?s.height(p.height+40):s.height(p.height),r.height(p.height)),l.find(".caption").each(function(){e(f(this),0)}),l.find("img").each(function(){var t="data:image/gif;base64,R0lGODlhAQABAIABAP///wAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==";f(this).attr("src")!==t&&(f(this).css("background-image","url("+f(this).attr("src")+")"),f(this).attr("src",t))}),p.indicators&&(o=f('<ul class="indicators"></ul>'),l.each(function(t){var e=f('<li class="indicator-item"></li>');e.click(function(){var t,e;i(r.parent().find(f(this)).index()),clearInterval(a),a=setInterval(function(){u=r.find(".active").index(),l.length==u+1?u=0:u+=1,i(u)},p.transition+p.interval)}),o.append(e)}),s.append(o),o=s.find("ul.indicators").find("li.indicator-item")),n?n.show():(l.first().addClass("active").velocity({opacity:1},{duration:p.transition,queue:!1,easing:"easeOutQuad"}),u=0,n=l.eq(u),p.indicators&&o.eq(u).addClass("active")),n.find("img").each(function(){n.find(".caption").velocity({opacity:1,translateX:0,translateY:0},{duration:p.transition,queue:!1,easing:"easeOutQuad"})}),a=setInterval(function(){i((u=r.find(".active").index())+1)},p.transition+p.interval);var c=!1,d=!1,h=!1;s.hammer({prevent_default:!1}).bind("pan",function(t){if("touch"===t.gesture.pointerType){clearInterval(a);var e=t.gesture.direction,i=t.gesture.deltaX,n=t.gesture.velocityX,o;$curr_slide=r.find(".active"),$curr_slide.velocity({translateX:i},{duration:50,queue:!1,easing:"easeOutQuad"}),4===e&&(i>s.innerWidth()/2||n<-.65)?h=!0:2===e&&(i<-1*s.innerWidth()/2||.65<n)&&(d=!0),d&&(0===(o=$curr_slide.next()).length&&(o=l.first()),o.velocity({opacity:1},{duration:300,queue:!1,easing:"easeOutQuad"})),h&&(0===(o=$curr_slide.prev()).length&&(o=l.last()),o.velocity({opacity:1},{duration:300,queue:!1,easing:"easeOutQuad"}))}}).bind("panend",function(t){"touch"===t.gesture.pointerType&&($curr_slide=r.find(".active"),c=!1,curr_index=r.find(".active").index(),!h&&!d||l.length<=1?$curr_slide.velocity({translateX:0},{duration:300,queue:!1,easing:"easeOutQuad"}):d?(i(curr_index+1),$curr_slide.velocity({translateX:-1*s.innerWidth()},{duration:300,queue:!1,easing:"easeOutQuad",complete:function(){$curr_slide.velocity({opacity:0,translateX:0},{duration:0,queue:!1})}})):h&&(i(curr_index-1),$curr_slide.velocity({translateX:s.innerWidth()},{duration:300,queue:!1,easing:"easeOutQuad",complete:function(){$curr_slide.velocity({opacity:0,translateX:0},{duration:0,queue:!1})}})),h=d=!1,clearInterval(a),a=setInterval(function(){u=r.find(".active").index(),l.length==u+1?u=0:u+=1,i(u)},p.transition+p.interval))}),s.on("sliderPause",function(){clearInterval(a)}),s.on("sliderStart",function(){clearInterval(a),a=setInterval(function(){u=r.find(".active").index(),l.length==u+1?u=0:u+=1,i(u)},p.transition+p.interval)}),s.on("sliderNext",function(){i((u=r.find(".active").index())+1)}),s.on("sliderPrev",function(){i((u=r.find(".active").index())-1)})})},pause:function(){f(this).trigger("sliderPause")},start:function(){f(this).trigger("sliderStart")},next:function(){f(this).trigger("sliderNext")},prev:function(){f(this).trigger("sliderPrev")}};f.fn.slider=function(t){return e[t]?e[t].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof t&&t?void f.error("Method "+t+" does not exist on jQuery.tooltip"):e.init.apply(this,arguments)}}(jQuery),function(e){e(document).ready(function(){e(document).on("click.card",".card",function(t){e(this).find("> .card-reveal").length&&(e(t.target).is(e(".card-reveal .card-title"))||e(t.target).is(e(".card-reveal .card-title i"))?e(this).find(".card-reveal").velocity({translateY:0},{duration:225,queue:!1,easing:"easeInOutQuad",complete:function(){e(this).css({display:"none"})}}):(e(t.target).is(e(".card .activator"))||e(t.target).is(e(".card .activator i")))&&(e(t.target).closest(".card").css("overflow","hidden"),e(this).find(".card-reveal").css({display:"block"}).velocity("stop",!1).velocity({translateY:"-100%"},{duration:300,queue:!1,easing:"easeInOutQuad"}))),e(".card-reveal").closest(".card").css("overflow","hidden")})})}(jQuery),function(e){e(document).ready(function(){e(document).on("click.chip",".chip .material-icons",function(t){e(this).parent().remove()})})}(jQuery),function(s){s.fn.pushpin=function(a){var t={top:0,bottom:1/0,offset:0};return a=s.extend(t,a),$index=0,this.each(function(){function i(t){t.removeClass("pin-top"),t.removeClass("pinned"),t.removeClass("pin-bottom")}function e(t,e){t.each(function(){a.top<=e&&a.bottom>=e&&!s(this).hasClass("pinned")&&(i(s(this)),s(this).css("top",a.offset),s(this).addClass("pinned")),e<a.top&&!s(this).hasClass("pin-top")&&(i(s(this)),s(this).css("top",0),s(this).addClass("pin-top")),e>a.bottom&&!s(this).hasClass("pin-bottom")&&(i(s(this)),s(this).addClass("pin-bottom"),s(this).css("top",a.bottom-o))})}var t=Materialize.guid(),n=s(this),o=s(this).offset().top;e(n,s(window).scrollTop()),s(window).on("scroll."+t,function(){var t=s(window).scrollTop()+a.offset;e(n,t)})})}}(jQuery),function(a){a(document).ready(function(){a.fn.reverse=[].reverse,a(document).on("mouseenter.fixedActionBtn",".fixed-action-btn:not(.click-to-toggle)",function(t){var e=a(this);n(e)}),a(document).on("mouseleave.fixedActionBtn",".fixed-action-btn:not(.click-to-toggle)",function(t){var e=a(this);o(e)}),a(document).on("click.fixedActionBtn",".fixed-action-btn.click-to-toggle > a",function(t){var e,i=a(this).parent();i.hasClass("active")?o(i):n(i)})}),a.fn.extend({openFAB:function(){n(a(this))},closeFAB:function(){o(a(this))}});var n=function(t){if($this=t,!1===$this.hasClass("active")){var e,i,n;!0===$this.hasClass("horizontal")?i=40:e=40,$this.addClass("active"),$this.find("ul .btn-floating").velocity({scaleY:".4",scaleX:".4",translateY:e+"px",translateX:i+"px"},{duration:0});var o=0;$this.find("ul .btn-floating").reverse().each(function(){a(this).velocity({opacity:"1",scaleX:"1",scaleY:"1",translateY:"0",translateX:"0"},{duration:80,delay:o}),o+=40})}},o=function(t){var e,i,n;$this=t,!0===$this.hasClass("horizontal")?i=40:e=40,$this.removeClass("active"),$this.find("ul .btn-floating").velocity("stop",!0),$this.find("ul .btn-floating").velocity({opacity:"0",scaleX:".4",scaleY:".4",translateY:e+"px",translateX:i+"px"},{duration:80})}}(jQuery),function(r){Materialize.fadeInImage=function(t){var e=r(t);e.css({opacity:0}),r(e).velocity({opacity:1},{duration:650,queue:!1,easing:"easeOutSine"}),r(e).velocity({opacity:1},{duration:1300,queue:!1,easing:"swing",step:function(t,e){var i=t/(e.start=100),n=150-(100-t)/1.75;n<100&&(n=100),0<=t&&r(this).css({"-webkit-filter":"grayscale("+i+")brightness("+n+"%)",filter:"grayscale("+i+")brightness("+n+"%)"})}})},Materialize.showStaggeredList=function(t){var e=0;r(t).find("li").velocity({translateX:"-100px"},{duration:0}),r(t).find("li").each(function(){r(this).velocity({opacity:"1",translateX:"0"},{duration:800,delay:e,easing:[60,10]}),e+=120})},r(document).ready(function(){var a=!1,s=!1;r(".dismissable").each(function(){r(this).hammer({prevent_default:!1}).bind("pan",function(t){if("touch"===t.gesture.pointerType){var e=r(this),i=t.gesture.direction,n=t.gesture.deltaX,o=t.gesture.velocityX;e.velocity({translateX:n},{duration:50,queue:!1,easing:"easeOutQuad"}),4===i&&(n>e.innerWidth()/2||o<-.75)&&(a=!0),2===i&&(n<-1*e.innerWidth()/2||.75<o)&&(s=!0)}}).bind("panend",function(t){if(Math.abs(t.gesture.deltaX)<r(this).innerWidth()/2&&(a=s=!1),"touch"===t.gesture.pointerType){var e=r(this),i;if(a||s)i=a?e.innerWidth():-1*e.innerWidth(),e.velocity({translateX:i},{duration:100,queue:!1,easing:"easeOutQuad",complete:function(){e.css("border","none"),e.velocity({height:0,padding:0},{duration:200,queue:!1,easing:"easeOutQuad",complete:function(){e.remove()}})}});else e.velocity({translateX:0},{duration:100,queue:!1,easing:"easeOutQuad"});s=a=!1}})})})}(jQuery),function(t){Materialize.scrollFire=function(u){var c=!1;window.addEventListener("scroll",function(){c=!0}),setInterval(function(){if(c){c=!1;for(var t=window.pageYOffset+window.innerHeight,e=0;e<u.length;e++){var i=u[e],n=i.selector,o=i.offset,a=i.callback,s=document.querySelector(n),r;if(null!==s)if(s.getBoundingClientRect().top+window.pageYOffset+o<t&&!0!==i.done){if("function"==typeof a)a.call(this);else if("string"==typeof a){var l;new Function(a)()}i.done=!0}}}},100)}}(jQuery),function(t){"function"==typeof define&&define.amd?define("picker",["jquery"],t):"object"==typeof exports?module.exports=t(require("jquery")):this.Picker=t(jQuery)}(function(v){function y(n,t,e,i){function o(){return y._.node("div",y._.node("div",y._.node("div",y._.node("div",m.component.nodes(d.open),p.box),p.wrap),p.frame),p.holder)}function a(){f.data(t,m).addClass(p.input).attr("tabindex",-1).val(f.data("value")?m.get("select",h.format):n.value),h.editable||f.on("focus."+d.id+" click."+d.id,function(t){t.preventDefault(),m.$root.eq(0).focus()}).on("keydown."+d.id,l),S(n,{haspopup:!0,expanded:!1,readonly:!1,owns:n.id+"_root"})}function s(){m.$root.on({keydown:l,focusin:function(t){m.$root.removeClass(p.focused),t.stopPropagation()},"mousedown click":function(t){var e=t.target;e!=m.$root.children()[0]&&(t.stopPropagation(),"mousedown"!=t.type||v(e).is("input, select, textarea, button, option")||(t.preventDefault(),m.$root.eq(0).focus()))}}).on({focus:function(){f.addClass(p.target)},blur:function(){f.removeClass(p.target)}}).on("focus.toOpen",u).on("click","[data-pick], [data-nav], [data-clear], [data-close]",function(){var t=v(this),e=t.data(),i=t.hasClass(p.navDisabled)||t.hasClass(p.disabled),n=C();n=n&&(n.type||n.href),(i||n&&!v.contains(m.$root[0],n))&&m.$root.eq(0).focus(),!i&&e.nav?m.set("highlight",m.component.item.highlight,{nav:e.nav}):!i&&"pick"in e?m.set("select",e.pick):e.clear?m.clear().close(!0):e.close&&m.close(!0)}),S(m.$root[0],"hidden",!0)}function r(){var t;!0===h.hiddenName?(t=n.name,n.name=""):t=(t=["string"==typeof h.hiddenPrefix?h.hiddenPrefix:"","string"==typeof h.hiddenSuffix?h.hiddenSuffix:"_submit"])[0]+n.name+t[1],m._hidden=v('<input type=hidden name="'+t+'"'+(f.data("value")||n.value?' value="'+m.get("select",h.formatSubmit)+'"':"")+">")[0],f.on("change."+d.id,function(){m._hidden.value=n.value?m.get("select",h.formatSubmit):""}),h.container?v(h.container).append(m._hidden):f.after(m._hidden)}function l(t){var e=t.keyCode,i=/^(8|46)$/.test(e);return 27==e?(m.close(),!1):void((32==e||i||!d.open&&m.component.key[e])&&(t.preventDefault(),t.stopPropagation(),i?m.clear().close():m.open()))}function u(t){t.stopPropagation(),"focus"==t.type&&m.$root.addClass(p.focused),m.open()}if(!n)return y;var c=!1,d={id:n.id||"P"+Math.abs(~~(Math.random()*new Date))},h=e?v.extend(!0,{},e.defaults,i):i||{},p=v.extend({},y.klasses(),h.klass),f=v(n),g=function(){return this.start()},m=g.prototype={constructor:g,$node:f,start:function(){return d&&d.start?m:(d.methods={},d.start=!0,d.open=!1,d.type=n.type,n.autofocus=n==C(),n.readOnly=!h.editable,n.id=n.id||d.id,"text"!=n.type&&(n.type="text"),m.component=new e(m,h),m.$root=v(y._.node("div",o(),p.picker,'id="'+n.id+'_root" tabindex="0"')),s(),h.formatSubmit&&r(),a(),h.container?v(h.container).append(m.$root):f.after(m.$root),m.on({start:m.component.onStart,render:m.component.onRender,stop:m.component.onStop,open:m.component.onOpen,close:m.component.onClose,set:m.component.onSet}).on({start:h.onStart,render:h.onRender,stop:h.onStop,open:h.onOpen,close:h.onClose,set:h.onSet}),c=b(m.$root.children()[0]),n.autofocus&&m.open(),m.trigger("start").trigger("render"))},render:function(t){return t?m.$root.html(o()):m.$root.find("."+p.box).html(m.component.nodes(d.open)),m.trigger("render")},stop:function(){return d.start&&(m.close(),m._hidden&&m._hidden.parentNode.removeChild(m._hidden),m.$root.remove(),f.removeClass(p.input).removeData(t),setTimeout(function(){f.off("."+d.id)},0),n.type=d.type,n.readOnly=!1,m.trigger("stop"),d.methods={},d.start=!1),m},open:function(t){return d.open?m:(f.addClass(p.active),S(n,"expanded",!0),setTimeout(function(){m.$root.addClass(p.opened),S(m.$root[0],"hidden",!1)},0),!1!==t&&(d.open=!0,c&&k.css("overflow","hidden").css("padding-right","+="+w()),m.$root.eq(0).focus(),x.on("click."+d.id+" focusin."+d.id,function(t){var e=t.target;e!=n&&e!=document&&3!=t.which&&m.close(e===m.$root.children()[0])}).on("keydown."+d.id,function(t){var e=t.keyCode,i=m.component.key[e],n=t.target;27==e?m.close(!0):n!=m.$root[0]||!i&&13!=e?v.contains(m.$root[0],n)&&13==e&&(t.preventDefault(),n.click()):(t.preventDefault(),i?y._.trigger(m.component.key.go,m,[y._.trigger(i)]):m.$root.find("."+p.highlighted).hasClass(p.disabled)||m.set("select",m.component.item.highlight).close())})),m.trigger("open"))},close:function(t){return t&&(m.$root.off("focus.toOpen").eq(0).focus(),setTimeout(function(){m.$root.on("focus.toOpen",u)},0)),f.removeClass(p.active),S(n,"expanded",!1),setTimeout(function(){m.$root.removeClass(p.opened+" "+p.focused),S(m.$root[0],"hidden",!0)},0),d.open?(d.open=!1,c&&k.css("overflow","").css("padding-right","-="+w()),x.off("."+d.id),m.trigger("close")):m},clear:function(t){return m.set("clear",null,t)},set:function(t,e,i){var n,o,a=v.isPlainObject(t),s=a?t:{};if(i=a&&v.isPlainObject(e)?e:i||{},t){for(n in a||(s[t]=e),s)o=s[n],n in m.component.item&&(void 0===o&&(o=null),m.component.set(n,o,i)),("select"==n||"clear"==n)&&f.val("clear"==n?"":m.get(n,h.format)).trigger("change");m.render()}return i.muted?m:m.trigger("set",s)},get:function(t,e){if(null!=d[t=t||"value"])return d[t];if("valueSubmit"==t){if(m._hidden)return m._hidden.value;t="value"}if("value"==t)return n.value;if(t in m.component.item){if("string"!=typeof e)return m.component.get(t);var i=m.component.get(t);return i?y._.trigger(m.component.formats.toString,m.component,[e,i]):""}},on:function(t,e,i){var n,o,a=v.isPlainObject(t),s=a?t:{};if(t)for(n in a||(s[t]=e),s)o=s[n],i&&(n="_"+n),d.methods[n]=d.methods[n]||[],d.methods[n].push(o);return m},off:function(){var t,e,i=arguments;for(t=0,namesCount=i.length;t<namesCount;t+=1)(e=i[t])in d.methods&&delete d.methods[e];return m},trigger:function(t,i){var e=function(t){var e=d.methods[t];e&&e.map(function(t){y._.trigger(t,m,[i])})};return e("_"+t),e(t),m}};return new g}function b(t){var e,i="position";return t.currentStyle?e=t.currentStyle[i]:window.getComputedStyle&&(e=getComputedStyle(t)[i]),"fixed"==e}function w(){if(k.height()<=a.height())return 0;var t=v('<div style="visibility:hidden;width:100px" />').appendTo("body"),e=t[0].offsetWidth;t.css("overflow","scroll");var i,n=v('<div style="width:100%" />').appendTo(t)[0].offsetWidth;return t.remove(),e-n}function S(t,e,i){if(v.isPlainObject(e))for(var n in e)o(t,n,e[n]);else o(t,e,i)}function o(t,e,i){t.setAttribute(("role"==e?"":"aria-")+e,i)}function t(t,e){for(var i in v.isPlainObject(t)||(t={attribute:e}),e="",t){var n=("role"==i?"":"aria-")+i,o;e+=null==t[i]?"":n+'="'+t[i]+'"'}return e}function C(){try{return document.activeElement}catch(t){}}var a=v(window),x=v(document),k=v(document.documentElement);return y.klasses=function(t){return{picker:t=t||"picker",opened:t+"--opened",focused:t+"--focused",input:t+"__input",active:t+"__input--active",target:t+"__input--target",holder:t+"__holder",frame:t+"__frame",wrap:t+"__wrap",box:t+"__box"}},y._={group:function(t){for(var e,i="",n=y._.trigger(t.min,t);n<=y._.trigger(t.max,t,[n]);n+=t.i)e=y._.trigger(t.item,t,[n]),i+=y._.node(t.node,e[0],e[1],e[2]);return i},node:function(t,e,i,n){return e?"<"+t+(i=i?' class="'+i+'"':"")+(n=n?" "+n:"")+">"+(e=v.isArray(e)?e.join(""):e)+"</"+t+">":""},lead:function(t){return(t<10?"0":"")+t},trigger:function(t,e,i){return"function"==typeof t?t.apply(e,i||[]):t},digits:function(t){return/\d/.test(t[1])?2:1},isDate:function(t){return-1<{}.toString.call(t).indexOf("Date")&&this.isInteger(t.getDate())},isInteger:function(t){return-1<{}.toString.call(t).indexOf("Number")&&t%1==0},ariaAttr:t},y.extend=function(n,o){v.fn[n]=function(e,t){var i=this.data(n);return"picker"==e?i:i&&"string"==typeof e?y._.trigger(i[e],i,[t]):this.each(function(){var t;v(this).data(n)||new y(this,n,o,e)})},v.fn[n].defaults=o.defaults},y}),function(t){"function"==typeof define&&define.amd?define(["picker","jquery"],t):"object"==typeof exports?module.exports=t(require("./picker.js"),require("jquery")):t(Picker,jQuery)}(function(t,f){function e(e,i){var n=this,t=e.$node[0],o=t.value,a=e.$node.data("value"),s=a||o,r=a?i.formatSubmit:i.format,l=function(){return t.currentStyle?"rtl"==t.currentStyle.direction:"rtl"==getComputedStyle(e.$root[0]).direction},u;n.settings=i,n.$node=e.$node,n.queue={min:"measure create",max:"measure create",now:"now create",select:"parse create validate",highlight:"parse navigate create validate",view:"parse create validate viewset",disable:"deactivate",enable:"activate"},n.item={},n.item.clear=null,n.item.disable=(i.disable||[]).slice(0),n.item.enable=-(!0===(u=n.item.disable)[0]?u.shift():-1),n.set("min",i.min).set("max",i.max).set("now"),s?n.set("select",s,{format:r}):n.set("select",null).set("highlight",n.item.now),n.key={40:7,38:-7,39:function(){return l()?-1:1},37:function(){return l()?1:-1},go:function(t){var e=n.item.highlight,i=new Date(e.year,e.month,e.date+t);n.set("highlight",i,{interval:t}),this.render()}},e.on("render",function(){e.$root.find("."+i.klass.selectMonth).on("change",function(){var t=this.value;t&&(e.set("highlight",[e.get("view").year,t,e.get("highlight").date]),e.$root.find("."+i.klass.selectMonth).trigger("focus"))}),e.$root.find("."+i.klass.selectYear).on("change",function(){var t=this.value;t&&(e.set("highlight",[t,e.get("view").month,e.get("highlight").date]),e.$root.find("."+i.klass.selectYear).trigger("focus"))})},1).on("open",function(){var t="";n.disabled(n.get("now"))&&(t=":not(."+i.klass.buttonToday+")"),e.$root.find("button"+t+", select").attr("disabled",!1)},1).on("close",function(){e.$root.find("button, select").attr("disabled",!0)},1)}var i=7,n=6,v=t._,o;e.prototype.set=function(e,i,n){var o=this,t=o.item;return null===i?("clear"==e&&(e="select"),t[e]=i):(t["enable"==e?"disable":"flip"==e?"enable":e]=o.queue[e].split(" ").map(function(t){return i=o[t](e,i,n)}).pop(),"select"==e?o.set("highlight",t.select,n):"highlight"==e?o.set("view",t.highlight,n):e.match(/^(flip|min|max|disable|enable)$/)&&(t.select&&o.disabled(t.select)&&o.set("select",t.select,n),t.highlight&&o.disabled(t.highlight)&&o.set("highlight",t.highlight,n))),o},e.prototype.get=function(t){return this.item[t]},e.prototype.create=function(t,e,i){var n,o=this;return(e=void 0===e?t:e)==-1/0||e==1/0?n=e:e=f.isPlainObject(e)&&v.isInteger(e.pick)?e.obj:f.isArray(e)?(e=new Date(e[0],e[1],e[2]),v.isDate(e)?e:o.create().obj):v.isInteger(e)||v.isDate(e)?o.normalize(new Date(e),i):o.now(t,e,i),{year:n||e.getFullYear(),month:n||e.getMonth(),date:n||e.getDate(),day:n||e.getDay(),obj:n||e,pick:n||e.getTime()}},e.prototype.createRange=function(t,e){var i=this,n=function(t){return!0===t||f.isArray(t)||v.isDate(t)?i.create(t):t};return v.isInteger(t)||(t=n(t)),v.isInteger(e)||(e=n(e)),v.isInteger(t)&&f.isPlainObject(e)?t=[e.year,e.month,e.date+t]:v.isInteger(e)&&f.isPlainObject(t)&&(e=[t.year,t.month,t.date+e]),{from:n(t),to:n(e)}},e.prototype.withinRange=function(t,e){return t=this.createRange(t.from,t.to),e.pick>=t.from.pick&&e.pick<=t.to.pick},e.prototype.overlapRanges=function(t,e){var i=this;return t=i.createRange(t.from,t.to),e=i.createRange(e.from,e.to),i.withinRange(t,e.from)||i.withinRange(t,e.to)||i.withinRange(e,t.from)||i.withinRange(e,t.to)},e.prototype.now=function(t,e,i){return e=new Date,i&&i.rel&&e.setDate(e.getDate()+i.rel),this.normalize(e,i)},e.prototype.navigate=function(t,e,i){var n,o,a,s,r=f.isArray(e),l=f.isPlainObject(e),u=this.item.view;if(r||l){for(s=l?(o=e.year,a=e.month,e.date):(o=+e[0],a=+e[1],+e[2]),i&&i.nav&&u&&u.month!==a&&(o=u.year,a=u.month),o=(n=new Date(o,a+(i&&i.nav?i.nav:0),1)).getFullYear(),a=n.getMonth();new Date(o,a,s).getMonth()!==a;)s-=1;e=[o,a,s]}return e},e.prototype.normalize=function(t){return t.setHours(0,0,0,0),t},e.prototype.measure=function(t,e){var i=this;return e?"string"==typeof e?e=i.parse(t,e):v.isInteger(e)&&(e=i.now(t,e,{rel:e})):e="min"==t?-1/0:1/0,e},e.prototype.viewset=function(t,e){return this.create([e.year,e.month,1])},e.prototype.validate=function(t,i,e){var n,o,a,s,r=this,l=i,u=e&&e.interval?e.interval:1,c=-1===r.item.enable,d=r.item.min,h=r.item.max,p=c&&r.item.disable.filter(function(t){if(f.isArray(t)){var e=r.create(t).pick;e<i.pick?n=!0:e>i.pick&&(o=!0)}return v.isInteger(t)}).length;if((!e||!e.nav)&&(!c&&r.disabled(i)||c&&r.disabled(i)&&(p||n||o)||!c&&(i.pick<=d.pick||i.pick>=h.pick)))for(c&&!p&&(!o&&0<u||!n&&u<0)&&(u*=-1);r.disabled(i)&&(1<Math.abs(u)&&(i.month<l.month||i.month>l.month)&&(i=l,u=0<u?1:-1),i.pick<=d.pick?(a=!0,u=1,i=r.create([d.year,d.month,d.date+(i.pick===d.pick?0:-1)])):i.pick>=h.pick&&(s=!0,u=-1,i=r.create([h.year,h.month,h.date+(i.pick===h.pick?0:1)])),!a||!s);)i=r.create([i.year,i.month,i.date+u]);return i},e.prototype.disabled=function(e){var i=this,t=i.item.disable.filter(function(t){return v.isInteger(t)?e.day===(i.settings.firstDay?t:t-1)%7:f.isArray(t)||v.isDate(t)?e.pick===i.create(t).pick:f.isPlainObject(t)?i.withinRange(t,e):void 0});return t=t.length&&!t.filter(function(t){return f.isArray(t)&&"inverted"==t[3]||f.isPlainObject(t)&&t.inverted}).length,-1===i.item.enable?!t:t||e.pick<i.item.min.pick||e.pick>i.item.max.pick},e.prototype.parse=function(t,n,e){var o=this,a={};return n&&"string"==typeof n?(e&&e.format||((e=e||{}).format=o.settings.format),o.formats.toArray(e.format).map(function(t){var e=o.formats[t],i=e?v.trigger(e,o,[n,a]):t.replace(/^!/,"").length;e&&(a[t]=n.substr(0,i)),n=n.substr(i)}),[a.yyyy||a.yy,+(a.mm||a.m)-1,a.dd||a.d]):n},e.prototype.formats=function(){function n(t,e,i){var n=t.match(/\w+/)[0];return i.mm||i.m||(i.m=e.indexOf(n)+1),n.length}function i(t){return t.match(/\w+/)[0].length}return{d:function(t,e){return t?v.digits(t):e.date},dd:function(t,e){return t?2:v.lead(e.date)},ddd:function(t,e){return t?i(t):this.settings.weekdaysShort[e.day]},dddd:function(t,e){return t?i(t):this.settings.weekdaysFull[e.day]},m:function(t,e){return t?v.digits(t):e.month+1},mm:function(t,e){return t?2:v.lead(e.month+1)},mmm:function(t,e){var i=this.settings.monthsShort;return t?n(t,i,e):i[e.month]},mmmm:function(t,e){var i=this.settings.monthsFull;return t?n(t,i,e):i[e.month]},yy:function(t,e){return t?2:(""+e.year).slice(2)},yyyy:function(t,e){return t?4:e.year},toArray:function(t){return t.split(/(d{1,4}|m{1,4}|y{4}|yy|!.)/g)},toString:function(t,e){var i=this;return i.formats.toArray(t).map(function(t){return v.trigger(i.formats[t],i,[0,e])||t.replace(/^!/,"")}).join("")}}}(),e.prototype.isDateExact=function(t,e){var i=this;return v.isInteger(t)&&v.isInteger(e)||"boolean"==typeof t&&"boolean"==typeof e?t===e:(v.isDate(t)||f.isArray(t))&&(v.isDate(e)||f.isArray(e))?i.create(t).pick===i.create(e).pick:!(!f.isPlainObject(t)||!f.isPlainObject(e))&&(i.isDateExact(t.from,e.from)&&i.isDateExact(t.to,e.to))},e.prototype.isDateOverlap=function(t,e){var i=this,n=i.settings.firstDay?1:0;return v.isInteger(t)&&(v.isDate(e)||f.isArray(e))?(t=t%7+n)===i.create(e).day+1:v.isInteger(e)&&(v.isDate(t)||f.isArray(t))?(e=e%7+n)===i.create(t).day+1:!(!f.isPlainObject(t)||!f.isPlainObject(e))&&i.overlapRanges(t,e)},e.prototype.flipEnable=function(t){var e=this.item;e.enable=t||(-1==e.enable?1:-1)},e.prototype.deactivate=function(t,e){var n=this,o=n.item.disable.slice(0);return"flip"==e?n.flipEnable():!1===e?(n.flipEnable(1),o=[]):!0===e?(n.flipEnable(-1),o=[]):e.map(function(t){for(var e,i=0;i<o.length;i+=1)if(n.isDateExact(t,o[i])){e=!0;break}e||(v.isInteger(t)||v.isDate(t)||f.isArray(t)||f.isPlainObject(t)&&t.from&&t.to)&&o.push(t)}),o},e.prototype.activate=function(t,e){var a=this,s=a.item.disable,r=s.length;return"flip"==e?a.flipEnable():!0===e?(a.flipEnable(1),s=[]):!1===e?(a.flipEnable(-1),s=[]):e.map(function(t){var e,i,n,o;for(n=0;n<r;n+=1){if(i=s[n],a.isDateExact(i,t)){e=s[n]=null,o=!0;break}if(a.isDateOverlap(i,t)){f.isPlainObject(t)?(t.inverted=!0,e=t):f.isArray(t)?(e=t)[3]||e.push("inverted"):v.isDate(t)&&(e=[t.getFullYear(),t.getMonth(),t.getDate(),"inverted"]);break}}if(e)for(n=0;n<r;n+=1)if(a.isDateExact(s[n],t)){s[n]=null;break}if(o)for(n=0;n<r;n+=1)if(a.isDateOverlap(s[n],t)){s[n]=null;break}e&&s.push(e)}),s.filter(function(t){return null!=t})},e.prototype.nodes=function(u){var c=this,d=c.settings,t=c.item,s=t.now,r=t.select,l=t.highlight,h=t.view,p=t.disable,f=t.min,g=t.max,e=(a=(d.showWeekdaysFull?d.weekdaysFull:d.weekdaysLetter).slice(0),m=d.weekdaysFull.slice(0),d.firstDay&&(a.push(a.shift()),m.push(m.shift())),v.node("thead",v.node("tr",v.group({min:0,max:6,i:1,node:"th",item:function(t){return[a[t],d.klass.weekdays,'scope=col title="'+m[t]+'"']}})))),i=function(t){return v.node("div"," ",d.klass["nav"+(t?"Next":"Prev")]+(t&&h.year>=g.year&&h.month>=g.month||!t&&h.year<=f.year&&h.month<=f.month?" "+d.klass.navDisabled:""),"data-nav="+(t||-1)+" "+v.ariaAttr({role:"button",controls:c.$node[0].id+"_table"})+' title="'+(t?d.labelMonthNext:d.labelMonthPrev)+'"')},n=function(t){var e=d.showMonthsShort?d.monthsShort:d.monthsFull;return"short_months"==t&&(e=d.monthsShort),d.selectMonths&&null==t?v.node("select",v.group({min:0,max:11,i:1,node:"option",item:function(t){return[e[t],0,"value="+t+(h.month==t?" selected":"")+(h.year==f.year&&t<f.month||h.year==g.year&&t>g.month?" disabled":"")]}}),d.klass.selectMonth+" browser-default",(u?"":"disabled")+" "+v.ariaAttr({controls:c.$node[0].id+"_table"})+' title="'+d.labelMonthSelect+'"'):"short_months"==t?null!=r?v.node("div",e[r.month]):v.node("div",e[h.month]):v.node("div",e[h.month],d.klass.month)},o=function(t){var e=h.year,i=!0===d.selectYears?5:~~(d.selectYears/2);if(i){var n=f.year,o=g.year,a=e-i,s=e+i;if(a<n&&(s+=n-a,a=n),o<s){var r=a-n,l=s-o;a-=l<r?l:r,s=o}if(d.selectYears&&null==t)return v.node("select",v.group({min:a,max:s,i:1,node:"option",item:function(t){return[t,0,"value="+t+(e==t?" selected":"")]}}),d.klass.selectYear+" browser-default",(u?"":"disabled")+" "+v.ariaAttr({controls:c.$node[0].id+"_table"})+' title="'+d.labelYearSelect+'"')}return"raw"==t?v.node("div",e):v.node("div",e,d.klass.year)},a,m;return createDayLabel=function(){return null!=r?v.node("div",r.date):v.node("div",s.date)},createWeekdayLabel=function(){var t,e;return t=null!=r?r.day:s.day,d.weekdaysFull[t]},v.node("div",v.node("div",createWeekdayLabel(),"picker__weekday-display")+v.node("div",n("short_months"),d.klass.month_display)+v.node("div",createDayLabel(),d.klass.day_display)+v.node("div",o("raw"),d.klass.year_display),d.klass.date_display)+v.node("div",v.node("div",(d.selectYears,n()+o()+i()+i(1)),d.klass.header)+v.node("table",e+v.node("tbody",v.group({min:0,max:5,i:1,node:"tr",item:function(t){var e=d.firstDay&&0===c.create([h.year,h.month,1]).day?-7:0;return[v.group({min:7*t-h.day+e+1,max:function(){return this.min+7-1},i:1,node:"td",item:function(t){t=c.create([h.year,h.month,t+(d.firstDay?1:0)]);var e=r&&r.pick==t.pick,i=l&&l.pick==t.pick,n=p&&c.disabled(t)||t.pick<f.pick||t.pick>g.pick,o=v.trigger(c.formats.toString,c,[d.format,t]),a;return[v.node("div",t.date,(a=[d.klass.day],a.push(h.month==t.month?d.klass.infocus:d.klass.outfocus),s.pick==t.pick&&a.push(d.klass.now),e&&a.push(d.klass.selected),i&&a.push(d.klass.highlighted),n&&a.push(d.klass.disabled),a.join(" ")),"data-pick="+t.pick+" "+v.ariaAttr({role:"gridcell",label:o,selected:!(!e||c.$node.val()!==o)||null,activedescendant:!!i||null,disabled:!!n||null})),"",v.ariaAttr({role:"presentation"})]}})]}})),d.klass.table,'id="'+c.$node[0].id+'_table" '+v.ariaAttr({role:"grid",controls:c.$node[0].id,readonly:!0})),d.klass.calendar_container)+v.node("div",v.node("button",d.today,"btn-flat picker__today","type=button data-pick="+s.pick+(u&&!c.disabled(s)?"":" disabled")+" "+v.ariaAttr({controls:c.$node[0].id}))+v.node("button",d.clear,"btn-flat picker__clear","type=button data-clear=1"+(u?"":" disabled")+" "+v.ariaAttr({controls:c.$node[0].id}))+v.node("button",d.close,"btn-flat picker__close","type=button data-close=true "+(u?"":" disabled")+" "+v.ariaAttr({controls:c.$node[0].id})),d.klass.footer)},e.defaults={labelMonthNext:"Next month",labelMonthPrev:"Previous month",labelMonthSelect:"Select a month",labelYearSelect:"Select a year",monthsFull:["January","February","March","April","May","June","July","August","September","October","November","December"],monthsShort:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],weekdaysFull:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],weekdaysShort:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],weekdaysLetter:["S","M","T","W","T","F","S"],today:"Today",clear:"Clear",close:"Close",format:"d mmmm, yyyy",klass:{table:(o=t.klasses().picker+"__")+"table",header:o+"header",date_display:o+"date-display",day_display:o+"day-display",month_display:o+"month-display",year_display:o+"year-display",calendar_container:o+"calendar-container",navPrev:o+"nav--prev",navNext:o+"nav--next",navDisabled:o+"nav--disabled",month:o+"month",year:o+"year",selectMonth:o+"select--month",selectYear:o+"select--year",weekdays:o+"weekday",day:o+"day",disabled:o+"day--disabled",selected:o+"day--selected",highlighted:o+"day--highlighted",now:o+"day--today",infocus:o+"day--infocus",outfocus:o+"day--outfocus",footer:o+"footer",buttonClear:o+"button--clear",buttonToday:o+"button--today",buttonClose:o+"button--close"}},t.extend("pickadate",e)}),function(n){function o(){var t=+n(this).attr("length"),e=+n(this).val().length,i=e<=t;n(this).parent().find('span[class="character-counter"]').html(e+"/"+t),r(i,n(this))}function a(t){var e=t.parent().find('span[class="character-counter"]');e.length||(e=n("<span/>").addClass("character-counter").css("float","right").css("font-size","12px").css("height",1),t.parent().append(e))}function s(){n(this).parent().find('span[class="character-counter"]').html("")}function r(t,e){var i=e.hasClass("invalid");t&&i?e.removeClass("invalid"):t||i||(e.removeClass("valid"),e.addClass("invalid"))}n.fn.characterCounter=function(){return this.each(function(){var t=n(this),e,i;t.parent().find('span[class="character-counter"]').length||void 0!==t.attr("length")&&(t.on("input",o),t.on("focus",o),t.on("blur",s),a(t))})},n(document).ready(function(){n("input, textarea").characterCounter()})}(jQuery),function(E){var e={init:function(A){var t={time_constant:200,dist:-100,shift:0,padding:0,full_width:!1};return A=E.extend(t,A),this.each(function(){function t(){void 0!==window.ontouchstart&&(M[0].addEventListener("touchstart",r),M[0].addEventListener("touchmove",u),M[0].addEventListener("touchend",c)),M[0].addEventListener("mousedown",r),M[0].addEventListener("mousemove",u),M[0].addEventListener("mouseup",c),M[0].addEventListener("click",n)}function o(t){return t.targetTouches&&1<=t.targetTouches.length?t.targetTouches[0].clientX:t.clientX}function a(t){return t.targetTouches&&1<=t.targetTouches.length?t.targetTouches[0].clientY:t.clientY}function l(t){return m<=t?t%m:t<0?l(m+t%m):t}function s(t){var e,i,n,o,a,s,r;for(h="number"==typeof t?t:h,p=Math.floor((h+g/2)/g),a=-(o=(n=h-p*g)<0?1:-1)*n*2/g,A.full_width?r="translateX(0)":(r="translateX("+(M[0].clientWidth-item_width)/2+"px) ",r+="translateY("+(M[0].clientHeight-item_width)/2+"px)"),(s=d[l(p)]).style[x]=r+" translateX("+-n/2+"px) translateX("+o*A.shift*a*e+"px) translateZ("+A.dist*a+"px)",s.style.zIndex=0,A.full_width?tweenedOpacity=1:tweenedOpacity=1-.2*a,s.style.opacity=tweenedOpacity,i=m>>1,e=1;e<=i;++e)A.full_width?(zTranslation=A.dist,tweenedOpacity=e===i&&n<0?1-a:1):(zTranslation=A.dist*(2*e+a*o),tweenedOpacity=1-.2*(2*e+a*o)),(s=d[l(p+e)]).style[x]=r+" translateX("+(A.shift+(g*e-n)/2)+"px) translateZ("+zTranslation+"px)",s.style.zIndex=-e,
s.style.opacity=tweenedOpacity,A.full_width?(zTranslation=A.dist,tweenedOpacity=e===i&&0<n?1-a:1):(zTranslation=A.dist*(2*e-a*o),tweenedOpacity=1-.2*(2*e-a*o)),(s=d[l(p-e)]).style[x]=r+" translateX("+(-A.shift+(-g*e-n)/2)+"px) translateZ("+zTranslation+"px)",s.style.zIndex=-e,s.style.opacity=tweenedOpacity;(s=d[l(p)]).style[x]=r+" translateX("+-n/2+"px) translateX("+o*A.shift*a+"px) translateZ("+A.dist*a+"px)",s.style.zIndex=0,A.full_width?tweenedOpacity=1:tweenedOpacity=1-.2*a,s.style.opacity=tweenedOpacity}function e(){var t,e,i,n;e=(t=Date.now())-T,T=t,i=h-k,k=h,C=.8*(n=1e3*i/(1+e))+.2*C}function i(){var t,e;w&&(t=Date.now()-T,2<(e=w*Math.exp(-t/A.time_constant))||e<-2?(s(S-e),requestAnimationFrame(i)):s(S))}function n(t){if(O)return t.preventDefault(),t.stopPropagation(),!1;if(!A.full_width){var e=E(t.target).closest(".carousel-item").index(),i=p%m-e;i<0?Math.abs(i+m)<Math.abs(i)&&(i+=m):0<i&&Math.abs(i-m)<i&&(i-=m),i<0?E(this).trigger("carouselNext",[Math.abs(i)]):0<i&&E(this).trigger("carouselPrev",[i])}}function r(t){P=O=!(f=!0),v=o(t),b=a(t),C=w=0,k=h,T=Date.now(),clearInterval(_),_=setInterval(e,100)}function u(t){var e,i,n;if(f)if(e=o(t),y=a(t),i=v-e,(n=Math.abs(b-y))<30&&!P)(2<i||i<-2)&&(O=!0,v=e,s(h+i));else{if(O)return t.preventDefault(),t.stopPropagation(),!1;P=!0}return O?(t.preventDefault(),t.stopPropagation(),!1):void 0}function c(t){return f=!1,clearInterval(_),S=h,(10<C||C<-10)&&(S=h+(w=.9*C)),S=Math.round(S/g)*g,w=S-h,T=Date.now(),requestAnimationFrame(i),t.preventDefault(),t.stopPropagation(),!1}var d,h,p,f,g,m,v,b,w,S,C,x,k,T,_,O,P,M=E(this);return!!M.hasClass("initialized")||(A.full_width&&(A.dist=0,imageHeight=M.find(".carousel-item img").first().load(function(){M.css("height",E(this).height())})),M.addClass("initialized"),f=!1,h=S=0,d=[],item_width=M.find(".carousel-item").first().innerWidth(),g=2*item_width+A.padding,M.find(".carousel-item").each(function(){d.push(E(this)[0])}),m=d.length,x="transform",["webkit","Moz","O","ms"].every(function(t){var e=t+"Transform";return void 0===document.body.style[e]||(x=e,!1)}),window.onresize=s,t(),s(h),E(this).on("carouselNext",function(t,e){void 0===e&&(e=1),h!==(S=h+g*e)&&(w=S-h,T=Date.now(),requestAnimationFrame(i))}),void E(this).on("carouselPrev",function(t,e){void 0===e&&(e=1),h!==(S=h-g*e)&&(w=S-h,T=Date.now(),requestAnimationFrame(i))}))})},next:function(t){E(this).trigger("carouselNext",[t])},prev:function(t){E(this).trigger("carouselPrev",[t])}};E.fn.carousel=function(t){return e[t]?e[t].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof t&&t?void E.error("Method "+t+" does not exist on jQuery.carousel"):e.init.apply(this,arguments)}}(jQuery),//jQuery Cookie Plugin v1.3
//https://github.com/carhartl/jquery-cookie
function(d,h,p){function f(t){return t}function g(t){return decodeURIComponent(t.replace(e," "))}var e=/\+/g,m=d.cookie=function(t,e,i){
// write
if(e!==p){if(i=d.extend({},m.defaults,i),null===e&&(i.expires=-1),"number"==typeof i.expires){var n=i.expires,o=i.expires=new Date;o.setDate(o.getDate()+n)}return e=m.json?JSON.stringify(e):String(e),h.cookie=[encodeURIComponent(t),"=",m.raw?e:encodeURIComponent(e),i.expires?"; expires="+i.expires.toUTCString():"",// use expires attribute, max-age is not supported by IE
i.path?"; path="+i.path:"",i.domain?"; domain="+i.domain:"",i.secure?"; secure":""].join("")}
// read
for(var a=m.raw?f:g,s=h.cookie.split("; "),r=0,l=s.length;r<l;r++){var u=s[r].split("=");if(a(u.shift())===t){var c=a(u.join("="));return m.json?JSON.parse(c):c}}return null};m.defaults={},d.removeCookie=function(t,e){return null!==d.cookie(t)&&(d.cookie(t,null,e),!0)}}(jQuery,document),function(t){"use strict";"function"==typeof define&&define.amd?define(["jquery"],t):"undefined"!=typeof exports?module.exports=t(require("jquery")):t(jQuery)}(function(c){"use strict";var r=window.Slick||{};(r=function(){function t(t,e){var i,n=this;n.defaults={accessibility:!0,adaptiveHeight:!1,appendArrows:c(t),appendDots:c(t),arrows:!0,asNavFor:null,prevArrow:'<button type="button" data-role="none" class="slick-prev" aria-label="Previous" tabindex="0" role="button">Previous</button>',nextArrow:'<button type="button" data-role="none" class="slick-next" aria-label="Next" tabindex="0" role="button">Next</button>',autoplay:!1,autoplaySpeed:3e3,centerMode:!1,centerPadding:"50px",cssEase:"ease",customPaging:function(t,e){return c('<button type="button" data-role="none" role="button" tabindex="0" />').text(e+1)},dots:!1,dotsClass:"slick-dots",draggable:!0,easing:"linear",edgeFriction:.35,fade:!1,focusOnSelect:!1,infinite:!0,initialSlide:0,lazyLoad:"ondemand",mobileFirst:!1,pauseOnHover:!0,pauseOnFocus:!0,pauseOnDotsHover:!1,respondTo:"window",responsive:null,rows:1,rtl:!1,slide:"",slidesPerRow:1,slidesToShow:1,slidesToScroll:1,speed:500,swipe:!0,swipeToSlide:!1,touchMove:!0,touchThreshold:5,useCSS:!0,useTransform:!0,variableWidth:!1,vertical:!1,verticalSwiping:!1,waitForAnimate:!0,zIndex:1e3},n.initials={animating:!1,dragging:!1,autoPlayTimer:null,currentDirection:0,currentLeft:null,currentSlide:0,direction:1,$dots:null,listWidth:null,listHeight:null,loadIndex:0,$nextArrow:null,$prevArrow:null,slideCount:null,slideWidth:null,$slideTrack:null,$slides:null,sliding:!1,slideOffset:0,swipeLeft:null,$list:null,touchObject:{},transformsEnabled:!1,unslicked:!1},c.extend(n,n.initials),n.activeBreakpoint=null,n.animType=null,n.animProp=null,n.breakpoints=[],n.breakpointSettings=[],n.cssTransitions=!1,n.focussed=!1,n.interrupted=!1,n.hidden="hidden",n.paused=!0,n.positionProp=null,n.respondTo=null,n.rowCount=1,n.shouldClick=!0,n.$slider=c(t),n.$slidesCache=null,n.transformType=null,n.transitionType=null,n.visibilityChange="visibilitychange",n.windowWidth=0,n.windowTimer=null,i=c(t).data("slick")||{},n.options=c.extend({},n.defaults,e,i),n.currentSlide=n.options.initialSlide,n.originalSettings=n.options,void 0!==document.mozHidden?(n.hidden="mozHidden",n.visibilityChange="mozvisibilitychange"):void 0!==document.webkitHidden&&(n.hidden="webkitHidden",n.visibilityChange="webkitvisibilitychange"),n.autoPlay=c.proxy(n.autoPlay,n),n.autoPlayClear=c.proxy(n.autoPlayClear,n),n.autoPlayIterator=c.proxy(n.autoPlayIterator,n),n.changeSlide=c.proxy(n.changeSlide,n),n.clickHandler=c.proxy(n.clickHandler,n),n.selectHandler=c.proxy(n.selectHandler,n),n.setPosition=c.proxy(n.setPosition,n),n.swipeHandler=c.proxy(n.swipeHandler,n),n.dragHandler=c.proxy(n.dragHandler,n),n.keyHandler=c.proxy(n.keyHandler,n),n.instanceUid=o++,n.htmlExpr=/^(?:\s*(<[\w\W]+>)[^>]*)$/,n.registerBreakpoints(),n.init(!0)}var o=0;return t}()).prototype.activateADA=function(){var t;this.$slideTrack.find(".slick-active").attr({"aria-hidden":"false"}).find("a, input, button, select").attr({tabindex:"0"})},r.prototype.addSlide=r.prototype.slickAdd=function(t,e,i){var n=this;if("boolean"==typeof e)i=e,e=null;else if(e<0||e>=n.slideCount)return!1;n.unload(),"number"==typeof e?0===e&&0===n.$slides.length?c(t).appendTo(n.$slideTrack):i?c(t).insertBefore(n.$slides.eq(e)):c(t).insertAfter(n.$slides.eq(e)):!0===i?c(t).prependTo(n.$slideTrack):c(t).appendTo(n.$slideTrack),n.$slides=n.$slideTrack.children(this.options.slide),n.$slideTrack.children(this.options.slide).detach(),n.$slideTrack.append(n.$slides),n.$slides.each(function(t,e){c(e).attr("data-slick-index",t)}),n.$slidesCache=n.$slides,n.reinit()},r.prototype.animateHeight=function(){var t=this;if(1===t.options.slidesToShow&&!0===t.options.adaptiveHeight&&!1===t.options.vertical){var e=t.$slides.eq(t.currentSlide).outerHeight(!0);t.$list.animate({height:e},t.options.speed)}},r.prototype.animateSlide=function(t,e){var i={},n=this;n.animateHeight(),!0===n.options.rtl&&!1===n.options.vertical&&(t=-t),!1===n.transformsEnabled?!1===n.options.vertical?n.$slideTrack.animate({left:t},n.options.speed,n.options.easing,e):n.$slideTrack.animate({top:t},n.options.speed,n.options.easing,e):!1===n.cssTransitions?(!0===n.options.rtl&&(n.currentLeft=-n.currentLeft),c({animStart:n.currentLeft}).animate({animStart:t},{duration:n.options.speed,easing:n.options.easing,step:function(t){t=Math.ceil(t),!1===n.options.vertical?i[n.animType]="translate("+t+"px, 0px)":i[n.animType]="translate(0px,"+t+"px)",n.$slideTrack.css(i)},complete:function(){e&&e.call()}})):(n.applyTransition(),t=Math.ceil(t),!1===n.options.vertical?i[n.animType]="translate3d("+t+"px, 0px, 0px)":i[n.animType]="translate3d(0px,"+t+"px, 0px)",n.$slideTrack.css(i),e&&setTimeout(function(){n.disableTransition(),e.call()},n.options.speed))},r.prototype.getNavTarget=function(){var t=this,e=t.options.asNavFor;return e&&null!==e&&(e=c(e).not(t.$slider)),e},r.prototype.asNavFor=function(e){var t,i=this.getNavTarget();null!==i&&"object"==typeof i&&i.each(function(){var t=c(this).slick("getSlick");t.unslicked||t.slideHandler(e,!0)})},r.prototype.applyTransition=function(t){var e=this,i={};!1===e.options.fade?i[e.transitionType]=e.transformType+" "+e.options.speed+"ms "+e.options.cssEase:i[e.transitionType]="opacity "+e.options.speed+"ms "+e.options.cssEase,!1===e.options.fade?e.$slideTrack.css(i):e.$slides.eq(t).css(i)},r.prototype.autoPlay=function(){var t=this;t.autoPlayClear(),t.slideCount>t.options.slidesToShow&&(t.autoPlayTimer=setInterval(t.autoPlayIterator,t.options.autoplaySpeed))},r.prototype.autoPlayClear=function(){var t=this;t.autoPlayTimer&&clearInterval(t.autoPlayTimer)},r.prototype.autoPlayIterator=function(){var t=this,e=t.currentSlide+t.options.slidesToScroll;t.paused||t.interrupted||t.focussed||(!1===t.options.infinite&&(1===t.direction&&t.currentSlide+1===t.slideCount-1?t.direction=0:0===t.direction&&(e=t.currentSlide-t.options.slidesToScroll,t.currentSlide-1==0&&(t.direction=1))),t.slideHandler(e))},r.prototype.buildArrows=function(){var t=this;!0===t.options.arrows&&(t.$prevArrow=c(t.options.prevArrow).addClass("slick-arrow"),t.$nextArrow=c(t.options.nextArrow).addClass("slick-arrow"),t.slideCount>t.options.slidesToShow?(t.$prevArrow.removeClass("slick-hidden").removeAttr("aria-hidden tabindex"),t.$nextArrow.removeClass("slick-hidden").removeAttr("aria-hidden tabindex"),t.htmlExpr.test(t.options.prevArrow)&&t.$prevArrow.prependTo(t.options.appendArrows),t.htmlExpr.test(t.options.nextArrow)&&t.$nextArrow.appendTo(t.options.appendArrows),!0!==t.options.infinite&&t.$prevArrow.addClass("slick-disabled").attr("aria-disabled","true")):t.$prevArrow.add(t.$nextArrow).addClass("slick-hidden").attr({"aria-disabled":"true",tabindex:"-1"}))},r.prototype.buildDots=function(){var t,e,i=this;if(!0===i.options.dots&&i.slideCount>i.options.slidesToShow){for(i.$slider.addClass("slick-dotted"),e=c("<ul />").addClass(i.options.dotsClass),t=0;t<=i.getDotCount();t+=1)e.append(c("<li />").append(i.options.customPaging.call(this,i,t)));i.$dots=e.appendTo(i.options.appendDots),i.$dots.find("li").first().addClass("slick-active").attr("aria-hidden","false")}},r.prototype.buildOut=function(){var t=this;t.$slides=t.$slider.children(t.options.slide+":not(.slick-cloned)").addClass("slick-slide"),t.slideCount=t.$slides.length,t.$slides.each(function(t,e){c(e).attr("data-slick-index",t).data("originalStyling",c(e).attr("style")||"")}),t.$slider.addClass("slick-slider"),t.$slideTrack=0===t.slideCount?c('<div class="slick-track"/>').appendTo(t.$slider):t.$slides.wrapAll('<div class="slick-track"/>').parent(),t.$list=t.$slideTrack.wrap('<div aria-live="polite" class="slick-list"/>').parent(),t.$slideTrack.css("opacity",0),(!0===t.options.centerMode||!0===t.options.swipeToSlide)&&(t.options.slidesToScroll=1),c("img[data-lazy]",t.$slider).not("[src]").addClass("slick-loading"),t.setupInfinite(),t.buildArrows(),t.buildDots(),t.updateDots(),t.setSlideClasses("number"==typeof t.currentSlide?t.currentSlide:0),!0===t.options.draggable&&t.$list.addClass("draggable")},r.prototype.buildRows=function(){var t,e,i,n,o,a,s,r=this;if(n=document.createDocumentFragment(),a=r.$slider.children(),1<r.options.rows){for(s=r.options.slidesPerRow*r.options.rows,o=Math.ceil(a.length/s),t=0;t<o;t++){var l=document.createElement("div");for(e=0;e<r.options.rows;e++){var u=document.createElement("div");for(i=0;i<r.options.slidesPerRow;i++){var c=t*s+(e*r.options.slidesPerRow+i);a.get(c)&&u.appendChild(a.get(c))}l.appendChild(u)}n.appendChild(l)}r.$slider.empty().append(n),r.$slider.children().children().children().css({width:100/r.options.slidesPerRow+"%",display:"inline-block"})}},r.prototype.checkResponsive=function(t,e){var i,n,o,a=this,s=!1,r=a.$slider.width(),l=window.innerWidth||c(window).width();if("window"===a.respondTo?o=l:"slider"===a.respondTo?o=r:"min"===a.respondTo&&(o=Math.min(l,r)),a.options.responsive&&a.options.responsive.length&&null!==a.options.responsive){for(i in n=null,a.breakpoints)a.breakpoints.hasOwnProperty(i)&&(!1===a.originalSettings.mobileFirst?o<a.breakpoints[i]&&(n=a.breakpoints[i]):o>a.breakpoints[i]&&(n=a.breakpoints[i]));null!==n?null!==a.activeBreakpoint?(n!==a.activeBreakpoint||e)&&(a.activeBreakpoint=n,"unslick"===a.breakpointSettings[n]?a.unslick(n):(a.options=c.extend({},a.originalSettings,a.breakpointSettings[n]),!0===t&&(a.currentSlide=a.options.initialSlide),a.refresh(t)),s=n):(a.activeBreakpoint=n,"unslick"===a.breakpointSettings[n]?a.unslick(n):(a.options=c.extend({},a.originalSettings,a.breakpointSettings[n]),!0===t&&(a.currentSlide=a.options.initialSlide),a.refresh(t)),s=n):null!==a.activeBreakpoint&&(a.activeBreakpoint=null,a.options=a.originalSettings,!0===t&&(a.currentSlide=a.options.initialSlide),a.refresh(t),s=n),t||!1===s||a.$slider.trigger("breakpoint",[a,s])}},r.prototype.changeSlide=function(t,e){var i,n,o,a=this,s=c(t.currentTarget);switch(s.is("a")&&t.preventDefault(),s.is("li")||(s=s.closest("li")),i=(o=a.slideCount%a.options.slidesToScroll!=0)?0:(a.slideCount-a.currentSlide)%a.options.slidesToScroll,t.data.message){case"previous":n=0===i?a.options.slidesToScroll:a.options.slidesToShow-i,a.slideCount>a.options.slidesToShow&&a.slideHandler(a.currentSlide-n,!1,e);break;case"next":n=0===i?a.options.slidesToScroll:i,a.slideCount>a.options.slidesToShow&&a.slideHandler(a.currentSlide+n,!1,e);break;case"index":var r=0===t.data.index?0:t.data.index||s.index()*a.options.slidesToScroll;a.slideHandler(a.checkNavigable(r),!1,e),s.children().trigger("focus");break;default:return}},r.prototype.checkNavigable=function(t){var e,i,n;if(i=0,t>(e=this.getNavigableIndexes())[e.length-1])t=e[e.length-1];else for(var o in e){if(t<e[o]){t=i;break}i=e[o]}return t},r.prototype.cleanUpEvents=function(){var t=this;t.options.dots&&null!==t.$dots&&c("li",t.$dots).off("click.slick",t.changeSlide).off("mouseenter.slick",c.proxy(t.interrupt,t,!0)).off("mouseleave.slick",c.proxy(t.interrupt,t,!1)),t.$slider.off("focus.slick blur.slick"),!0===t.options.arrows&&t.slideCount>t.options.slidesToShow&&(t.$prevArrow&&t.$prevArrow.off("click.slick",t.changeSlide),t.$nextArrow&&t.$nextArrow.off("click.slick",t.changeSlide)),t.$list.off("touchstart.slick mousedown.slick",t.swipeHandler),t.$list.off("touchmove.slick mousemove.slick",t.swipeHandler),t.$list.off("touchend.slick mouseup.slick",t.swipeHandler),t.$list.off("touchcancel.slick mouseleave.slick",t.swipeHandler),t.$list.off("click.slick",t.clickHandler),c(document).off(t.visibilityChange,t.visibility),t.cleanUpSlideEvents(),!0===t.options.accessibility&&t.$list.off("keydown.slick",t.keyHandler),!0===t.options.focusOnSelect&&c(t.$slideTrack).children().off("click.slick",t.selectHandler),c(window).off("orientationchange.slick.slick-"+t.instanceUid,t.orientationChange),c(window).off("resize.slick.slick-"+t.instanceUid,t.resize),c("[draggable!=true]",t.$slideTrack).off("dragstart",t.preventDefault),c(window).off("load.slick.slick-"+t.instanceUid,t.setPosition),c(document).off("ready.slick.slick-"+t.instanceUid,t.setPosition)},r.prototype.cleanUpSlideEvents=function(){var t=this;t.$list.off("mouseenter.slick",c.proxy(t.interrupt,t,!0)),t.$list.off("mouseleave.slick",c.proxy(t.interrupt,t,!1))},r.prototype.cleanUpRows=function(){var t,e=this;1<e.options.rows&&((t=e.$slides.children().children()).removeAttr("style"),e.$slider.empty().append(t))},r.prototype.clickHandler=function(t){var e;!1===this.shouldClick&&(t.stopImmediatePropagation(),t.stopPropagation(),t.preventDefault())},r.prototype.destroy=function(t){var e=this;e.autoPlayClear(),e.touchObject={},e.cleanUpEvents(),c(".slick-cloned",e.$slider).detach(),e.$dots&&e.$dots.remove(),e.$prevArrow&&e.$prevArrow.length&&(e.$prevArrow.removeClass("slick-disabled slick-arrow slick-hidden").removeAttr("aria-hidden aria-disabled tabindex").css("display",""),e.htmlExpr.test(e.options.prevArrow)&&e.$prevArrow.remove()),e.$nextArrow&&e.$nextArrow.length&&(e.$nextArrow.removeClass("slick-disabled slick-arrow slick-hidden").removeAttr("aria-hidden aria-disabled tabindex").css("display",""),e.htmlExpr.test(e.options.nextArrow)&&e.$nextArrow.remove()),e.$slides&&(e.$slides.removeClass("slick-slide slick-active slick-center slick-visible slick-current").removeAttr("aria-hidden").removeAttr("data-slick-index").each(function(){c(this).attr("style",c(this).data("originalStyling"))}),e.$slideTrack.children(this.options.slide).detach(),e.$slideTrack.detach(),e.$list.detach(),e.$slider.append(e.$slides)),e.cleanUpRows(),e.$slider.removeClass("slick-slider"),e.$slider.removeClass("slick-initialized"),e.$slider.removeClass("slick-dotted"),e.unslicked=!0,t||e.$slider.trigger("destroy",[e])},r.prototype.disableTransition=function(t){var e=this,i={};i[e.transitionType]="",!1===e.options.fade?e.$slideTrack.css(i):e.$slides.eq(t).css(i)},r.prototype.fadeSlide=function(t,e){var i=this;!1===i.cssTransitions?(i.$slides.eq(t).css({zIndex:i.options.zIndex}),i.$slides.eq(t).animate({opacity:1},i.options.speed,i.options.easing,e)):(i.applyTransition(t),i.$slides.eq(t).css({opacity:1,zIndex:i.options.zIndex}),e&&setTimeout(function(){i.disableTransition(t),e.call()},i.options.speed))},r.prototype.fadeSlideOut=function(t){var e=this;!1===e.cssTransitions?e.$slides.eq(t).animate({opacity:0,zIndex:e.options.zIndex-2},e.options.speed,e.options.easing):(e.applyTransition(t),e.$slides.eq(t).css({opacity:0,zIndex:e.options.zIndex-2}))},r.prototype.filterSlides=r.prototype.slickFilter=function(t){var e=this;null!==t&&(e.$slidesCache=e.$slides,e.unload(),e.$slideTrack.children(this.options.slide).detach(),e.$slidesCache.filter(t).appendTo(e.$slideTrack),e.reinit())},r.prototype.focusHandler=function(){var i=this;i.$slider.off("focus.slick blur.slick").on("focus.slick blur.slick","*:not(.slick-arrow)",function(t){t.stopImmediatePropagation();var e=c(this);setTimeout(function(){i.options.pauseOnFocus&&(i.focussed=e.is(":focus"),i.autoPlay())},0)})},r.prototype.getCurrent=r.prototype.slickCurrentSlide=function(){var t;return this.currentSlide},r.prototype.getDotCount=function(){var t=this,e=0,i=0,n=0;if(!0===t.options.infinite)for(;e<t.slideCount;)++n,e=i+t.options.slidesToScroll,i+=t.options.slidesToScroll<=t.options.slidesToShow?t.options.slidesToScroll:t.options.slidesToShow;else if(!0===t.options.centerMode)n=t.slideCount;else if(t.options.asNavFor)for(;e<t.slideCount;)++n,e=i+t.options.slidesToScroll,i+=t.options.slidesToScroll<=t.options.slidesToShow?t.options.slidesToScroll:t.options.slidesToShow;else n=1+Math.ceil((t.slideCount-t.options.slidesToShow)/t.options.slidesToScroll);return n-1},r.prototype.getLeft=function(t){var e,i,n,o=this,a=0;return o.slideOffset=0,i=o.$slides.first().outerHeight(!0),!0===o.options.infinite?(o.slideCount>o.options.slidesToShow&&(o.slideOffset=o.slideWidth*o.options.slidesToShow*-1,a=i*o.options.slidesToShow*-1),o.slideCount%o.options.slidesToScroll!=0&&t+o.options.slidesToScroll>o.slideCount&&o.slideCount>o.options.slidesToShow&&(a=t>o.slideCount?(o.slideOffset=(o.options.slidesToShow-(t-o.slideCount))*o.slideWidth*-1,(o.options.slidesToShow-(t-o.slideCount))*i*-1):(o.slideOffset=o.slideCount%o.options.slidesToScroll*o.slideWidth*-1,o.slideCount%o.options.slidesToScroll*i*-1))):t+o.options.slidesToShow>o.slideCount&&(o.slideOffset=(t+o.options.slidesToShow-o.slideCount)*o.slideWidth,a=(t+o.options.slidesToShow-o.slideCount)*i),o.slideCount<=o.options.slidesToShow&&(a=o.slideOffset=0),!0===o.options.centerMode&&!0===o.options.infinite?o.slideOffset+=o.slideWidth*Math.floor(o.options.slidesToShow/2)-o.slideWidth:!0===o.options.centerMode&&(o.slideOffset=0,o.slideOffset+=o.slideWidth*Math.floor(o.options.slidesToShow/2)),e=!1===o.options.vertical?t*o.slideWidth*-1+o.slideOffset:t*i*-1+a,!0===o.options.variableWidth&&(n=o.slideCount<=o.options.slidesToShow||!1===o.options.infinite?o.$slideTrack.children(".slick-slide").eq(t):o.$slideTrack.children(".slick-slide").eq(t+o.options.slidesToShow),e=!0===o.options.rtl?n[0]?-1*(o.$slideTrack.width()-n[0].offsetLeft-n.width()):0:n[0]?-1*n[0].offsetLeft:0,!0===o.options.centerMode&&(n=o.slideCount<=o.options.slidesToShow||!1===o.options.infinite?o.$slideTrack.children(".slick-slide").eq(t):o.$slideTrack.children(".slick-slide").eq(t+o.options.slidesToShow+1),e=!0===o.options.rtl?n[0]?-1*(o.$slideTrack.width()-n[0].offsetLeft-n.width()):0:n[0]?-1*n[0].offsetLeft:0,e+=(o.$list.width()-n.outerWidth())/2)),e},r.prototype.getOption=r.prototype.slickGetOption=function(t){var e;return this.options[t]},r.prototype.getNavigableIndexes=function(){var t,e=this,i=0,n=0,o=[];for(t=!1===e.options.infinite?e.slideCount:(i=-1*e.options.slidesToScroll,n=-1*e.options.slidesToScroll,2*e.slideCount);i<t;)o.push(i),i=n+e.options.slidesToScroll,n+=e.options.slidesToScroll<=e.options.slidesToShow?e.options.slidesToScroll:e.options.slidesToShow;return o},r.prototype.getSlick=function(){return this},r.prototype.getSlideCount=function(){var t,i,n,o=this;return n=!0===o.options.centerMode?o.slideWidth*Math.floor(o.options.slidesToShow/2):0,!0===o.options.swipeToSlide?(o.$slideTrack.find(".slick-slide").each(function(t,e){return e.offsetLeft-n+c(e).outerWidth()/2>-1*o.swipeLeft?(i=e,!1):void 0}),t=Math.abs(c(i).attr("data-slick-index")-o.currentSlide)||1):o.options.slidesToScroll},r.prototype.goTo=r.prototype.slickGoTo=function(t,e){var i;this.changeSlide({data:{message:"index",index:parseInt(t)}},e)},r.prototype.init=function(t){var e=this;c(e.$slider).hasClass("slick-initialized")||(c(e.$slider).addClass("slick-initialized"),e.buildRows(),e.buildOut(),e.setProps(),e.startLoad(),e.loadSlider(),e.initializeEvents(),e.updateArrows(),e.updateDots(),e.checkResponsive(!0),e.focusHandler()),t&&e.$slider.trigger("init",[e]),!0===e.options.accessibility&&e.initADA(),e.options.autoplay&&(e.paused=!1,e.autoPlay())},r.prototype.initADA=function(){var e=this;e.$slides.add(e.$slideTrack.find(".slick-cloned")).attr({"aria-hidden":"true",tabindex:"-1"}).find("a, input, button, select").attr({tabindex:"-1"}),e.$slideTrack.attr("role","listbox"),e.$slides.not(e.$slideTrack.find(".slick-cloned")).each(function(t){c(this).attr({role:"option","aria-describedby":"slick-slide"+e.instanceUid+t})}),null!==e.$dots&&e.$dots.attr("role","tablist").find("li").each(function(t){c(this).attr({role:"presentation","aria-selected":"false","aria-controls":"navigation"+e.instanceUid+t,id:"slick-slide"+e.instanceUid+t})}).first().attr("aria-selected","true").end().find("button").attr("role","button").end().closest("div").attr("role","toolbar"),e.activateADA()},r.prototype.initArrowEvents=function(){var t=this;!0===t.options.arrows&&t.slideCount>t.options.slidesToShow&&(t.$prevArrow.off("click.slick").on("click.slick",{message:"previous"},t.changeSlide),t.$nextArrow.off("click.slick").on("click.slick",{message:"next"},t.changeSlide))},r.prototype.initDotEvents=function(){var t=this;!0===t.options.dots&&t.slideCount>t.options.slidesToShow&&c("li",t.$dots).on("click.slick",{message:"index"},t.changeSlide),!0===t.options.dots&&!0===t.options.pauseOnDotsHover&&c("li",t.$dots).on("mouseenter.slick",c.proxy(t.interrupt,t,!0)).on("mouseleave.slick",c.proxy(t.interrupt,t,!1))},r.prototype.initSlideEvents=function(){var t=this;t.options.pauseOnHover&&(t.$list.on("mouseenter.slick",c.proxy(t.interrupt,t,!0)),t.$list.on("mouseleave.slick",c.proxy(t.interrupt,t,!1)))},r.prototype.initializeEvents=function(){var t=this;t.initArrowEvents(),t.initDotEvents(),t.initSlideEvents(),t.$list.on("touchstart.slick mousedown.slick",{action:"start"},t.swipeHandler),t.$list.on("touchmove.slick mousemove.slick",{action:"move"},t.swipeHandler),t.$list.on("touchend.slick mouseup.slick",{action:"end"},t.swipeHandler),t.$list.on("touchcancel.slick mouseleave.slick",{action:"end"},t.swipeHandler),t.$list.on("click.slick",t.clickHandler),c(document).on(t.visibilityChange,c.proxy(t.visibility,t)),!0===t.options.accessibility&&t.$list.on("keydown.slick",t.keyHandler),!0===t.options.focusOnSelect&&c(t.$slideTrack).children().on("click.slick",t.selectHandler),c(window).on("orientationchange.slick.slick-"+t.instanceUid,c.proxy(t.orientationChange,t)),c(window).on("resize.slick.slick-"+t.instanceUid,c.proxy(t.resize,t)),c("[draggable!=true]",t.$slideTrack).on("dragstart",t.preventDefault),c(window).on("load.slick.slick-"+t.instanceUid,t.setPosition),c(document).on("ready.slick.slick-"+t.instanceUid,t.setPosition)},r.prototype.initUI=function(){var t=this;!0===t.options.arrows&&t.slideCount>t.options.slidesToShow&&(t.$prevArrow.show(),t.$nextArrow.show()),!0===t.options.dots&&t.slideCount>t.options.slidesToShow&&t.$dots.show()},r.prototype.keyHandler=function(t){var e=this;t.target.tagName.match("TEXTAREA|INPUT|SELECT")||(37===t.keyCode&&!0===e.options.accessibility?e.changeSlide({data:{message:!0===e.options.rtl?"next":"previous"}}):39===t.keyCode&&!0===e.options.accessibility&&e.changeSlide({data:{message:!0===e.options.rtl?"previous":"next"}}))},r.prototype.lazyLoad=function(){function t(t){c("img[data-lazy]",t).each(function(){var t=c(this),e=c(this).attr("data-lazy"),i=document.createElement("img");i.onload=function(){t.animate({opacity:0},100,function(){t.attr("src",e).animate({opacity:1},200,function(){t.removeAttr("data-lazy").removeClass("slick-loading")}),a.$slider.trigger("lazyLoaded",[a,t,e])})},i.onerror=function(){t.removeAttr("data-lazy").removeClass("slick-loading").addClass("slick-lazyload-error"),a.$slider.trigger("lazyLoadError",[a,t,e])},i.src=e})}var e,i,n,o,a=this;!0===a.options.centerMode?o=!0===a.options.infinite?(n=a.currentSlide+(a.options.slidesToShow/2+1))+a.options.slidesToShow+2:(n=Math.max(0,a.currentSlide-(a.options.slidesToShow/2+1)),a.options.slidesToShow/2+1+2+a.currentSlide):(n=a.options.infinite?a.options.slidesToShow+a.currentSlide:a.currentSlide,o=Math.ceil(n+a.options.slidesToShow),!0===a.options.fade&&(0<n&&n--,o<=a.slideCount&&o++)),t(e=a.$slider.find(".slick-slide").slice(n,o)),a.slideCount<=a.options.slidesToShow?t(i=a.$slider.find(".slick-slide")):a.currentSlide>=a.slideCount-a.options.slidesToShow?t(i=a.$slider.find(".slick-cloned").slice(0,a.options.slidesToShow)):0===a.currentSlide&&t(i=a.$slider.find(".slick-cloned").slice(-1*a.options.slidesToShow))},r.prototype.loadSlider=function(){var t=this;t.setPosition(),t.$slideTrack.css({opacity:1}),t.$slider.removeClass("slick-loading"),t.initUI(),"progressive"===t.options.lazyLoad&&t.progressiveLazyLoad()},r.prototype.next=r.prototype.slickNext=function(){var t;this.changeSlide({data:{message:"next"}})},r.prototype.orientationChange=function(){var t=this;t.checkResponsive(),t.setPosition()},r.prototype.pause=r.prototype.slickPause=function(){var t=this;t.autoPlayClear(),t.paused=!0},r.prototype.play=r.prototype.slickPlay=function(){var t=this;t.autoPlay(),t.options.autoplay=!0,t.paused=!1,t.focussed=!1,t.interrupted=!1},r.prototype.postSlide=function(t){var e=this;e.unslicked||(e.$slider.trigger("afterChange",[e,t]),e.animating=!1,e.setPosition(),e.swipeLeft=null,e.options.autoplay&&e.autoPlay(),!0===e.options.accessibility&&e.initADA())},r.prototype.prev=r.prototype.slickPrev=function(){var t;this.changeSlide({data:{message:"previous"}})},r.prototype.preventDefault=function(t){t.preventDefault()},r.prototype.progressiveLazyLoad=function(t){t=t||1;var e,i,n,o=this,a=c("img[data-lazy]",o.$slider);a.length?(e=a.first(),i=e.attr("data-lazy"),(n=document.createElement("img")).onload=function(){e.attr("src",i).removeAttr("data-lazy").removeClass("slick-loading"),!0===o.options.adaptiveHeight&&o.setPosition(),o.$slider.trigger("lazyLoaded",[o,e,i]),o.progressiveLazyLoad()},n.onerror=function(){t<3?setTimeout(function(){o.progressiveLazyLoad(t+1)},500):(e.removeAttr("data-lazy").removeClass("slick-loading").addClass("slick-lazyload-error"),o.$slider.trigger("lazyLoadError",[o,e,i]),o.progressiveLazyLoad())},n.src=i):o.$slider.trigger("allImagesLoaded",[o])},r.prototype.refresh=function(t){var e,i,n=this;i=n.slideCount-n.options.slidesToShow,!n.options.infinite&&n.currentSlide>i&&(n.currentSlide=i),n.slideCount<=n.options.slidesToShow&&(n.currentSlide=0),e=n.currentSlide,n.destroy(!0),c.extend(n,n.initials,{currentSlide:e}),n.init(),t||n.changeSlide({data:{message:"index",index:e}},!1)},r.prototype.registerBreakpoints=function(){var t,e,i,n=this,o=n.options.responsive||null;if("array"===c.type(o)&&o.length){for(t in n.respondTo=n.options.respondTo||"window",o)if(i=n.breakpoints.length-1,e=o[t].breakpoint,o.hasOwnProperty(t)){for(;0<=i;)n.breakpoints[i]&&n.breakpoints[i]===e&&n.breakpoints.splice(i,1),i--;n.breakpoints.push(e),n.breakpointSettings[e]=o[t].settings}n.breakpoints.sort(function(t,e){return n.options.mobileFirst?t-e:e-t})}},r.prototype.reinit=function(){var t=this;t.$slides=t.$slideTrack.children(t.options.slide).addClass("slick-slide"),t.slideCount=t.$slides.length,t.currentSlide>=t.slideCount&&0!==t.currentSlide&&(t.currentSlide=t.currentSlide-t.options.slidesToScroll),t.slideCount<=t.options.slidesToShow&&(t.currentSlide=0),t.registerBreakpoints(),t.setProps(),t.setupInfinite(),t.buildArrows(),t.updateArrows(),t.initArrowEvents(),t.buildDots(),t.updateDots(),t.initDotEvents(),t.cleanUpSlideEvents(),t.initSlideEvents(),t.checkResponsive(!1,!0),!0===t.options.focusOnSelect&&c(t.$slideTrack).children().on("click.slick",t.selectHandler),t.setSlideClasses("number"==typeof t.currentSlide?t.currentSlide:0),t.setPosition(),t.focusHandler(),t.paused=!t.options.autoplay,t.autoPlay(),t.$slider.trigger("reInit",[t])},r.prototype.resize=function(){var t=this;c(window).width()!==t.windowWidth&&(clearTimeout(t.windowDelay),t.windowDelay=window.setTimeout(function(){t.windowWidth=c(window).width(),t.checkResponsive(),t.unslicked||t.setPosition()},50))},r.prototype.removeSlide=r.prototype.slickRemove=function(t,e,i){var n=this;return t="boolean"==typeof t?!0===(e=t)?0:n.slideCount-1:!0===e?--t:t,!(n.slideCount<1||t<0||t>n.slideCount-1)&&(n.unload(),!0===i?n.$slideTrack.children().remove():n.$slideTrack.children(this.options.slide).eq(t).remove(),n.$slides=n.$slideTrack.children(this.options.slide),n.$slideTrack.children(this.options.slide).detach(),n.$slideTrack.append(n.$slides),n.$slidesCache=n.$slides,void n.reinit())},r.prototype.setCSS=function(t){var e,i,n=this,o={};!0===n.options.rtl&&(t=-t),e="left"==n.positionProp?Math.ceil(t)+"px":"0px",i="top"==n.positionProp?Math.ceil(t)+"px":"0px",o[n.positionProp]=t,!1===n.transformsEnabled||(!(o={})===n.cssTransitions?o[n.animType]="translate("+e+", "+i+")":o[n.animType]="translate3d("+e+", "+i+", 0px)"),n.$slideTrack.css(o)},r.prototype.setDimensions=function(){var t=this;!1===t.options.vertical?!0===t.options.centerMode&&t.$list.css({padding:"0px "+t.options.centerPadding}):(t.$list.height(t.$slides.first().outerHeight(!0)*t.options.slidesToShow),!0===t.options.centerMode&&t.$list.css({padding:t.options.centerPadding+" 0px"})),t.listWidth=t.$list.width(),t.listHeight=t.$list.height(),!1===t.options.vertical&&!1===t.options.variableWidth?(t.slideWidth=Math.ceil(t.listWidth/t.options.slidesToShow),t.$slideTrack.width(Math.ceil(t.slideWidth*t.$slideTrack.children(".slick-slide").length))):!0===t.options.variableWidth?t.$slideTrack.width(5e3*t.slideCount):(t.slideWidth=Math.ceil(t.listWidth),t.$slideTrack.height(Math.ceil(t.$slides.first().outerHeight(!0)*t.$slideTrack.children(".slick-slide").length)));var e=t.$slides.first().outerWidth(!0)-t.$slides.first().width();!1===t.options.variableWidth&&t.$slideTrack.children(".slick-slide").width(t.slideWidth-e)},r.prototype.setFade=function(){var i,n=this;n.$slides.each(function(t,e){i=n.slideWidth*t*-1,!0===n.options.rtl?c(e).css({position:"relative",right:i,top:0,zIndex:n.options.zIndex-2,opacity:0}):c(e).css({position:"relative",left:i,top:0,zIndex:n.options.zIndex-2,opacity:0})}),n.$slides.eq(n.currentSlide).css({zIndex:n.options.zIndex-1,opacity:1})},r.prototype.setHeight=function(){var t=this;if(1===t.options.slidesToShow&&!0===t.options.adaptiveHeight&&!1===t.options.vertical){var e=t.$slides.eq(t.currentSlide).outerHeight(!0);t.$list.css("height",e)}},r.prototype.setOption=r.prototype.slickSetOption=function(t,e,i){var n,o,a,s,r,l=this,u=!1;if("object"===c.type(t)?(a=t,u=e,r="multiple"):"string"===c.type(t)&&(s=e,u=i,"responsive"===(a=t)&&"array"===c.type(e)?r="responsive":void 0!==e&&(r="single")),"single"===r)l.options[a]=s;else if("multiple"===r)c.each(a,function(t,e){l.options[t]=e});else if("responsive"===r)for(o in s)if("array"!==c.type(l.options.responsive))l.options.responsive=[s[o]];else{for(n=l.options.responsive.length-1;0<=n;)l.options.responsive[n].breakpoint===s[o].breakpoint&&l.options.responsive.splice(n,1),n--;l.options.responsive.push(s[o])}u&&(l.unload(),l.reinit())},r.prototype.setPosition=function(){var t=this;t.setDimensions(),t.setHeight(),!1===t.options.fade?t.setCSS(t.getLeft(t.currentSlide)):t.setFade(),t.$slider.trigger("setPosition",[t])},r.prototype.setProps=function(){var t=this,e=document.body.style;t.positionProp=!0===t.options.vertical?"top":"left","top"===t.positionProp?t.$slider.addClass("slick-vertical"):t.$slider.removeClass("slick-vertical"),(void 0!==e.WebkitTransition||void 0!==e.MozTransition||void 0!==e.msTransition)&&!0===t.options.useCSS&&(t.cssTransitions=!0),t.options.fade&&("number"==typeof t.options.zIndex?t.options.zIndex<3&&(t.options.zIndex=3):t.options.zIndex=t.defaults.zIndex),void 0!==e.OTransform&&(t.animType="OTransform",t.transformType="-o-transform",t.transitionType="OTransition",void 0===e.perspectiveProperty&&void 0===e.webkitPerspective&&(t.animType=!1)),void 0!==e.MozTransform&&(t.animType="MozTransform",t.transformType="-moz-transform",t.transitionType="MozTransition",void 0===e.perspectiveProperty&&void 0===e.MozPerspective&&(t.animType=!1)),void 0!==e.webkitTransform&&(t.animType="webkitTransform",t.transformType="-webkit-transform",t.transitionType="webkitTransition",void 0===e.perspectiveProperty&&void 0===e.webkitPerspective&&(t.animType=!1)),void 0!==e.msTransform&&(t.animType="msTransform",t.transformType="-ms-transform",t.transitionType="msTransition",void 0===e.msTransform&&(t.animType=!1)),void 0!==e.transform&&!1!==t.animType&&(t.animType="transform",t.transformType="transform",t.transitionType="transition"),t.transformsEnabled=t.options.useTransform&&null!==t.animType&&!1!==t.animType},r.prototype.setSlideClasses=function(t){var e,i,n,o,a=this;i=a.$slider.find(".slick-slide").removeClass("slick-active slick-center slick-current").attr("aria-hidden","true"),a.$slides.eq(t).addClass("slick-current"),!0===a.options.centerMode?(e=Math.floor(a.options.slidesToShow/2),!0===a.options.infinite&&(
e<=t&&t<=a.slideCount-1-e?a.$slides.slice(t-e,t+e+1).addClass("slick-active").attr("aria-hidden","false"):(n=a.options.slidesToShow+t,i.slice(n-e+1,n+e+2).addClass("slick-active").attr("aria-hidden","false")),0===t?i.eq(i.length-1-a.options.slidesToShow).addClass("slick-center"):t===a.slideCount-1&&i.eq(a.options.slidesToShow).addClass("slick-center")),a.$slides.eq(t).addClass("slick-center")):0<=t&&t<=a.slideCount-a.options.slidesToShow?a.$slides.slice(t,t+a.options.slidesToShow).addClass("slick-active").attr("aria-hidden","false"):i.length<=a.options.slidesToShow?i.addClass("slick-active").attr("aria-hidden","false"):(o=a.slideCount%a.options.slidesToShow,n=!0===a.options.infinite?a.options.slidesToShow+t:t,a.options.slidesToShow==a.options.slidesToScroll&&a.slideCount-t<a.options.slidesToShow?i.slice(n-(a.options.slidesToShow-o),n+o).addClass("slick-active").attr("aria-hidden","false"):i.slice(n,n+a.options.slidesToShow).addClass("slick-active").attr("aria-hidden","false")),"ondemand"===a.options.lazyLoad&&a.lazyLoad()},r.prototype.setupInfinite=function(){var t,e,i,n=this;if(!0===n.options.fade&&(n.options.centerMode=!1),!0===n.options.infinite&&!1===n.options.fade&&(e=null,n.slideCount>n.options.slidesToShow)){for(i=!0===n.options.centerMode?n.options.slidesToShow+1:n.options.slidesToShow,t=n.slideCount;t>n.slideCount-i;t-=1)e=t-1,c(n.$slides[e]).clone(!0).attr("id","").attr("data-slick-index",e-n.slideCount).prependTo(n.$slideTrack).addClass("slick-cloned");for(t=0;t<i;t+=1)e=t,c(n.$slides[e]).clone(!0).attr("id","").attr("data-slick-index",e+n.slideCount).appendTo(n.$slideTrack).addClass("slick-cloned");n.$slideTrack.find(".slick-cloned").find("[id]").each(function(){c(this).attr("id","")})}},r.prototype.interrupt=function(t){var e=this;t||e.autoPlay(),e.interrupted=t},r.prototype.selectHandler=function(t){var e=this,i=c(t.target).is(".slick-slide")?c(t.target):c(t.target).parents(".slick-slide"),n=parseInt(i.attr("data-slick-index"));return n||(n=0),e.slideCount<=e.options.slidesToShow?(e.setSlideClasses(n),void e.asNavFor(n)):void e.slideHandler(n)},r.prototype.slideHandler=function(t,e,i){var n,o,a,s,r,l=null,u=this;return e=e||!1,!0===u.animating&&!0===u.options.waitForAnimate||!0===u.options.fade&&u.currentSlide===t||u.slideCount<=u.options.slidesToShow?void 0:(!1===e&&u.asNavFor(t),n=t,l=u.getLeft(n),s=u.getLeft(u.currentSlide),u.currentLeft=null===u.swipeLeft?s:u.swipeLeft,!1===u.options.infinite&&!1===u.options.centerMode&&(t<0||t>u.getDotCount()*u.options.slidesToScroll)?void(!1===u.options.fade&&(n=u.currentSlide,!0!==i?u.animateSlide(s,function(){u.postSlide(n)}):u.postSlide(n))):!1===u.options.infinite&&!0===u.options.centerMode&&(t<0||t>u.slideCount-u.options.slidesToScroll)?void(!1===u.options.fade&&(n=u.currentSlide,!0!==i?u.animateSlide(s,function(){u.postSlide(n)}):u.postSlide(n))):(u.options.autoplay&&clearInterval(u.autoPlayTimer),o=n<0?u.slideCount%u.options.slidesToScroll!=0?u.slideCount-u.slideCount%u.options.slidesToScroll:u.slideCount+n:n>=u.slideCount?u.slideCount%u.options.slidesToScroll!=0?0:n-u.slideCount:n,u.animating=!0,u.$slider.trigger("beforeChange",[u,u.currentSlide,o]),a=u.currentSlide,u.currentSlide=o,u.setSlideClasses(u.currentSlide),u.options.asNavFor&&((r=(r=u.getNavTarget()).slick("getSlick")).slideCount<=r.options.slidesToShow&&r.setSlideClasses(u.currentSlide)),u.updateDots(),u.updateArrows(),!0===u.options.fade?(!0!==i?(u.fadeSlideOut(a),u.fadeSlide(o,function(){u.postSlide(o)})):u.postSlide(o),void u.animateHeight()):void(!0!==i?u.animateSlide(l,function(){u.postSlide(o)}):u.postSlide(o))))},r.prototype.startLoad=function(){var t=this;!0===t.options.arrows&&t.slideCount>t.options.slidesToShow&&(t.$prevArrow.hide(),t.$nextArrow.hide()),!0===t.options.dots&&t.slideCount>t.options.slidesToShow&&t.$dots.hide(),t.$slider.addClass("slick-loading")},r.prototype.swipeDirection=function(){var t,e,i,n,o=this;return t=o.touchObject.startX-o.touchObject.curX,e=o.touchObject.startY-o.touchObject.curY,i=Math.atan2(e,t),(n=Math.round(180*i/Math.PI))<0&&(n=360-Math.abs(n)),n<=45&&0<=n?!1===o.options.rtl?"left":"right":n<=360&&315<=n?!1===o.options.rtl?"left":"right":135<=n&&n<=225?!1===o.options.rtl?"right":"left":!0===o.options.verticalSwiping?35<=n&&n<=135?"down":"up":"vertical"},r.prototype.swipeEnd=function(t){var e,i,n=this;if(n.dragging=!1,n.interrupted=!1,n.shouldClick=!(10<n.touchObject.swipeLength),void 0===n.touchObject.curX)return!1;if(!0===n.touchObject.edgeHit&&n.$slider.trigger("edge",[n,n.swipeDirection()]),n.touchObject.swipeLength>=n.touchObject.minSwipe){switch(i=n.swipeDirection()){case"left":case"down":e=n.options.swipeToSlide?n.checkNavigable(n.currentSlide+n.getSlideCount()):n.currentSlide+n.getSlideCount(),n.currentDirection=0;break;case"right":case"up":e=n.options.swipeToSlide?n.checkNavigable(n.currentSlide-n.getSlideCount()):n.currentSlide-n.getSlideCount(),n.currentDirection=1}"vertical"!=i&&(n.slideHandler(e),n.touchObject={},n.$slider.trigger("swipe",[n,i]))}else n.touchObject.startX!==n.touchObject.curX&&(n.slideHandler(n.currentSlide),n.touchObject={})},r.prototype.swipeHandler=function(t){var e=this;if(!(!1===e.options.swipe||"ontouchend"in document&&!1===e.options.swipe||!1===e.options.draggable&&-1!==t.type.indexOf("mouse")))switch(e.touchObject.fingerCount=t.originalEvent&&void 0!==t.originalEvent.touches?t.originalEvent.touches.length:1,e.touchObject.minSwipe=e.listWidth/e.options.touchThreshold,!0===e.options.verticalSwiping&&(e.touchObject.minSwipe=e.listHeight/e.options.touchThreshold),t.data.action){case"start":e.swipeStart(t);break;case"move":e.swipeMove(t);break;case"end":e.swipeEnd(t)}},r.prototype.swipeMove=function(t){var e,i,n,o,a,s=this;return a=void 0!==t.originalEvent?t.originalEvent.touches:null,!(!s.dragging||a&&1!==a.length)&&(e=s.getLeft(s.currentSlide),s.touchObject.curX=void 0!==a?a[0].pageX:t.clientX,s.touchObject.curY=void 0!==a?a[0].pageY:t.clientY,s.touchObject.swipeLength=Math.round(Math.sqrt(Math.pow(s.touchObject.curX-s.touchObject.startX,2))),!0===s.options.verticalSwiping&&(s.touchObject.swipeLength=Math.round(Math.sqrt(Math.pow(s.touchObject.curY-s.touchObject.startY,2)))),"vertical"!==(i=s.swipeDirection())?(void 0!==t.originalEvent&&4<s.touchObject.swipeLength&&t.preventDefault(),o=(!1===s.options.rtl?1:-1)*(s.touchObject.curX>s.touchObject.startX?1:-1),!0===s.options.verticalSwiping&&(o=s.touchObject.curY>s.touchObject.startY?1:-1),n=s.touchObject.swipeLength,(s.touchObject.edgeHit=!1)===s.options.infinite&&(0===s.currentSlide&&"right"===i||s.currentSlide>=s.getDotCount()&&"left"===i)&&(n=s.touchObject.swipeLength*s.options.edgeFriction,s.touchObject.edgeHit=!0),!1===s.options.vertical?s.swipeLeft=e+n*o:s.swipeLeft=e+n*(s.$list.height()/s.listWidth)*o,!0===s.options.verticalSwiping&&(s.swipeLeft=e+n*o),!0!==s.options.fade&&!1!==s.options.touchMove&&(!0===s.animating?(s.swipeLeft=null,!1):void s.setCSS(s.swipeLeft))):void 0)},r.prototype.swipeStart=function(t){var e,i=this;return i.interrupted=!0,1!==i.touchObject.fingerCount||i.slideCount<=i.options.slidesToShow?!(i.touchObject={}):(void 0!==t.originalEvent&&void 0!==t.originalEvent.touches&&(e=t.originalEvent.touches[0]),i.touchObject.startX=i.touchObject.curX=void 0!==e?e.pageX:t.clientX,i.touchObject.startY=i.touchObject.curY=void 0!==e?e.pageY:t.clientY,void(i.dragging=!0))},r.prototype.unfilterSlides=r.prototype.slickUnfilter=function(){var t=this;null!==t.$slidesCache&&(t.unload(),t.$slideTrack.children(this.options.slide).detach(),t.$slidesCache.appendTo(t.$slideTrack),t.reinit())},r.prototype.unload=function(){var t=this;c(".slick-cloned",t.$slider).remove(),t.$dots&&t.$dots.remove(),t.$prevArrow&&t.htmlExpr.test(t.options.prevArrow)&&t.$prevArrow.remove(),t.$nextArrow&&t.htmlExpr.test(t.options.nextArrow)&&t.$nextArrow.remove(),t.$slides.removeClass("slick-slide slick-active slick-visible slick-current").attr("aria-hidden","true").css("width","")},r.prototype.unslick=function(t){var e=this;e.$slider.trigger("unslick",[e,t]),e.destroy()},r.prototype.updateArrows=function(){var t,e=this;t=Math.floor(e.options.slidesToShow/2),!0===e.options.arrows&&e.slideCount>e.options.slidesToShow&&!e.options.infinite&&(e.$prevArrow.removeClass("slick-disabled").attr("aria-disabled","false"),e.$nextArrow.removeClass("slick-disabled").attr("aria-disabled","false"),0===e.currentSlide?(e.$prevArrow.addClass("slick-disabled").attr("aria-disabled","true"),e.$nextArrow.removeClass("slick-disabled").attr("aria-disabled","false")):e.currentSlide>=e.slideCount-e.options.slidesToShow&&!1===e.options.centerMode?(e.$nextArrow.addClass("slick-disabled").attr("aria-disabled","true"),e.$prevArrow.removeClass("slick-disabled").attr("aria-disabled","false")):e.currentSlide>=e.slideCount-1&&!0===e.options.centerMode&&(e.$nextArrow.addClass("slick-disabled").attr("aria-disabled","true"),e.$prevArrow.removeClass("slick-disabled").attr("aria-disabled","false")))},r.prototype.updateDots=function(){var t=this;null!==t.$dots&&(t.$dots.find("li").removeClass("slick-active").attr("aria-hidden","true"),t.$dots.find("li").eq(Math.floor(t.currentSlide/t.options.slidesToScroll)).addClass("slick-active").attr("aria-hidden","false"))},r.prototype.visibility=function(){var t=this;t.options.autoplay&&(document[t.hidden]?t.interrupted=!0:t.interrupted=!1)},c.fn.slick=function(t){var e,i,n=this,o=t,a=Array.prototype.slice.call(arguments,1),s=n.length;for(e=0;e<s;e++)if("object"==typeof o||void 0===o?n[e].slick=new r(n[e],o):i=n[e].slick[o].apply(n[e].slick,a),void 0!==i)return i;return n}}),function(t){"object"==typeof exports?module.exports=t(require("jquery")):"function"==typeof define&&define.amd?define(["jquery"],t):t(jQuery)}(function(c){"use strict";var i={},d=Math.max,h=Math.min;i.c={},i.c.d=c(document),i.c.t=function(t){return t.originalEvent.touches.length-1},i.o=function(){var n=this;this.o=null,this.$=null,this.i=null,this.g=null,this.v=null,this.cv=null,this.x=0,this.y=0,this.w=0,this.h=0,this.$c=null,this.c=null,this.t=0,this.isInit=!1,this.fgColor=null,this.pColor=null,this.dH=null,this.cH=null,this.eH=null,this.rH=null,this.scale=1,this.relative=!1,this.relativeWidth=!1,this.relativeHeight=!1,this.$div=null,this.run=function(){var t=function(t,e){var i;for(i in e)n.o[i]=e[i];n._carve().init(),n._configure()._draw()};if(!this.$.data("kontroled")){if(this.$.data("kontroled",!0),this.extend(),this.o=c.extend({min:void 0!==this.$.data("min")?this.$.data("min"):0,max:void 0!==this.$.data("max")?this.$.data("max"):100,stopper:!0,readOnly:this.$.data("readonly")||"readonly"===this.$.attr("readonly"),cursor:(!0===this.$.data("cursor")?30:this.$.data("cursor"))||0,thickness:this.$.data("thickness")&&Math.max(Math.min(this.$.data("thickness"),1),.01)||.35,lineCap:this.$.data("linecap")||"butt",width:this.$.data("width")||200,height:this.$.data("height")||200,displayInput:null==this.$.data("displayinput")||this.$.data("displayinput"),displayPrevious:this.$.data("displayprevious"),fgColor:this.$.data("fgcolor")||"#87CEEB",inputColor:this.$.data("inputcolor"),font:this.$.data("font")||"Arial",fontWeight:this.$.data("font-weight")||"bold",inline:!1,step:this.$.data("step")||1,rotation:this.$.data("rotation"),draw:null,change:null,cancel:null,release:null,format:function(t){return t},parse:function(t){return parseFloat(t)}},this.o),this.o.flip="anticlockwise"===this.o.rotation||"acw"===this.o.rotation,this.o.inputColor||(this.o.inputColor=this.o.fgColor),this.$.is("fieldset")?(this.v={},this.i=this.$.find("input"),this.i.each(function(e){var i=c(this);n.i[e]=i,n.v[e]=n.o.parse(i.val()),i.bind("change blur",function(){var t={};t[e]=i.val(),n.val(n._validate(t))})}),this.$.find("legend").remove()):(this.i=this.$,this.v=this.o.parse(this.$.val()),""===this.v&&(this.v=this.o.min),this.$.bind("change blur",function(){n.val(n._validate(n.o.parse(n.$.val())))})),!this.o.displayInput&&this.$.hide(),this.$c=c(document.createElement("canvas")).attr({width:this.o.width,height:this.o.height}),this.$div=c('<div style="'+(this.o.inline?"display:inline;":"")+"width:"+this.o.width+"px;height:"+this.o.height+'px;"></div>'),this.$.wrap(this.$div).before(this.$c),this.$div=this.$.parent(),"undefined"!=typeof G_vmlCanvasManager&&G_vmlCanvasManager.initElement(this.$c[0]),this.c=this.$c[0].getContext?this.$c[0].getContext("2d"):null,!this.c)throw{name:"CanvasNotSupportedException",message:"Canvas not supported. Please use excanvas on IE8.0.",toString:function(){return this.name+": "+this.message}};return this.scale=(window.devicePixelRatio||1)/(this.c.webkitBackingStorePixelRatio||this.c.mozBackingStorePixelRatio||this.c.msBackingStorePixelRatio||this.c.oBackingStorePixelRatio||this.c.backingStorePixelRatio||1),this.relativeWidth=this.o.width%1!=0&&this.o.width.indexOf("%"),this.relativeHeight=this.o.height%1!=0&&this.o.height.indexOf("%"),this.relative=this.relativeWidth||this.relativeHeight,this._carve(),this.v instanceof Object?(this.cv={},this.copy(this.v,this.cv)):this.cv=this.v,this.$.bind("configure",t).parent().bind("configure",t),this._listen()._configure()._xy().init(),this.isInit=!0,this.$.val(this.o.format(this.v)),this._draw(),this}},this._carve=function(){if(this.relative){var t=this.relativeWidth?this.$div.parent().width()*parseInt(this.o.width)/100:this.$div.parent().width(),e=this.relativeHeight?this.$div.parent().height()*parseInt(this.o.height)/100:this.$div.parent().height();this.w=this.h=Math.min(t,e)}else this.w=this.o.width,this.h=this.o.height;return this.$div.css({width:this.w+"px",height:this.h+"px"}),this.$c.attr({width:this.w,height:this.h}),1!==this.scale&&(this.$c[0].width=this.$c[0].width*this.scale,this.$c[0].height=this.$c[0].height*this.scale,this.$c.width(this.w),this.$c.height(this.h)),this},this._draw=function(){var t=!0;n.g=n.c,n.clear(),n.dH&&(t=n.dH()),!1!==t&&n.draw()},this._touch=function(t){var e=function(t){var e=n.xy2val(t.originalEvent.touches[n.t].pageX,t.originalEvent.touches[n.t].pageY);e!=n.cv&&(n.cH&&!1===n.cH(e)||(n.change(n._validate(e)),n._draw()))};return this.t=i.c.t(t),e(t),i.c.d.bind("touchmove.k",e).bind("touchend.k",function(){i.c.d.unbind("touchmove.k touchend.k"),n.val(n.cv)}),this},this._mouse=function(t){var e=function(t){var e=n.xy2val(t.pageX,t.pageY);e!=n.cv&&(n.cH&&!1===n.cH(e)||(n.change(n._validate(e)),n._draw()))};return e(t),i.c.d.bind("mousemove.k",e).bind("keyup.k",function(t){if(27===t.keyCode){if(i.c.d.unbind("mouseup.k mousemove.k keyup.k"),n.eH&&!1===n.eH())return;n.cancel()}}).bind("mouseup.k",function(t){i.c.d.unbind("mousemove.k mouseup.k keyup.k"),n.val(n.cv)}),this},this._xy=function(){var t=this.$c.offset();return this.x=t.left,this.y=t.top,this},this._listen=function(){return this.o.readOnly?this.$.attr("readonly","readonly"):(this.$c.bind("mousedown",function(t){t.preventDefault(),n._xy()._mouse(t)}).bind("touchstart",function(t){t.preventDefault(),n._xy()._touch(t)}),this.listen()),this.relative&&c(window).resize(c.debounce(50,function(){n._carve().init(),n._draw()})),this},this._configure=function(){return this.o.draw&&(this.dH=this.o.draw),this.o.change&&(this.cH=this.o.change),this.o.cancel&&(this.eH=this.o.cancel),this.o.release&&(this.rH=this.o.release),this.o.displayPrevious?(this.pColor=this.h2rgba(this.o.fgColor,"0.4"),this.fgColor=this.h2rgba(this.o.fgColor,"0.6")):this.fgColor=this.o.fgColor,this},this._clear=function(){this.$c[0].width=this.$c[0].width},this._validate=function(t){var e=~~((t<0?-.5:.5)+t/this.o.step)*this.o.step;return Math.round(100*e)/100},this.listen=function(){},this.extend=function(){},this.init=function(){},this.change=function(t){},this.val=function(t){},this.xy2val=function(t,e){},this.draw=function(){},this.clear=function(){this._clear()},this.h2rgba=function(t,e){var i;return t=t.substring(1,7),"rgba("+(i=[parseInt(t.substring(0,2),16),parseInt(t.substring(2,4),16),parseInt(t.substring(4,6),16)])[0]+","+i[1]+","+i[2]+","+e+")"},this.copy=function(t,e){for(var i in t)e[i]=t[i]}},i.Dial=function(){i.o.call(this),this.startAngle=null,this.xy=null,this.radius=null,this.lineWidth=null,this.cursorExt=null,this.w2=null,this.PI2=2*Math.PI,this.extend=function(){this.o=c.extend({bgColor:this.$.data("bgcolor")||"#EEEEEE",angleOffset:this.$.data("angleoffset")||0,angleArc:this.$.data("anglearc")||360,inline:!0},this.o)},this.val=function(t,e){if(null==t)return this.v;t=this.o.parse(t),!1!==e&&t!=this.v&&this.rH&&!1===this.rH(t)||(this.cv=this.o.stopper?d(h(t,this.o.max),this.o.min):t,this.v=this.cv,this.$.val(this.o.format(this.v)),this._draw())},this.xy2val=function(t,e){var i,n;return i=Math.atan2(t-(this.x+this.w2),-(e-this.y-this.w2))-this.angleOffset,this.o.flip&&(i=this.angleArc-i-this.PI2),this.angleArc!=this.PI2&&i<0&&-.5<i?i=0:i<0&&(i+=this.PI2),n=i*(this.o.max-this.o.min)/this.angleArc+this.o.min,this.o.stopper&&(n=d(h(n,this.o.max),this.o.min)),n},this.listen=function(){var a=this,s,r,t=function(t){t.preventDefault();var e=t.originalEvent,i=e.detail||e.wheelDeltaX,n=e.detail||e.wheelDeltaY,o=a._validate(a.o.parse(a.$.val()))+(0<i||0<n?a.o.step:i<0||n<0?-a.o.step:0);o=d(h(o,a.o.max),a.o.min),a.val(o,!1),a.rH&&(clearTimeout(s),s=setTimeout(function(){a.rH(o),s=null},100),r||(r=setTimeout(function(){s&&a.rH(o),r=null},200)))},n,o,l=1,u={37:-a.o.step,38:a.o.step,39:a.o.step,40:-a.o.step};this.$.bind("keydown",function(t){var e=t.keyCode;if(96<=e&&e<=105&&(e=t.keyCode=e-48),n=parseInt(String.fromCharCode(e)),isNaN(n)&&(13!==e&&8!==e&&9!==e&&189!==e&&(190!==e||a.$.val().match(/\./))&&t.preventDefault(),-1<c.inArray(e,[37,38,39,40]))){t.preventDefault();var i=a.o.parse(a.$.val())+u[e]*l;a.o.stopper&&(i=d(h(i,a.o.max),a.o.min)),a.change(a._validate(i)),a._draw(),o=window.setTimeout(function(){l*=2},30)}}).bind("keyup",function(t){isNaN(n)?o&&(window.clearTimeout(o),o=null,l=1,a.val(a.$.val())):a.$.val()>a.o.max&&a.$.val(a.o.max)||a.$.val()<a.o.min&&a.$.val(a.o.min)}),this.$c.bind("mousewheel DOMMouseScroll",t),this.$.bind("mousewheel DOMMouseScroll",t)},this.init=function(){(this.v<this.o.min||this.v>this.o.max)&&(this.v=this.o.min),this.$.val(this.v),this.w2=this.w/2,this.cursorExt=this.o.cursor/100,this.xy=this.w2*this.scale,this.lineWidth=this.xy*this.o.thickness,this.lineCap=this.o.lineCap,this.radius=this.xy-this.lineWidth/2,this.o.angleOffset&&(this.o.angleOffset=isNaN(this.o.angleOffset)?0:this.o.angleOffset),this.o.angleArc&&(this.o.angleArc=isNaN(this.o.angleArc)?this.PI2:this.o.angleArc),this.angleOffset=this.o.angleOffset*Math.PI/180,this.angleArc=this.o.angleArc*Math.PI/180,this.startAngle=1.5*Math.PI+this.angleOffset,this.endAngle=1.5*Math.PI+this.angleOffset+this.angleArc;var t=d(String(Math.abs(this.o.max)).length,String(Math.abs(this.o.min)).length,2)+2;this.o.displayInput&&this.i.css({width:(this.w/2+4>>0)+"px",height:(this.w/3>>0)+"px",position:"absolute","vertical-align":"middle","margin-top":(this.w/3>>0)+"px","margin-left":"-"+(3*this.w/4+2>>0)+"px",border:0,background:"none",font:this.o.fontWeight+" "+(this.w/t>>0)+"px "+this.o.font,"text-align":"center",color:this.o.inputColor||this.o.fgColor,padding:"0px","-webkit-appearance":"none"})||this.i.css({width:"0px",visibility:"hidden"})},this.change=function(t){this.cv=t,this.$.val(this.o.format(t))},this.angle=function(t){return(t-this.o.min)*this.angleArc/(this.o.max-this.o.min)},this.arc=function(t){var e,i;return t=this.angle(t),i=this.o.flip?(e=this.endAngle+1e-5)-t-1e-5:(e=this.startAngle-1e-5)+t+1e-5,this.o.cursor&&(e=i-this.cursorExt)&&(i+=this.cursorExt),{s:e,e:i,d:this.o.flip&&!this.o.cursor}},this.draw=function(){var t=this.g,e=this.arc(this.cv),i,n=1;t.lineWidth=this.lineWidth,t.lineCap=this.lineCap,"none"!==this.o.bgColor&&(t.beginPath(),t.strokeStyle=this.o.bgColor,t.arc(this.xy,this.xy,this.radius,this.endAngle-1e-5,this.startAngle+1e-5,!0),t.stroke()),this.o.displayPrevious&&(i=this.arc(this.v),t.beginPath(),t.strokeStyle=this.pColor,t.arc(this.xy,this.xy,this.radius,i.s,i.e,i.d),t.stroke(),n=this.cv==this.v),t.beginPath(),t.strokeStyle=n?this.o.fgColor:this.fgColor,t.arc(this.xy,this.xy,this.radius,e.s,e.e,e.d),t.stroke()},this.cancel=function(){this.val(this.v)}},c.fn.dial=c.fn.knob=function(e){return this.each(function(){var t=new i.Dial;t.o=e,t.$=c(this),t.run()}).parent()}}),function(t,d){var e=t.jQuery||t.Cowboy||(t.Cowboy={}),n;e.throttle=n=function(a,s,r,l){function t(){function t(){c=+new Date,r.apply(i,o)}function e(){u=d}var i=this,n=+new Date-c,o=arguments;l&&!u&&t(),u&&clearTimeout(u),l===d&&a<n?t():!0!==s&&(u=setTimeout(l?e:t,l===d?a-n:a))}var u,c=0;return"boolean"!=typeof s&&(l=r,r=s,s=d),e.guid&&(t.guid=r.guid=r.guid||e.guid++),t},e.debounce=function(t,e,i){return i===d?n(t,e,!1):n(t,i,!1!==e)}}(this),
/*!
 * jQuery ClassyCountdown
 * vox.SPACE
 *
 * Written by voxspace AT riseup.net
 * Licensed under the MIT license https://vox.SPACE/LICENSE-MIT
 * Version 1.1.0
 *
 */function(f){f.fn.ClassyCountdown=function(t,e){function i(){r=Math.floor(d/86400),l=Math.floor(d%86400/3600),u=Math.floor(d%86400%3600/60),c=Math.floor(d%86400%3600%60%60)}function n(){d--,i(),d<=0&&(h||(h=!0,p.onEndCallback()),c=u=l=r=0),s.find(".ClassyCountdown-days input").val(365-r).trigger("change"),s.find(".ClassyCountdown-hours input").val(24-l).trigger("change"),s.find(".ClassyCountdown-minutes input").val(60-u).trigger("change"),s.find(".ClassyCountdown-seconds input").val(60-c).trigger("change"),s.find(".ClassyCountdown-days .ClassyCountdown-value > div").html(r),s.find(".ClassyCountdown-hours .ClassyCountdown-value > div").html(l),s.find(".ClassyCountdown-minutes .ClassyCountdown-value > div").html(u),s.find(".ClassyCountdown-seconds .ClassyCountdown-value > div").html(c)}function o(){s.find(".ClassyCountdown-wrapper > div").each(function(){f(this).css("height",f(this).width()+"px")}),p.style.textResponsive&&s.find(".ClassyCountdown-value").css("font-size",Math.floor(s.find("> div").eq(0).width()*p.style.textResponsive/10)+"px"),s.find(".ClassyCountdown-value").each(function(){f(this).css("margin-top",Math.floor(0-parseInt(f(this).height())/2)+"px")}),s.find(".ClassyCountdown-days input").trigger("change"),s.find(".ClassyCountdown-hours input").trigger("change"),s.find(".ClassyCountdown-minutes input").trigger("change"),s.find(".ClassyCountdown-seconds input").trigger("change")}function a(t){switch(t){case"flat-colors":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#1abc9c"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#2980b9"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#8e44ad"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#f39c12"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"flat-colors-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#1abc9c"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#2980b9"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#8e44ad"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#f39c12"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"flat-colors-very-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.12,bgColor:"rgba(0,0,0,0.05)",fgColor:"#1abc9c"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.12,bgColor:"rgba(0,0,0,0.05)",fgColor:"#2980b9"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.12,bgColor:"rgba(0,0,0,0.05)",fgColor:"#8e44ad"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.12,bgColor:"rgba(0,0,0,0.05)",fgColor:"#f39c12"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"flat-colors-black":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#1abc9c",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#2980b9",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#8e44ad",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#f39c12",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"black":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.01,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"black-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.03,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"black-very-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.17,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.17,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.17,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.17,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"black-black":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},hours:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},minutes:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"},seconds:{gauge:{thickness:.25,bgColor:"rgba(0,0,0,0.05)",fgColor:"#222",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#34495e;"}}};case"white":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.03,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},hours:{gauge:{thickness:.03,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},minutes:{gauge:{thickness:.03,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},seconds:{gauge:{thickness:.03,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"}}};case"white-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.06,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},hours:{gauge:{thickness:.06,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},minutes:{gauge:{thickness:.06,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},seconds:{gauge:{thickness:.06,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"}}};case"white-very-wide":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.16,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},hours:{gauge:{thickness:.16,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},minutes:{gauge:{thickness:.16,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},seconds:{gauge:{thickness:.16,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"}}};case"white-black":return{labels:!0,style:{element:"",textResponsive:.5,days:{gauge:{thickness:.25,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},hours:{gauge:{thickness:.25,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},minutes:{gauge:{thickness:.25,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"},seconds:{gauge:{thickness:.25,bgColor:"rgba(255,255,255,0.05)",fgColor:"#fff",lineCap:"round"},textCSS:"font-family:'Open Sans';font-weight:300;color:#fff;"}}}}}var s=f(this),r,l,u,c,d,h=!1,p={end:void 0,now:f.now(),labels:!0,labelsOptions:{lang:{days:"Days",hours:"Hours",minutes:"Minutes",seconds:"Seconds"},style:"font-size: 0.5em;"},style:{element:"",labels:!1,textResponsive:.5,days:{gauge:{thickness:.02,bgColor:"rgba(0, 0, 0, 0)",fgColor:"rgba(0, 0, 0, 1)",lineCap:"butt"},textCSS:""},hours:{gauge:{thickness:.02,bgColor:"rgba(0, 0, 0, 0)",fgColor:"rgba(0, 0, 0, 1)",lineCap:"butt"},textCSS:""},minutes:{gauge:{thickness:.02,bgColor:"rgba(0, 0, 0, 0)",fgColor:"rgba(0, 0, 0, 1)",lineCap:"butt"},textCSS:""},seconds:{gauge:{thickness:.02,bgColor:"rgba(0, 0, 0, 0)",fgColor:"rgba(0, 0, 0, 1)",lineCap:"butt"},textCSS:""}},onEndCallback:function(){}};t.theme&&(p=f.extend(!0,p,a(t.theme))),p=f.extend(!0,p,t),s.append('<div class="ClassyCountdown-wrapper"><div class="ClassyCountdown-days"><input type="text" /><span class="ClassyCountdown-value"><div></div><span></span></span></div><div class="ClassyCountdown-hours"><input type="text" /><span class="ClassyCountdown-value"><div></div><span></span></span></div><div class="ClassyCountdown-minutes"><input type="text" /><span class="ClassyCountdown-value"><div></div><span></span></span></div><div class="ClassyCountdown-seconds"><input type="text" /><span class="ClassyCountdown-value"><div></div><span></span></span></div></div>'),s.find(".ClassyCountdown-days input").knob(f.extend({width:"100%",displayInput:!1,readOnly:!0,max:365},p.style.days.gauge)),s.find(".ClassyCountdown-hours input").knob(f.extend({width:"100%",displayInput:!1,readOnly:!0,max:24},p.style.hours.gauge)),s.find(".ClassyCountdown-minutes input").knob(f.extend({width:"100%",displayInput:!1,readOnly:!0,max:60},p.style.minutes.gauge)),s.find(".ClassyCountdown-seconds input").knob(f.extend({width:"100%",displayInput:!1,readOnly:!0,max:60},p.style.seconds.gauge)),s.find(".ClassyCountdown-wrapper > div").attr("style",p.style.element),s.find(".ClassyCountdown-days .ClassyCountdown-value").attr("style",p.style.days.textCSS),s.find(".ClassyCountdown-hours .ClassyCountdown-value").attr("style",p.style.hours.textCSS),s.find(".ClassyCountdown-minutes .ClassyCountdown-value").attr("style",p.style.minutes.textCSS),s.find(".ClassyCountdown-seconds .ClassyCountdown-value").attr("style",p.style.seconds.textCSS),s.find(".ClassyCountdown-value").each(function(){f(this).css("margin-top",Math.floor(0-parseInt(f(this).height())/2)+"px")}),p.labels&&(s.find(".ClassyCountdown-days .ClassyCountdown-value > span").html(p.labelsOptions.lang.days),s.find(".ClassyCountdown-hours .ClassyCountdown-value > span").html(p.labelsOptions.lang.hours),s.find(".ClassyCountdown-minutes .ClassyCountdown-value > span").html(p.labelsOptions.lang.minutes),s.find(".ClassyCountdown-seconds .ClassyCountdown-value > span").html(p.labelsOptions.lang.seconds),s.find(".ClassyCountdown-value > span").attr("style",p.labelsOptions.style)),d=p.end-p.now,i(),n(),setInterval(n,1e3),s.find(".ClassyCountdown-wrapper > div").each(function(){f(this).css("height",f(this).width()+"px")}),p.style.textResponsive&&(s.find(".ClassyCountdown-value").css("font-size",Math.floor(s.find("> div").eq(0).width()*p.style.textResponsive/10)+"px"),s.find(".ClassyCountdown-value").each(function(){f(this).css("margin-top",Math.floor(0-parseInt(f(this).height())/2)+"px")})),f(window).trigger("resize"),f(window).resize(f.throttle(50,o))}}(jQuery),// Excanvas (Explorer Canvas) R43
// http://excanvas.sourceforge.net/
// Copyright 2006 Google Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
document.createElement("canvas").getContext||function(){function i(){return this.context_||(this.context_=new r(this))}function n(t,e,i){var n=p.call(arguments,2);return function(){return t.apply(e,n.concat(p.call(arguments)))}}function o(t){var e=t.srcElement;switch(t.propertyName){case"width":e.style.width=e.attributes.width.nodeValue+"px",e.getContext().clearRect();break;case"height":e.style.height=e.attributes.height.nodeValue+"px",e.getContext().clearRect();break}}function a(t){var e=t.srcElement;e.firstChild&&(e.firstChild.style.width=e.clientWidth+"px",e.firstChild.style.height=e.clientHeight+"px")}function t(){return[[1,0,0],[0,1,0],[0,0,1]]}function s(t,e){for(var i=[[1,0,0],[0,1,0],[0,0,1]],n=0;n<3;n++)for(var o=0;o<3;o++){for(var a=0,s=0;s<3;s++)a+=t[n][s]*e[s][o];i[n][o]=a}return i}function e(t,e){e.fillStyle=t.fillStyle,e.lineCap=t.lineCap,e.lineJoin=t.lineJoin,e.lineWidth=t.lineWidth,e.miterLimit=t.miterLimit,e.shadowBlur=t.shadowBlur,e.shadowColor=t.shadowColor,e.shadowOffsetX=t.shadowOffsetX,e.shadowOffsetY=t.shadowOffsetY,e.strokeStyle=t.strokeStyle,e.globalAlpha=t.globalAlpha,e.arcScaleX_=t.arcScaleX_,e.arcScaleY_=t.arcScaleY_,e.lineScale_=t.lineScale_}function H(t){var e,i=1;if("rgb"==(t=String(t)).substring(0,3)){var n=t.indexOf("(",3),o=t.indexOf(")",n+1),a=t.substring(n+1,o).split(",");e="#";for(var s=0;s<3;s++)e+=y[Number(a[s])];4==a.length&&"a"==t.substr(3,1)&&(i=a[3])}else e=t;return{color:e,alpha:i}}function F(t){switch(t){case"butt":return"flat";case"round":return"round";case"square":default:return"square"}}function r(t){this.m_=[[1,0,0],[0,1,0],[0,0,1]],this.mStack_=[],this.aStack_=[],this.currentPath_=[],this.strokeStyle="#000",this.fillStyle="#000",this.lineWidth=1,this.lineJoin="miter",this.lineCap="butt",this.miterLimit=1*V,this.globalAlpha=1;var e=(this.canvas=t).ownerDocument.createElement("div");e.style.width=t.clientWidth+"px",e.style.height=t.clientHeight+"px",e.style.overflow="hidden",e.style.position="absolute",t.appendChild(e),this.element_=e,this.arcScaleX_=1,this.arcScaleY_=1,this.lineScale_=1}function u(t,e,i,n){t.currentPath_.push({type:"bezierCurveTo",cp1x:e.x,cp1y:e.y,cp2x:i.x,cp2y:i.y,x:n.x,y:n.y}),t.currentX_=n.x,t.currentY_=n.y}function l(t){this.type_=t,this.x0_=0,this.y0_=0,this.r0_=0,this.x1_=0,this.y1_=0,this.r1_=0,this.colors_=[]}function c(){}var R=Math,z=R.round,f=R.sin,g=R.cos,d=R.abs,h=R.sqrt,V=10,m=V/2,p=Array.prototype.slice,v={init:function(t){if(/MSIE/.test(navigator.userAgent)&&!window.opera){var e=t||document;e.createElement("canvas"),e.attachEvent("onreadystatechange",n(this.init_,this,e))}},init_:function(t){if(t.namespaces.g_vml_||t.namespaces.add("g_vml_","urn:schemas-microsoft-com:vml","#default#VML"),t.namespaces.g_o_||t.namespaces.add("g_o_","urn:schemas-microsoft-com:office:office","#default#VML"),!t.styleSheets.ex_canvas_){var e=t.createStyleSheet();e.owningElement.id="ex_canvas_",e.cssText="canvas{display:inline-block;overflow:hidden;text-align:left;width:300px;height:150px}g_vml_\\:*{behavior:url(#default#VML)}g_o_\\:*{behavior:url(#default#VML)}"}for(var i=t.getElementsByTagName("canvas"),n=0;n<i.length;n++)this.initElement(i[n])},initElement:function(t){if(!t.getContext){t.getContext=i,t.innerHTML="",t.attachEvent("onpropertychange",o),t.attachEvent("onresize",a);var e=t.attributes;e.width&&e.width.specified?t.style.width=e.width.nodeValue+"px":t.width=t.clientWidth,e.height&&e.height.specified?t.style.height=e.height.nodeValue+"px":t.height=t.clientHeight}return t}};v.init();for(var y=[],b=0;b<16;b++)for(var w=0;w<16;w++)y[16*b+w]=b.toString(16)+w.toString(16);var S=r.prototype;S.clearRect=function(){this.element_.innerHTML=""},S.beginPath=function(){this.currentPath_=[]},S.moveTo=function(t,e){var i=this.getCoords_(t,e);this.currentPath_.push({type:"moveTo",x:i.x,y:i.y}),this.currentX_=i.x,this.currentY_=i.y},S.lineTo=function(t,e){var i=this.getCoords_(t,e);this.currentPath_.push({type:"lineTo",x:i.x,y:i.y}),this.currentX_=i.x,this.currentY_=i.y},S.bezierCurveTo=function(t,e,i,n,o,a){var s=this.getCoords_(o,a),r,l;u(this,this.getCoords_(t,e),this.getCoords_(i,n),s)},S.quadraticCurveTo=function(t,e,i,n){var o=this.getCoords_(t,e),a=this.getCoords_(i,n),s={x:this.currentX_+2/3*(o.x-this.currentX_),y:this.currentY_+2/3*(o.y-this.currentY_)},r;u(this,s,{x:s.x+(a.x-this.currentX_)/3,y:s.y+(a.y-this.currentY_)/3},a)},S.arc=function(t,e,i,n,o,a){i*=V;var s=a?"at":"wa",r=t+g(n)*i-m,l=e+f(n)*i-m,u=t+g(o)*i-m,c=e+f(o)*i-m;r!=u||a||(r+=.125);var d=this.getCoords_(t,e),h=this.getCoords_(r,l),p=this.getCoords_(u,c);this.currentPath_.push({type:s,x:d.x,y:d.y,radius:i,xStart:h.x,yStart:h.y,xEnd:p.x,yEnd:p.y})},S.rect=function(t,e,i,n){this.moveTo(t,e),this.lineTo(t+i,e),this.lineTo(t+i,e+n),this.lineTo(t,e+n),this.closePath()},S.strokeRect=function(t,e,i,n){var o=this.currentPath_;this.beginPath(),this.moveTo(t,e),this.lineTo(t+i,e),this.lineTo(t+i,e+n),this.lineTo(t,e+n),this.closePath(),this.stroke(),this.currentPath_=o},S.fillRect=function(t,e,i,n){var o=this.currentPath_;this.beginPath(),this.moveTo(t,e),this.lineTo(t+i,e),this.lineTo(t+i,e+n),this.lineTo(t,e+n),this.closePath(),this.fill(),this.currentPath_=o},S.createLinearGradient=function(t,e,i,n){var o=new l("gradient");return o.x0_=t,o.y0_=e,o.x1_=i,o.y1_=n,o},S.createRadialGradient=function(t,e,i,n,o,a){var s=new l("gradientradial");return s.x0_=t,s.y0_=e,s.r0_=i,s.x1_=n,s.y1_=o,s.r1_=a,s},S.drawImage=function(t,e,i,n,o,a,s,r,l){var u,c,d,h,p,f,g,m,v=t.runtimeStyle.width,y=t.runtimeStyle.height;t.runtimeStyle.width="auto",t.runtimeStyle.height="auto";var b=t.width,w=t.height;if(t.runtimeStyle.width=v,t.runtimeStyle.height=y,3==arguments.length)u=e,c=i,p=f=0,g=d=b,m=h=w;else if(5==arguments.length)u=e,c=i,d=n,h=o,p=f=0,g=b,m=w;else{if(9!=arguments.length)throw Error("Invalid number of arguments");p=e,f=i,g=n,m=o,u=a,c=s,d=r,h=l}var S=this.getCoords_(u,c),C=g/2,x=m/2,k=[],T=10,_=10;if(k.push(" <g_vml_:group",' coordsize="',10*V,",",10*V,'"',' coordorigin="0,0"',' style="width:',10,"px;height:",10,"px;position:absolute;"),1!=this.m_[0][0]||this.m_[0][1]){var O=[];O.push("M11=",this.m_[0][0],",","M12=",this.m_[1][0],",","M21=",this.m_[0][1],",","M22=",this.m_[1][1],",","Dx=",z(S.x/V),",","Dy=",z(S.y/V),"");var P=S,M=this.getCoords_(u+d,c),A=this.getCoords_(u,c+h),E=this.getCoords_(u+d,c+h);P.x=R.max(P.x,M.x,A.x,E.x),P.y=R.max(P.y,M.y,A.y,E.y),k.push("padding:0 ",z(P.x/V),"px ",z(P.y/V),"px 0;filter:progid:DXImageTransform.Microsoft.Matrix(",O.join(""),", sizingmethod='clip');")}else k.push("top:",z(S.y/V),"px;left:",z(S.x/V),"px;");k.push(' ">','<g_vml_:image src="',t.src,'"',' style="width:',V*d,"px;"," height:",V*h,'px;"',' cropleft="',p/b,'"',' croptop="',f/w,'"',' cropright="',(b-p-g)/b,'"',' cropbottom="',(w-f-m)/w,'"'," />","</g_vml_:group>"),this.element_.insertAdjacentHTML("BeforeEnd",k.join(""))},S.stroke=function(t){var e=[],i=!1,n=H(t?this.fillStyle:this.strokeStyle),o=n.color,a=n.alpha*this.globalAlpha,s=10,r=10;e.push("<g_vml_:shape",' filled="',!!t,'"',' style="position:absolute;width:',10,"px;height:",10,'px;"',' coordorigin="0 0" coordsize="',10*V," ",10*V,'"',' stroked="',!t,'"',' path="');for(var l=!1,u={x:null,y:null},c={x:null,y:null},d=0;d<this.currentPath_.length;d++){var h=this.currentPath_[d],p;switch(h.type){case"moveTo":p=h,e.push(" m ",z(h.x),",",z(h.y));break;case"lineTo":e.push(" l ",z(h.x),",",z(h.y));break;case"close":e.push(" x "),h=null;break;case"bezierCurveTo":e.push(" c ",z(h.cp1x),",",z(h.cp1y),",",z(h.cp2x),",",z(h.cp2y),",",z(h.x),",",z(h.y));break;case"at":case"wa":e.push(" ",h.type," ",z(h.x-this.arcScaleX_*h.radius),",",z(h.y-this.arcScaleY_*h.radius)," ",z(h.x+this.arcScaleX_*h.radius),",",z(h.y+this.arcScaleY_*h.radius)," ",z(h.xStart),",",z(h.yStart)," ",z(h.xEnd),",",z(h.yEnd));break}h&&((null==u.x||h.x<u.x)&&(u.x=h.x),(null==c.x||h.x>c.x)&&(c.x=h.x),(null==u.y||h.y<u.y)&&(u.y=h.y),(null==c.y||h.y>c.y)&&(c.y=h.y))}if(e.push(' ">'),t)if("object"==typeof this.fillStyle){var f=this.fillStyle,g=0,m={x:0,y:0},v=0,y=1;if("gradient"==f.type_){var b=f.x0_/this.arcScaleX_,w=f.y0_/this.arcScaleY_,S=f.x1_/this.arcScaleX_,C=f.y1_/this.arcScaleY_,x=this.getCoords_(b,w),k=this.getCoords_(S,C),T=k.x-x.x,_=k.y-x.y;(g=180*Math.atan2(T,_)/Math.PI)<0&&(g+=360),g<1e-6&&(g=0)}else{var x=this.getCoords_(f.x0_,f.y0_),O=c.x-u.x,P=c.y-u.y;m={x:(x.x-u.x)/O,y:(x.y-u.y)/P},O/=this.arcScaleX_*V,P/=this.arcScaleY_*V;var M=R.max(O,P);v=2*f.r0_/M,y=2*f.r1_/M-v}var A=f.colors_;A.sort(function(t,e){return t.offset-e.offset});for(var E=A.length,D=A[0].color,I=A[E-1].color,$=A[0].alpha*this.globalAlpha,L=A[E-1].alpha*this.globalAlpha,q=[],d=0;d<E;d++){var j=A[d];q.push(j.offset*y+v+" "+j.color)}e.push('<g_vml_:fill type="',f.type_,'"',' method="none" focus="100%"',' color="',D,'"',' color2="',I,'"',' colors="',q.join(","),'"',' opacity="',L,'"',' g_o_:opacity2="',$,'"',' angle="',g,'"',' focusposition="',m.x,",",m.y,'" />')}else e.push('<g_vml_:fill color="',o,'" opacity="',a,'" />');else{var N=this.lineScale_*this.lineWidth;N<1&&(a*=N),e.push("<g_vml_:stroke",' opacity="',a,'"',' joinstyle="',this.lineJoin,'"',' miterlimit="',this.miterLimit,'"',' endcap="',F(this.lineCap),'"',' weight="',N,'px"',' color="',o,'" />')}e.push("</g_vml_:shape>"),this.element_.insertAdjacentHTML("beforeEnd",e.join(""))},S.fill=function(){this.stroke(!0)},S.closePath=function(){this.currentPath_.push({type:"close"})},S.getCoords_=function(t,e){var i=this.m_;return{x:V*(t*i[0][0]+e*i[1][0]+i[2][0])-m,y:V*(t*i[0][1]+e*i[1][1]+i[2][1])-m}},S.save=function(){var t={};e(this,t),this.aStack_.push(t),this.mStack_.push(this.m_),this.m_=s([[1,0,0],[0,1,0],[0,0,1]],this.m_)},S.restore=function(){e(this.aStack_.pop(),this),this.m_=this.mStack_.pop()},S.translate=function(t,e){var i=[[1,0,0],[0,1,0],[t,e,1]];this.m_=s(i,this.m_)},S.rotate=function(t){var e=g(t),i=f(t),n=[[e,i,0],[-i,e,0],[0,0,1]];this.m_=s(n,this.m_)},S.scale=function(t,e){this.arcScaleX_*=t,this.arcScaleY_*=e;var i=[[t,0,0],[0,e,0],[0,0,1]],n=this.m_=s(i,this.m_),o=n[0][0]*n[1][1]-n[0][1]*n[1][0];this.lineScale_=h(d(o))},S.clip=function(){},S.arcTo=function(){},S.createPattern=function(){return new c},l.prototype.addColorStop=function(t,e){e=H(e),this.colors_.push({offset:t,color:e.color,alpha:e.alpha})},G_vmlCanvasManager=v,CanvasRenderingContext2D=r,CanvasGradient=l,CanvasPattern=c}(),Animator.prototype={
// apply defaults
setOptions:function(t){this.options=Animator.applyDefaults({interval:20,// time between animation frames
duration:400,// length of animation
onComplete:function(){},onStep:function(){},transition:Animator.tx.easeInOut},t)},
// animate from the current state to provided value
seekTo:function(t){this.seekFromTo(this.state,t)},
// animate from the current state to provided value
seekFromTo:function(t,e){this.target=Math.max(0,Math.min(1,e)),this.state=Math.max(0,Math.min(1,t)),this.lastTime=(new Date).getTime(),this.intervalId||(this.intervalId=window.setInterval(this.timerDelegate,this.options.interval))},
// animate from the current state to provided value
jumpTo:function(t){this.target=this.state=Math.max(0,Math.min(1,t)),this.propagate()},
// seek to the opposite of the current target
toggle:function(){this.seekTo(1-this.target)},
// add a function or an object with a method setState(state) that will be called with a number
// between 0 and 1 on each frame of the animation
addSubject:function(t,e){return this.subjects[this.subjects.length]=t,this.subjectScopes[this.subjectScopes.length]=e,this},
// remove all subjects
clearSubjects:function(){this.subjects=[],this.subjectScopes=[]},
// forward the current state to the animation subjects
propagate:function(){for(var t=this.options.transition(this.state),e=0;e<this.subjects.length;e++)this.subjects[e].setState?this.subjects[e].setState(t):this.subjects[e].apply(this.subjectScopes[e],[t])},
// called once per frame to update the current state
onTimerEvent:function(){var t=(new Date).getTime(),e=t-this.lastTime;this.lastTime=t;var i=e/this.options.duration*(this.state<this.target?1:-1);Math.abs(i)>=Math.abs(this.state-this.target)?this.state=this.target:this.state+=i;try{this.propagate()}finally{this.options.onStep.call(this),this.target==this.state&&(window.clearInterval(this.intervalId),this.intervalId=null,this.options.onComplete.call(this))}},
// shortcuts
play:function(){this.seekFromTo(0,1)},reverse:function(){this.seekFromTo(1,0)},
// return a string describing this Animator, for debugging
inspect:function(){for(var t="#<Animator:\n",e=0;e<this.subjects.length;e++)t+=this.subjects[e].inspect();return t+=">"}},
// merge the properties of two objects
Animator.applyDefaults=function(t,e){e=e||{};var i,n={};for(i in t)n[i]=void 0!==e[i]?e[i]:t[i];return n}
// make an array from any object
,Animator.makeArray=function(t){if(null==t)return[];if(!t.length)return[t];for(var e=[],i=0;i<t.length;i++)e[i]=t[i];return e}
// convert a dash-delimited-property to a camelCaseProperty (c/o Prototype, thanks Sam!)
,Animator.camelize=function(t){var e=t.split("-");if(1==e.length)return e[0];for(var i=0==t.indexOf("-")?e[0].charAt(0).toUpperCase()+e[0].substring(1):e[0],n=1,o=e.length;n<o;n++){var a=e[n];i+=a.charAt(0).toUpperCase()+a.substring(1)}return i}
// syntactic sugar for creating CSSStyleSubjects
,Animator.apply=function(t,e,i){return e instanceof Array?new Animator(i).addSubject(new CSSStyleSubject(t,e[0],e[1])):new Animator(i).addSubject(new CSSStyleSubject(t,e))}
// make a transition function that gradually accelerates. pass a=1 for smooth
// gravitational acceleration, higher values for an exaggerated effect
,Animator.makeEaseIn=function(e){return function(t){return Math.pow(t,2*e)}}
// as makeEaseIn but for deceleration
,Animator.makeEaseOut=function(e){return function(t){return 1-Math.pow(1-t,2*e)}}
// make a transition function that, like an object with momentum being attracted to a point,
// goes past the target then returns
,Animator.makeElastic=function(e){return function(t){return t=Animator.tx.easeInOut(t),(1-Math.cos(t*Math.PI*e))*(1-t)+t}}
// make an Attack Decay Sustain Release envelope that starts and finishes on the same level
// 
,Animator.makeADSR=function(e,i,n,o){return null==o&&(o=.5),function(t){return t<e?t/e:t<i?1-(t-e)/(i-e)*(1-o):t<n?o:o*(1-(t-n)/(1-n))}}
// make a transition function that, like a ball falling to floor, reaches the target and/
// bounces back again
,Animator.makeBounce=function(t){var e=Animator.makeElastic(t);return function(t){return(t=e(t))<=1?t:2-t}}
// pre-made transition functions to use with the 'transition' option
,Animator.tx={easeInOut:function(t){return-Math.cos(t*Math.PI)/2+.5},linear:function(t){return t},easeIn:Animator.makeEaseIn(1.5),easeOut:Animator.makeEaseOut(1.5),strongEaseIn:Animator.makeEaseIn(2.5),strongEaseOut:Animator.makeEaseOut(2.5),elastic:Animator.makeElastic(1),veryElastic:Animator.makeElastic(3),bouncy:Animator.makeBounce(1),veryBouncy:Animator.makeBounce(3)},NumericalStyleSubject.prototype={setState:function(t){for(var e=this.getStyle(t),i="opacity"==this.property&&0==t?"hidden":"",n=0,o=0;o<this.els.length;o++){try{this.els[o].style[this.property]=e}catch(t){
// ignore fontWeight - intermediate numerical values cause exeptions in firefox
if("fontWeight"!=this.property)throw t}if(20<n++)return}},getStyle:function(t){return t=this.from+(this.to-this.from)*t,"filter"==this.property?"alpha(opacity="+Math.round(100*t)+")":"opacity"==this.property?t:Math.round(t)+this.units},inspect:function(){return"\t"+this.property+"("+this.from+this.units+" to "+this.to+this.units+")\n"}},ColorStyleSubject.prototype={
// parse "#FFFF00" to [256, 256, 0]
expandColor:function(t){var e,i,n,o;if(e=ColorStyleSubject.parseColor(t))return[i=parseInt(e.slice(1,3),16),n=parseInt(e.slice(3,5),16),o=parseInt(e.slice(5,7),16)];window.DEBUG&&alert("Invalid colour: '"+t+"'")},getValueForState:function(t,e){return Math.round(this.from[t]+(this.to[t]-this.from[t])*e)},setState:function(t){for(var e="#"+ColorStyleSubject.toColorPart(this.getValueForState(0,t))+ColorStyleSubject.toColorPart(this.getValueForState(1,t))+ColorStyleSubject.toColorPart(this.getValueForState(2,t)),i=0;i<this.els.length;i++)this.els[i].style[this.property]=e},inspect:function(){return"\t"+this.property+"("+this.origFrom+" to "+this.origTo+")\n"}},
// return a properly formatted 6-digit hex colour spec, or false
ColorStyleSubject.parseColor=function(t){var e="#",i;if(i=ColorStyleSubject.parseColor.rgbRe.exec(t)){for(var n,o=1;o<=3;o++)n=Math.max(0,Math.min(255,parseInt(i[o]))),e+=ColorStyleSubject.toColorPart(n);return e}if(i=ColorStyleSubject.parseColor.hexRe.exec(t)){if(3!=i[1].length)return"#"+i[1];for(var o=0;o<3;o++)e+=i[1].charAt(o)+i[1].charAt(o);return e}return!1},
// convert a number to a 2 digit hex string
ColorStyleSubject.toColorPart=function(t){255<t&&(t=255);var e=t.toString(16);return t<16?"0"+e:e},ColorStyleSubject.parseColor.rgbRe=/^rgb\(\s*(\d+)\s*,\s*(\d+)\s*,\s*(\d+)\s*\)$/i,ColorStyleSubject.parseColor.hexRe=/^\#([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$/,DiscreteStyleSubject.prototype={setState:function(t){for(var e=0,i=0;i<this.els.length;i++)this.els[i].style[this.property]=t<=this.threshold?this.from:this.to},inspect:function(){return"\t"+this.property+"("+this.from+" to "+this.to+" @ "+this.threshold+")\n"}},CSSStyleSubject.prototype={
// parses "width: 400px; color: #FFBB2E" to {width: "400px", color: "#FFBB2E"}
parseStyle:function(t,e){var i={};
// if style is a rule set
if(-1!=t.indexOf(":"))for(var n=t.split(";"),o=0;o<n.length;o++){var a=CSSStyleSubject.ruleRe.exec(n[o]);a&&(i[a[1]]=a[2])}else{var s,r,l;l=e.className,e.className=t;for(var o=0;o<CSSStyleSubject.cssProperties.length;o++)s=CSSStyleSubject.cssProperties[o],null!=(r=CSSStyleSubject.getStyle(e,s))&&(i[s]=r);e.className=l}return i},setState:function(t){for(var e=0;e<this.subjects.length;e++)this.subjects[e].setState(t)},inspect:function(){for(var t="",e=0;e<this.subjects.length;e++)t+=this.subjects[e].inspect();return t}},
// get the current value of a css property, 
CSSStyleSubject.getStyle=function(t,e){var i;return document.defaultView&&document.defaultView.getComputedStyle&&(i=document.defaultView.getComputedStyle(t,"").getPropertyValue(e))?i:(e=Animator.camelize(e),t.currentStyle&&(i=t.currentStyle[e]),i||t.style[e])},CSSStyleSubject.ruleRe=/^\s*([a-zA-Z\-]+)\s*:\s*(\S(.+\S)?)\s*$/,CSSStyleSubject.numericalRe=/^-?\d+(?:\.\d+)?(%|[a-zA-Z]{2})?$/,CSSStyleSubject.discreteRe=/^\w+$/,
// required because the style object of elements isn't enumerable in Safari
/*
CSSStyleSubject.cssProperties = ['background-color','border','border-color','border-spacing',
'border-style','border-top','border-right','border-bottom','border-left','border-top-color',
'border-right-color','border-bottom-color','border-left-color','border-top-width','border-right-width',
'border-bottom-width','border-left-width','border-width','bottom','color','font-size','font-size-adjust',
'font-stretch','font-style','height','left','letter-spacing','line-height','margin','margin-top',
'margin-right','margin-bottom','margin-left','marker-offset','max-height','max-width','min-height',
'min-width','orphans','outline','outline-color','outline-style','outline-width','overflow','padding',
'padding-top','padding-right','padding-bottom','padding-left','quotes','right','size','text-indent',
'top','width','word-spacing','z-index','opacity','outline-offset'];*/
CSSStyleSubject.cssProperties=["azimuth","background","background-attachment","background-color","background-image","background-position","background-repeat","border-collapse","border-color","border-spacing","border-style","border-top","border-top-color","border-right-color","border-bottom-color","border-left-color","border-top-style","border-right-style","border-bottom-style","border-left-style","border-top-width","border-right-width","border-bottom-width","border-left-width","border-width","bottom","clear","clip","color","content","cursor","direction","display","elevation","empty-cells","css-float","font","font-family","font-size","font-size-adjust","font-stretch","font-style","font-variant","font-weight","height","left","letter-spacing","line-height","list-style","list-style-image","list-style-position","list-style-type","margin","margin-top","margin-right","margin-bottom","margin-left","max-height","max-width","min-height","min-width","orphans","outline","outline-color","outline-style","outline-width","overflow","padding","padding-top","padding-right","padding-bottom","padding-left","pause","position","right","size","table-layout","text-align","text-decoration","text-indent","text-shadow","text-transform","top","vertical-align","visibility","white-space","width","word-spacing","z-index","opacity","outline-offset","overflow-x","overflow-y"],AnimatorChain.prototype={
// apply defaults
setOptions:function(t){this.options=Animator.applyDefaults({
// by default, each call to AnimatorChain.play() calls jumpTo(0) of each animator
// before playing, which can cause flickering if you have multiple animators all
// targeting the same element. Set this to false to avoid this.
resetOnPlay:!0},t)},
// play each animator in turn
play:function(){if(this.forwards=!0,this.current=-1,this.options.resetOnPlay)for(var t=0;t<this.animators.length;t++)this.animators[t].jumpTo(0);this.advance()},
// play all animators backwards
reverse:function(){if(this.forwards=!1,this.current=this.animators.length,this.options.resetOnPlay)for(var t=0;t<this.animators.length;t++)this.animators[t].jumpTo(1);this.advance()},
// if we have just play()'d, then call reverse(), and vice versa
toggle:function(){this.forwards?this.seekTo(0):this.seekTo(1)},
// internal: install an event listener on an animator's onComplete option
// to trigger the next animator
listenTo:function(t){var e=t.options.onComplete,i=this;t.options.onComplete=function(){e&&e.call(t),i.advance()}},
// play the next animator
advance:function(){if(this.forwards){if(null==this.animators[this.current+1])return;this.current++,this.animators[this.current].play()}else{if(null==this.animators[this.current-1])return;this.current--,this.animators[this.current].reverse()}},
// this function is provided for drop-in compatibility with Animator objects,
// but only accepts 0 and 1 as target values
seekTo:function(t){t<=0?(this.forwards=!1,this.animators[this.current].seekTo(0)):(this.forwards=!0,this.animators[this.current].seekTo(1))}},Accordion.prototype={
// apply defaults
setOptions:function(t){this.options=Object.extend({
// REQUIRED: an array of elements to use as the accordion sections
sections:null,
// a function that locates an activator button element given a section element.
// by default it takes a button id from the section's "activator" attibute
getActivator:function(t){return document.getElementById(t.getAttribute("activator"))},
// shifts each animator's range, for example with options {from:0,to:100,shift:20}
// the animators' ranges will be 0-100, 20-120, 40-140 etc.
shift:0,
// the first page to show
initialSection:0,
// if set to true, document.location.hash will be used to preserve the open section across page reloads 
rememberance:!0,
// constructor arguments to the Animator objects
animatorOptions:{}},t||{})},show:function(t){for(var e=0;e<this.ans.length;e++)this.ans[e].seekTo(t<e?1:0);this.options.rememberance&&(document.location.hash=this.rememberanceTexts[t])}},
/** @license
 *
 * SoundManager 2: JavaScript Sound for the Web
 * ----------------------------------------------
 * http://schillmania.com/projects/soundmanager2/
 *
 * Copyright (c) 2007, Scott Schiller. All rights reserved.
 * Code provided under the BSD License:
 * http://schillmania.com/projects/soundmanager2/license.txt
 *
 * V2.97a.20150601
 */
/*global window, SM2_DEFER, sm2Debugger, console, document, navigator, setTimeout, setInterval, clearInterval, Audio, opera, module, define */
/*jslint regexp: true, sloppy: true, white: true, nomen: true, plusplus: true, todo: true */
function(de,he){"use strict";function i(t,e){function l(t){return b.preferFlash&&Lt&&!b.ignoreFlash&&b.flash[t]!==he&&b.flash[t]}function i(n){return function(t){var e=this._s,i;return i=e&&e._a?n.call(this,t):null}}this.setupOptions={url:t||null,flashVersion:8,debugMode:!0,debugFlash:!1,useConsole:!0,consoleOnly:!0,waitForWindowLoad:!1,bgColor:"#ffffff",useHighPerformance:!1,flashPollingInterval:null,html5PollingInterval:null,flashLoadTimeout:1e3,wmode:null,allowScriptAccess:"always",useFlashBlock:!1,useHTML5Audio:!0,forceUseGlobalHTML5Audio:!1,ignoreMobileRestrictions:!1,html5Test:/^(probably|maybe)$/i,preferFlash:!1,noSWFCache:!1,idPrefix:"sound"},this.defaultOptions={autoLoad:!1,autoPlay:!1,from:null,loops:1,onid3:null,onload:null,whileloading:null,onplay:null,onpause:null,onresume:null,whileplaying:null,onposition:null,onstop:null,onfailure:null,onfinish:null,multiShot:!0,multiShotEvents:!1,position:null,pan:0,stream:!0,to:null,type:null,usePolicyFile:!1,volume:100},this.flash9Options={isMovieStar:null,usePeakData:!1,useWaveformData:!1,useEQData:!1,onbufferchange:null,ondataerror:null},this.movieStarOptions={bufferTime:3,serverURL:null,onconnect:null,duration:null},this.audioFormats={mp3:{type:['audio/mpeg; codecs="mp3"',"audio/mpeg","audio/mp3","audio/MPA","audio/mpa-robust"],required:!0},mp4:{related:["aac","m4a","m4b"],type:['audio/mp4; codecs="mp4a.40.2"',"audio/aac","audio/x-m4a","audio/MP4A-LATM","audio/mpeg4-generic"],required:!1},ogg:{type:["audio/ogg; codecs=vorbis"],required:!1},opus:{type:["audio/ogg; codecs=opus","audio/opus"],required:!1},wav:{type:['audio/wav; codecs="1"',"audio/wav","audio/wave","audio/x-wav"],required:!1}},this.movieID="sm2-container",this.id=e||"sm2movie",this.debugID="soundmanager-debug",this.debugURLParam=/([#?&])debug=1/i,this.versionNumber="V2.97a.20150601",this.version=null,this.movieURL=null,this.altURL=null,this.swfLoaded=!1,this.enabled=!1,this.oMC=null,this.sounds={},this.soundIDs=[],this.muted=!1,this.didFlashBlock=!1,this.filePattern=null,this.filePatterns={flash8:/\.mp3(\?.*)?$/i,flash9:/\.mp3(\?.*)?$/i},this.features={buffering:!1,peakData:!1,waveformData:!1,eqData:!1,movieStar:!1},this.sandbox={},this.html5={usingFlash:null},this.flash={},this.html5Only=!1,this.ignoreFlash=!1;var r,b=this,v=null,y=null,n,o="soundManager"+": ",a="HTML5::",w,S=navigator.userAgent,s=de.location.href.toString(),C=document,u,c,x,k,d=[],h=!0,p,T=!1,_=!1,f=!1,g=!1,m=!1,O,P=0,M,A,E,D,I,$,L,q,j,N,H,F,R,z,V,B,W,X,Q,U,Y,G,Z=["log","info","warn","error"],J=8,K,tt,et,it=null,nt=null,ot,at,st,rt,lt,ut,ct,dt,ht,pt=!1,ft=!1,gt,mt,vt,yt=0,bt=null,wt,St=[],Ct,xt=null,kt,Tt,_t,Ot,Pt,Mt,At,Et,Dt=Array.prototype.slice,It=!1,$t,Lt,qt,jt,Nt,Ht,Ft,Rt,zt=0,Vt,Bt=1e3,Wt=S.match(/(ipad|iphone|ipod)/i),Xt=S.match(/android/i),Qt=S.match(/msie/i),Ut=S.match(/webkit/i),Yt=S.match(/safari/i)&&!S.match(/chrome/i),Gt=S.match(/opera/i),Zt=S.match(/(mobile|pre\/|xoom)/i)||Wt||Xt,Jt=!s.match(/usehtml5audio/i)&&!s.match(/sm2\-ignorebadua/i)&&Yt&&!S.match(/silk/i)&&S.match(/OS X 10_6_([3-7])/i),Kt=de.console!==he&&console.log!==he,te=C.hasFocus!==he?C.hasFocus():null,ee=Yt&&(C.hasFocus===he||!C.hasFocus()),ie=!ee,ne=/(mp3|mp4|mpa|m4a|m4b)/i,oe="about:blank",ae="data:audio/wave;base64,/UklGRiYAAABXQVZFZm10IBAAAAABAAEARKwAAIhYAQACABAAZGF0YQIAAAD//w==",se=C.location?C.location.protocol.match(/http/i):null,re=se?"":"http://",le=/^\s*audio\/(?:x-)?(?:mpeg4|aac|flv|mov|mp4||m4v|m4a|m4b|mp4v|3gp|3g2)\s*(?:$|;)/i,ue=["mpeg4","aac","flv","mov","mp4","m4v","f4v","m4a","m4b","mp4v","3gp","3g2"],ce=new RegExp("\\.("+ue.join("|")+")(\\?.*)?$","i");this.mimePattern=/^\s*audio\/(?:x-)?(?:mp(?:eg|3))\s*(?:$|;)/i,this.useAltURL=!se,rt={swfBox:"sm2-object-box",swfDefault:"movieContainer",swfError:"swf_error",swfTimedout:"swf_timedout",swfLoaded:"swf_loaded",swfUnblocked:"swf_unblocked",sm2Debug:"sm2_debug",highPerf:"high_performance",flashDebug:"flash_debug"},this.hasHTML5=function(){try{return Audio!==he&&(Gt&&opera!==he&&opera.version()<10?new Audio(null):new Audio).canPlayType!==he}catch(t){return!1}}(),this.setup=function(t){var e=!b.url;return t!==he&&f&&xt&&b.ok()&&(t.flashVersion!==he||t.url!==he||t.html5Test),E(t),It||(Zt?b.setupOptions.ignoreMobileRestrictions&&!b.setupOptions.forceUseGlobalHTML5Audio||(St.push(R.globalHTML5),It=!0):b.setupOptions.forceUseGlobalHTML5Audio&&(St.push(R.globalHTML5),It=!0)),!Vt&&Zt&&(b.setupOptions.ignoreMobileRestrictions?St.push(R.ignoreMobile):(b.setupOptions.useHTML5Audio=!0,b.setupOptions.preferFlash=!1,Wt?b.ignoreFlash=!0:(Xt&&!S.match(/android\s2\.3/i)||!Xt)&&(It=!0))),t&&(e&&W&&t.url!==he&&b.beginDelayedInit(),W||t.url===he||"complete"!==C.readyState||setTimeout(V,1)),Vt=!0,b},this.ok=function(){return xt?f&&!g:b.useHTML5Audio&&b.hasHTML5},this.supported=this.ok,this.getMovie=function(t){return w(t)||C[t]||de[t]},this.createSound=function(t,e){function i(){return a=ut(a),b.sounds[a.id]=new r(a),b.soundIDs.push(a.id),b.sounds[a.id]}var n,o,a,s=null;if(!f||!b.ok())return!1;if(e!==he&&(t={id:t,url:e}),(a=A(t)).url=wt(a.url),a.id===he&&(a.id=b.setupOptions.idPrefix+zt++),ht(a.id,!0))return b.sounds[a.id];if(Tt(a))(s=i())._setup_html5(a);else{if(b.html5Only)return i();if(b.html5.usingFlash&&a.url&&a.url.match(/data\:/i))return i();8<k&&null===a.isMovieStar&&(a.isMovieStar=!!(a.serverURL||a.type&&a.type.match(le)||a.url&&a.url.match(ce))),a=ct(a,n),s=i(),8===k?y._createSound(a.id,a.loops||1,a.usePolicyFile):(y._createSound(a.id,a.url,a.usePeakData,a.useWaveformData,a.useEQData,a.isMovieStar,!!a.isMovieStar&&a.bufferTime,a.loops||1,a.serverURL,a.duration||null,a.autoPlay,!0,a.autoLoad,a.usePolicyFile),a.serverURL||(s.connected=!0,a.onconnect&&a.onconnect.apply(s))),a.serverURL||!a.autoLoad&&!a.autoPlay||s.load(a)}return!a.serverURL&&a.autoPlay&&s.play(),s},this.destroySound=function(t,e){if(!ht(t))return!1;var i=b.sounds[t],n;for(i.stop(),i._iO={},i.unload(),n=0;n<b.soundIDs.length;n++)if(b.soundIDs[n]===t){b.soundIDs.splice(n,1);break}return e||i.destruct(!0),i=null,delete b.sounds[t],!0},this.load=function(t,e){return!!ht(t)&&b.sounds[t].load(e)},this.unload=function(t){return!!ht(t)&&b.sounds[t].unload()},this.onPosition=function(t,e,i,n){return!!ht(t)&&b.sounds[t].onposition(e,i,n)},this.onposition=this.onPosition,this.clearOnPosition=function(t,e,i){return!!ht(t)&&b.sounds[t].clearOnPosition(e,i)},this.play=function(t,e){var i=null,n=e&&!(e instanceof Object);if(!f||!b.ok())return!1;if(ht(t,n))n&&(e={url:e});else{if(!n)return!1;n&&(e={url:e}),e&&e.url&&(e.id=t,i=b.createSound(e).play())}return null===i&&(i=b.sounds[t].play(e)),i},this.start=this.play,this.setPosition=function(t,e){return!!ht(t)&&b.sounds[t].setPosition(e)},this.stop=function(t){return!!ht(t)&&b.sounds[t].stop()},this.stopAll=function(){var t;for(t in b.sounds)b.sounds.hasOwnProperty(t)&&b.sounds[t].stop()},this.pause=function(t){return!!ht(t)&&b.sounds[t].pause()},this.pauseAll=function(){var t;for(t=b.soundIDs.length-1;0<=t;t--)b.sounds[b.soundIDs[t]].pause()},this.resume=function(t){return!!ht(t)&&b.sounds[t].resume()},this.resumeAll=function(){var t;for(t=b.soundIDs.length-1;0<=t;t--)b.sounds[b.soundIDs[t]].resume()},this.togglePause=function(t){return!!ht(t)&&b.sounds[t].togglePause()},this.setPan=function(t,e){return!!ht(t)&&b.sounds[t].setPan(e)},this.setVolume=function(t,e){var i,n;if(t===he||isNaN(t)||e!==he)return!!ht(t)&&b.sounds[t].setVolume(e);for(i=0,n=b.soundIDs.length;i<n;i++)b.sounds[b.soundIDs[i]].setVolume(t)},this.mute=function(t){var e=0;if(t instanceof String&&(t=null),t)return!!ht(t)&&b.sounds[t].mute();for(e=b.soundIDs.length-1;0<=e;e--)b.sounds[b.soundIDs[e]].mute();return b.muted=!0},this.muteAll=function(){b.mute()},this.unmute=function(t){var e;if(t instanceof String&&(t=null),t)return!!ht(t)&&b.sounds[t].unmute();for(e=b.soundIDs.length-1;0<=e;e--)b.sounds[b.soundIDs[e]].unmute();return!(b.muted=!1)},this.unmuteAll=function(){b.unmute()},this.toggleMute=function(t){return!!ht(t)&&b.sounds[t].toggleMute()},this.getMemoryUse=function(){var t=0;return y&&8!==k&&(t=parseInt(y._getMemoryUse(),10)),t},this.disable=function(t){var e;if(t===he&&(t=!1),g)return!1;for(g=!0,e=b.soundIDs.length-1;0<=e;e--)K(b.sounds[b.soundIDs[e]]);return M(t),Et.remove(de,"load",L),!0},this.canPlayMIME=function(t){var e;return b.hasHTML5&&(e=_t({type:t})),!e&&xt&&(e=t&&b.ok()?!!(8<k&&t.match(le)||t.match(b.mimePattern)):null),e},this.canPlayURL=function(t){var e;return b.hasHTML5&&(e=_t({url:t})),!e&&xt&&(e=t&&b.ok()?!!t.match(b.filePattern):null),e},this.canPlayLink=function(t){return!(t.type===he||!t.type||!b.canPlayMIME(t.type))||b.canPlayURL(t.href)},this.getSoundById=function(t,e){return t?b.sounds[t]:null;var i},this.onready=function(t,e){var i="onready",n=!1;if("function"!=typeof t)throw ot("needFunction",i);return e||(e=de),I(i,t,e),$(),n=!0},this.ontimeout=function(t,e){var i="ontimeout",n=!1;if("function"!=typeof t)throw ot("needFunction",i);return e||(e=de),I(i,t,e),$({type:i}),n=!0},this._writeDebug=function(t,e){return!0},this._wD=this._writeDebug,this._debug=function(){},this.reboot=function(t,e){var i,n,o;for(i=b.soundIDs.length-1;0<=i;i--)b.sounds[b.soundIDs[i]].destruct();if(y)try{Qt&&(nt=y.innerHTML),it=y.parentNode.removeChild(y)}catch(t){}if(nt=it=xt=y=null,b.enabled=W=f=pt=ft=T=_=g=It=b.swfLoaded=!1,b.soundIDs=[],b.sounds={},zt=0,Vt=!1,t)d=[];else for(i in d)if(d.hasOwnProperty(i))for(n=0,o=d[i].length;n<o;n++)d[i][n].fired=!1;return b.html5={usingFlash:null},b.flash={},b.html5Only=!1,b.ignoreFlash=!1,de.setTimeout(function(){e||b.beginDelayedInit()},20),b},this.reset=function(){return b.reboot(!0,!0)},this.getMoviePercent=function(){return y&&"PercentLoaded"in y?y.PercentLoaded():null},this.beginDelayedInit=function(){m=!0,V(),setTimeout(function(){return!ft&&(Q(),z(),ft=!0)},20),q()},this.destruct=function(){b.disable(!0)},r=function(t){var d=this,a,s,e,n,h,p,f=!1,o=[],r=0,l,g,u=null,c,m;c={duration:null,time:null},this.id=t.id,this.sID=this.id,this.url=t.url,this.options=A(t),this.instanceOptions=this.options,this._iO=this.instanceOptions,this.pan=this.options.pan,this.volume=this.options.volume,this.isHTML5=!1,this._a=null,m=!this.url,this.id3={},this._debug=function(){},this.load=function(t){var e=null,i;if(t!==he?d._iO=A(t,d.options):(t=d.options,d._iO=t,u&&u!==d.url&&(d._iO.url=d.url,d.url=null)),d._iO.url||(d._iO.url=d.url),d._iO.url=wt(d._iO.url),d.instanceOptions=d._iO,!(i=d._iO).url&&!d.url)return d;if(i.url===d.url&&0!==d.readyState&&2!==d.readyState)return 3===d.readyState&&i.onload&&Rt(d,function(){i.onload.apply(d,[!!d.duration])}),d;if(d.loaded=!1,d.readyState=1,d.playState=0,d.id3={},Tt(i))(e=d._setup_html5(i))._called_load||(d._html5_canplay=!1,d.url!==i.url&&(d._a.src=i.url,d.setPosition(0)),d._a.autobuffer="auto",d._a.preload="auto",d._a._called_load=!0);else{if(b.html5Only)return d;if(d._iO.url&&d._iO.url.match(/data\:/i))return d;try{d.isHTML5=!1,d._iO=ct(ut(i)),d._iO.autoPlay&&(d._iO.position||d._iO.from)&&(d._iO.autoPlay=!1),i=d._iO,8===k?y._load(d.id,i.url,i.stream,i.autoPlay,i.usePolicyFile):y._load(d.id,i.url,!!i.stream,!!i.autoPlay,i.loops||1,!!i.autoLoad,i.usePolicyFile)}catch(t){U({type:"SMSOUND_LOAD_JS_EXCEPTION",fatal:!0})}}return d.url=i.url,d},this.unload=function(){return 0!==d.readyState&&(d.isHTML5?(n(),d._a&&(d._a.pause(),u=Pt(d._a))):8===k?y._unload(d.id,oe):y._unload(d.id),a()),d},this.destruct=function(t){d.isHTML5?(n(),d._a&&(d._a.pause(),Pt(d._a),It||e(),d._a._s=null,d._a=null)):(d._iO.onfailure=null,y._destroySound(d.id)),t||b.destroySound(d.id,!0)},this.play=function(t,e){var i,n,o,a,s,r,l,u=!0,c=null;if(e=e===he||e,t||(t={}),d.url&&(d._iO.url=d.url),d._iO=A(d._iO,d.options),d._iO=A(t,d._iO),d._iO.url=wt(d._iO.url),d.instanceOptions=d._iO,!d.isHTML5&&d._iO.serverURL&&!d.connected)return d.getAutoPlay()||d.setAutoPlay(!0),d;if(Tt(d._iO)&&(d._setup_html5(d._iO),h()),1!==d.playState||d.paused||(n=d._iO.multiShot)||(d.isHTML5&&d.setPosition(d._iO.position),c=d),null!==c)return c;if(t.url&&t.url!==d.url&&(d.readyState||d.isHTML5||8!==k||!m?d.load(d._iO):m=!1),d.loaded||(0===d.readyState?(d.isHTML5||b.html5Only?d.isHTML5?d.load(d._iO):c=d:(d._iO.autoPlay=!0,d.load(d._iO)),d.instanceOptions=d._iO):2===d.readyState&&(c=d)),null!==c)return c;if(!d.isHTML5&&9===k&&0<d.position&&d.position===d.duration&&(t.position=0),d.paused&&0<=d.position&&(!d._iO.serverURL||0<d.position))d.resume();else{if(d._iO=A(t,d._iO),(!d.isHTML5&&null!==d._iO.position&&0<d._iO.position||null!==d._iO.from&&0<d._iO.from||null!==d._iO.to)&&0===d.instanceCount&&0===d.playState&&!d._iO.serverURL){if(a=function(){d._iO=A(t,d._iO),d.play(d._iO)},d.isHTML5&&!d._html5_canplay?(d.load({_oncanplay:a}),c=!1):d.isHTML5||d.loaded||d.readyState&&2===d.readyState||(d.load({onload:a}),c=!1),null!==c)return c;d._iO=g()}(!d.instanceCount||d._iO.multiShotEvents||d.isHTML5&&d._iO.multiShot&&!It||!d.isHTML5&&8<k&&!d.getAutoPlay())&&d.instanceCount++,d._iO.onposition&&0===d.playState&&p(d),d.playState=1,d.paused=!1,d.position=d._iO.position===he||isNaN(d._iO.position)?0:d._iO.position,d.isHTML5||(d._iO=ct(ut(d._iO))),d._iO.onplay&&e&&(d._iO.onplay.apply(d),f=!0),d.setVolume(d._iO.volume,!0),d.setPan(d._iO.pan,!0),d.isHTML5?d.instanceCount<2?(h(),o=d._setup_html5(),d.setPosition(d._iO.position),o.play()):(s=new Audio(d._iO.url),r=function(){Et.remove(s,"ended",r),d._onfinish(d),Pt(s),s=null},l=function(){Et.remove(s,"canplay",l);try{s.currentTime=d._iO.position/Bt}catch(t){}s.play()},Et.add(s,"ended",r),d._iO.volume!==he&&(s.volume=Math.max(0,Math.min(1,d._iO.volume/100))),d.muted&&(s.muted=!0),d._iO.position?Et.add(s,"canplay",l):s.play()):(u=y._start(d.id,d._iO.loops||1,9===k?d.position:d.position/Bt,d._iO.multiShot||!1),9!==k||u||d._iO.onplayerror&&d._iO.onplayerror.apply(d))}return d},this.start=this.play,this.stop=function(t){var e=d._iO,i;return 1===d.playState&&(d._onbufferchange(0),d._resetOnPosition(0),d.paused=!1,d.isHTML5||(d.playState=0),l(),e.to&&d.clearOnPosition(e.to),d.isHTML5?d._a&&(i=d.position,d.setPosition(0),d.position=i,d._a.pause(),d.playState=0,d._onTimer(),n()):(y._stop(d.id,t),e.serverURL&&d.unload()),d.instanceCount=0,d._iO={},e.onstop&&e.onstop.apply(d)),d},this.setAutoPlay=function(t){d._iO.autoPlay=t,d.isHTML5||(y._setAutoPlay(d.id,t),t&&(d.instanceCount||1!==d.readyState||d.instanceCount++))},this.getAutoPlay=function(){return d._iO.autoPlay},this.setPosition=function(t){t===he&&(t=0);var e,i,n=d.isHTML5?Math.max(t,0):Math.min(d.duration||d._iO.duration,Math.max(t,0));if(d.position=n,i=d.position/Bt,d._resetOnPosition(d.position),d._iO.position=n,d.isHTML5){if(d._a){if(d._html5_canplay){if(d._a.currentTime!==i)try{d._a.currentTime=i,(0===d.playState||d.paused)&&d._a.pause()}catch(t){}}else if(i)return d;d.paused&&d._onTimer(!0)}}else e=9===k?d.position:i,d.readyState&&2!==d.readyState&&y._setPosition(d.id,e,d.paused||!d.playState,d._iO.multiShot);return d},this.pause=function(t){return d.paused||0===d.playState&&1!==d.readyState||(d.paused=!0,d.isHTML5?(d._setup_html5().pause(),n()):(t||t===he)&&y._pause(d.id,d._iO.multiShot),d._iO.onpause&&d._iO.onpause.apply(d)),d},this.resume=function(){var t=d._iO;return d.paused&&(d.paused=!1,d.playState=1,d.isHTML5?(d._setup_html5().play(),h()):(t.isMovieStar&&!t.serverURL&&d.setPosition(d.position),y._pause(d.id,t.multiShot)),!f&&t.onplay?(t.onplay.apply(d),f=!0):t.onresume&&t.onresume.apply(d)),d},this.togglePause=function(){return 0===d.playState?d.play({position:9!==k||d.isHTML5?d.position/Bt:d.position}):d.paused?d.resume():d.pause(),d},this.setPan=function(t,e){return t===he&&(t=0),e===he&&(e=!1),d.isHTML5||y._setPan(d.id,t),d._iO.pan=t,e||(d.pan=t,d.options.pan=t),d},this.setVolume=function(t,e){return t===he&&(t=100),e===he&&(e=!1),d.isHTML5?d._a&&(b.muted&&!d.muted&&(d.muted=!0,d._a.muted=!0),d._a.volume=Math.max(0,Math.min(1,t/100))):y._setVolume(d.id,b.muted&&!d.muted||d.muted?0:t),d._iO.volume=t,e||(d.volume=t,d.options.volume=t),d},this.mute=function(){return d.muted=!0,d.isHTML5?d._a&&(d._a.muted=!0):y._setVolume(d.id,0),d},this.unmute=function(){d.muted=!1;var t=d._iO.volume!==he;return d.isHTML5?d._a&&(d._a.muted=!1):y._setVolume(d.id,t?d._iO.volume:d.options.volume),d},this.toggleMute=function(){return d.muted?d.unmute():d.mute()},this.onPosition=function(t,e,i){return o.push({position:parseInt(t,10),method:e,scope:i!==he?i:d,fired:!1}),d},this.onposition=this.onPosition,this.clearOnPosition=function(t,e){var i;if(t=parseInt(t,10),isNaN(t))return!1;for(i=0;i<o.length;i++)t===o[i].position&&(e&&e!==o[i].method||(o[i].fired&&r--,o.splice(i,1)))},this._processOnPosition=function(){var t,e,i=o.length;if(!i||!d.playState||i<=r)return!1;for(t=i-1;0<=t;t--)!(e=o[t]).fired&&d.position>=e.position&&(e.fired=!0,r++,e.method.apply(e.scope,[e.position]),i=o.length);return!0},this._resetOnPosition=function(t){var e,i,n=o.length;if(!n)return!1;for(e=n-1;0<=e;e--)(i=o[e]).fired&&t<=i.position&&(i.fired=!1,r--);return!0},g=function(){var t=d._iO,e=t.from,i=t.to,n,o;return o=function(){d.clearOnPosition(i,o),d.stop()},n=function(){null===i||isNaN(i)||d.onPosition(i,o)},null===e||isNaN(e)||(t.position=e,t.multiShot=!1,n()),t},p=function(){var t,e=d._iO.onposition;if(e)for(t in e)e.hasOwnProperty(t)&&d.onPosition(parseInt(t,10),e[t])},l=function(){var t,e=d._iO.onposition;if(e)for(t in e)e.hasOwnProperty(t)&&d.clearOnPosition(parseInt(t,10))},h=function(){d.isHTML5&&gt(d)},n=function(){d.isHTML5&&mt(d)},(a=function(t){t||(o=[],r=0),f=!1,d._hasTimer=null,d._a=null,d._html5_canplay=!1,d.bytesLoaded=null,d.bytesTotal=null,d.duration=d._iO&&d._iO.duration?d._iO.duration:null,d.durationEstimate=null,d.buffered=[],d.eqData=[],d.eqData.left=[],d.eqData.right=[],d.failures=0,d.isBuffering=!1,d.instanceOptions={},d.instanceCount=0,d.loaded=!1,d.metadata={},d.readyState=0,d.muted=!1,d.paused=!1,d.peakData={left:0,right:0},d.waveformData={left:[],right:[]},d.playState=0,d.position=null,d.id3={}})(),this._onTimer=function(t){var e,i=!1,n,o={};if(d._hasTimer||t)return d._a&&(t||(0<d.playState||1===d.readyState)&&!d.paused)&&((e=d._get_html5_duration())!==c.duration&&(c.duration=e,d.duration=e,i=!0),d.durationEstimate=d.duration,(n=d._a.currentTime*Bt||0)!==c.time&&(c.time=n,i=!0),(i||t)&&d._whileplaying(n,o,o,o,o)),i},this._get_html5_duration=function(){var t=d._iO,e=d._a&&d._a.duration?d._a.duration*Bt:t&&t.duration?t.duration:null,i;return e&&!isNaN(e)&&e!==1/0?e:null},this._apply_loop=function(t,e){t.loop=1<e?"loop":""},this._setup_html5=function(t){var e=A(d._iO,t),i=It?v:d._a,n=decodeURI(e.url),o;if(It?n===decodeURI($t)&&(o=!0):n===decodeURI(u)&&(o=!0),i){if(i._s)if(It)i._s&&i._s.playState&&!o&&i._s.stop();else if(!It&&n===decodeURI(u))return d._apply_loop(i,e.loops),i;o||(u&&a(!1),i.src=e.url,d.url=e.url,u=e.url,$t=e.url,i._called_load=!1)}else e.autoLoad||e.autoPlay?(d._a=new Audio(e.url),d._a.load()):d._a=Gt&&opera.version()<10?new Audio(null):new Audio,(i=d._a)._called_load=!1,It&&(v=i);return d.isHTML5=!0,(d._a=i)._s=d,s(),d._apply_loop(i,e.loops),e.autoLoad||e.autoPlay?d.load():(i.autobuffer=!1,i.preload="auto"),i},s=function(){function t(t,e,i){return d._a?d._a.addEventListener(t,e,i||!1):null}if(d._a._added_events)return!1;var e;for(e in d._a._added_events=!0,Nt)Nt.hasOwnProperty(e)&&t(e,Nt[e]);return!0},e=function(){function t(t,e,i){return d._a?d._a.removeEventListener(t,e,i||!1):null}var e;for(e in d._a._added_events=!1,Nt)Nt.hasOwnProperty(e)&&t(e,Nt[e])},this._onload=function(t){var e,i=!!t||!d.isHTML5&&8===k&&d.duration;return d.loaded=i,d.readyState=i?3:2,d._onbufferchange(0),d._iO.onload&&Rt(d,function(){d._iO.onload.apply(d,[i])}),!0},this._onbufferchange=function(t){return 0!==d.playState&&(!(t&&d.isBuffering||!t&&!d.isBuffering)&&(d.isBuffering=1===t,d._iO.onbufferchange&&d._iO.onbufferchange.apply(d,[t]),!0))},this._onsuspend=function(){return d._iO.onsuspend&&d._iO.onsuspend.apply(d),!0},this._onfailure=function(t,e,i){d.failures++,d._iO.onfailure&&1===d.failures&&d._iO.onfailure(t,e,i)},this._onwarning=function(t,e,i){d._iO.onwarning&&d._iO.onwarning(t,e,i)},this._onfinish=function(){var t=d._iO.onfinish;d._onbufferchange(0),d._resetOnPosition(0),d.instanceCount&&(d.instanceCount--,d.instanceCount||(l(),d.playState=0,d.paused=!1,d.instanceCount=0,d.instanceOptions={},d._iO={},n(),d.isHTML5&&(d.position=0)),d.instanceCount&&!d._iO.multiShotEvents||t&&Rt(d,function(){t.apply(d)}))},this._whileloading=function(t,e,i,n){var o=d._iO;d.bytesLoaded=t,d.bytesTotal=e,d.duration=Math.floor(i),d.bufferLength=n,d.isHTML5||o.isMovieStar?d.durationEstimate=d.duration:o.duration?d.durationEstimate=d.duration>o.duration?d.duration:o.duration:d.durationEstimate=parseInt(d.bytesTotal/d.bytesLoaded*d.duration,10),d.isHTML5||(d.buffered=[{start:0,end:d.duration}]),(3!==d.readyState||d.isHTML5)&&o.whileloading&&o.whileloading.apply(d)},this._whileplaying=function(t,e,i,n,o){var a=d._iO,s;return!isNaN(t)&&null!==t&&(d.position=Math.max(0,t),d._processOnPosition(),!d.isHTML5&&8<k&&(a.usePeakData&&e!==he&&e&&(d.peakData={left:e.leftPeak,right:e.rightPeak}),a.useWaveformData&&i!==he&&i&&(d.waveformData={left:i.split(","),right:n.split(",")}),a.useEQData&&o!==he&&o&&o.leftEQ&&(s=o.leftEQ.split(","),d.eqData=s,d.eqData.left=s,o.rightEQ!==he&&o.rightEQ&&(d.eqData.right=o.rightEQ.split(",")))),1===d.playState&&(d.isHTML5||8!==k||d.position||!d.isBuffering||d._onbufferchange(0),a.whileplaying&&a.whileplaying.apply(d)),!0)},this._oncaptiondata=function(t){d.captiondata=t,d._iO.oncaptiondata&&d._iO.oncaptiondata.apply(d,[t])},this._onmetadata=function(t,e){var i={},n,o;for(n=0,o=t.length;n<o;n++)i[t[n]]=e[n];d.metadata=i,d._iO.onmetadata&&d._iO.onmetadata.call(d,d.metadata)},this._onid3=function(t,e){var i=[],n,o;for(n=0,o=t.length;n<o;n++)i[t[n]]=e[n];d.id3=A(d.id3,i),d._iO.onid3&&d._iO.onid3.apply(d)},this._onconnect=function(t){t=1===t,(d.connected=t)&&(d.failures=0,ht(d.id)&&(d.getAutoPlay()?d.play(he,d.getAutoPlay()):d._iO.autoLoad&&d.load()),d._iO.onconnect&&d._iO.onconnect.apply(d,[t]))},this._ondataerror=function(t){0<d.playState&&d._iO.ondataerror&&d._iO.ondataerror.apply(d)}},X=function(){return C.body||C.getElementsByTagName("div")[0]},w=function(t){return C.getElementById(t)},A=function(t,e){var i=t||{},n,o;for(o in n=e===he?b.defaultOptions:e)n.hasOwnProperty(o)&&i[o]===he&&("object"!=typeof n[o]||null===n[o]?i[o]=n[o]:i[o]=A(i[o],n[o]));return i},Rt=function(t,e){t.isHTML5||8!==k?e():de.setTimeout(e,0)},D={onready:1,ontimeout:1,defaultOptions:1,flash9Options:1,movieStarOptions:1},E=function(t,e){var i,n=!0,o=e!==he,a=b.setupOptions,s=D;for(i in t)if(t.hasOwnProperty(i))if("object"!=typeof t[i]||null===t[i]||t[i]instanceof Array||t[i]instanceof RegExp)o&&s[e]!==he?b[e][i]=t[i]:a[i]!==he?(b.setupOptions[i]=t[i],b[i]=t[i]):s[i]===he?n=!1:b[i]instanceof Function?b[i].apply(b,t[i]instanceof Array?t[i]:[t[i]]):b[i]=t[i];else{if(s[i]!==he)return E(t[i],i);n=!1}return n},Et=function(){function t(t){var e=Dt.call(t),i=e.length;return o?(e[1]="on"+e[1],3<i&&e.pop()):3===i&&e.push(!1),e}function e(t,e){var i=t.shift(),n=[a[e]];o?i[n](t[0],t[1]):i[n].apply(i,t)}function i(){e(t(arguments),"add")}function n(){e(t(arguments),"remove")}var o=de.attachEvent,a={add:o?"attachEvent":"addEventListener",remove:o?"detachEvent":"removeEventListener"};return{add:i,remove:n}}(),Nt={abort:i(function(){}),canplay:i(function(){var t=this._s,e;if(t._html5_canplay)return!0;if(t._html5_canplay=!0,t._onbufferchange(0),e=t._iO.position===he||isNaN(t._iO.position)?null:t._iO.position/Bt,this.currentTime!==e)try{this.currentTime=e}catch(t){}t._iO._oncanplay&&t._iO._oncanplay()}),canplaythrough:i(function(){var t=this._s;t.loaded||(t._onbufferchange(0),t._whileloading(t.bytesLoaded,t.bytesTotal,t._get_html5_duration()),t._onload(!0))}),durationchange:i(function(){var t=this._s,e;e=t._get_html5_duration(),isNaN(e)||e===t.duration||(t.durationEstimate=t.duration=e)}),ended:i(function(){var t;this._s._onfinish()}),error:i(function(){this._s._onload(!1)}),loadeddata:i(function(){var t=this._s;t._loaded||Yt||(t.duration=t._get_html5_duration())}),loadedmetadata:i(function(){}),loadstart:i(function(){this._s._onbufferchange(1)}),play:i(function(){this._s._onbufferchange(0)}),playing:i(function(){this._s._onbufferchange(0)}),progress:i(function(t){var e=this._s,i,n,o,a=0,s="progress"===t.type,r=t.target.buffered,l=t.loaded||0,u=t.total||1;if(e.buffered=[],r&&r.length){for(i=0,n=r.length;i<n;i++)e.buffered.push({start:r.start(i)*Bt,end:r.end(i)*Bt});a=(r.end(0)-r.start(0))*Bt,l=Math.min(1,a/(t.target.duration*Bt))}isNaN(l)||(e._whileloading(l,u,e._get_html5_duration()),l&&u&&l===u&&Nt.canplaythrough.call(this,t))}),ratechange:i(function(){}),suspend:i(function(t){var e=this._s;Nt.progress.call(this,t),e._onsuspend()}),stalled:i(function(){}),timeupdate:i(function(){this._s._onTimer()}),waiting:i(function(){var t;this._s._onbufferchange(1)})},Tt=function(t){var e;return e=!(!t||!(t.type||t.url||t.serverURL))&&(!(t.serverURL||t.type&&l(t.type))&&(t.type?_t({type:t.type}):_t({url:t.url})||b.html5Only||t.url.match(/data\:/i)))},Pt=function(t){var e;return t&&(e=Yt?oe:b.html5.canPlayType("audio/wav")?ae:oe,t.src=e,t._called_unload!==he&&(t._called_load=!1)),It&&($t=null),e},_t=function(t){if(!b.useHTML5Audio||!b.hasHTML5)return!1;var e=t.url||null,i=t.type||null,n=b.audioFormats,o,a,s,r;if(i&&b.html5[i]!==he)return b.html5[i]&&!l(i);if(!Ot){for(r in Ot=[],n)n.hasOwnProperty(r)&&(Ot.push(r),n[r].related&&(Ot=Ot.concat(n[r].related)));Ot=new RegExp("\\.("+Ot.join("|")+")(\\?.*)?$","i")}return(s=e?e.toLowerCase().match(Ot):null)&&s.length?s=s[1]:i?s=(-1!==(a=i.indexOf(";"))?i.substr(0,a):i).substr(6):o=!1,o=s&&b.html5[s]!==he?b.html5[s]&&!l(s):(i="audio/"+s,"probably")},At=function(){function t(t){var e,i,n=!1,o=!1;if(!a||"function"!=typeof a.canPlayType)return n;if(t instanceof Array){for(s=0,i=t.length;s<i;s++)(b.html5[t[s]]||a.canPlayType(t[s]).match(b.html5Test))&&(o=!0,b.html5[t[s]]=!0,b.flash[t[s]]=!!t[s].match(ne));n=o}else n=!(!(e=!(!a||"function"!=typeof a.canPlayType)&&a.canPlayType(t))||!e.match(b.html5Test));return n}if(!b.useHTML5Audio||!b.hasHTML5)return b.html5.usingFlash=!0,!(xt=!0);var a=Audio!==he?Gt&&opera.version()<10?new Audio(null):new Audio:null,e,i,n={},o,s;for(e in o=b.audioFormats)if(o.hasOwnProperty(e)&&(i="audio/"+e,n[e]=t(o[e].type),n[i]=n[e],e.match(ne)?(b.flash[e]=!0,b.flash[i]=!0):(b.flash[e]=!1,b.flash[i]=!1),o[e]&&o[e].related))for(s=o[e].related.length-1;0<=s;s--)n["audio/"+o[e].related[s]]=n[e],b.html5[o[e].related[s]]=n[e],b.flash[o[e].related[s]]=n[e];return n.canPlayType=a?t:null,b.html5=A(b.html5,n),b.html5.usingFlash=kt(),xt=b.html5.usingFlash,!0},R={},ot=function(){},ut=function(t){return 8===k&&1<t.loops&&t.stream&&(t.stream=!1),t},ct=function(t,e){return t&&!t.usePolicyFile&&(t.onid3||t.usePeakData||t.useWaveformData||t.useEQData)&&(t.usePolicyFile=!0),t},dt=function(t){},u=function(){return!1},K=function(t){var e;for(e in t)t.hasOwnProperty(e)&&"function"==typeof t[e]&&(t[e]=u);e=null},tt=function(t){t===he&&(t=!1),(g||t)&&b.disable(t)},et=function(t){var e=null,i;if(t)if(t.match(/\.swf(\?.*)?$/i)){if(e=t.substr(t.toLowerCase().lastIndexOf(".swf?")+4))return t}else t.lastIndexOf("/")!==t.length-1&&(t+="/");return i=(t&&-1!==t.lastIndexOf("/")?t.substr(0,t.lastIndexOf("/")+1):"./")+b.movieURL,b.noSWFCache&&(i+="?ts="+(new Date).getTime()),i},H=function(){8!==(k=parseInt(b.flashVersion,10))&&9!==k&&(b.flashVersion=k=8);var t=b.debugMode||b.debugFlash?"_debug.swf":".swf";b.useHTML5Audio&&!b.html5Only&&b.audioFormats.mp4.required&&k<9&&(b.flashVersion=k=9),b.version=b.versionNumber+(b.html5Only?" (HTML5-only mode)":9===k?" (AS3/Flash 9)":" (AS2/Flash 8)"),b.features.movieStar=8<k&&(b.defaultOptions=A(b.defaultOptions,b.flash9Options),b.features.buffering=!0,b.defaultOptions=A(b.defaultOptions,b.movieStarOptions),b.filePatterns.flash9=new RegExp("\\.(mp3|"+ue.join("|")+")(\\?.*)?$","i"),!0),b.filePattern=b.filePatterns[8!==k?"flash9":"flash8"],b.movieURL=(8===k?"soundmanager2.swf":"soundmanager2_flash9.swf").replace(".swf",t),b.features.peakData=b.features.waveformData=b.features.eqData=8<k},Y=function(t,e){if(!y)return!1;y._setPolling(t,e)},G=function(){},ht=this.getSoundById,st=function(){var t=[];return b.debugMode&&t.push(rt.sm2Debug),b.debugFlash&&t.push(rt.flashDebug),b.useHighPerformance&&t.push(rt.highPerf),t.join(" ")},at=function(){var t=ot("fbHandler"),e=b.getMoviePercent(),i=rt,n={type:"FLASHBLOCK"};if(b.html5Only)return!1;b.ok()?b.oMC&&(b.oMC.className=[st(),i.swfDefault,i.swfLoaded+(b.didFlashBlock?" "+i.swfUnblocked:"")].join(" ")):(xt&&(b.oMC.className=st()+" "+i.swfDefault+" "+(null===e?i.swfTimedout:i.swfError)),b.didFlashBlock=!0,$({type:"ontimeout",ignoreInit:!0,error:n}),U(n))},I=function(t,e,i){d[t]===he&&(d[t]=[]),d[t].push({method:e,scope:i||null,fired:!1})},$=function(t){if(t||(t={type:b.ok()?"onready":"ontimeout"}),!f&&t&&!t.ignoreInit)return!1;if("ontimeout"===t.type&&(b.ok()||g&&!t.ignoreInit))return!1;var e={success:t&&t.ignoreInit?b.ok():!g},i=t&&t.type&&d[t.type]||[],n=[],o,a,s=[e],r=xt&&!b.ok();for(t.error&&(s[0].error=t.error),o=0,a=i.length;o<a;o++)!0!==i[o].fired&&n.push(i[o]);if(n.length)for(o=0,a=n.length;o<a;o++)n[o].scope?n[o].method.apply(n[o].scope,s):n[o].method.apply(this,s),r||(n[o].fired=!0);return!0},L=function(){de.setTimeout(function(){b.useFlashBlock&&at(),$(),"function"==typeof b.onload&&b.onload.apply(de),b.waitForWindowLoad&&Et.add(de,"load",L)},1)},qt=function(){if(Lt!==he)return Lt;var t=!1,e=navigator,i=e.plugins,n,o,a,s=de.ActiveXObject;if(i&&i.length)o="application/x-shockwave-flash",(a=e.mimeTypes)&&a[o]&&a[o].enabledPlugin&&a[o].enabledPlugin.description&&(t=!0);else if(s!==he&&!S.match(/MSAppHost/i)){try{n=new s("ShockwaveFlash.ShockwaveFlash")}catch(t){n=null}t=!!n,n=null}return Lt=t},kt=function(){var t,e,i=b.audioFormats,n;if(Wt&&!!S.match(/os (1|2|3_0|3_1)\s/i)?(b.hasHTML5=!1,b.html5Only=!0,b.oMC&&(b.oMC.style.display="none")):b.useHTML5Audio&&(b.html5&&b.html5.canPlayType||(b.hasHTML5=!1)),b.useHTML5Audio&&b.hasHTML5)for(e in Ct=!0,i)i.hasOwnProperty(e)&&i[e].required&&(b.html5.canPlayType(i[e].type)?b.preferFlash&&(b.flash[e]||b.flash[i[e].type])&&(t=!0):t=!(Ct=!1));return b.ignoreFlash&&(Ct=!(t=!1)),b.html5Only=b.hasHTML5&&b.useHTML5Audio&&!t,!b.html5Only},wt=function(t){var e,i,n=0,o;if(t instanceof Array){for(e=0,i=t.length;e<i;e++)if(t[e]instanceof Object){if(b.canPlayMIME(t[e].type)){n=e;break}}else if(b.canPlayURL(t[e])){n=e;break}t[n].url&&(t[n]=t[n].url),o=t[n]}else o=t;return o},gt=function(t){t._hasTimer||(t._hasTimer=!0,!Zt&&b.html5PollingInterval&&(null===bt&&0===yt&&(bt=setInterval(vt,b.html5PollingInterval)),yt++))},mt=function(t){t._hasTimer&&(t._hasTimer=!1,!Zt&&b.html5PollingInterval&&yt--)},vt=function(){var t;if(null!==bt&&!yt)return clearInterval(bt),bt=null,!1;for(t=b.soundIDs.length-1;0<=t;t--)b.sounds[b.soundIDs[t]].isHTML5&&b.sounds[b.soundIDs[t]]._hasTimer&&b.sounds[b.soundIDs[t]]._onTimer()},U=function(t){t=t!==he?t:{},"function"==typeof b.onerror&&b.onerror.apply(de,[{type:t.type!==he?t.type:null}]),t.fatal!==he&&t.fatal&&b.disable()},jt=function(){if(!Jt||!qt())return!1;var t=b.audioFormats,e,i;for(i in t)if(t.hasOwnProperty(i)&&("mp3"===i||"mp4"===i)&&(b.html5[i]=!1,t[i]&&t[i].related))for(e=t[i].related.length-1;0<=e;e--)b.html5[t[i].related[e]]=!1},this._setSandboxType=function(t){},this._externalInterfaceOK=function(t){if(b.swfLoaded)return!1;var e;b.swfLoaded=!0,ee=!1,Jt&&jt(),setTimeout(x,Qt?100:1)},Q=function(t,e){function i(){}function n(t,e){return'<param name="'+t+'" value="'+e+'" />'}if(T&&_)return!1;if(b.html5Only)return H(),b.oMC=w(b.movieID),x(),!(_=T=!0);var o=e||b.url,a=b.altURL||o,s="JS/Flash audio component (SoundManager 2)",r=X(),l=st(),u=null,c=C.getElementsByTagName("html")[0],d,h,p,f,g,m,v,y;if(u=c&&c.dir&&c.dir.match(/rtl/i),t=t===he?b.id:t,H(),b.url=et(se?o:a),e=b.url,b.wmode=!b.wmode&&b.useHighPerformance?"transparent":b.wmode,null!==b.wmode&&(S.match(/msie 8/i)||!Qt&&!b.useHighPerformance
)&&navigator.platform.match(/win32|win64/i)&&(St.push(R.spcWmode),b.wmode=null),d={name:t,id:t,src:e,quality:"high",allowScriptAccess:b.allowScriptAccess,bgcolor:b.bgColor,pluginspage:re+"www.macromedia.com/go/getflashplayer",title:s,type:"application/x-shockwave-flash",wmode:b.wmode,hasPriority:"true"},b.debugFlash&&(d.FlashVars="debug=1"),b.wmode||delete d.wmode,Qt)h=C.createElement("div"),f=['<object id="'+t+'" data="'+e+'" type="'+d.type+'" title="'+d.title+'" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,40,0">',n("movie",e),n("AllowScriptAccess",b.allowScriptAccess),n("quality",d.quality),b.wmode?n("wmode",b.wmode):"",n("bgcolor",b.bgColor),n("hasPriority","true"),b.debugFlash?n("FlashVars",d.FlashVars):"","</object>"].join("");else for(p in h=C.createElement("embed"),d)d.hasOwnProperty(p)&&h.setAttribute(p,d[p]);if(l=st(),r=X())if(b.oMC=w(b.movieID)||C.createElement("div"),b.oMC.id)y=b.oMC.className,b.oMC.className=(y?y+" ":rt.swfDefault)+(l?" "+l:""),b.oMC.appendChild(h),Qt&&((g=b.oMC.appendChild(C.createElement("div"))).className=rt.swfBox,g.innerHTML=f),_=!0;else{if(b.oMC.id=b.movieID,b.oMC.className=rt.swfDefault+" "+l,g=m=null,b.useFlashBlock||(b.useHighPerformance?m={position:"fixed",width:"8px",height:"8px",bottom:"0px",left:"0px",overflow:"hidden"}:(m={position:"absolute",width:"6px",height:"6px",top:"-9999px",left:"-9999px"},u&&(m.left=Math.abs(parseInt(m.left,10))+"px"))),Ut&&(b.oMC.style.zIndex=1e4),!b.debugFlash)for(v in m)m.hasOwnProperty(v)&&(b.oMC.style[v]=m[v]);try{Qt||b.oMC.appendChild(h),r.appendChild(b.oMC),Qt&&((g=b.oMC.appendChild(C.createElement("div"))).className=rt.swfBox,g.innerHTML=f),_=!0}catch(t){throw new Error(ot("domError")+" \n"+t.toString())}}return T=!0},z=function(){return b.html5Only?(Q(),!1):!y&&(!!b.url&&((y=b.getMovie(b.id))||(it?(Qt?b.oMC.innerHTML=nt:b.oMC.appendChild(it),T=!(it=null)):Q(b.id,b.url),y=b.getMovie(b.id)),"function"==typeof b.oninitmovie&&setTimeout(b.oninitmovie,1),!0))},q=function(){setTimeout(j,1e3)},N=function(){de.setTimeout(function(){b.setup({preferFlash:!1}).reboot(),b.didFlashBlock=!0,b.beginDelayedInit()},1)},j=function(){var t,e=!1;return!!b.url&&(!pt&&(pt=!0,Et.remove(de,"load",q),!(Lt&&ee&&!te)&&(f||0<(t=b.getMoviePercent())&&t<100&&(e=!0),void setTimeout(function(){if(t=b.getMoviePercent(),e)return pt=!1,de.setTimeout(q,1),!1;!f&&ie&&(null===t?b.useFlashBlock||0===b.flashLoadTimeout?b.useFlashBlock&&at():!b.useFlashBlock&&Ct?N():$({type:"ontimeout",ignoreInit:!0,error:{type:"INIT_FLASHBLOCK"}}):0===b.flashLoadTimeout||(!b.useFlashBlock&&Ct?N():tt(!0)))},b.flashLoadTimeout))))},F=function(){function t(){Et.remove(de,"focus",F)}return te||!ee||(pt=!(te=ie=!0),q()),t(),!0},Ft=function(){},Ht=function(){},M=function(t){if(f)return!1;if(b.html5Only)return f=!0,L(),!0;var e,i=!0,n;return b.useFlashBlock&&b.flashLoadTimeout&&!b.getMoviePercent()||(f=!0),n={type:!Lt&&xt?"NO_FLASH":"INIT_TIMEOUT"},(g||t)&&(b.useFlashBlock&&b.oMC&&(b.oMC.className=st()+" "+(null===b.getMoviePercent()?rt.swfTimedout:rt.swfError)),$({type:"ontimeout",error:n,ignoreInit:!0}),U(n),i=!1),g||(b.waitForWindowLoad&&!m?Et.add(de,"load",L):L()),i},c=function(){var t,e=b.setupOptions;for(t in e)e.hasOwnProperty(t)&&(b[t]===he?b[t]=e[t]:b[t]!==e[t]&&(b.setupOptions[t]=b[t]))},x=function(){function t(){Et.remove(de,"load",b.beginDelayedInit)}if(f)return!1;if(b.html5Only)return f||(t(),b.enabled=!0,M()),!0;z();try{y._externalInterfaceTest(!1),Y(!0,b.flashPollingInterval||(b.useHighPerformance?10:50)),b.debugMode||y._disableDebug(),b.enabled=!0,b.html5Only||Et.add(de,"unload",u)}catch(t){return U({type:"JS_TO_FLASH_EXCEPTION",fatal:!0}),tt(!0),M(),!1}return M(),t(),!0},V=function(){return!W&&(W=!0,c(),!Lt&&b.hasHTML5&&b.setup({useHTML5Audio:!0,preferFlash:!1}),At(),!Lt&&xt&&(St.push(R.needFlash),b.setup({flashLoadTimeout:1})),C.removeEventListener&&C.removeEventListener("DOMContentLoaded",V,!1),z(),!0)},Mt=function(){return"complete"===C.readyState&&(V(),C.detachEvent("onreadystatechange",Mt)),!0},B=function(){m=!0,V(),Et.remove(de,"load",B)},qt(),Et.add(de,"focus",F),Et.add(de,"load",q),Et.add(de,"load",B),C.addEventListener?C.addEventListener("DOMContentLoaded",V,!1):C.attachEvent?C.attachEvent("onreadystatechange",Mt):U({type:"NO_DOM2_EVENTS",fatal:!0})}
// SM2_DEFER details: http://www.schillmania.com/projects/soundmanager2/doc/getstarted/#lazy-loading
if(!de||!de.document)throw new Error("SoundManager requires a browser with window and document objects.");var t=null;de.SM2_DEFER!==he&&SM2_DEFER||(t=new i),"object"==typeof module&&module&&"object"==typeof module.exports?(module.exports.SoundManager=i,module.exports.soundManager=t):"function"==typeof define&&define.amd&&define(function(){function t(t){if(!de.soundManager&&t instanceof Function){var e=t(i);e instanceof i&&(de.soundManager=e)}return de.soundManager}return{constructor:i,getInstance:t}}),
// standard browser case
// constructor
de.SoundManager=i,
// public API, flash callbacks etc.
de.soundManager=t}(window),
/*

This version of the library has been customized for the OnAir 2 theme by Qantumthemes
---------------------------------------
Last edit 2019 08 10
---------------------------------------
* added forced https protocol
* variables check
* clearInterval fixes

*/
function(o){"use strict";function e(t){this._attr={},void 0===t&&(t={}),
//how often to auto update
this.playedInterval=t.playedInterval||t.interval||3e4,this.statsInterval=t.statsInterval||t.interval||5e3,this.protocol="http",this.host=t.host,this.port=parseInt(t.port,10)||8e3,this.stream=parseInt(t.stream,10)||1,this.protocol=t.protocol||"auto",// 2019 08 10
this.stats_path=t.stats_path||"stats",this.played_path=t.played_path||"played",this._statsinterval=null,this._playedinterval=null,this._stats=t.stats||function(){},this._played=t.played||function(){}}
/**
	 * Get attributes
	 * @param  {string} k the key to get e.g. songtitle [optional] - if theres no key all attributes will be returned
	 * @param  {mixed} d default value if the key value is not present [optional]
	 * @return {mixed}
	 */if(e.prototype.get=function(t,e){return t?void 0!==this._attr[t.toLowerCase()]?this._attr[t.toLowerCase()]:e:this._attr},
/**
	 * Get the shoutcast stats using /stats?sid=
	 * @param  {Function} fn the callback function, this will be passed the stats on success
	 * @return {SHOUTcast}      return this for chaining.
	 */
e.prototype.stats=function(e){var i=this,t;"443"!==this.port&&443!==this.port||(this.protocol="https");var n=this.protocol+"://"+this.host+":"+this.port+"/"+this.stats_path+"?sid="+this.stream+"&json=1";return null!==this._statsinterval&&clearInterval(this._statsinterval),e=e||function(){},(t=o.ajax({url:n,dataType:"jsonp",timeout:"5000"})).success(function(t){"object"==typeof t&&void 0!==t.streamstatus?(
//2 = on air, 1 = no source
i._status=1===t.streamstatus?2:1,i._attr=t,i._attr.status=i.getStatusAsText(),
//call the update method, give the raw data just incase its required
e.call(i,i._attr),i._stats(i._attr)):i._status=0}),t.error(function(){
// console.log("Error retriving the data via ajax.");
null!==this._statsinterval&&clearInterval(this._statsinterval)}),this},
/**
	 * Get the played information from /played?sid=
	 * @param  {Function} fn the callback function, will be passed an array of objects on success
	 * @return {SHOUTcast}      return this for chaining
	 */
e.prototype.played=function(e){"443"===this.port&&(this.protocol="https");var i=this,t=this.protocol+"://"+this.host+":"+this.port+"/"+this.played_path+"?sid="+this.stream+"&type=json";return o.ajax({url:t,dataType:"jsonp",timeout:2e3,success:function(t){!t instanceof Array||(e&&e.call(i,t),i._played(t))}}),this},
/**
	 * Start updating using the stats method
	 * @return {SHOUTcast} return this for chaining
	 */
e.prototype.startStats=function(){
// this._statsinterval = setInterval($.proxy(this.stats,this), this.statsInterval);
// console.log("\n =======  STOPPING STATS  ========= \n");
return this.stats(),null!==this._statsinterval&&void 0!==this._statsinterval&&
// console.log("Clearing stats interval this._statsinterval ===>" + this._statsinterval);
clearInterval(this._statsinterval),this},
/**
	 * Stop updating stats
	 * @return {SHOUTcast} return this for chaining
	 */
e.prototype.stopStats=function(){return this._statsinterval&&clearInterval(this._statsinterval),this},
/**
	 * Start updating played information
	 * @return {SHOUTcast} this for chaining
	 */
e.prototype.startPlayed=function(){
// this._playedinterval = setInterval($.proxy(this.played,this),this.playedInterval);
return this.stopPlayed(),this.played(),o.proxy(this.played,this),this},
/**
	 * Stop updating the played information
	 * @return {SHOUTcast} this for chaining
	 */
e.prototype.stopPlayed=function(){return this._playedinterval&&clearInterval(this._playedinterval),this},
/**
	 * Get the SHOUTcast status based on the last stats call
	 * @return {int} the status 0 = offline, 1 = no source connected, 2 = on air
	 */
e.prototype.getStatus=function(){return this._status},e.prototype.getStatusAsText=function(){return["Offline","Awaiting Connection","On Air"][this._status]},
/**
	 * Check if the SHOUTcast server is on air.
	 * @return {bool} whether the server is on air or not (this means source connected)
	 */
e.prototype.onAir=function(){return 2===this._status},
/**
	 * The jQuery plug
	 * @param {object} opt the options to pass to the shoutcast object
	 * @return { SHOUTcast} the shotucast object
	 */
o.SHOUTcast=function(t){return new e(t)},!o("body").hasClass("qt-debug")){var t={log:function(){}};window.console=t}}(jQuery),// constructor
function(C){function t(){var T=this,e=this,_=soundManager,// soundManager instance
t=navigator.userAgent,b=t.match(/msie/i),f=t.match(/opera/i),g=t.match(/safari/i),i=t.match(/chrome/i),n=t.match(/firefox/i),w=t.match(/ipad|iphone/i),o=void 0===C.G_vmlCanvasManager&&void 0!==document.createElement("canvas").getContext("2d"),
// I dunno what Opera doesn't like about this. I'm probably doing it wrong.
u=f||i?359.9:360,
// exclude old IE from hi-DPI / "retina"-scale display size
S=navigator.userAgent.match(/msie [678]/i)?1:2;void 0===C.soundManagerVolume&&(C.soundManagerVolume=100),void 0===C.soundManagerVolumeRad&&(C.soundManagerVolumeRad=360),
// CSS class for ignoring MP3 links
this.excludeClass="threesixty-exclude",this.links=[],this.sounds=[],this.soundsByURL=[],this.indexByURL=[],this.lastSound=null,this.lastTouchedSound=null,this.soundCount=0,this.oUITemplate=null,this.oUIImageMap=null,this.vuMeter=null,this.callbackCount=0,this.peakDataHistory=[],
// 360player configuration options
this.config={playNext:!1,// stop after one sound, or play through list until end
autoPlay:!1,// start playing the first sound right away
allowMultiple:!1,// let many sounds play at once (false = only one sound playing at a time)
loadRingColor:"#ccc",// how much has loaded
playRingColor:"#000",// how much has played
backgroundRingColor:"#eee",// color shown underneath load + play ("not yet loaded" color)
// optional segment/annotation (metadata) stuff..
segmentRingColor:"rgba(255,255,255,0.33)",// metadata/annotation (segment) colors
segmentRingColorAlt:"rgba(0,0,0,0.1)",loadRingColorMetadata:"#ddd",// "annotations" load color
playRingColorMetadata:"rgba(128,192,256,0.9)",// how much has played when metadata is present
circleDiameter:null,// set dynamically according to values from CSS
circleRadius:null,animDuration:500,animTransition:C.Animator.tx.bouncy,// http://www.berniecode.com/writing/animator.html
showHMSTime:!1,// hours:minutes:seconds vs. seconds-only
scaleFont:!0,// also set the font size (if possible) while animating the circle
// optional: spectrum or EQ graph in canvas (not supported in IE <9, too slow via ExCanvas)
useWaveformData:!1,waveformDataColor:"#0099ff",waveformDataDownsample:3,// use only one in X (of a set of 256 values) - 1 means all 256
waveformDataOutside:!1,waveformDataConstrain:!1,// if true, +ve values only - keep within inside circle
waveformDataLineRatio:.64,
// "spectrum frequency" option
useEQData:!1,eqDataColor:"#339933",eqDataDownsample:4,// use only one in X (of 256 values)
eqDataOutside:!0,eqDataLineRatio:.54,
// enable "amplifier" (canvas pulses like a speaker) effect
usePeakData:!0,peakDataColor:"#ff33ff",peakDataOutside:!0,peakDataLineRatio:.5,useAmplifier:!0,// "pulse" like a speaker
fontSizeMax:null,// set according to CSS
scaleArcWidth:1,// thickness factor of playback progress ring
useFavIcon:!1,// Experimental (also requires usePeakData: true).. Try to draw a "VU Meter" in the favicon area, if browser supports it (Firefox + Opera as of 2009)
playervolume:!1},navigator.userAgent.match(/mobile/i)&&(this.config.playervolume=!1),this.css={
// CSS class names appended to link during various states
sDefault:"sm2_link",// default state
sBuffering:"sm2_buffering",sPlaying:"sm2_playing",sPaused:"sm2_paused"},this.addEventHandler=void 0!==C.addEventListener?function(t,e,i){return t.addEventListener(e,i,!1)}:function(t,e,i){t.attachEvent("on"+e,i)},this.removeEventHandler=void 0!==C.removeEventListener?function(t,e,i){return t.removeEventListener(e,i,!1)}:function(t,e,i){return t.detachEvent("on"+e,i)},this.hasClass=function(t,e){return void 0!==t.className&&t.className.match(new RegExp("(\\s|^)"+e+"(\\s|$)"))},this.addClass=function(t,e){if(!t||!e||T.hasClass(t,e))return!1;t.className=(t.className?t.className+" ":"")+e},this.removeClass=function(t,e){if(!t||!e||!T.hasClass(t,e))return!1;t.className=t.className.replace(new RegExp("( "+e+")|("+e+")","g"),"")},this.getElementsByClassName=function(t,e,i){var n=i||document,o=[],a,s,r=[];if(void 0!==e&&"string"!=typeof e)for(a=e.length;a--;)r&&r[e[a]]||(r[e[a]]=n.getElementsByTagName(e[a]));else r=e?n.getElementsByTagName(e):n.all||n.getElementsByTagName("*");if("string"!=typeof e)for(a=e.length;a--;)for(s=r[e[a]].length;s--;)T.hasClass(r[e[a]][s],t)&&o.push(r[e[a]][s]);else for(a=0;a<r.length;a++)T.hasClass(r[a],t)&&o.push(r[a]);return o},this.getParentByNodeName=function(t,e){if(!t||!e)return!1;for(e=e.toLowerCase();t.parentNode&&e!==t.parentNode.nodeName.toLowerCase();)t=t.parentNode;return t.parentNode&&e===t.parentNode.nodeName.toLowerCase()?t.parentNode:null},this.getParentByClassName=function(t,e){if(!t||!e)return!1;for(;t.parentNode&&!T.hasClass(t.parentNode,e);)t=t.parentNode;return t.parentNode&&T.hasClass(t.parentNode,e)?t.parentNode:null},this.getSoundByURL=function(t){return void 0!==T.soundsByURL[t]?T.soundsByURL[t]:null},this.isChildOfNode=function(t,e){if(!t||!t.parentNode)return!1;for(e=e.toLowerCase();(t=t.parentNode)&&t.parentNode&&t.nodeName.toLowerCase()!==e;);return t&&t.nodeName.toLowerCase()===e?t:null},this.isChildOfClass=function(t,e){if(!t||!e)return!1;for(;t.parentNode&&!T.hasClass(t,e);)t=T.findParent(t);return T.hasClass(t,e)},this.findParent=function(t){if(!t||!t.parentNode)return!1;if(2===(t=t.parentNode).nodeType)for(;t&&t.parentNode&&2===t.parentNode.nodeType;)t=t.parentNode;return t},this.getStyle=function(t,e){
// http://www.quirksmode.org/dom/getstyles.html
try{if(t.currentStyle)return t.currentStyle[e];if(C.getComputedStyle)return document.defaultView.getComputedStyle(t,null).getPropertyValue(e)}catch(t){
// oh well
}return null},this.findXY=function(t){for(var e=0,i=0;e+=t.offsetLeft,i+=t.offsetTop,t=t.offsetParent;);return[e,i]},this.getMouseXY=function(t){
// http://www.quirksmode.org/js/events_properties.html
return t=t||C.event,w&&t.touches&&(t=t.touches[0]),t.pageX||t.pageY?[t.pageX,t.pageY]:t.clientX||t.clientY?[t.clientX+T.getScrollLeft(),t.clientY+T.getScrollTop()]:void 0},this.getScrollLeft=function(){return document.body.scrollLeft+document.documentElement.scrollLeft},this.getScrollTop=function(){return document.body.scrollTop+document.documentElement.scrollTop},
/* ============================= EVENT ============================= */
this.events={
// handlers for sound events as they're started/stopped/played
play:function(){e.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className=e.css.sPlaying,e.addClass(this._360data.oUIBox,this._360data.className),T.fanOut(this)},stop:function(){e.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className="",T.fanIn(this)},pause:function(){e.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className=e.css.sPaused,e.addClass(this._360data.oUIBox,this._360data.className)},resume:function(){e.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className=e.css.sPlaying,e.addClass(this._360data.oUIBox,this._360data.className)},finish:function(){var t;e.removeClass(this._360data.oUIBox,this._360data.className),this._360data.className="",
// self.clearCanvas(this._360data.oCanvas);
this._360data.didFinish=!0,// so fan draws full circle
T.fanIn(this),e.config.playNext&&(t=e.indexByURL[this._360data.oLink.href]+1)<e.links.length&&e.handleClick({target:e.links[t]})},whileloading:function(){this.paused&&T.updatePlaying.apply(this)},whileplaying:function(){T.updatePlaying.apply(this),this._360data.fps++},bufferchange:function(){this.isBuffering?e.addClass(this._360data.oUIBox,e.css.sBuffering):e.removeClass(this._360data.oUIBox,e.css.sBuffering)}},
/* ============================= EVENT END ============================= */
this.stopEvent=function(t){return void 0!==t&&void 0!==t.preventDefault?t.preventDefault():void 0!==C.event&&void 0!==C.event.returnValue&&(C.event.returnValue=!1),!1},this.getTheDamnLink=b?function(t){
// I really didn't want to have to do this.
return t&&t.target?t.target:C.event.srcElement}:function(t){return t.target},this.handleClick=function(t){
// a sound link was clicked
if(1<t.button)
// only catch left-clicks
return!0;var e=T.getTheDamnLink(t),i,n,o,a,s,r,l;return"a"!==e.nodeName.toLowerCase()&&!(e=T.isChildOfNode(e,"a"))||(!T.isChildOfClass(e,"ui360")||(n=e.getAttribute("href"),e.href&&_.canPlayLink(e)&&!T.hasClass(e,T.excludeClass)?(_._writeDebug("handleClick()"),o=e.href,(a=T.getSoundByURL(o))?
// already exists
a===T.lastSound?
// and was playing (or paused)
a.togglePause():(
// different sound
a.togglePause(),// start playing current
_._writeDebug("sound different than last sound: "+T.lastSound.id),!T.config.allowMultiple&&T.lastSound&&T.stopSound(T.lastSound)):(
// append some dom shiz, make noise
s=e.parentNode,r=T.getElementsByClassName("ui360-vis","div",s.parentNode).length,
// create sound
a=_.createSound({id:"radioSound",url:o,onplay:T.events.play,onstop:T.events.stop,onpause:T.events.pause,onresume:T.events.resume,onfinish:T.events.finish,onbufferchange:T.events.bufferchange,type:e.type||null,whileloading:T.events.whileloading,whileplaying:T.events.whileplaying,useWaveformData:r&&T.config.useWaveformData,useEQData:r&&T.config.useEQData,usePeakData:r&&T.config.usePeakData}),
// tack on some custom data
l=parseInt(T.getElementsByClassName("sm2-360ui","div",s)[0].offsetWidth*S,10),
// see note re: IE <9 and excanvas when Modernizr is included, making weird things happen with <canvas>.
i=T.getElementsByClassName("sm2-canvas","canvas",s),a._360data={oUI360:T.getParentByClassName(e,"ui360"),// the (whole) entire container
oLink:e,// DOM node for reference within SM2 object event handlers
className:T.css.sPlaying,oUIBox:T.getElementsByClassName("sm2-360ui","div",s)[0],oCanvas:i[i.length-1],oButton:T.getElementsByClassName("sm2-360btn","span",s)[0],oTiming:T.getElementsByClassName("sm2-timing","div",s)[0],oCover:T.getElementsByClassName("sm2-cover","div",s)[0],circleDiameter:l,circleRadius:l/2,lastTime:null,didFinish:null,pauseCount:0,radius:0,fontSize:1,fontSizeMax:T.config.fontSizeMax,scaleFont:r&&T.config.scaleFont,showHMSTime:r,amplifier:r&&T.config.usePeakData?.9:1,// TODO: x1 if not being used, else use dynamic "how much to amplify by" value
radiusMax:.175*l,// circle radius
width:0,widthMax:.4*l,// width of the outer ring
lastValues:{bytesLoaded:0,bytesTotal:0,position:0,durationEstimate:0},// used to track "last good known" values before sound finish/reset for anim
animating:!1,oAnim:new C.Animator({duration:T.config.animDuration,transition:T.config.animTransition,onComplete:function(){
// var thisSound = this;
// thisSound._360data.didFinish = false; // reset full circle
}}),oAnimProgress:function(t){var e=this;e._360data.radius=parseInt(e._360data.radiusMax*e._360data.amplifier*t,10),e._360data.width=parseInt(e._360data.widthMax*e._360data.amplifier*t,10),e._360data.scaleFont&&null!==e._360data.fontSizeMax&&(e._360data.oTiming.style.fontSize=parseInt(Math.max(1,e._360data.fontSizeMax*t),10)+"px",e._360data.oTiming.style.opacity=t),(e.paused||0===e.playState||0===e._360data.lastValues.bytesLoaded||0===e._360data.lastValues.position)&&T.updatePlaying.apply(e)},fps:0},
// "Metadata" (annotations)
void 0!==T.Metadata&&T.getElementsByClassName("metadata","div",a._360data.oUI360).length&&(a._360data.metadata=new T.Metadata(a,T)),
// minimize ze font
a._360data.scaleFont&&null!==a._360data.fontSizeMax&&(a._360data.oTiming.style.fontSize="1px"),
// set up ze animation
a._360data.oAnim.addSubject(a._360data.oAnimProgress,a),
// animate the radius out nice
T.refreshCoords(a),T.updatePlaying.apply(a),T.soundsByURL[o]=a,T.sounds.push(a),!T.config.allowMultiple&&T.lastSound&&T.stopSound(T.lastSound),a.play()),T.lastSound=a,// reference for next call
void 0!==t&&void 0!==t.preventDefault?t.preventDefault():void 0!==C.event&&(C.event.returnValue=!1),!1):(console.log("Non MP3 link detected"),!0)))},this.fanOut=function(t){var e=t;if(1===e._360data.animating)return!1;e._360data.animating=0,soundManager._writeDebug("fanOut: "+e.id+": "+e._360data.oLink.href),e._360data.oAnim.seekTo(1),// play to end
C.setTimeout(function(){
// oncomplete hack
e._360data.animating=0},T.config.animDuration+20)},this.fanIn=function(t){var e=t;if(-1===e._360data.animating)return!1;e._360data.animating=-1,soundManager._writeDebug("fanIn: "+e.id+": "+e._360data.oLink.href),
// massive hack
e._360data.oAnim.seekTo(0),// play to end
C.setTimeout(function(){
// reset full 360 fill after animation has completed (oncomplete hack)
e._360data.didFinish=!1,e._360data.animating=0,T.resetLastValues(e)},T.config.animDuration+20)},this.resetLastValues=function(t){t._360data.lastValues.position=0},this.refreshCoords=function(t){t._360data.canvasXY=T.findXY(t._360data.oCanvas),t._360data.canvasMid=[t._360data.circleRadius,t._360data.circleRadius],t._360data.canvasMidXY=[t._360data.canvasXY[0]+t._360data.canvasMid[0],t._360data.canvasXY[1]+t._360data.canvasMid[1]]},this.stopSound=function(t){soundManager._writeDebug("stopSound: "+t.id),soundManager.stop(t.id),w||// iOS 4.2+ security blocks onfinish() -> playNext() if we set a .src in-between(?)
soundManager.unload(t.id)},this.buttonClick=function(t){var e=t?t.target?t.target:t.srcElement:C.event.srcElement;// link next to the nodes we inserted
return T.handleClick({target:T.getParentByClassName(e,"sm2-360ui").nextSibling}),!1},this.buttonMouseDown=function(t){
// user might decide to drag from here
// watch for mouse move
return w?T.addEventHandler(document,"touchmove",T.mouseDown):document.onmousemove=function(t){
// should be boundary-checked, really (eg. move 3px first?)
T.mouseDown(t)},T.stopEvent(t),!1},this.mouseDown=function(t){if(!w&&1<t.button)return!0;// ignore non-left-click
if(!T.lastSound)return T.stopEvent(t),!1;var e=t||C.event,i,n,o;return w&&e.touches&&(e=e.touches[0]),i=e.target||e.srcElement,n=T.getSoundByURL(T.getElementsByClassName("sm2_link","a",T.getParentByClassName(i,"ui360"))[0].href),// self.lastSound; // TODO: In multiple sound case, figure out which sound is involved etc.
// just in case, update coordinates (maybe the element moved since last time.)
T.lastTouchedSound=n,T.refreshCoords(n),o=n._360data,T.addClass(o.oUIBox,"sm2_dragging"),o.pauseCount=T.lastTouchedSound.paused?1:0,
// self.lastSound.pause();
T.mmh(t||C.event),w?(T.removeEventHandler(document,"touchmove",T.mouseDown),T.addEventHandler(document,"touchmove",T.mmh),T.addEventHandler(document,"touchend",T.mouseUp)):(
// incredibly old-skool. TODO: Modernize.
document.onmousemove=T.mmh,document.onmouseup=T.mouseUp),T.stopEvent(t),!1},this.mouseUp=function(t){var e=T.lastTouchedSound._360data;T.removeClass(e.oUIBox,"sm2_dragging"),0===e.pauseCount&&T.lastTouchedSound.resume(),w?(T.removeEventHandler(document,"touchmove",T.mmh),T.removeEventHandler(document,"touchend",T.mouseUP)):(document.onmousemove=null,document.onmouseup=null)},this.mmh=function(t){void 0===t&&(t=C.event);var e=T.lastTouchedSound,i=T.getMouseXY(t),n=i[0],o=i[1],a=n-e._360data.canvasMidXY[0],s=o-e._360data.canvasMidXY[1],r=Math.floor(u-(T.rad2deg(Math.atan2(a,s))+180)),l=r/u*100;
//igor =========================================================
//
// the player can control volume or timer dep on the playervolume attribute
// 
// 
// 
// 
// 
// =========================================================
return!0===T.config.playervolume?navigator.userAgent.match(/mobile/i)?console.log("Is a mobile device"):(C.soundManagerVolume=l,C.soundManagerVolumeRad=r,soundManager.setVolume("radioSound",Math.round(l))):e.setPosition(e.durationEstimate*(r/u)),T.stopEvent(t),!1},
// assignMouseDown();
this.drawSolidArc=function(t,e,i,n,o,a,s){
// thank you, http://www.snipersystems.co.nz/community/polarclock/tutorial.html
// console.log("Draw");
var r=i,l=i,u=t,c,d,h,p;u.getContext&&(
// use getContext to use the canvas for drawing
c=u.getContext("2d")),
// re-assign canvas as the actual context
t=c,s||T.clearCanvas(u),
// ctx.restore();
e&&(c.fillStyle=e),t.beginPath(),isNaN(o)&&(o=0),d=i-n,// safari 4 doesn't actually seem to mind.
(!(h=f||g)||h&&0<i)&&(t.arc(0,0,i,a,o,!1),p=T.getArcEndpointCoords(d,o),t.lineTo(p.x,p.y),t.arc(0,0,d,o,a,!0),t.closePath(),t.fill())},this.getArcEndpointCoords=function(t,e){return{x:t*Math.cos(e),y:t*Math.sin(e)}},this.deg2rad=function(t){return t*Math.PI/180},this.rad2deg=function(t){return 180*t/Math.PI},this.getTime=function(t,e){
// convert milliseconds to mm:ss, return as object literal or string
var i=Math.floor(t/1e3),n=Math.floor(i/60),o=i-60*n;
// if (min === 0 && sec === 0) return null; // return 0:00 as null
return e?n+":"+(o<10?"0"+o:o):{min:n,sec:o}},this.clearCanvas=function(t){var e=t,i=null,n,o;e.getContext&&(
// use getContext to use the canvas for drawing
i=e.getContext("2d")),i&&(n=e.offsetWidth,o=e.offsetHeight,i.clearRect(-n/2,-o/2,n,o))},this.updatePlaying=function(){var t=this._360data.showHMSTime?T.getTime(this.position,!0):parseInt(this.position/1e3,10),e=T.config.scaleArcWidth;this.bytesLoaded&&(this._360data.lastValues.bytesLoaded=this.bytesLoaded,this._360data.lastValues.bytesTotal=this.bytesTotal),this.position&&(this._360data.lastValues.position=this.position),this.durationEstimate&&(this._360data.lastValues.durationEstimate=this.durationEstimate),
// background ring
T.drawSolidArc(this._360data.oCanvas,T.config.backgroundRingColor,this._360data.width,this._360data.radius*e,T.deg2rad(u),!1),
// play ring
// we change scope and use this for gthe volume
/*
		*/
// igor
// window.soundManagerVolume
!0!==T.config.playervolume||navigator.userAgent.match(/mobile/i)?
// console.log("Displaying track circle");
// play
0!==this._360data.lastValues.position&&T.drawSolidArc(this._360data.oCanvas,this._360data.metadata?T.config.playRingColorMetadata:T.config.playRingColor,this._360data.width,this._360data.radius*e,T.deg2rad(1===this._360data.didFinish?u:u*(this._360data.lastValues.position/this._360data.lastValues.durationEstimate)),0,!0):T.drawSolidArc(this._360data.oCanvas,this._360data.metadata?T.config.loadRingColorMetadata:T.config.playRingColor,this._360data.width,this._360data.radius*e,T.deg2rad(C.soundManagerVolumeRad),0,!0),
// loaded ring
// self.drawSolidArc(this._360data.oCanvas,(this._360data.metadata?self.config.loadRingColorMetadata:self.config.loadRingColor),this._360data.width,this._360data.radius * ringScaleFactor,self.deg2rad(fullCircle*(this._360data.lastValues.bytesLoaded/this._360data.lastValues.bytesTotal)),0,true);
// metadata goes here
this._360data.metadata&&this._360data.metadata.events.whileplaying(),t!==this._360data.lastTime&&(this._360data.lastTime=t,(!1===T.config.playervolume||navigator.userAgent.match(/mobile/i))&&(this._360data.oTiming.innerHTML=t)),
//
!0!==T.config.playervolume||navigator.userAgent.match(/mobile/i)||(this._360data.oTiming.innerHTML=Math.round(C.soundManagerVolume)),
// draw spectrum, if applicable
(this.instanceOptions.useWaveformData||this.instanceOptions.useEQData)&&o&&// IE <9 can render maybe 3 or 4 FPS when including the wave/EQ, so don't bother.
T.updateWaveform(this),T.config.useFavIcon&&T.vuMeter&&T.vuMeter.updateVU(this)},this.updateWaveform=function(t){if(!T.config.useWaveformData&&!T.config.useEQData||!_.features.waveformData&&!_.features.eqData)
// feature not enabled..
return!1;if(!t.waveformData.left.length&&!t.eqData.length&&!t.peakData.left)
// no data (or errored out/paused/unavailable?)
return!1;
/* use for testing the data */
/*
		 for (i=0; i<256; i++) {
			 oSound.eqData[i] = 1-(i/256);
		 }
		*/var e=t._360data.oCanvas.getContext("2d"),i=0,n=parseInt(t._360data.circleDiameter/2,10),o=n/2,// Y axis (+/- this distance from 0)
// lineWidth = Math.floor(oSound._360data.circleDiameter-(oSound._360data.circleDiameter*0.175)/(oSound._360data.circleDiameter/255)); // width for each line
a=1,s=1,r=0,l=n,u,c,d,h,p,f,g,m,v,y,b,w,S,C,x,k;if(T.config.useWaveformData)// 0.85 = clean pixel lines at 150? // self.deg2rad(360*(Math.max(1,downSample-1))/sampleCount);
for(
// raw waveform
h=T.config.waveformDataDownsample,f=(// make sure it's at least 1
p=256)/(// only sample X in 256 (greater number = less sample points)
h=Math.max(1,h)),m=g=0,v=null,y=T.config.waveformDataOutside?1:T.config.waveformDataConstrain?.5:.565,o=T.config.waveformDataOutside?.7:.75,b=T.deg2rad(360/f*T.config.waveformDataLineRatio),u=0;u<p;u+=h)// +0.67 - counter for spacing
m=(g=T.deg2rad(u/f*1/h*360))+b,(v=t.waveformData.left[u])<0&&T.config.waveformDataConstrain&&(v=Math.abs(v)),T.drawSolidArc(t._360data.oCanvas,T.config.waveformDataColor,t._360data.width*y*(2-T.config.scaleArcWidth),t._360data.radius*o*1.25*v,m,g,!0);if(T.config.useEQData)for(
// EQ spectrum
h=T.config.eqDataDownsample,// only sample N in 256
w=0,// drop the last 25% of the spectrum (>16500 Hz), most stuff won't actually use it.
f=(// make sure it's at least 1
S=192)/(h=Math.max(1,h)),y=T.config.eqDataOutside?1:.565,d=T.config.eqDataOutside?-1:1,o=T.config.eqDataOutside?.5:.75,m=g=0,b=T.deg2rad(360/f*T.config.eqDataLineRatio),// self.deg2rad(360/(sampleCount+1));
C=T.deg2rad(1===t._360data.didFinish?360:t._360data.lastValues.position/t._360data.lastValues.durationEstimate*360),u=x=c=0;u<S;u+=h)m=(g=T.deg2rad(u/S*360))+b,T.drawSolidArc(t._360data.oCanvas,C<m?T.config.eqDataColor:T.config.playRingColor,t._360data.width*y,t._360data.radius*o*(t.eqData.left[u]*d),m,g,!0);if(T.config.usePeakData&&!t._360data.animating){for(k=t.peakData.left||t.peakData.right,
// GIANT HACK: use EQ spectrum data for bass frequencies
S=3,u=0;u<S;u++)k=k||t.eqData[u];t._360data.amplifier=T.config.useAmplifier?.9+.1*k:1,t._360data.radiusMax=.175*t._360data.circleDiameter*t._360data.amplifier,t._360data.widthMax=.4*t._360data.circleDiameter*t._360data.amplifier,t._360data.radius=parseInt(t._360data.radiusMax*t._360data.amplifier,10),t._360data.width=parseInt(t._360data.widthMax*t._360data.amplifier,10)}},this.getUIHTML=function(t){return['<canvas class="sm2-canvas" width="'+t+'" height="'+t+'"></canvas>',' <span class="sm2-360btn sm2-360btn-default"></span>',// note use of imageMap, edit or remove if you use a different-size image.
' <div class="sm2-timing'+(navigator.userAgent.match(/safari/i)?" alignTweak":"")+'"></div>',// + Ever-so-slight Safari horizontal alignment tweak
' <div class="sm2-cover"></div>']},this.uiTest=function(t){
// fake a 360 UI so we can get some numbers from CSS, etc.
var e=document.createElement("div"),i,n,o,a,s,r,l,u,c;return e.className="sm2-360ui",(i=document.createElement("div")).className="ui360"+(t?" "+t:""),// ui360 ui360-vis
n=i.appendChild(e.cloneNode(!0)),i.style.position="absolute",i.style.left="-9999px",o=document.body.appendChild(i),
// console.log("oFakeUIBox: "+oFakeUIBox);
// console.log("hiDPIScale: "+hiDPIScale);
a=n.offsetWidth*S,// with some radios throws error 404 but can't find why
s=T.getUIHTML(a),n.innerHTML=s[1]+s[2]+s[3],r=parseInt(a,10),l=parseInt(r/2,10),c=T.getElementsByClassName("sm2-timing","div",o)[0],u=parseInt(T.getStyle(c,"font-size"),10),isNaN(u)&&(
// getStyle() etc. didn't work.
u=null),
// soundManager._writeDebug('diameter, font size: '+circleDiameter+','+fontSizeMax);
i.parentNode.removeChild(i),s=i=n=o=null,{circleDiameter:r,circleRadius:l,fontSizeMax:u}},this.init=function(){_._writeDebug("threeSixtyPlayer.init()");var t=T.getElementsByClassName("ui360","div"),e,i,n=[],o=!1,a=0,s,r,l,u,c,d,h,p,f,g,m,v,y;for(e=0,i=t.length;e<i;e++)n.push(t[e].getElementsByTagName("a")[0]),
// remove "fake" play button (unsupported case)
t[e].style.backgroundImage="none";
// grab all links, look for .mp3
for(T.oUITemplate=document.createElement("div"),T.oUITemplate.className="sm2-360ui",T.oUITemplateVis=document.createElement("div"),T.oUITemplateVis.className="sm2-360ui",h=T.uiTest(),T.config.circleDiameter=h.circleDiameter,T.config.circleRadius=h.circleRadius,
// self.config.fontSizeMax = uiData.fontSizeMax;
p=T.uiTest("ui360-vis"),T.config.fontSizeMax=p.fontSizeMax,
// canvas needs inline width and height, doesn't quite work otherwise
T.oUITemplate.innerHTML=T.getUIHTML(T.config.circleDiameter).join(""),T.oUITemplateVis.innerHTML=T.getUIHTML(p.circleDiameter).join(""),e=0,i=n.length;e<i;e++)!_.canPlayLink(n[e])||T.hasClass(n[e],T.excludeClass)||T.hasClass(n[e],T.css.sDefault)||(T.addClass(n[e],T.css.sDefault),// add default CSS decoration
T.links[a]=n[e],T.indexByURL[n[e].href]=a,// hack for indexing
a++,c=((o=T.hasClass(n[e].parentNode,"ui360-vis"))?p:h).circleDiameter,d=(o?p:h).circleRadius,
// add canvas shiz
f=n[e].parentNode.insertBefore((o?T.oUITemplateVis:T.oUITemplate).cloneNode(!0),n[e]),b&&void 0!==C.G_vmlCanvasManager?(// IE only
m=n[e].parentNode,(v=document.createElement("canvas")).className="sm2-canvas",y="sm2_canvas_"+e+(new Date).getTime(),v.id=y,v.width=c,v.height=c,f.appendChild(v),C.G_vmlCanvasManager.initElement(v),1<(
/**
					 * 05/2013: If present, Modernizr results in two canvas elements or something being made, one being <:canvas>.
					 * When this is the case, the first doesn't have getContext('2d') and such - so, use the second.
					 */
s=(// Apply ExCanvas compatibility magic
r=document.getElementById(y)).parentNode.getElementsByTagName("canvas")).length&&(r=s[s.length-1])):
// add a handler for the button
r=n[e].parentNode.getElementsByTagName("canvas")[0],
// enable hi-DPI / retina features?
1<S&&T.addClass(r,"hi-dpi"),u=T.getElementsByClassName("sm2-cover","div",n[e].parentNode)[0],g=n[e].parentNode.getElementsByTagName("span")[0],T.addEventHandler(g,"click",T.buttonClick),w?T.addEventHandler(u,"touchstart",T.mouseDown):T.addEventHandler(u,"mousedown",T.mouseDown),(l=r.getContext("2d")).translate(d,d),l.rotate(T.deg2rad(-90)));0<a&&(T.addEventHandler(document,"click",T.handleClick),T.config.autoPlay&&T.handleClick({target:T.links[0],preventDefault:function(){}})),_._writeDebug("threeSixtyPlayer.init(): Found "+a+" relevant items."),T.config.useFavIcon&&void 0!==this.VUMeter&&(this.vuMeter=new this.VUMeter(this))}}
// Optional: VU Meter component
t.prototype.VUMeter=function(t){var i=t,s=this,n=document.getElementsByTagName("head")[0],e=navigator.userAgent.match(/opera/i),o=navigator.userAgent.match(/firefox/i);this.vuMeterData=[],this.vuDataCanvas=null,this.setPageIcon=function(t){if(!i.config.useFavIcon||!i.config.usePeakData||!t)return!1;var e=document.getElementById("sm2-favicon");e&&(n.removeChild(e),e=null),e||((e=document.createElement("link")).id="sm2-favicon",e.rel="shortcut icon",e.type="image/png",e.href=t,document.getElementsByTagName("head")[0].appendChild(e))},this.resetPageIcon=function(){if(!i.config.useFavIcon)return!1;var t=document.getElementById("favicon");t&&(t.href="/favicon.ico")},this.updateVU=function(t){9<=soundManager.flashVersion&&i.config.useFavIcon&&i.config.usePeakData&&s.setPageIcon(s.vuMeterData[parseInt(16*t.peakData.left,10)][parseInt(16*t.peakData.right,10)])},this.createVUData=function(){var t=0,e=0,i=s.vuDataCanvas.getContext("2d"),n=i.createLinearGradient(0,16,0,0),o=i.createLinearGradient(0,16,0,0),a="rgba(0,0,0,0.2)";for(n.addColorStop(0,"rgb(0,192,0)"),n.addColorStop(.3,"rgb(0,255,0)"),n.addColorStop(.625,"rgb(255,255,0)"),n.addColorStop(.85,"rgb(255,0,0)"),o.addColorStop(0,a),o.addColorStop(1,"rgba(0,0,0,0.5)"),t=0;t<16;t++)s.vuMeterData[t]=[];for(t=0;t<16;t++)for(e=0;e<16;e++)
// reset/erase canvas
s.vuDataCanvas.setAttribute("width",16),s.vuDataCanvas.setAttribute("height",16),
// draw new stuffs
i.fillStyle=o,i.fillRect(0,0,7,15),i.fillRect(8,0,7,15),
/*
				// shadow
				canvas.fillStyle = 'rgba(0,0,0,0.1)';
				canvas.fillRect(1,15-i,7,17-(17-i));
				canvas.fillRect(9,15-j,7,17-(17-j));
				*/
i.fillStyle=n,i.fillRect(0,15-t,7,16-(16-t)),i.fillRect(8,15-e,7,16-(16-e)),
// and now, clear out some bits.
i.clearRect(0,3,16,1),i.clearRect(0,7,16,1),i.clearRect(0,11,16,1),s.vuMeterData[t][e]=s.vuDataCanvas.toDataURL("image/png")},this.testCanvas=function(){
// canvas + toDataURL();
var t=document.createElement("canvas"),e=null,i;if(!t||void 0===t.getContext)return null;if(!(e=t.getContext("2d"))||"function"!=typeof t.toDataURL)return null;
// just in case..
try{i=t.toDataURL("image/png")}catch(t){
// no canvas or no toDataURL()
return null}
// assume we're all good.
return t},this.init=function(){i.config.useFavIcon&&(s.vuDataCanvas=s.testCanvas(),s.vuDataCanvas&&(o||e)?
// these browsers support dynamically-updating the favicon
s.createVUData():
// browser doesn't support doing this
i.config.useFavIcon=!1)},this.init()},
// completely optional: Metadata/annotations/segments code
t.prototype.Metadata=function(r,l){soundManager._wD("Metadata()");var u=this,t=r._360data.oUI360,e,i=t.getElementsByTagName("ul")[0].getElementsByTagName("li"),n=navigator.userAgent.match(/firefox/i),o=!1,a,s;for(this.lastWPExec=0,this.refreshInterval=250,this.totalTime=0,this.events={whileplaying:function(){var t=r._360data.width,e=r._360data.radius,i=r.durationEstimate||1e3*u.totalTime,n=null,o,a,s;for(o=0,a=u.data.length;o<a;o++)n=o%2==0,l.drawSolidArc(r._360data.oCanvas,n?l.config.segmentRingColorAlt:l.config.segmentRingColor,t,e/2,l.deg2rad(u.data[o].endTimeMS/i*360),l.deg2rad((u.data[o].startTimeMS||1)/i*360),!0);(s=new Date)-u.lastWPExec>u.refreshInterval&&(u.refresh(),u.lastWPExec=s)}},this.refresh=function(){
// Display info as appropriate
var t,e,i=null,n=r.position,o=r._360data.metadata.data;for(t=0,e=o.length;t<e;t++)if(n>=o[t].startTimeMS&&n<=o[t].endTimeMS){i=t;break}i!==o.currentItem&&i<o.length&&(
// update
r._360data.oLink.innerHTML=o.mainTitle+' <span class="metadata"><span class="sm2_divider"> | </span><span class="sm2_metadata">'+o[i].title+"</span></span>",
// self.setPageTitle(metadata[index].title+' | '+metadata.mainTitle);
o.currentItem=i)},this.strToTime=function(t){var e=t.split(":"),i=0,n;for(n=e.length;n--;)i+=parseInt(e[n],10)*Math.pow(60,e.length-1-n);// hours, minutes
return i},this.data=[],this.data.givenDuration=null,this.data.currentItem=null,this.data.mainTitle=r._360data.oLink.innerHTML,a=0;a<i.length;a++)this.data[a]={o:null,title:i[a].getElementsByTagName("p")[0].innerHTML,startTime:i[a].getElementsByTagName("span")[0].innerHTML,startSeconds:u.strToTime(i[a].getElementsByTagName("span")[0].innerHTML.replace(/[()]/g,"")),duration:0,durationMS:null,startTimeMS:null,endTimeMS:null,oNote:null};for(s=l.getElementsByClassName("duration","div",t),this.data.givenDuration=s.length?1e3*u.strToTime(s[0].innerHTML):0,a=0;a<this.data.length;a++)this.data[a].duration=parseInt(this.data[a+1]?this.data[a+1].startSeconds:(u.data.givenDuration?u.data.givenDuration:r.durationEstimate)/1e3,10)-this.data[a].startSeconds,this.data[a].startTimeMS=1e3*this.data[a].startSeconds,this.data[a].durationMS=1e3*this.data[a].duration,this.data[a].endTimeMS=this.data[a].startTimeMS+this.data[a].durationMS,this.totalTime+=this.data[a].duration},navigator.userAgent.match(/webkit/i)&&navigator.userAgent.match(/mobile/i)&&
// iPad, iPhone etc.
soundManager.setup({useHTML5Audio:!0}),soundManager.setup({html5PollingInterval:50,// increased framerate for whileplaying() etc.
debugMode:C.location.href.match(/debug=1/i),// disable or enable debug output
consoleOnly:!0,flashVersion:9,useHighPerformance:!0
/*,
	useFlashBlock: true*/}),
// FPS data, testing/debug only
soundManager.debugMode&&C.setInterval(function(){var t=C.threeSixtyPlayer;t&&t.lastSound&&t.lastSound._360data.fps&&void 0===C.isHome&&(soundManager._writeDebug("fps: ~"+t.lastSound._360data.fps),t.lastSound._360data.fps=0)},1e3),C.ThreeSixtyPlayer=t}(window),threeSixtyPlayer=new ThreeSixtyPlayer,
// hook into SM2 init
soundManager.onready(threeSixtyPlayer.init),
/**
 *	EXTERNAL LIBRARY FOR POPUP PLAYER
 * http://rip747.github.io/popupwindow/
 * Popup windows
 * Used in the popup player
 * 
 */
function(h){h.fn.popupwindow=function(t){h("body").on("click",".qt-popupwindow",function(t){var e,i,n,o,a,s;
// for overrideing the default settings
t.preventDefault();var r=h(this),l=r.attr("href"),u=r.attr("data-name"),c=r.attr("data-width"),d=r.attr("data-height");return e={height:600,// sets the height in pixels of the window.
width:600,// sets the width in pixels of the window.
toolbar:0,// determines whether a toolbar (includes the forward and back buttons) is displayed {1 (YES) or 0 (NO)}.
scrollbars:1,// determines whether scrollbars appear on the window {1 (YES) or 0 (NO)}.
status:0,// whether a status line appears at the bottom of the window {1 (YES) or 0 (NO)}.
resizable:1,// whether the window can be resized {1 (YES) or 0 (NO)}. Can also be overloaded using resizable.
left:0,// left position when the window appears.
top:0,// top position when the window appears.
center:0,// should we center the window? {1 (YES) or 0 (NO)}. overrides top and left
createnew:1,// should we create a new window for each occurance {1 (YES) or 0 (NO)}.
location:0,// determines whether the address bar is displayed {1 (YES) or 0 (NO)}.
menubar:0,// determines whether the menu bar is displayed {1 (YES) or 0 (NO)}.
onUnload:null},c&&(e.width=c),d&&(e.height=d),
// center the window
1==e.center&&(e.top=(screen.height-(e.height+110))/2,e.left=(screen.width-e.width)/2),i="location="+e.location+",menubar="+e.menubar+",height="+e.height+",width="+e.width+",toolbar="+e.toolbar+",scrollbars="+e.scrollbars+",status="+e.status+",resizable="+e.resizable+",left="+e.left+",screenX="+e.left+",top="+e.top+",screenY="+e.top,
/*
		Main popup opening function
		 */
s=window.open(l,u,i),e.onUnload&&(
// Incremental check for window status
// Attaching directly to window.onunlaod event causes invoke when document within window is reloaded
// (i.e. an inner refresh)
unloadInterval=setInterval(function(){s&&!s.closed||(clearInterval(unloadInterval),e.onUnload.call(h(this)))},500)),!1})}}(jQuery),function(s){"use strict";s.fn.fitVids=function(t){var i={customSelector:null,ignore:null};if(!document.getElementById("fit-vids-style")){
// appendStyles: https://github.com/toddmotto/fluidvids/blob/master/dist/fluidvids.js
var e=document.head||document.getElementsByTagName("head")[0],n=".fluid-width-video-wrapper{width:100%;position:relative;padding:0;}.fluid-width-video-wrapper iframe,.fluid-width-video-wrapper object,.fluid-width-video-wrapper embed {position:absolute;top:0;left:0;width:100%;height:100%;}",o=document.createElement("div");o.innerHTML='<p>x</p><style id="fit-vids-style">'+n+"</style>",e.appendChild(o.childNodes[1])}return t&&s.extend(i,t),this.each(function(){var t=['iframe[src*="player.vimeo.com"]','iframe[src*="youtube.com"]','iframe[src*="youtube-nocookie.com"]','iframe[src*="kickstarter.com"][src*="video.html"]',"object","embed"];i.customSelector&&t.push(i.customSelector);var a=".fitvidsignore";i.ignore&&(a=a+", "+i.ignore);var e=s(this).find(t.join(","));// Disable FitVids on this video.
(// SwfObj conflict patch
e=(e=e.not("object object")).not(a)).each(function(){var t=s(this);if(!(0<t.parents(a).length||"embed"===this.tagName.toLowerCase()&&t.parent("object").length||t.parent(".fluid-width-video-wrapper").length)){t.css("height")||t.css("width")||!isNaN(t.attr("height"))&&!isNaN(t.attr("width"))||(t.attr("height",9),t.attr("width",16));var e,i,n=("object"===this.tagName.toLowerCase()||t.attr("height")&&!isNaN(parseInt(t.attr("height"),10))?parseInt(t.attr("height"),10):t.height())/(isNaN(parseInt(t.attr("width"),10))?t.width():parseInt(t.attr("width"),10));if(!t.attr("name")){var o="fitvid"+s.fn.fitVids._count;t.attr("name",o),s.fn.fitVids._count++}t.wrap('<div class="fluid-width-video-wrapper"></div>').parent(".fluid-width-video-wrapper").css("padding-top",100*n+"%"),t.removeAttr("height").removeAttr("width")}})})},
// Internal counter for unique video names.
s.fn.fitVids._count=0}(window.jQuery||window.Zepto),function(u,x,k){"use strict";function e(t){if(T=x.documentElement,n=x.body,W(),rt=this,ht=(t=t||{}).constants||{},t.easing)for(var e in t.easing)U[e]=t.easing[e];bt=t.edgeStrategy||"set",ct={beforerender:t.beforerender,render:t.render,keyframe:t.keyframe},(dt=!1!==t.forceHeight)&&(qt=t.scale||1),pt=t.mobileDeceleration||d,gt=!1!==t.smoothScrolling,mt=t.smoothScrollingDuration||p,vt={targetTop:rt.getScrollTop()},(Bt=(t.mobileCheck||function(){return/Android|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent||navigator.vendor||u.opera)})())?((ut=x.getElementById(t.skrollrBody||h))&&st(),Y(),At(T,[a,l],[s])):At(T,[a,r],[s]),rt.refresh(),Ct(u,"resize orientationchange",function(){var t=T.clientWidth,e=T.clientHeight;(e!==Rt||t!==Ft)&&(Rt=e,Ft=t,zt=!0)});var i=X();return function t(){J(),St=i(t)}(),rt}var T,n,_={get:function(){return rt},init:function(t){return rt||new e(t)},VERSION:"0.6.30"},O=Object.prototype.hasOwnProperty,P=u.Math,o=u.getComputedStyle,M="touchstart",A="touchmove",E="touchcancel",D="touchend",I="skrollable",$=I+"-before",L=I+"-between",q=I+"-after",a="skrollr",s="no-"+a,r=a+"-desktop",l=a+"-mobile",c="linear",t=1e3,d=.004,h="skrollr-body",p=200,j="start",N="end",f="center",g="bottom",H="___skrollable_id",F=/^(?:input|textarea|button|select)$/i,i=/^\s+|\s+$/g,R=/^data(?:-(_\w+))?(?:-?(-?\d*\.?\d+p?))?(?:-?(start|end|top|center|bottom))?(?:-?(top|center|bottom))?$/,m=/\s*(@?[\w\-\[\]]+)\s*:\s*(.+?)\s*(?:;|$)/gi,v=/^(@?[a-z\-]+)\[(\w+)\]$/,z=/-([a-z0-9_])/g,V=function(t,e){return e.toUpperCase()},y=/[\-+]?[\d]*\.?[\d]+/g,b=/\{\?\}/g,w=/rgba?\(\s*-?\d+\s*,\s*-?\d+\s*,\s*-?\d+/g,S=/[a-z\-]+-gradient/g,C="",B="",W=function(){var t=/^(?:O|Moz|webkit|ms)|(?:-(?:o|moz|webkit|ms)-)/;if(o){var e=o(n,null);for(var i in e)if(C=i.match(t)||+i==i&&e[i].match(t))break;if(!C)return void(C=B="");"-"===(C=C[0]).slice(0,1)?C={"-webkit-":"webkit","-moz-":"Moz","-ms-":"ms","-o-":"O"}[B=C]:B="-"+C.toLowerCase()+"-"}},X=function(){var t=u.requestAnimationFrame||u[C.toLowerCase()+"RequestAnimationFrame"],n=It();return(Bt||!t)&&(t=function(t){var e=It()-n,i=P.max(0,1e3/60-e);return u.setTimeout(function(){n=It(),t()},i)}),t},Q=function(){var t=u.cancelAnimationFrame||u[C.toLowerCase()+"CancelAnimationFrame"];return(Bt||!t)&&(t=function(t){return u.clearTimeout(t)}),t},U={begin:function(){return 0},end:function(){return 1},linear:function(t){return t},quadratic:function(t){return t*t},cubic:function(t){return t*t*t},swing:function(t){return-P.cos(t*P.PI)/2+.5},sqrt:function(t){return P.sqrt(t)},outCubic:function(t){return P.pow(t-1,3)+1},bounce:function(t){var e;if(t<=.5083)e=3;else if(t<=.8489)e=9;else if(t<=.96208)e=27;else{if(!(t<=.99981))return 1;e=91}return 1-P.abs(3*P.cos(t*e*1.028)/e)}};e.prototype.refresh=function(t){var e,i,n=!1;for(t===k?(n=!0,lt=[],Vt=0,t=x.getElementsByTagName("*")):t.length===k&&(t=[t]),e=0,i=t.length;e<i;e++){var o=t[e],a=o,s=[],r=gt,l=bt,u=!1;if(n&&H in o&&delete o[H],o.attributes){for(var c=0,d=o.attributes.length;c<d;c++){var h=o.attributes[c];if("data-anchor-target"!==h.name)if("data-smooth-scrolling"!==h.name)if("data-edge-strategy"!==h.name)if("data-emit-events"!==h.name){var p=h.name.match(R);if(null!==p){var f={props:h.value,element:o,eventType:h.name.replace(z,V)};s.push(f);var g=p[1];g&&(f.constant=g.substr(1));var m=p[2];/p$/.test(m)?(f.isPercentage=!0,f.offset=(0|m.slice(0,-1))/100):f.offset=0|m;var v=p[3],y=p[4]||v;v&&v!==j&&v!==N?(f.mode="relative",f.anchors=[v,y]):(f.mode="absolute",v===N?f.isEnd=!0:f.isPercentage||(f.offset=f.offset*qt))}}else u=!0;else l=h.value;else r="off"!==h.value;else if(null===(a=x.querySelector(h.value)))throw'Unable to find anchor target "'+h.value+'"'}var b,w,S;if(s.length)w=!n&&H in o?(S=o[H],b=lt[S].styleAttr,lt[S].classAttr):(S=o[H]=Vt++,b=o.style.cssText,Mt(o)),lt[S]={element:o,styleAttr:b,classAttr:w,anchorTarget:a,keyFrames:s,smoothScrolling:r,edgeStrategy:l,emitEvents:u,lastFrameIndex:-1},At(o,[I],[])}}for(_t(),e=0,i=t.length;e<i;e++){var C=lt[t[e][H]];C!==k&&(K(C),et(C))}return rt},e.prototype.relativeToAbsolute=function(t,e,i){var n=T.clientHeight,o=t.getBoundingClientRect(),a=o.top,s=o.bottom-o.top;return e===g?a-=n:e===f&&(a-=n/2),i===g?a+=s:i===f&&(a+=s/2),(a+=rt.getScrollTop())+.5|0},e.prototype.animateTo=function(t,e){e=e||{};var i=It(),n=rt.getScrollTop(),o=e.duration===k?1e3:e.duration;return(ft={startTop:n,topDiff:t-n,targetTop:t,duration:o,startTime:i,endTime:i+o,easing:U[e.easing||c],done:e.done}).topDiff||(ft.done&&ft.done.call(rt,!1),ft=k),rt},e.prototype.stopAnimateTo=function(){ft&&ft.done&&ft.done.call(rt,!0),ft=k},e.prototype.isAnimatingTo=function(){return!!ft},e.prototype.isMobile=function(){return Bt},e.prototype.setScrollTop=function(t,e){return yt=!0===e,Bt?Wt=P.min(P.max(t,0),Lt):u.scrollTo(0,t),rt},e.prototype.getScrollTop=function(){return Bt?Wt:u.pageYOffset||T.scrollTop||n.scrollTop||0},e.prototype.getMaxScrollTop=function(){return Lt},e.prototype.on=function(t,e){return ct[t]=e,rt},e.prototype.off=function(t){return delete ct[t],rt},e.prototype.destroy=function(){var t;Q()(St),kt(),At(T,[s],[a,r,l]);for(var e=0,i=lt.length;e<i;e++)at(lt[e].element);T.style.overflow=n.style.overflow="",T.style.height=n.style.height="",ut&&_.setStyle(ut,"transform","none"),jt="down",Bt=zt=!(Nt=-(qt=1)),Wt=Vt=Rt=Ft=Lt=0,wt=bt=yt=vt=mt=gt=ft=pt=ht=dt=ct=ut=rt=k};var Y=function(){var d,h,p,f,g,m,v,y,b,w,S,C;Ct(T,[M,A,E,D].join(" "),function(t){var e=t.changedTouches[0];for(f=t.target;3===f.nodeType;)f=f.parentNode;switch(g=e.clientY,m=e.clientX,w=t.timeStamp,F.test(f.tagName)||t.preventDefault(),t.type){case M:d&&d.blur(),rt.stopAnimateTo(),d=f,h=v=g,p=m,b=w;break;case A:F.test(f.tagName)&&x.activeElement!==f&&t.preventDefault(),y=g-v,C=w-S,rt.setScrollTop(Wt-y,!0),v=g,S=w;break;default:case E:case D:var i=h-g,n=p-m,o;if(n*n+i*i<49){if(!F.test(d.tagName)){d.focus();var a=x.createEvent("MouseEvents");a.initMouseEvent("click",!0,!0,t.view,1,e.screenX,e.screenY,e.clientX,e.clientY,t.ctrlKey,t.altKey,t.shiftKey,t.metaKey,0,null),d.dispatchEvent(a)}return}d=k;var s=y/C;s=P.max(P.min(s,3),-3);var r=P.abs(s/pt),l=s*r+.5*pt*r*r,u=rt.getScrollTop()-l,c=0;Lt<u?(c=(Lt-u)/l,u=Lt):u<0&&(c=-u/l,u=0),r*=1-c,rt.animateTo(u+.5|0,{easing:"outCubic",duration:r})}}),u.scrollTo(0,0),T.style.overflow=n.style.overflow="hidden"},G=function(){var t,e,i,n,o,a,s,r,l,u,c,d=T.clientHeight,h=Ot();for(r=0,l=lt.length;r<l;r++)for(e=(t=lt[r]).element,i=t.anchorTarget,o=0,a=(n=t.keyFrames).length;o<a;o++)u=(s=n[o]).offset,c=h[s.constant]||0,s.frame=u,s.isPercentage&&(u*=d,s.frame=u),"relative"===s.mode&&(at(e),s.frame=rt.relativeToAbsolute(i,s.anchors[0],s.anchors[1])-u,at(e,!0)),s.frame+=c,dt&&!s.isEnd&&s.frame>Lt&&(Lt=s.frame);for(Lt=P.max(Lt,Pt()),r=0,l=lt.length;r<l;r++){for(o=0,a=(n=(t=lt[r]).keyFrames).length;o<a;o++)c=h[(s=n[o]).constant]||0,s.isEnd&&(s.frame=Lt-s.offset+c);t.keyFrames.sort($t)}},Z=function(t,e){for(var i=0,n=lt.length;i<n;i++){var o,a,s=lt[i],r=s.element,l=s.smoothScrolling?t:e,u=s.keyFrames,c=u.length,d=u[0],h=u[u.length-1],p=l<d.frame,f=l>h.frame,g=p?d:h,m=s.emitEvents,v=s.lastFrameIndex;if(p||f){if(p&&-1===s.edge||f&&1===s.edge)continue;switch(p?(At(r,[$],[q,L]),m&&-1<v&&(Tt(r,d.eventType,jt),s.lastFrameIndex=-1)):(At(r,[q],[$,L]),m&&v<c&&(Tt(r,h.eventType,jt),s.lastFrameIndex=c)),s.edge=p?-1:1,s.edgeStrategy){case"reset":at(r);continue;case"ease":l=g.frame;break;default:case"set":var y=g.props;for(o in y)O.call(y,o)&&(a=ot(y[o].value),0===o.indexOf("@")?r.setAttribute(o.substr(1),a):_.setStyle(r,o,a));continue}}else 0!==s.edge&&(At(r,[I,L],[$,q]),s.edge=0);for(var b=0;b<c-1;b++)if(l>=u[b].frame&&l<=u[b+1].frame){var w=u[b],S=u[b+1];for(o in w.props)if(O.call(w.props,o)){var C=(l-w.frame)/(S.frame-w.frame);C=w.props[o].easing(C),a=nt(w.props[o].value,S.props[o].value,C),a=ot(a),0===o.indexOf("@")?r.setAttribute(o.substr(1),a):_.setStyle(r,o,a)}m&&v!==b&&(Tt(r,"down"===jt?w.eventType:S.eventType,jt),s.lastFrameIndex=b);break}}},J=function(){zt&&(zt=!1,_t());var t,e,i=rt.getScrollTop(),n=It();if(ft)n>=ft.endTime?(i=ft.targetTop,t=ft.done,ft=k):(e=ft.easing((n-ft.startTime)/ft.duration),i=ft.startTop+e*ft.topDiff|0),rt.setScrollTop(i,!0);else if(!yt){var o;vt.targetTop-i&&(vt={startTop:Nt,topDiff:i-Nt,targetTop:i,startTime:Ht,endTime:Ht+mt}),n<=vt.endTime&&(e=U.sqrt((n-vt.startTime)/mt),i=vt.startTop+e*vt.topDiff|0)}if(yt||Nt!==i){var a={curTop:i,lastTop:Nt,maxTop:Lt,direction:jt=Nt<i?"down":i<Nt?"up":jt},s;(yt=!1)!==(ct.beforerender&&ct.beforerender.call(rt,a))&&(Z(i,rt.getScrollTop()),Bt&&ut&&_.setStyle(ut,"transform","translate(0, "+-Wt+"px) "+wt),Nt=i,ct.render&&ct.render.call(rt,a)),t&&t.call(rt,!1)}Ht=n},K=function(t){for(var e=0,i=t.keyFrames.length;e<i;e++){for(var n,o,a,s,r=t.keyFrames[e],l={};null!==(s=m.exec(r.props));)a=s[1],o=s[2],n=null!==(n=a.match(v))?(a=n[1],n[2]):c,o=o.indexOf("!")?tt(o):[o.slice(1)],l[a]={value:o,easing:U[n]};r.props=l}},tt=function(t){var e=[];return w.lastIndex=0,t=t.replace(w,function(t){return t.replace(y,function(t){return t/255*100+"%"})}),B&&(S.lastIndex=0,t=t.replace(S,function(t){return B+t})),t=t.replace(y,function(t){return e.push(+t),"{?}"}),e.unshift(t),e},et=function(t){var e,i,n={};for(e=0,i=t.keyFrames.length;e<i;e++)it(t.keyFrames[e],n);for(n={},e=t.keyFrames.length-1;0<=e;e--)it(t.keyFrames[e],n)},it=function(t,e){var i;for(i in e)O.call(t.props,i)||(t.props[i]=e[i]);for(i in t.props)e[i]=t.props[i]},nt=function(t,e,i){var n,o=t.length;if(o!==e.length)throw"Can't interpolate between \""+t[0]+'" and "'+e[0]+'"';var a=[t[0]];for(n=1;n<o;n++)a[n]=t[n]+(e[n]-t[n])*i;return a},ot=function(t){var e=1;return b.lastIndex=0,t[0].replace(b,function(){return t[e++]})},at=function(t,e){for(var i,n,o=0,a=(t=[].concat(t)).length;o<a;o++)n=t[o],(i=lt[n[H]])&&(e?(n.style.cssText=i.dirtyStyleAttr,At(n,i.dirtyClassAttr)):(i.dirtyStyleAttr=n.style.cssText,i.dirtyClassAttr=Mt(n),n.style.cssText=i.styleAttr,At(n,i.classAttr)))},st=function(){wt="translateZ(0)",_.setStyle(ut,"transform",wt);var t=o(ut),e=t.getPropertyValue("transform"),i=t.getPropertyValue(B+"transform"),n;e&&"none"!==e||i&&"none"!==i||(wt="")};_.setStyle=function(t,e,i){var n=t.style;if("zIndex"===(e=e.replace(z,V).replace("-","")))isNaN(i)?n[e]=i:n[e]=""+(0|i);else if("float"===e)n.styleFloat=n.cssFloat=i;else try{C&&(n[C+e.slice(0,1).toUpperCase()+e.slice(1)]=i),n[e]=i}catch(t){}};var rt,lt,ut,ct,dt,ht,pt,ft,gt,mt,vt,yt,bt,wt,St,Ct=_.addEvent=function(t,e,i){for(var n=function(t){return(t=t||u.event).target||(t.target=t.srcElement),t.preventDefault||(t.preventDefault=function(){t.returnValue=!1,t.defaultPrevented=!0}),i.call(this,t)},o,a=0,s=(e=e.split(" ")).length;a<s;a++)o=e[a],t.addEventListener?t.addEventListener(o,i,!1):t.attachEvent("on"+o,n),Xt.push({element:t,name:o,listener:i})},xt=_.removeEvent=function(t,e,i){for(var n=0,o=(e=e.split(" ")).length;n<o;n++)t.removeEventListener?t.removeEventListener(e[n],i,!1):t.detachEvent("on"+e[n],i)},kt=function(){for(var t,e=0,i=Xt.length;e<i;e++)t=Xt[e],xt(t.element,t.name,t.listener);Xt=[]},Tt=function(t,e,i){ct.keyframe&&ct.keyframe.call(rt,t,e,i)},_t=function(){var t=rt.getScrollTop();Lt=0,dt&&!Bt&&(n.style.height=""),G(),dt&&!Bt&&(n.style.height=Lt+T.clientHeight+"px"),Bt?rt.setScrollTop(P.min(rt.getScrollTop(),Lt)):rt.setScrollTop(t,!0),yt=!0},Ot=function(){var t,e,i=T.clientHeight,n={};for(t in ht)"function"==typeof(e=ht[t])?e=e.call(rt):/p$/.test(e)&&(e=e.slice(0,-1)/100*i),n[t]=e;return n},Pt=function(){var t,e=0;return ut&&(e=P.max(ut.offsetHeight,ut.scrollHeight)),(t=P.max(e,n.scrollHeight,n.offsetHeight,T.scrollHeight,T.offsetHeight,T.clientHeight))-T.clientHeight},Mt=function(t){var e="className";return u.SVGElement&&t instanceof u.SVGElement&&(t=t[e],e="baseVal"),t[e]},At=function(t,e,i){var n="className";if(u.SVGElement&&t instanceof u.SVGElement&&(t=t[n],n="baseVal"),i!==k){for(var o=t[n],a=0,s=i.length;a<s;a++)o=Dt(o).replace(Dt(i[a])," ");o=Et(o);for(var r=0,l=e.length;r<l;r++)-1===Dt(o).indexOf(Dt(e[r]))&&(o+=" "+e[r]);t[n]=Et(o)}else t[n]=e},Et=function(t){return t.replace(i,"")},Dt=function(t){return" "+t+" "},It=Date.now||function(){return+new Date},$t=function(t,e){return t.frame-e.frame},Lt=0,qt=1,jt="down",Nt=-1,Ht=It(),Ft=0,Rt=0,zt=!1,Vt=0,Bt=!1,Wt=0,Xt=[];"function"==typeof define&&define.amd?define([],function(){return _}):"undefined"!=typeof module&&module.exports?module.exports=_:u.skrollr=_}(window,document),
/**====================================================================
 *
 *  OnAir2 Main Script File
 *  
 ====================================================================**/
/*====================================================================

	CODEKIT PREPENDS:
	THESE BELOW ARE NOT COMMENTS, BUT THE CODEKIT'S PREPEND FILES 
	ENQUEUED IN MAIN-MIN.JS

	TO USE THE OPEN VERSION OF THE FILES FOR YOUR CUSTOMIZATIONS, 
	ENABLE THE DEBUG OPTIONS IN THE THEME'S CUSTOMIZER

====================================================================*/
// @codekit-prepend "materializecss/bin/materialize.min.js";
// @codekit-prepend "jquerycookie.js";
// @codekit-prepend "../components/slick/slick.min.js";
// @codekit-prepend "../components/countdown/js/jquery.knob.js";
// @codekit-prepend "../components/countdown/js/jquery.throttle.js";
// @codekit-prepend "../components/countdown/js/jquery.classycountdown.min.js";
// @codekit-prepend "../components/soundmanager/script/excanvas.js";
// @codekit-prepend "../components/soundmanager/script/berniecode-animator.js";
// @codekit-prepend "../components/soundmanager/script/soundmanager2-nodebug.js";
// @codekit-prepend "../components/soundmanager/script/shoutcast-ssl.js";
// @codekit-prepend "../components/soundmanager/templates/qtradio-player/script/qt-360player-volumecontroller.js";
// @codekit-prepend "../components/popup/popup.js";
// @codekit-prepend "../components/fitvids/jquery.fitvids.js";
// @codekit-prepend "../components/skrollr/skrollr.min.js";
function(D){"use strict";
/**====================================================================
	 *
	 * 
	 *  Event countdown (requires library component) 
	 *  
	 * 
	 ====================================================================*/
function t(t){var e=t.match(/(\d+)/g);
// new Date(year, month [, date [, hours[, minutes[, seconds[, ms]]]]])
return new Date(e[0],e[1]-1,e[2]);// months are 0-based
}var e;D.onAir2Obj={},D.onAir2Obj.body=D("body"),D.onAir2Obj.htmlAndbody=D("html,body"),
/**====================================================================
	 *
	 *
	 * 	Function to go back in history used by form check
	 *
	 * 
	 ====================================================================*/
window.goBack=function(t){var e="http://www.mysite.com",i=window.location.hash,n;return history.back(),window.location.hash!==i||"string"==typeof document.referrer&&""!==document.referrer||window.setTimeout(function(){
// redirect to default location
window.location.href=e},1e3),t&&(t.preventDefault&&t.preventDefault(),t.preventPropagation&&t.preventPropagation()),!1;// stop event propagation and browser default event
},D.fn.qtIsMobileBrowser=function(t){return!!/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)}
/**====================================================================
	 *
	 *
	 * Automatic link embed
	 *
	 * 
	 ====================================================================*/,D.fn.embedMixcloudPlayer=function(t){var e=encodeURIComponent(t),i;return'<iframe data-state="0" class="mixcloudplayer" width="100%" height="80" src="//www.mixcloud.com/widget/iframe/?feed='+(e=e.replace("https","http"))+'&embed_uuid=addfd1ba-1531-4f6e-9977-6ca2bd308dcc&stylecolor=&embed_type=widget_standard" frameborder="0"></iframe><div class="canc"></div>'},D.fn.embedVideo=function(t,e,i){i=e/16*9;var n,o,a=t.match(/=[\w-]{11}/)[0].replace(/=/,""),s;return'<iframe width="'+e+'" height="'+i+'" src="'+window.location.protocol+"//www.youtube.com/embed/"+a+'?html5=1" frameborder="0" class="youtube-player" allowfullscreen></iframe>'}
/**====================================================================
	 *
	 *
	 *	 Responsive video resize
	 *
	 * 
	 ====================================================================*/,D.fn.NewYoutubeResize=function(){jQuery("iframe").each(function(t,e){// .youtube-player
var i=jQuery(this);if(i.attr("src")){var n=i.attr("src");if(n.match("youtube.com")||n.match("vimeo.com")||n.match("vevo.com")){var o=i.parent().width(),a=i.height();i.css({width:o}),i.height(o/16*9)}}})},
/**====================================================================
	 *
	 *
	 * 	Check images loaded in a container
	 *
	 * 
	 ====================================================================*/
D.fn.imagesLoaded=function(){
// get all the images (excluding those with no src attribute)
var t=this.find('img[src!=""]');
// if there's no images, just return an already resolved promise
if(!t.length)return D.Deferred().resolve().promise();
// for each image, add a deferred object to the array which resolves when the image is loaded (or if loading fails)
var i=[];
// return a master promise object which will resolve when all the deferred objects have resolved
// IE - when all the images are loaded
return t.each(function(){var t=D.Deferred();i.push(t);var e=new Image;e.onload=function(){t.resolve()},e.onerror=function(){t.resolve()},e.src=this.src}),D.when.apply(D,i)}
/**====================================================================
	 *
	 *
	 * Transform link in embedded players
	 *
	 * 
	 ====================================================================*/,D.fn.transformlinks=function(t){void 0===t&&(t="body"),jQuery(t).find("a[href*='youtube.com'],a[href*='youtu.be'],a[href*='mixcloud.com'],a[href*='soundcloud.com'], [data-autoembed]").not(".qw-disableembedding").each(function(e){
//=== STRING REPLACE (FINAL FUNCTION)
function i(t){return e.replaceWith(t),!0}var n=jQuery(this);if(!n.parent().hasClass("qw-disableembedding")){var t=n.attr("href");n.attr("data-autoembed")&&(t=n.attr("data-autoembed"));var o=n.parent().width();0===o&&(o=n.parent().parent().parent().width()),0===o&&(o=n.parent().parent().parent().width()),0===o&&(o=n.parent().parent().parent().parent().width());var a=n.height(),e=n,s=/(http|https):\/\/(\w{0,3}\.)?youtube\.\w{2,3}\/watch\?v=[\w-]{11}/gi,r=t.match(s);if(null!==r)for(var l=0;l<r.length;l++)i(t=t.replace(r[l],D.fn.embedVideo(r[l],o,o/16*9)));
//=== SOUNDCLOUD
var u="",c="",d,s=/(http|https)(\:\/\/soundcloud.com\/+([a-zA-Z0-9\/\-_]*))/g,h=t.match(s);if(null!==h)for(l=0;l<h.length;l++){var p=h[l].replace(":","%3A");p=p.replace("https","http"),jQuery.getJSON("https://soundcloud.com/oembed?maxheight=140&format=js&url="+p+"&iframe=true&callback=?",function(t){u=t.html,0<n.closest("li").length?n.closest("li").hasClass("qt-collapsible-item")&&(d=D(u),i('<div class="qt-dynamic-iframe" data-src="'+(c=d.attr("src"))+'"></div>')):i(u)})}
//=== MIXCLOUD
var s=/(http|https)\:\/\/www\.mixcloud\.com\/[\w-]{0,150}\/[\w-]{0,150}\/[\w-]{0,1}/gi;if(null!==(r=t.match(s)))for(l=0;l<r.length;l++)i(t=t.replace(r[l],D.fn.embedMixcloudPlayer(r[l])));D.fn.NewYoutubeResize()}}),
/**
		 * Fix for soundcloud loaded in collapsed div for the chart
		 */
D.onAir2Obj.body.on("click",".qt-collapsible li",function(t){var e=D(this);if(e.hasClass("active")){var i=e.find(".qt-dynamic-iframe"),n=i.attr("data-src");i.replaceWith('<iframe src="'+n+'" frameborder="0"></iframe>'),D.fn.NewYoutubeResize()}})}
/**====================================================================
	 *
	 * 
	 *  Responsive videos using fitvids library
	 *  https://github.com/davatron5000/FitVids.js
	 *  
	 * 
	 ====================================================================*/,D.fn.qtFitvids=function(){void 0!==D.fn.fitVids&&D("#maincontent").fitVids()},
/**====================================================================
	 *
	 * 
	 *	12. Mobile navigation
	 *	
	 * 
	 ====================================================================*/
D.fn.qtMobileNav=function(){
/*$.onAir2Obj.body.off("click", ".side-nav li.menu-item-has-children > a");
		$.onAir2Obj.body.on("click", ".side-nav li.menu-item-has-children > a", function(e) {
			var that = $(this).parent();
			e.preventDefault();
			if (that.hasClass("open")) {
				that.removeClass("open");
			} else {
				that.addClass("open");
			}
			return true;
		});*/
return D.onAir2Obj.body.find(".side-nav li.menu-item-has-children").each(function(t,e){var i=D(e);i.append("<a class='qt-openthis'><i class='dripicons-chevron-down'></i></a>"),i.on("click",".qt-openthis",function(t){t.preventDefault(),i.toggleClass("open")})}),!0},
/**====================================================================
	*
	* 
	*  	Slick gallery
	*  
	* 
	====================================================================*/
D.fn.slickGallery=function(){0!==D(".qt-slickslider, .qt-slick").length&&D(".qt-slickslider, .qt-slick").not(".slick-initialized").each(function(){var t=D(this),e=t.attr("data-slidestoshow"),i=t.attr("data-slidestoshowmobile"),n=t.attr("data-slidestoshowipad"),o=t.attr("data-appendArrows");void 0!==e&&""!==e||(e=1),void 0!==i&&""!==i||(i=1),void 0!==n&&""!==n||(n=e),o=void 0===o||""===o?t:t.closest(o),t.slick({
// lazyLoad: 'progressive',
slidesToScroll:1,pauseOnHover:"true"===t.attr("data-pauseonhover"),infinite:"true"===t.attr("data-infinite"),autoplay:"true"===t.attr("data-autoplay"),autoplaySpeed:4e3,centerPadding:0,slide:".qt-item",dots:"true"===t.attr("data-dots"),variableWidth:"true"===t.attr("data-variablewidth"),arrows:"true"===t.attr("data-arrows"),centerMode:"true"===t.attr("data-centermode"),slidesToShow:e,appendArrows:o,responsive:[{breakpoint:480,settings:{arrows:"true"===t.attr("data-arrowsmobile"),centerMode:"true"===t.attr("data-centermodemobile"),centerPadding:0,variableWidth:"true"===t.attr("data-variablewidthmobile"),variableHeight:!1,dots:"true"===t.attr("data-dotsmobile"),slidesToShow:i,draggable:!1,swipe:!0,touchMove:!0,infinite:"true"===t.attr("data-infinitemobile")}},{breakpoint:800,settings:{slidesToShow:n,arrows:1===n,dots:1<n}}]}).promise().done(function(){t.removeClass("qt-invisible")})})},
/**====================================================================
	 *
	 * 
	 *	Generic class switcher (toggle class or toggleclass)
	 *	
	 * 
	 ====================================================================*/
D.fn.qtQtSwitch=function(){D.onAir2Obj.body.off("click","[data-qtswitch]"),D.onAir2Obj.body.on("click","[data-qtswitch]",function(t){var e=D(this);t.preventDefault(),D(e.attr("data-target")).toggleClass(e.attr("data-qtswitch"))}),D("[data-expandable]").each(function(t,e){var i,n=D(e).attr("data-expandable"),o=D(n);""!==n&&o.hasClass("open")&&o.velocity({properties:{height:o.find(".qt-expandable-inner").height()+"px"},options:{duration:50}})}),D.onAir2Obj.body.off("click","[data-expandable]"),D.onAir2Obj.body.on("click","[data-expandable]",function(t){t.preventDefault();var e=D(this),i=D(e.attr("data-expandable"));i.hasClass("open")?(i.removeClass("open"),
// that.height(0);
i.velocity({properties:{height:0},options:{duration:300}})):(i.addClass("open"),i.velocity({properties:{height:i.find(".qt-expandable-inner").height()+"px"},options:{duration:300}}))})},
/**====================================================================
	 *
	 *
	 * 	04. Parallax Backgrounds with blur by QantumThemes
	 *
	 * 
	 ====================================================================*/
D.fn.parallaxV3=function(t){var u=D(window).height(),c=D(window).width(),d=D.extend({speed:.15},t);
// Iterate over each object in collection
return this.each(function(){var t=D(this),e=D(window).scrollTop(),i=t.offset().top,n=t.outerHeight(),o=Math.round((i-e)*d.speed),a=d.speed/10;if(t.initialBlur=t.attr("data-blurStart"),t.css("background-position","center "+o+"px"),t.scrolling=t.attr("data-scrolling"),t.hasClass("vc_parallax")?t.css({opacity:1}):t.css({opacity:.55}),t.css("background-attachment","fixed"),D.fn.qtIsMobileBrowser()||c<1279)return t.css("background-attachment","local"),void t.css("background-position","center center");if(t.css("background-attachment","fixed"),!D.onAir2Obj.body.hasClass("mobile")){var s=5,r=Date.now(),l=r;e=D(window).scrollTop(),i=t.offset().top,n=t.outerHeight(),o=Math.round((i-e)*a),t.css("background-position","center "+o+"px"),D(document).scroll(function(){if(r=Date.now(),l+5<r){if(e=D(window).scrollTop(),i=t.offset().top,n=t.outerHeight(),i+n<=e||e+u<=i)return;o=Math.round((i-e)*a),t.css("background-position","center "+o+"px"),l=r}})}})}
/**====================================================================
	 *
	 * 
	 *  17. Dynamic backgrounds
	 *  
	 * 
	 ====================================================================*/,D.fn.dynamicBackgrounds=function(t){void 0===t&&(t="body"),D(t+" [data-bgimage]").each(function(){var t=D(this),e=t.attr("data-bgimage"),i=t.attr("data-parallax"),n=1.5,o=t.attr("data-bgattachment");void 0===o&&(o="static"),""!==e&&(t.css({"background-image":"url("+e+")","background-size":"cover","background-position":"center center","background-repeat":"no-repeat",
//"background-attachment":"loadingClass",
"-webkit-transform":"translate3d(0, 0, 0)","-webkit-backface-visibility":"hidden","-webkit-perspective":"1000"}),"1"===i?(t.data("speed")&&(n=t.data("speed")),t.parallaxV3({speed:n})):t.css({opacity:.55}))})},
/**====================================================================
	 *
	 * 
	 *  Functions to run once on first page load
	 *  
	 * 
	 ====================================================================*/
D.fn.qtPageloadInit=function(){D(".button-collapse").sideNav(),
// Channels list
D(".button-playlistswitch").sideNav({menuWidth:280,// Default is 240
edge:"right",// Choose the horizontal origin
closeOnClick:!1,// Closes side-nav on <a> clicks, useful for Angular/Meteor
draggable:!1}),D.onAir2Obj.body.off("click",".button-playlistswitch-close"),D.onAir2Obj.body.on("click",".button-playlistswitch-close",function(t){t.preventDefault(),D(".button-playlistswitch").sideNav("hide")}),D.onAir2Obj.body.off("click",".qt-scrolltop"),D.onAir2Obj.body.on("click",".qt-scrolltop",function(t){t.preventDefault(),D("html, body").animate({scrollTop:0},"slow")})},
/**====================================================================
	 *
	 * 
	 *  Pushpin (uses materializecss library) 
	 *  
	 * 
	 ====================================================================*/
D.fn.qtPushpin=function(){if(void 0!==D.fn.pushpin&&1280<D(window).width()&&0<D(".qt-pushpin").length){D(".qt-pushpin").css({width:D(".qt-pushpin").width()});var t=D(".qt-pushpin-container").parent(),e=t.offset().top+t.outerHeight(!0)-(D(".qt-sharepage").outerHeight(!0)+40);D(".qt-pushpin").pushpin({top:D(".qt-pushpin-container").offset().top,bottom:e})}},D.fn.qtCountdown=function(){D.each(D(".qt-countdown"),function(t,e){var i=D(e),n=i.attr("data-end"),o=i.data("now"),a,s,r,l;void 0!==n&&""!==n&&(n=new Date(n),o=new Date(o),r=(a=n.getTime())-(s=o.getTime()),D(e).ClassyCountdown({theme:"white-wide",end:D.now()+r/1e3}),i.find(".ClassyCountdown-days .ClassyCountdown-value span").html(i.attr("data-dayslabel")),i.find(".ClassyCountdown-hours .ClassyCountdown-value span").html(i.attr("data-hourslabel")),i.find(".ClassyCountdown-minutes .ClassyCountdown-value span").html(i.attr("data-minuteslabel")),i.find(".ClassyCountdown-seconds .ClassyCountdown-value span").html(i.attr("data-secondslabel")))})},
/**====================================================================
	 *
	 * 
	 *  Share link
	 *  
	 * 
	 ====================================================================*/
D.fn.qtSharelink=function(){D(".qt-sharelink").each(function(){var t=D(this),e=encodeURIComponent(window.location.href)/* Get page URL here and encode it */,// window.location.href
i,n="";switch(t.attr("data-sharetype")){case"facebook":n="https://www.facebook.com/sharer/sharer.php?u="+e;break;case"twitter":n="https://twitter.com/intent/tweet?url="+e;break;case"google":n="https://plus.google.com/share?url="+e;break;case"pinterest":n="https://pinterest.com/pin/create/bookmarklet/?url="+e;break}t.attr("href",n)})},
/**====================================================================
	 *
	 *
	 *	Masonry templates (based on default Wordpress Masonry)
	 *
	 * 
	 ====================================================================*/
D.fn.qtMasonry=function(t){return void 0===t&&(t="body"),D(t).find(".qt-masonry").each(function(t,e){var i=D(e).attr("id"),n=document.querySelector("#"+i);if(n)var o=new Masonry(n,{itemSelector:".qt-ms-item",columnWidth:".qt-ms-item"})}),D.onAir2Obj.body.imagesLoaded().then(function(){D(t).find(".gallery").each(function(t,e){var i=D(e).attr("id"),n=document.querySelector("#"+i);if(n)var o=new Masonry(n,{itemSelector:".gallery-item",columnWidth:".gallery-item"})})}),!0},
/**====================================================================
	*
	*  Sound destroy
	* 
	====================================================================*/
D.fn.destroyAll360Sounds=function(){void 0!==threeSixtyPlayer&&threeSixtyPlayer.sounds.forEach(function(t,e,i){soundManager.stop(t.id),soundManager.destroySound(t.id)})}
/**====================================================================
	*
	*  360 player
	* 
	====================================================================*/,D.fn.qt360player=function(l,t){
// Load a track in the player
//================================================
function f(t,e){if(D.fn.destroyAll360Sounds(),void 0!==(x=t.attr("data-playtrack"))){u=t.attr("data-playtrack").split("geo-sample").join("sample"),soundManager.stopAll();var i=D(".qt-ui360");i.empty();var n=Math.floor(1e6*Math.random());i.append('<a id="playerlink" href="'+u+"?ver="+n+'"></a>'),e?(threeSixtyPlayer.config.autoPlay=!0,D(l).find("a.beingplayed").removeClass("beingplayed").find("i").removeClass(P).addClass(O),b=u,t.addClass("beingplayed").find("i").removeClass(O).addClass(P)):(D(l).find("a.beingplayed").removeClass("beingplayed").find("i").removeClass(P).addClass(O),threeSixtyPlayer.config.autoPlay=!1);var o=t.attr("data-background"),a=t.attr("data-logo"),s=t.attr("data-title"),r=t.attr("data-subtitle");T.html(s),_.html(r),D("#playerimage").attr("data-bgimage",o).css({"background-image":"url("+o+")"}),D("#playerimage img").attr("src",o),threeSixtyPlayer.init()}}var e=D("#qtplayercontainer"),u="",i=D("body");soundManager.setup({url:e.attr("data-soundmanagerurl"),allowScriptAccess:"always",useHighPerformance:!0,consoleOnly:!0,debugMode:!1,debugFlash:!1}),soundManager.flash9Options.useWaveformData=!0,soundManager.flash9Options.useEQData=!0,soundManager.flash9Options.usePeakData=!0,soundManager.preferFlash=!0;var n=!(soundManager.flashVersion=9);navigator.userAgent.match(/mobile/i)||"true"!==e.attr("data-playervolume")||(n=!0),threeSixtyPlayer.config={playNext:!1,autoPlay:!1,allowMultiple:!1,playervolume:!0,loadRingColor:e.attr("data-textcolor"),// ACCENT COLOR
playRingColor:e.attr("data-accentcolor"),// DARKER
backgroundRingColor:e.attr("data-accentcolordark"),circleDiameter:280,circleRadius:140,animDuration:500,animTransition:Animator.tx.bouncy,showHMSTime:!0,useWaveformData:!0,waveformDataColor:"#fff",waveformDataDownsample:3,waveformDataOutside:!1,waveformDataConstrain:!1,waveformDataLineRatio:.8,useEQData:!0,eqDataColor:"#FFF",eqDataDownsample:2,eqDataOutside:!0,eqDataLineRatio:.73,usePeakData:!0,peakDataColor:"#FFF",peakDataOutside:!0,peakDataLineRatio:1.8,scaleArcWidth:.8,useAmplifier:!0,useFavIcon:!0}
/**
		 * ================================ custom states hooks
		 */;var o=threeSixtyPlayer.events.play,a=threeSixtyPlayer.events.resume,s=threeSixtyPlayer.events.finish,r=threeSixtyPlayer.events.pause,c=threeSixtyPlayer.events.stop;D("#qtpausebtn .pause").hide();var d=function(){C="play",h.addClass("qt-btn-primary"),D("#qtpausebtn i").addClass("dripicons-media-pause").removeClass("dripicons-media-play"),D("#qtpausebtn .pause").show(),D("#qtpausebtn .play").hide(),o.apply(this)};threeSixtyPlayer.events.play=d;var h=D(".qtlistenbutton"),p=function(){h.addClass("qt-btn-primary"),D("#qtpausebtn i").addClass("dripicons-media-pause").removeClass("dripicons-media-play"),D("#qtpausebtn .pause").show(),D("#qtpausebtn .play").hide(),o.apply(this)};threeSixtyPlayer.events.resume=p;var g=function(){s.apply(this);// forces the scope to 'this' = the sound object
};threeSixtyPlayer.events.finish=g;var m=function(){h.removeClass("qt-btn-primary"),D("#qtpausebtn i").removeClass("dripicons-media-pause").addClass("dripicons-media-play"),D("#qtpausebtn .pause").hide(),D("#qtpausebtn .play").show(),r.apply(this)};threeSixtyPlayer.events.pause=m;var v=function(){h.removeClass("qt-btn-primary"),D("#qtpausebtn i").removeClass("dripicons-media-pause").addClass("dripicons-media-play"),D("#qtpausebtn .pause").hide(),D("#qtpausebtn .play").show(),c.apply(this)};threeSixtyPlayer.events.stop=v,
////////////////////////////////////////////////////
///
threeSixtyPlayer.config.useWaveformData=!0,threeSixtyPlayer.config.useEQData=!0,
// enable this in SM2 as well, as needed
threeSixtyPlayer.config.useWaveformData&&(soundManager.flash9Options.useWaveformData=!0),threeSixtyPlayer.config.useEQData&&(soundManager.flash9Options.useEQData=!0),threeSixtyPlayer.config.usePeakData&&(soundManager.flash9Options.usePeakData=!0),(threeSixtyPlayer.config.useWaveformData||threeSixtyPlayer.flash9Options.useEQData||threeSixtyPlayer.flash9Options.usePeakData)&&(
// even if HTML5 supports MP3, prefer flash so the visualization features can be used.
soundManager.preferFlash=!0),"destroy"===t&&D.fn.destroyAll360Sounds(),void 0===l&&(l="body");var y,b,w,S,C=!1,x,k=!1,T=D(l).find("#qtradiotitle"),_=D(l).find("#qtradiosubtitle"),O="dripicons-media-play",P="dripicons-media-pause",M="dripicons-media-play",A="";
// MP3 link click
//================================================
i.off("click","a[data-playtrack]"),i.on("click","a[data-playtrack]",function(t){t.preventDefault();var e=D(this);e.hasClass("beingplayed")?f(D(this),!1):f(e,!0),D(".activeRadioChannel").removeClass("activeRadioChannel"),e.addClass("activeRadioChannel");
// We update the feed here:==================
var i=D("#qtShoutcastFeedData"),n=e.attr("data-host"),o=e.attr("data-port"),a=e.attr("data-channel"),s=e.attr("data-icecasturl"),r=e.attr("data-icecastmountpoint"),l=e.attr("data-icecastchannel"),u=e.attr("data-radiodotco"),c=e.attr("data-airtime"),d=e.attr("data-radionomy"),h=e.attr("data-textfeed"),p=i.attr("data-style");// where we store the data (in the player container hidden div)
return""!==a&&void 0!==a||(a="1"),i.attr("data-host",n),i.attr("data-port",o),i.attr("data-icecasturl",s),i.attr("data-icecastmountpoint",r),i.attr("data-icecastchannel",l),i.attr("data-channel",a),i.attr("data-radiodotco",u),i.attr("data-airtime",c),i.attr("data-radionomy",d),i.attr("data-textfeed",h),D("#qtPlayerTrackInfo").hide(),D.fn.qtShoutcastFeedNew(),!1}),i.on("click","#qtpausebtn",function(t){t.preventDefault(),D(".activeRadioChannel").click()});
// Preload radio channel
var E=D(".qt-autoselect-channel");0<E.length&&f(E,!1)},
/**====================================================================
	 *
	 * 
	 *  Autoplay
	 *  
	 * 
	 ====================================================================*/
D.fn.qtRadioAutoplay=function(){jQuery("#qtfirstchannel").click()},
/**====================================================================
	*
	* SHOTCAST XML Feed Info
	* 
	====================================================================*/
D.fn.qtApplyTitle=function(t){if(t){var e=t.split(" - "),i,n;n=1<e.length?(i=e[0],e[1]):(i="",t),D("#qtFeedPlayerTrack").html(n),D("#qtFeedPlayerAuthor").html(i),D("#qtPlayerTrackInfo").show(),D(".qt-short-nowonairtextual span").html(" "+i+" - "+n)}},D.fn.qtShoutcastFeedNew=function(){var t=D("#qtShoutcastFeedData"),e=t.attr("data-host"),i=t.attr("data-port"),n=t.attr("data-icecasturl"),o=t.attr("data-icecastmountpoint"),a=t.attr("data-icecastchannel"),s=t.attr("data-radiodotco"),r=t.attr("data-airtime"),l=t.attr("data-radionomy"),u=t.attr("data-textfeed"),c=t.attr("data-useproxy"),d=D("#qtFeedPlayerTrack"),h=D("#qtFeedPlayerAuthor"),p=t.attr("data-channel"),f=D("#qtPlayerTrackInfo"),g,m,v,y;if(""!==u||""!==l||""!==r||""!==e&&""!==i&&void 0!==e||""!==n&&void 0!==n||""!==s&&void 0!==s){if(""!==u){var b=D("#qantumthemesproxyurl").data("proxyurl"),w,m;D.ajax({type:"GET",cache:!1,url:b,async:!0,data:{qtproxycall:u},dataType:"html",success:function(t){D.fn.qtApplyTitle(t)},error:function(t){}})}else if(""!==l)D.ajax({type:"GET",url:l,async:!0,cache:!1,dataType:"xml",success:function(t){D.fn.qtApplyTitle(D(t).find("artists").html()+" - "+D(t).find("title").html())},error:function(t){}});else if(""!==r&&"undefined"!==r&&void 0!==r&&void 0!==r){var b=D("#qantumthemesproxyurl").data("proxyurl"),w,m;D.ajax({type:"GET",cache:!1,url:b,async:!0,data:{qtproxycall:r},contentType:"application/json",success:function(t){w=JSON.parse(t),m=w.tracks.current.name,D.fn.qtApplyTitle(m)},error:function(t){}})}else if(""!==n&&void 0!==n)if(""!==o||"1"!==c)D.ajax({type:"GET",url:n,async:!0,
// contentType: "application/json",
// dataType: 'jsonp',
// jsonpCallback: 'parseMusic',
// dataType :"jsonp",
jsonp:!1,jsonpCallback:"parseMusic",success:function(t){""!==o?v=t[o].title:t.icestats.source.title?v=t.icestats.source.title:t.icestats.source[0].title&&(v=t.icestats.source[0].title),D.fn.qtApplyTitle(v)},error:function(t){console.log(t)}});else{var b=D("#qantumthemesproxyurl").data("proxyurl"),w,m;D.ajax({type:"GET",cache:!1,url:b,async:!0,data:{qtproxycall:n},contentType:"application/json",success:function(t){w=JSON.parse(t),a?w.icestats.source[a].title?m=w.icestats.source[a].title:w.icestats.source[a].title?m=w.icestats.source[a].title:w.icestats.source[a].title&&(m=w.icestats.source[a].title):w.icestats.source.title?m=w.icestats.source.title:w.icestats.source[1].title?m=w.icestats.source[1].title:w.icestats.source[0].title&&(m=w.icestats.source[0].title),D.fn.qtApplyTitle(m)},error:function(t){}})}else if(""!==e&&""!==i&&void 0!==e){var S="http://"+e+":"+i+"/stats?sid="+p+"&json=1",C=D("#qantumthemesproxyurl").data("proxyurl"),w,m;"1"===c?
// 2017 12 16 with ssl support
D.ajax({type:"GET",cache:!1,url:b,async:!0,data:{qtproxycall:S},contentType:"application/json",success:function(t){w=JSON.parse(t),D.fn.qtApplyTitle(w.songtitle)},error:function(t){}}):D.SHOUTcast({host:e,port:i,interval:1e4,stream:p,stats_path:"stats",stats:function(){this.onAir()&&(v=this.get("songtitle"),D.fn.qtApplyTitle(v))}}).startStats()}else if(""!==s&&void 0!==s){var x="https://public.radio.co/stations/"+s+"/status";D.ajax({type:"GET",cache:!1,url:x,async:!0,contentType:"application/json",success:function(t){m=t.current_track.title,D.fn.qtApplyTitle(m)},error:function(t){
// console.log(e);
}})}}else
// $.SHOUTcast().stopStats();
f.hide()}
/**====================================================================
	 *
	 * 
	 *  Skrollr initialize
	 *  
	 * 
	 ====================================================================*/,D.fn.qtSkrollrInit=function(){
// disable skrollr if using handheld device
/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)||(D.skrollrInstance=skrollr.init({smoothScrolling:!0,forceHeight:!1}))}
/**====================================================================
	 *
	 * 
	 *  Popup opener (requires library component) 
	 *  
	 * 
	 ====================================================================*/,D.fn.qtPopupwindow=function(){void 0!==D.fn.popupwindow&&D.fn.popupwindow(),D.onAir2Obj.body.on("click",".qt-popupwindow",function(t,e){D(".sm2_playing .sm2-360btn").click()})},
/**====================================================================
	 *
	 * 
	 *  Ajax elements refresh
	 *  
	 * 
	 ====================================================================*/
D.fn.qtAjaxElementsRefresh=function(){var t=D("#qtcurrentpermalink");if(!(t.length<=0)){var e,i,n,o=t.attr("data-permalink"),a=new Array("#qtonairhero","#qtupcomingshowscarousel","#qtshowslidercontainer",".qtautoupdate-element",".qtnowonairwidget",".qt-upcoming-refresh");D.ajax({url:o,success:function(t){D.ajaxData=t,a.forEach(function(t){D(t).animate({opacity:0},0,function(){D(t).html(D(D.ajaxData).find(t).html()).animate({opacity:1},0,function(){D.fn.dynamicBackgrounds(t),D.fn.slickGallery()})})})}})}},setInterval(function(){D.fn.qtAjaxElementsRefresh()},12e4),
/**====================================================================
	 *
	 * 
	 *  Open header bar player
	 *  
	 * 
	 ====================================================================*/
D.fn.qtOpenPlayerBar=function(){D.onAir2Obj.body.on("click",".qt-openplayerbar",function(t){return t.preventDefault(),D.onAir2Obj.body.toggleClass("qt-playerbar-open"),!0})}
/**====================================================================
	 *
	 *	Reinitialize visual composer functions after ajax loading
	 * 
	 ====================================================================*/,D.fn.initializeVisualComposerAfterAjax=function(){"function"==typeof vc_toggleBehaviour&&vc_toggleBehaviour(),"function"==typeof vc_tabsBehaviour&&vc_tabsBehaviour(),"function"==typeof vc_accordionBehaviour&&vc_accordionBehaviour(),"function"==typeof vc_teaserGrid&&vc_teaserGrid(),"function"==typeof vc_carouselBehaviour&&vc_carouselBehaviour(),"function"==typeof vc_slidersBehaviour&&vc_slidersBehaviour(),"function"==typeof vc_prettyPhoto&&vc_prettyPhoto(),"function"==typeof vc_googleplus&&vc_googleplus(),"function"==typeof vc_pinterest&&vc_pinterest(),D("body [data-bgimagevc]").each(function(){var t=D(this),e=t.attr("data-bgimagevc"),i=t.attr("data-bgattachment");void 0===i&&(i="static"),""!==e&&t.css({"background-image":"url("+e+")","background-attachment":"fixed"})})}
/**====================================================================
	 *
	 *	Auto select radio channel
	 * 
	 ====================================================================*/,D.fn.qtAutoSelectChannel=function(){}
/**====================================================================
	 *
	 *	Onlu After ajax page initialization
	 * 	Used by QT Ajax Pageloader. 
	 * 	MUST RETURN TRUE IF ALL OK.
	 * 
	 ====================================================================*/,D.fn.initializeOnlyAfterAjax=function(){D.fn.qtAutoSelectChannel();var t=D(".qt-autoselect-channel");0<t.length&&t.click()}
/**====================================================================
	 *
	 *	After ajax page initialization
	 * 	Used by QT Ajax Pageloader. 
	 * 	MUST RETURN TRUE IF ALL OK.
	 * 
	 ====================================================================*/,D.fn.initializeAfterAjax=function(){return D.fn.slickGallery(),D.fn.qtQtSwitch(),D.fn.dynamicBackgrounds(),D(".qt-pageheader").attr("data-start","@class: qt-pageheader qt-js qt-negative").attr("data-10-start","@class: qt-pageheader qt-js qt-negative qt-pageheader-scrolled").promise().done(function(){D.fn.qtSkrollrInit()}),void 0!==D.skrollrInstance&&D.skrollrInstance.refresh(),D.fn.qtSharelink(),D.fn.qtMasonry(),D.fn.qtCountdown(),D.fn.qtFitvids(),D.fn.qtPushpin(),D.fn.transformlinks("#maincontent"),
// $(".not-collapse").on("click", function(e) { e.stopPropagation();  });
void 0!==D.fn.qtChartvoteInit&&D.fn.qtChartvoteInit(),D(".qt-collapsible").collapsible(),jQuery("ul.tabs").tabs(),!1===D.fn.qtIsMobileBrowser()&&1279<D(window).width()&&D(".qt-tooltipped").tooltip({delay:50}),"function"==typeof jQuery.vdl_Init&&jQuery.vdl_Init(),"function"==typeof D.fn.qtDynamicMaps&&D.fn.qtDynamicMaps(),"function"==typeof D.fn.qtPlacesInit&&D.fn.qtPlacesInit(),D("#qwShowDropdown").change(function(){D("a#"+D(this).attr("value")).click()}),D.fn.qtPopupwindow(),!0}
/**====================================================================
	 *
	 *	Page Ready Trigger
	 * 	This needs to call only $.fn.qtInitTheme
	 * 
	 ====================================================================*/,jQuery(document).ready(function(){D.fn.qtPageloadInit(),D.fn.qtMobileNav(),D.fn.qt360player(),D.fn.qtShoutcastFeedNew(),D.fn.qtOpenPlayerBar(),e=setInterval(function(){D.fn.qtShoutcastFeedNew()},15e3),D.fn.initializeAfterAjax(),D.fn.qtRadioAutoplay(),D.onAir2Obj.body.hasClass("qt-debug")})}(jQuery);